GNU bug report logs - #15273
24.3.50; Combining character sequences are displayed weirdly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Xue Fuqiao <xfq.free@HIDDEN>; dated Thu, 5 Sep 2013 14:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 14 Sep 2013 09:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 05:13:02 2013
Received: from localhost ([127.0.0.1]:35753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VKluX-00060O-U1
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2013 05:13:02 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:60939)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VKluV-000609-NX
 for 15273 <at> debbugs.gnu.org; Sat, 14 Sep 2013 05:13:00 -0400
Received: (qmail 11367 invoked by uid 89); 14 Sep 2013 09:12:58 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 14 Sep 2013 09:12:58 -0000
Received: from [172.20.199.2] (gaffa [172.20.199.2])
 by coolsville.localdomain (Postfix) with ESMTP id F32DD1A007E;
 Sat, 14 Sep 2013 11:12:57 +0200 (CEST)
Message-ID: <52342899.6090404@HIDDEN>
Date: Sat, 14 Sep 2013 11:12:57 +0200
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130803 Thunderbird/17.0.8
MIME-Version: 1.0
To: Kenichi Handa <handa@HIDDEN>
Subject: Re: bug#15273: 24.3.50; Combining character sequences are displayed
 weirdly
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <87y572nlc9.fsf@HIDDEN> <523423AA.60509@HIDDEN>
In-Reply-To: <523423AA.60509@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

2013-09-14 10:51, Jan Djärv skrev:
> Hello.
>
> 2013-09-12 16:52, Kenichi Handa skrev:
>> In article <87li34ye0z.fsf@HIDDEN>, Kenichi Handa <handa@HIDDEN> writes:
>>
>>> I saw the same rendering on GNU/Linux with a font
>>> which doesn't have a proper feature for U+20E4.  I'm now
>>> investigating how to improve compose-gstring-for-graphic.
>>
>> I've just installed a fix.  Now at least on GNU/Linux with
>> FreeSans font for ASCII and U+20e4, the layouting is
>> improved.
>>
>
> How?  I don't see any difference compared to earlier.
>

Okay, now I see it, I selected the wrong Sans-font.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 14 Sep 2013 08:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 04:52:00 2013
Received: from localhost ([127.0.0.1]:35714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VKlaB-0005TF-Ra
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2013 04:52:00 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:60815)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VKla9-0005T3-50
 for 15273 <at> debbugs.gnu.org; Sat, 14 Sep 2013 04:51:58 -0400
Received: (qmail 10173 invoked by uid 89); 14 Sep 2013 08:51:54 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 14 Sep 2013 08:51:54 -0000
Received: from [172.20.199.2] (gaffa [172.20.199.2])
 by coolsville.localdomain (Postfix) with ESMTP id BE0A71A0099;
 Sat, 14 Sep 2013 10:51:54 +0200 (CEST)
Message-ID: <523423AA.60509@HIDDEN>
Date: Sat, 14 Sep 2013 10:51:54 +0200
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130803 Thunderbird/17.0.8
MIME-Version: 1.0
To: Kenichi Handa <handa@HIDDEN>
Subject: Re: bug#15273: 24.3.50; Combining character sequences are displayed
 weirdly
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <87y572nlc9.fsf@HIDDEN>
In-Reply-To: <87y572nlc9.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

2013-09-12 16:52, Kenichi Handa skrev:
> In article <87li34ye0z.fsf@HIDDEN>, Kenichi Handa <handa@HIDDEN> writes:
>
>> I saw the same rendering on GNU/Linux with a font
>> which doesn't have a proper feature for U+20E4.  I'm now
>> investigating how to improve compose-gstring-for-graphic.
>
> I've just installed a fix.  Now at least on GNU/Linux with
> FreeSans font for ASCII and U+20e4, the layouting is
> improved.
>

How?  I don't see any difference compared to earlier.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 12 Sep 2013 16:09:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 12 12:09:18 2013
Received: from localhost ([127.0.0.1]:59222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VK9SH-0003Z0-Sx
	for submit <at> debbugs.gnu.org; Thu, 12 Sep 2013 12:09:18 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:54214)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VK9SE-0003Yh-De
 for 15273 <at> debbugs.gnu.org; Thu, 12 Sep 2013 12:09:15 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MT000C00SRJU700@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Thu, 12 Sep 2013 19:09:03 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MT000CA2SV3FCB0@HIDDEN>;
 Thu, 12 Sep 2013 19:09:03 +0300 (IDT)
Date: Thu, 12 Sep 2013 19:08:49 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <87y572nlc9.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Kenichi Handa <handa@HIDDEN>
Message-id: <83eh8uhvji.fsf@HIDDEN>
References: <87y572nlc9.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, handa@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: eliz@HIDDEN, xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
> Date: Thu, 12 Sep 2013 23:52:38 +0900
> 
> In article <87li34ye0z.fsf@HIDDEN>, Kenichi Handa <handa@HIDDEN> writes:
> 
> > I saw the same rendering on GNU/Linux with a font
> > which doesn't have a proper feature for U+20E4.  I'm now
> > investigating how to improve compose-gstring-for-graphic.
> 
> I've just installed a fix.  Now at least on GNU/Linux with
> FreeSans font for ASCII and U+20e4, the layouting is
> improved.

Thanks, it's improved on Windows as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 12 Sep 2013 14:53:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 12 10:53:03 2013
Received: from localhost ([127.0.0.1]:59004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VK8GV-0000Yt-0A
	for submit <at> debbugs.gnu.org; Thu, 12 Sep 2013 10:53:03 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:49934 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <handa@HIDDEN>) id 1VK8GR-0000YS-Dn
 for 15273 <at> debbugs.gnu.org; Thu, 12 Sep 2013 10:52:59 -0400
Received: from fl1-110-233-79-231.iba.mesh.ad.jp ([110.233.79.231]:53123
 helo=shatin)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <handa@HIDDEN>)
 id 1VK8GP-0002eo-Qk; Thu, 12 Sep 2013 10:52:58 -0400
Received: from handa by shatin with local (Exim 4.80)
 (envelope-from <handa@HIDDEN>)
 id 1VK8G6-0001XM-Vl; Thu, 12 Sep 2013 23:52:39 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Kenichi Handa <handa@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-Reply-To: <87li34ye0z.fsf@HIDDEN> (message from Kenichi Handa on Tue,
 10 Sep 2013 22:58:20 +0900)
Date: Thu, 12 Sep 2013 23:52:38 +0900
Message-ID: <87y572nlc9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.9 (-----)

In article <87li34ye0z.fsf@HIDDEN>, Kenichi Handa <handa@HIDDEN> writes:

> I saw the same rendering on GNU/Linux with a font
> which doesn't have a proper feature for U+20E4.  I'm now
> investigating how to improve compose-gstring-for-graphic.

I've just installed a fix.  Now at least on GNU/Linux with
FreeSans font for ASCII and U+20e4, the layouting is
improved.

---
Kenichi Handa
handa@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 10 Sep 2013 15:37:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 10 11:37:31 2013
Received: from localhost ([127.0.0.1]:52741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VJQ0Q-00040Z-Lu
	for submit <at> debbugs.gnu.org; Tue, 10 Sep 2013 11:37:30 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:50207)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VJQ0L-00040E-Fg
 for 15273 <at> debbugs.gnu.org; Tue, 10 Sep 2013 11:37:29 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSX005001CS2T00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Tue, 10 Sep 2013 18:37:18 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSX004HK225RGA0@HIDDEN>;
 Tue, 10 Sep 2013 18:37:18 +0300 (IDT)
Date: Tue, 10 Sep 2013 18:37:20 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <87li34ye0z.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Kenichi Handa <handa@HIDDEN>
Message-id: <83a9jkk7rj.fsf@HIDDEN>
References: <87li34ye0z.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, jan.h.d@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: jan.h.d@HIDDEN, xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
> Date: Tue, 10 Sep 2013 22:58:20 +0900
> 
> In article <834n9vl5q1.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Next, I'm not sure whether Emacs composes them correctly if
> >> the underlying font driver doesn't support OTF's "mark" and
> >> "mkmk" features.  The function compose-gstring-for-graphic
> >> has a code for such a case, but I don't remember that I
> >> wrote a code for "enclosing combining marks".
> 
> > Looks like Uniscribe should need this, at least on XP: I do get a
> > composition, but the left part of the triangle is off-screen.
> 
> I saw the same rendering on GNU/Linux with a font
> which doesn't have a proper feature for U+20E4.

Then I guess it's something related to the fact that the base
character '!' is much narrower than the triangle.

> I'm now investigating how to improve compose-gstring-for-graphic.

Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 10 Sep 2013 13:58:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 10 09:58:33 2013
Received: from localhost ([127.0.0.1]:52527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VJOSe-0001Kw-RK
	for submit <at> debbugs.gnu.org; Tue, 10 Sep 2013 09:58:33 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:54454 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <handa@HIDDEN>) id 1VJOSb-0001Kj-W5
 for 15273 <at> debbugs.gnu.org; Tue, 10 Sep 2013 09:58:30 -0400
Received: from fl1-125-197-68-226.iba.mesh.ad.jp ([125.197.68.226]:57841
 helo=shatin)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <handa@HIDDEN>)
 id 1VJOSZ-0001So-T2; Tue, 10 Sep 2013 09:58:28 -0400
Received: from handa by shatin with local (Exim 4.80)
 (envelope-from <handa@HIDDEN>)
 id 1VJOST-0003gT-9I; Tue, 10 Sep 2013 22:58:21 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-Reply-To: <834n9vl5q1.fsf@HIDDEN> (message from Eli Zaretskii on Sun,
 08 Sep 2013 17:59:18 +0300)
Date: Tue, 10 Sep 2013 22:58:20 +0900
Message-ID: <87li34ye0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, jan.h.d@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

In article <834n9vl5q1.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

>> Next, I'm not sure whether Emacs composes them correctly if
>> the underlying font driver doesn't support OTF's "mark" and
>> "mkmk" features.  The function compose-gstring-for-graphic
>> has a code for such a case, but I don't remember that I
>> wrote a code for "enclosing combining marks".

> Looks like Uniscribe should need this, at least on XP: I do get a
> composition, but the left part of the triangle is off-screen.

I saw the same rendering on GNU/Linux with a font
which doesn't have a proper feature for U+20E4.  I'm now
investigating how to improve compose-gstring-for-graphic.

---
Kenichi Handa
handa@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 9 Sep 2013 05:17:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 01:17:49 2013
Received: from localhost ([127.0.0.1]:49771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VItrB-0007S0-7n
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2013 01:17:49 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:38491)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VItr6-0007Rm-Ud
 for 15273 <at> debbugs.gnu.org; Mon, 09 Sep 2013 01:17:47 -0400
Received: (qmail 29731 invoked by uid 89); 9 Sep 2013 05:17:42 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 9 Sep 2013 05:17:42 -0000
Received: from [10.141.153.247] (unknown [95.199.217.247])
 by coolsville.localdomain (Postfix) with ESMTPSA id 59E8A1A0075;
 Mon,  9 Sep 2013 05:17:42 +0000 (UTC)
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <6DFB6F00-33E0-4AF6-B8DB-442CAD5EF8CD@HIDDEN>
 <wl1u4y3jg2.wl%mituharu@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <wl1u4y3jg2.wl%mituharu@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Message-Id: <81027842-DA0D-438D-B17B-788402DD7964@HIDDEN>
X-Mailer: iPhone Mail (10B350)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
Date: Mon, 9 Sep 2013 07:17:35 +0200
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: "xfq.free@HIDDEN" <xfq.free@HIDDEN>,
 "15273 <at> debbugs.gnu.org" <15273 <at> debbugs.gnu.org>, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.=20

9 sep 2013 kl. 02:52 skrev YAMAMOTO Mitsuharu <mituharu@HIDDEN=
>:

>>>>>> On Sat, 7 Sep 2013 10:47:05 +0200, Jan Dj=C3=A4rv <jan.h.d@HIDDEN=
> said:
>=20
>>> nsfont.m has problems with composition, there is even comments
>>> about this in the code.  But from what I see on X11 and what you
>>> reported from W32, no other platform does produce the correct
>>> result (i.e. the ! and the triangle in the same place), so
>>> comparing to those backends doesn't help.
>=20
>> FWIW, I tested the mac port that has another font driver, and it
>> doesn't work correctly either.  It does not find a good font for the
>> triangle and only displays an empty square.  No composition happens.
>=20
> That square is actually the glyph for U+20E4 in the PCMyungjo font.
> Though it is not correct of course, but TextEdit.app also selects
> PCMyungjo for U+20E4 by default and displays the square.

I wonder if it is locale dependent. For me TextEdit.ap selects STIXGeneral a=
nd the composition is correct.=20

     Jan D.=20=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 9 Sep 2013 00:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 20:52:41 2013
Received: from localhost ([127.0.0.1]:49518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIpia-0000Iu-L9
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2013 20:52:40 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:63107)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1VIpiV-0000If-6B
 for 15273 <at> debbugs.gnu.org; Sun, 08 Sep 2013 20:52:38 -0400
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 0CBADC055D;
 Mon,  9 Sep 2013 09:52:30 +0900 (JST)
Date: Mon, 09 Sep 2013 09:52:29 +0900
Message-ID: <wl1u4y3jg2.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Jan =?ISO-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-Reply-To: <6DFB6F00-33E0-4AF6-B8DB-442CAD5EF8CD@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN>
 <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN>
 <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN>
 <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <6DFB6F00-33E0-4AF6-B8DB-442CAD5EF8CD@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: multipart/mixed; boundary="Multipart_Mon_Sep__9_09:52:29_2013-1"
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--Multipart_Mon_Sep__9_09:52:29_2013-1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

>>>>> On Sat, 7 Sep 2013 10:47:05 +0200, Jan Dj=E4rv <jan.h.d@HIDDEN> s=
aid:

>> nsfont.m has problems with composition, there is even comments
>> about this in the code.  But from what I see on X11 and what you
>> reported from W32, no other platform does produce the correct
>> result (i.e. the ! and the triangle in the same place), so
>> comparing to those backends doesn't help.

> FWIW, I tested the mac port that has another font driver, and it
> doesn't work correctly either.  It does not find a good font for the
> triangle and only displays an empty square.  No composition happens.

That square is actually the glyph for U+20E4 in the PCMyungjo font.
Though it is not correct of course, but TextEdit.app also selects
PCMyungjo for U+20E4 by default and displays the square.

We need some tricks to make the composition happen for this case on
the Mac port.

(set-fontset-font t #x20e4 "STIXGeneral")
(set-char-table-range composition-function-table #x20e4
		      (cons ["!." 1 font-shape-gstring 0]
			    (aref composition-function-table #x20e4)))

The last element in the vector is an extension specific to the Mac
port, and it specifies the position of the character (relative to that
for the key) from which the font object is obtained.  It was
originally introduced to support Variation Selectors 15 (text-style)
and 16 (emoji-style).

The result may not be satisfactory, but its consistency with that of
TextEdit.app (upper window in the screenshot) indicates it is the
behavior of the standard text shaper on OS X.

The other latin example seems to work perfectly on the Mac port
without any settings.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

--Multipart_Mon_Sep__9_09:52:29_2013-1
Content-Type: image/png
Content-Disposition: inline; filename="composition.png"
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAAlwAAAMPCAYAAAAAcQtdAAAEJGlDQ1BJQ0MgUHJvZmlsZQAAOBGF
Vd9v21QUPolvUqQWPyBYR4eKxa9VU1u5GxqtxgZJk6XtShal6dgqJOQ6N4mpGwfb6baqT3uBNwb8
AUDZAw9IPCENBmJ72fbAtElThyqqSUh76MQPISbtBVXhu3ZiJ1PEXPX6yznfOec7517bRD1fabWa
GVWIlquunc8klZOnFpSeTYrSs9RLA9Sr6U4tkcvNEi7BFffO6+EdigjL7ZHu/k72I796i9zRiSJP
wG4VHX0Z+AxRzNRrtksUvwf7+Gm3BtzzHPDTNgQCqwKXfZwSeNHHJz1OIT8JjtAq6xWtCLwGPLzY
Zi+3YV8DGMiT4VVuG7oiZpGzrZJhcs/hL49xtzH/Dy6bdfTsXYNY+5yluWO4D4neK/ZUvok/17X0
HPBLsF+vuUlhfwX4j/rSfAJ4H1H0qZJ9dN7nR19frRTeBt4Fe9FwpwtN+2p1MXscGLHR9SXrmMgj
ONd1ZxKzpBeA71b4tNhj6JGoyFNp4GHgwUp9qplfmnFW5oTdy7NamcwCI49kv6fN5IAHgD+0rbyo
Bc3SOjczohbyS1drbq6pQdqumllRC/0ymTtej8gpbbuVwpQfyw66dqEZyxZKxtHpJn+tZnpnEdrY
BbueF9qQn93S7HQGGHnYP7w6L+YGHNtd1FJitqPAR+hERCNOFi1i1alKO6RQnjKUxL1GNjwlMsiE
hcPLYTEiT9ISbN15OY/jx4SMshe9LaJRpTvHr3C/ybFYP1PZAfwfYrPsMBtnE6SwN9ib7AhLwTrB
DgUKcm06FSrTfSj187xPdVQWOk5Q8vxAfSiIUc7Z7xr6zY/+hpqwSyv0I0/QMTRb7RMgBxNodTfS
Pqdraz/sDjzKBrv4zu2+a2t0/HHzjd2Lbcc2sG7GtsL42K+xLfxtUgI7YHqKlqHK8HbCCXgjHT1c
AdMlDetv4FnQ2lLasaOl6vmB0CMmwT/IPszSueHQqv6i/qluqF+oF9TfO2qEGTumJH0qfSv9KH0n
fS/9TIp0Wboi/SRdlb6RLgU5u++9nyXYe69fYRPdil1o1WufNSdTTsp75BfllPy8/LI8G7AUuV8e
k6fkvfDsCfbNDP0dvRh0CrNqTbV7LfEEGDQPJQadBtfGVMWEq3QWWdufk6ZSNsjG2PQjp3ZcnOWW
ing6noonSInvi0/Ex+IzAreevPhe+CawpgP1/pMTMDo64G0sTCXIM+KdOnFWRfQKdJvQzV1+Bt8O
okmrdtY2yhVX2a+qrykJfMq4Ml3VR4cVzTQVz+UoNne4vcKLoyS+gyKO6EHe+75Fdt0Mbe5bRIf/
wjvrVmhbqBN97RD1vxrahvBOfOYzoosH9bq94uejSOQGkVM6sN/7HelL4t10t9F4gPdVzydEOx83
Gv+uNxo7XyL/FtFl8z9ZAHF4bBsrEwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAdVpVFh0WE1MOmNv
bS5hZG9iZS54bXAAAAAAADx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1w
dGs9IlhNUCBDb3JlIDUuMS4yIj4KICAgPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3Lncz
Lm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4KICAgICAgPHJkZjpEZXNjcmlwdGlvbiBy
ZGY6YWJvdXQ9IiIKICAgICAgICAgICAgeG1sbnM6dGlmZj0iaHR0cDovL25zLmFkb2JlLmNvbS90
aWZmLzEuMC8iPgogICAgICAgICA8dGlmZjpDb21wcmVzc2lvbj41PC90aWZmOkNvbXByZXNzaW9u
PgogICAgICAgICA8dGlmZjpQaG90b21ldHJpY0ludGVycHJldGF0aW9uPjI8L3RpZmY6UGhvdG9t
ZXRyaWNJbnRlcnByZXRhdGlvbj4KICAgICAgICAgPHRpZmY6T3JpZW50YXRpb24+MTwvdGlmZjpP
cmllbnRhdGlvbj4KICAgICAgPC9yZGY6RGVzY3JpcHRpb24+CiAgIDwvcmRmOlJERj4KPC94Onht
cG1ldGE+Cm0FC54AAEAASURBVHgB7L0J3J1Vde+/3iFv5gFCQgIEEgiTEEYBEQEZJQIqCII4oBXF
mda2n956723t/be39X9brWOvQ5WKWEBAQRQUUEFlngeZE4aYBEKAhAxv3unc9d3P8ztnvTvPeYck
4tCzknPW3mvea+9nP+s8z3PO29Y5eXrNfk+hrY3A0pvjmtUGRdpm8Gslv81bBQgXevDhSa4UGhK1
ueH6P8x4v+bO0wtbgwPZyBb6G0NBay8ZRElU1VClHyWr+NFW5IseadHWprU1DmnXrKC0tQV/o3RZ
G0ipNkcNcBu5L5gDciPJ0leVrEQ2BdfXjfzFMdViZ2jrbR4Y46uD95N2bkJ+EBRvOFpptEq87m8T
G22V2R/aWOXyDypxOCIXudAInFp1jJWGE+ItHZOlhQr5wX44ojPYiOB8p7X5vLa1+8t9JBtue4DJ
G2wwM7YFu1VxRfNx3dWPtygwinaylTuMA63iFbT0nq1r1nkzGLT+XWgo2YaN3L84jRjTvjGEX2kM
wslsM9uDJDepsymWK5bwRr7LQ2AjejPCRjbLwDYlvmY+fjv0kUxo3FCJItfJ+ZsTKbZze6P311ns
6jWbN3eunXziQjvz9FNtvwV714uKtOn4rFUXEaMfgOw106SYiTJqN/M/WvlmfkXf0vZkV1jjUT/H
o/U/WvncX97f0vZy+63xF8V7nhf1R5v/0crLTzO8pe3lflrz35p/1lgzGO36G618M7+ib2l7sivc
Wv/N1//9Dz5k373iavvBNT+2Jxc96aUJZaEXNaoy6cal09ZRptUZWlPI0k46KAAbKTptkKHQj/qS
kR0VWE6HJbI3E9Q8njqNhoQauG3MlG1qFFuf/oe/sxOOPbpeaJUm6sUPC6UK8gVaJTMamhak/A1n
/5WWz8cyXHy5/HD9kYxHMthSGwwMF8/myicn4W04f0F0RM3NjW+4eDbXfj6I4fzl8sP1RxKfZLCl
NhgYLp7NlU9Owttw/oLoiJqbG99w8Wyu/XwQw/nL5YfrjyQ+yWBLbTAwXDybK5+chLfh/AXRETU3
N77h4tlc+/kghvOXyw/XH0l8ksGW2mBguHg2Vz45CW/D+QuiI2oS33U//5X99f/6tC1+8knXUZFT
jC8ZEaluseRxAUq82E5yFD2A7KgIKqiNd6cPuIzsJIZkhRvSI2vhE12zTm6ZnLjwBHvDMUelycoT
SB8QTp3wRoIGBgbSxAfyiJu5PxRzX7G/ufKyJZzHn9uXnHA+sFw/5w/Xz/0hn/uKfbWFRyJPjJLP
cR4//KHk8/Hk+jl/uH7ub7TjGa38H8P48zFrTMp17Of5FU84n7/h5OVDONcXfaQ494eeYpON2N9c
edkSzuPP7UtOWDEJ5/qijxTn/tDLfcW+2sIjkSdGyec4jx/+UPL5uHL9nD9cP/c32vGMVv6PYfz5
mDUm5Tr28/yKJ5zP33Dy8iGc64s+Upz7Q+/oIw71muRY++K/fd0LHyqf9rJMKouldq9JirKkxKFA
8rWeABnaKpzKOqZghndkvH4p/DgdOdlIYjiSs1IPfrLnxmn7//SMi2yJT+zI+eMJhbyLjt1qZu0X
1/7Y9tpzt2RNBxsYqEpIYjR5k3wT9hYlK9ahjEpmpOMZrXyVb9mo4r3SNMXySo2/Nf8cg40T3Jaa
70WLFtn69eubmttrr70qeYqlNf8j289Gm6+qpMtGFe+VpimW1vy35p+1p/0ZXAWjXS+5DdnP6aPt
P/zYIjti4Vv9Ob+usqgp5i/ZSc3QT0TGk9NgFOPkCU49Mx2f5oSWjo2QDjULuaKX5LCPi1IAVOUR
rwlCDSVSZ0d7Ryq24gTENoKxr4SKlk+QDmw5+G1ixRB95PHBy+Vif3Pl8/FX+Yvx/bbbmzueqviH
ylc+/tb8b7zetsScU2zNmtxlvauW2vjt9rT2rvF1s/fff789+OCDRtHVmv/BV2hGu55HK5+v/yr9
+kS9Ao3W/LfmX2tSyy3u3/n63Nz1Il/a94Xle1PxHrvu7KpeznCVKFU1vKlU8nYqZkLJA7sshAb5
LNQSj2YOiZauajU4iYZ9GunbWfLrfWhJAETDnSKLDYVT8vWMfTLlb+Q6PTQfJ0RtYbdYh5dfftme
eeYZe+6552z16tWJPmXKFJs5c6bNmTPHJk+eXJdt1tAEwd8S9qKfTbUXx0o7xhjtq53LQ480yW0u
5lZte7qkOjpLMRa1hassRZ7awltCPtoYLrdRdlPbMXa1hatsRh7t4WLM5bEZaVU+NoUW5z/Z7+u2
dS89bz3jX7TOSQNW6+9PZteuXWsHHHCAPfDAA/WiS/4Ul7BZvy1f/KitHz/H5s2alMQavMY4Ik22
hCNPbWHJNMPD5baZ3mjoMRa1havsRB7t4WLM5bEZaVU+NoUW5380+jEWtYWr7ESe2sJbQj7aGC63
UXZT2zF2tYWrbEYe7eFizOWxGWlVPjaF1pr/onKpf1O6/rXWsqKhkqlXP2W14/OXIPFgq1+Q4zvz
DGjO1QbX10D0AaNeVSFU+nSZtlq71eSrdFmEho/y2prLdfYPFJs2pqpAk758+XJ7+OGHraenx2bM
mGFz585N4i+++GIqwlasWGF77LGHbbvttlVm6rR+P0lQRIzUHr6QJw5AbRUiI42PIpH4Zs2alWxJ
vx5YaMSDR/aJWxMkUdmQjOhDYY1DMvl4RAdHnvQiDRnoHR0dRnxAFV+0Kn5SGuJNY5P/XFS2wSMB
zb/sRf36Ig+Gcv9RHrHN5QdX9ebv4/ynmKbOts6Oyf5IQKf1dG/weIuTAzkdO3aszZ8/P13p2nNP
vwJWzsfG+emx+756gd34uj+xvz9xfn3MzRq5fi6Xz4f4q5cvtscXPWaP3H2HvTz/LPvAG+YmVpp/
W2k/ufhHtqxH0r1mUw+0M045wMaxYfavspuu+p797LbHrNvHUZswy4466a121F4z6+t7xd0/tCvv
fMG6xpY2urqsq2etTdn7ZFu4/wxbcc+V9sXv3VnfN3Y79K126on72WTftDUmec/x7+P8EzOQ5xt6
6/gf/vzQLH/53NNvzX8jKzpWlL8Gp2jl6zHn5/3R7v9+0nUT/gLVi6vUKU3rvKPiJ1Q7SUx913Zb
9bn1faaWfhLF+b4n1LiSJV9YZv/s92MOWjLBm7exmeQQSowyNOSK/ThxaLN3+fHZpkLR9ToH3FGz
ZKIIcDWLYmvMmDF24IEHpitZtIHe3t50peq+++5LMuPHjzeueg1lc6T2HnroIcPepEnFJ3H8ya4w
tJHaYwwTJkxI9qI+NnLQQoKObFWxBR25CKINZz/q0NZiqNKPttQWRpdFPFKQnjALMB9bbkuyOb2q
j2zMXTOZKjqxVOlH/2oLYye2q+xGmmSFIy+24xiQzXMk/is1/+SGQqvmL2abY37MmC7r6+tLsel4
VNG1YMGCOJx6e8DtdM3ssOmdnSlvv535X2e//MK/2y0cGx7nLK/rYr5r3avtiV8/YUunz7a5fpvU
NvRaT1df2gyR6+hdajfcsdwOPu1s23uG2e1XXmA3XPIlm/TxT9lB04vCo2fdSntmyXKboDur69fZ
Oh/lVjPW2EKbYb3rum3/o8+0Q3afZs8/eL1dduP37aKtZtn7Dp2VchHjqScnNDS/kH4f5l+hKW5h
6K3jv1gTytFQWHkTbibbmv9GZobLVUOyOFZi7iJP7Wb2Nt7//coRxUpZsHALL5U9qU/l45BQaPv+
lvY09h5vp2IKE/1FwZTqJ+8XqugVRVMd8w1FUf1CxmCI8nAwhH7xhBfB+NkUhrWVPxRJ0ZUemofo
tE6CGw6eeuqpdFDzyZkCiE2eQgvgRASNjZ5bGsi+6lWvSnTZjROAv9Haa/ZAsOyPxt7ixYut2clI
9sBDLQrGLD6bHX1temqDqyAtBucJY4e29IfyXWUPmmzRHm08zeLEVjOI88laoK/4q8Yf5WOstDV+
5ROfsd0shmb04cYf/TezAb1ZDNIXfzh/uQ/pC2OHtvLXzDdy7DMdHL8cxH6wKwb0v/WtbyU7utIl
e1XzwcbQxm/GOKBb8/WIxZFCnM/q+R9rh378E/bGWRPtps/8g93Gt3RKwB8PMvT4QA4/9QN2wk5j
yvVr1ld+cOjvnGt/+reftAmdnhvXe8tZb7M7P3upPbJohRdcM5OlOVyhO0JWzVbefaF97vtP2zEH
z03E7V77dnurf1MJ/e23e6M9/Msv2rI1PaWvRjwNC4Nbyu1gauNYE/+Vmv88jtgnpzqORxuP9KK9
4drDz//guwFRPsZKmzwKy69yq/5o8HDjj/6HstssBumLP5y/3If0hTV+7AhkW/3hsGwhN9p4fq/n
P+0bfqxyEHPOLAstihp+mLgBRbs42r2dNjPkUSyg1tGQb5ApkBwSofgmZPE7wC7LPpWDzumR5TGl
bpLHR8lMsZYGnJRic/1OEs6EDQXPP/+8zZ49O1265nkRDiBNFLosEC5rI/Pss88mU9FmXEwwR2sv
2qqKc0vbq/IRaXk8jD/mA9lcBtpQMlXy6FRB1ZxJP/JEw0ZsV9kcDS3OZ/QX/UR/UT7KxHaUH00s
VbL5fOS2836VjaFouX7uD91cBtrmzD8+dNyBsd/pV6nAfMDp7u72K7cTrcvvsT399NO4GxRDPR7/
We60cfUvs5u/d6n9+N4XXXK8HXzqe2zhAoqZ9Xb7t79mT+xyup156GzM2Io7L7Jv/HqenfeuQ2yc
9/teetyu+s637O5n2Zhm2UGHzbDHHjQ77cOn2HZj2EvabeqMadbft842sPH4J7u6f+em7cYvStRq
/sGtzwk5tPntQev1Aqxg9I+fYNu5zd4NxckZan+tN13xp93WvdguuvwRm3PsObbP1h5fOh5rdf1a
70v2ooc1doJfTXOIsSTCKN9y/Vdi/mOI+TEHTzFFnmiRH+1sajsez9Ff9BN9R/koE9tRflPjkl4+
H7ntvC+9keJcP/eHnVwG2uYc/+gL8pxDl7/IEy3yZWNzcJzP6C/6ib6jfJSJ7Si/UWy+zaQrXRRN
6fK+S5S1TZFTOg5sPal44sqY0+plTb2RxOrFWvyLDajKKFLpQ20SL97YtGQz/MxDQeMDT/GRNe1t
rhHzQpt/Nd97k9SQg3XldevWpdtwyPFigcWX6Nz6QzaCeMLwRmsv6kbbtOGN1h6xR5u0BbEtWsTi
g7EzHFTJi1alKx44tqOs6NDUlrwwvDjpouc42qA9HKAPKIdqJ2LF22j9yb70MBnbuYtcXn3J0Vce
ZEexS1ZYvqRbhSULfiXnH3+Mg2KLQosXO0qnf9AZP36cTZs2LT3HNXVq43a+xq1xYYNX59g2e+n2
H9m1axfYO9/9TjtibpvdecVX7ealPBfmJddLq23J2kYltGHtCutZujbxavacfe8z37Z7nt3N3nru
x+0j7z7Qltz0oK1etdLWNz6k19dlsY0VfvGdgCrLN62bv/lZO//Cq+y2J57VF3rqeooV+cd/drUt
d/m9dvX7ixkg9+trLrXltX3sTYfP9mJLx/KALX3kIbvrlp/Z1/7xQlu201FeQG6b7P8hzn8cdj2P
TlRb+RJGvtn8SybqRvtDtaWjHCI71HEQfUlXuMqPeNJDJrZznVxefcnRVx5kR7FLVli+pFuFJQse
atzSrZIXTTIRiweO7SoZaFFGOqJp3JKLfLXFA48EZFs5RGeoPMiPMPKyQTsH8cCpAErFCmWK9/zB
dDBX5P3N296n0PGXiyee8evzJa0Sox9e2CuKqwK3tfu+6r/c0Ey3rcP5bj9h5JJ+R91m4gX9ttAm
NkaQgKQpcRo0DNpcveIZETCTqE/asR1l0NGrsD74PcpGG7EdZRSPbEaMZeIZTXz4EURbtOGBBTEn
OT/K5nbUx470ZDNieEAuL5mcTzySFU+ysiMsvrDoVfJDzb/0ZAesHKoNrnpFX1VtdKrsS1Y2o4xo
0tUcSSfKqh15il28aC/OKXzZlkzkx7b4OZaP6BOaAHlAemonYkkXjXXOccHtfOTHjum0cRPG2jh/
YH7K5Il+p46rYOFWYbAd7fX1+DG84DT7u3cebfPnzbej33mmzfJ1f8eDS0sxf0yg3BnwwyfCdr/q
xPNf3UsetIc6O+yw955me287zabPe7W975wj3O8G6yivZGksYF8ocl3Hta5t7aTT325nnf4G2679
Ebv2oq/bl65+1Po2irffHv/Vt+2iW1+wvU/6kB08szg2o/2+FbfYZQ/02CFnn2Bbp+c0Cje1Wrc9
t/h+u/+Rx22F377sWLPSnnu+8RiEgom2aMc5Reb3af6Jj3hizBqHMDxAMmonYklXO/KwG8cqmWb2
tJ7hK2fyGbHsNMPN7EtetuirHTF0xU1bIBn6tCModvEkC9ZYJC/bkon82BY/x/IRfcq2eMLoqp0a
/hZptIkn+pCccC4PXbS8HfvYjWOFB0hXPkXTeKArD5KJOBkZ4g1Z2YztRPMyhr+TiYRspgKHIift
K47LqU3PSlEIie46jTZ7kBdsqRDz/VHFGnYogbxPYVSGUrfpzNAufKYY3adiLeJBULFgU2pFOxH8
jRj5mByUi8WrxLPBAzxovmHDhoS16ceEJyF/kwzBiC+eMLZHa0+2NEj6XKYkFtoTJ06s+x5JfMQi
W4pL9kRXH77yAeaEBw8MqC094qENVhs58bEBXTbFUx+70ofXDBSfbIEB6cqfYhBfMkm44o04FIvm
X7YQz+3l/mQy+hMNjG148gGWH/jwlFP6gGwpDslo/gup4j2PB1nRkFBbtqSrfIquPvwY6+9q/omL
8fLBgqneaqutba0/4Pnyqm57YW23dfunv+nbTLcO/4esxpGPX+Od5rcfe/TcSF9v2gza07z4buIF
Fj85UR93v38V0H1ik02rrW2czZ7ckQowLpP3cxkfneS38KA5c8Met7yW898+2ebuXvyEzC577Gtz
f/gFu+yu62zxkfNt/njNf4/deemX7cePtdsbzv6EvWbOeOv1tQI05n+NXXfBT81mHG1Hzety/4qR
WMbZfiecYQcS77rFdqFflbvoP7exP/vooTahXBONqIrjmPwqb79v8x9jpa34yAXzpHwXc1TMBXLQ
RaMPaIxFb/A7tjTvOi6jfG5PtqMMFhXPYOut419zpRyTH3Knfmv/1/FfnF/Tn0tk32ET8T0GYLth
ffn/ot6CDq2svhL2PhsPMnASYIcGtmjoW4jeTrcZy6vjae2ymQClavKdHEIXD8Uk5dhp8NOLrvdT
vE6TLRfl+liabA4uJh2sA6005Zv7Vum5q+nTfUP3ggB+cUvDn5fwh6YFPEuFrOyInvenTp06YnvI
6mCWHW022Kc9mvhkD1vYzU+girkKM250hCWjA0b2quKUrHjqCyvn2ACExQdLN/LUFkZObclX0eAh
x/glJ6xY0MtBtoWlU2VPupJRP84fvuADyqv84yPqqh311VY82JEebUB2acsGGLk/lPknXkFnJ0VX
m115+cXW3rfWXlryvC194SUbt9MedtLRr6/nU2NFT/lhT2nzKz5tncUXHdL81zqTva708avw0l7v
9Nuql1ZY+/g9i73FPw22t/fYU89vsN2njE2+nnr0Sf+cOM4LMO4pNtYT7THsN76xyT/W+/uLL1ok
Tx7PpGljfcPzb1s6ATnm67GffMOufXyinfrRj9iek/tTsaXxaM5X3vtTu6enw4486QD/urUXmclg
Y/6RZ3dqHzvHdt3FbNHKDf7sl8fi0cL7Q5p/hqbxx1yqLYyc2pKvosXxS05Yxx96Oci2sHSq7ElX
Mupr/ujjC77a2JV/2lFX7aivtuLBjvSSUX/DnviyAYb2h3L8MxbFrrFAU1s40iRfRYvjl5yw8o9e
DvIjLJ0qe9KVjPqaM/pDzX+SZ7/iypTvDj5dqZ5JH+6gpAIoScFOMqmX6OVuQLu+M3g79ZFyvq+L
ol/uHfQLQwgUIHmc16Gwg3/lId0rlCwY+RSwK9EvaanUk5IGjyGSpBc/asrD8suWLUsJYpEKKLzQ
g4cMspow9AH1pbPTTjuN2B6yikP6YNkm9tHEhz0AvTRhqdd4YzEI5AMMPfYlE8emvIgmLFlwpGEv
2lRfNOQVj2iSkZ1Iz2Ulgx2B5lp9sGjIYy+ff/mMvqQvH4w9H7/kJRN1xAOLH2mKCR3o4smG+pKj
H+cIm3pJJ2L0/tDmP8XrxyZ55rhbv+p5W//yKpsw0GdzxnfaC49fb6uW3lPPlfI6aNxemHR2+ZWx
m6+xOxe96LcnV9u9115pK9om2Gv329GLJn9YfUO7vfyk/2zD80vtjiu/Ylc95B+yxnLVbMDGzt7D
dvWi695Lv2k/uekmu+r8/2OX3rzcc00hVuwL+F3jP9D6/PPL7AW/fdmzdpU97/3VvcWx1V5b77/D
94L1+jG1/vnH7KbbV/ok72CT/FuJQM+zN9vld6+1tim7WfvKh+3hRx6xR3/9qK1Y2yg6B2qr7K4b
HvWvX+9l+243Jo25Mf/99uzjj9uzq9d7gdVvK5++xW590h+HmOTPuZX75h/i/JMbHQuaWx0HWv+S
AUuGtkDHi/pg0ZDHTuv4L7KT5zb2lb+Y43z/i7wqeexFm+qLhk6+p0tGtiULzmUlI99gzXUVDXns
/F7Nv+qcevFCUQQUBVhRS3lBk7YGx6lgosBR8eQGUrFD31/Y44U89ATo6+UE2tx25IUcL54fS/TS
LjwgmUe24Pt1N580p0tWceHT/aXPtEqwNiFNXLLnA+VnH3bddVd79NFH0wPq/HgoV4qAVatWpR8x
femll2y33XZLt/f0VXH42MJ+nOjR2os2Ylt+ZO+xxx4bMj7GwO1HbHBwgLVgZVe5IHYAOqD4kact
PeUMLFnksQNEfiKUb6Ijp3FEedmKfHQAaFV8xqS44CMnP7kuPNkBa1yiJUf+Jj31kYuyVfbh62CP
cciGsMYdZTQueIox+oiyuX4+p/iJ8dMmLmzksrKrXChGxSM7GjtY9tGBL1no0HJ+IpRvyGt8GkeU
ly1k4AP4LKwW9t96ypn24D132G1XXG1T+nts6sydbaCT7xEOPu4UH3Qunff2ejE6ocP1zrcbUhzt
dvAp59iek/x4qE22BUfvY3f++Fb7zvm3ms0+wF6/7+N242LPpRdrA23b2KkfO8tu+PHP7OG77rKJ
uy+0U/Z6wq78xQp/YJ3jibW03u6++Jt268tE64XOoz+2bz5Ss31O+aAdO2+CtW1Yapdc8H2/Deo5
8Plom7K7vfU9J9g2flmecff3cAXM1+faO+2K797pjgncbMFbzrVj/fGGNJ71L9iSnnabdtAeNoGv
M3qe6nNa67HFP73CblqjfcdtzTzQzj59P66//UHOP+tWa5Dx5+sDfuv4H7yns96VM7X/UI///5Lz
z0Hva117JXOovUD7IPxUGHFLL4Ju8YnMH7MutmyXwm4QTjYkCF1t3zeor6DUdekVygXN46vz/EMp
hVYdsOP9xC/abWOmzqotX+Tf6XbQ4tQGHfsczPw9N75yzk8/xD/tw6/Lc+WIwkcnSukmw/6GTUDJ
YwENZW/HHXdM9thYpANGL57QxRvOHvGNG+e3PfykJZ0UUPkGTaDxqx9xrous4pGNqK82GJB+Onk6
TfrgKAtfIF36UabKX9QRX3riCSuW2JcsPOlH/5IVhqfxQ5NN6Ua5Kn4cD3zZivrRZrP5r5KXb3D0
I3uRH/UlG/lq57px/LIR9dUGA9If7fzf5cUNPzrMccexyAcevp27fOULtuj882360qfMjj/edvPX
Aw88nGQVD37lnzZ7TxvPgvlPL/T4Ty3YmLH+Mwx+286PNaCDW5Z9G2yd13kTx/rvZPmu46d761Hh
19tmXX5FjRF5OWh3XfrPdt0TB9m5f3mkjfeiDF8dHWP0yEWyyVvNCzJ8tPEDrv3rbd16f4i9fbxN
8x8/HfCfiOCRijT/nV02Jj3/UKgqZ/29PV7wab2NsTF+W7TmV7D6sluWyPOsW++6tbaeq2rt/i1O
v/2ZfjvQ9WWvHhixtY7/eg60ZpWTuHZizmjD0zFLX7mVLjRANnK+fIkvW1E/6vxXPf6LLBZ5jPlQ
bmO+qmjKr+yAZUc02dCcxL5kcoys5gyebEpX8vKf8+VLfNlCbu6+R/qjD/4B0vcfbivWeBTCryzx
IY1fiS9+3qHYhdKmxjHs8TizcKurUKkYg65oShz2mEYx1pCh2CqKKRTxk0M1vaFXyNMHsJUKrqWP
358OCCUpJiEmiNsYbPa8lCD46VMpn0zLDbswX7xHm8mpy8s+B49s0kaWF0lncwTLT7Spdm5bsSk+
8SkCsRWLN8UCHsqHfFXJy7706Wtsokk/8kQDI6dFRj+3CS2C7ESa2uIJQ1dbuEoWmuKObdEilv5I
MX5lE6w4RE9Mf5MP+nlbMjmWDeSrIPqSjGjID6ef28zlq/qKXf5kQ36lIzpyI5l/Cq7DDz+8fkzk
9mUPfOONN6aCi3b0G3UiHTl4ik3t9BD9Rmt6nd3w2a/Y3VNm2W47bG2rFz1kz/qVpt2Pfa8t3Gvy
RntatDk4Hnwmivut9q+4wFWQ285lWHmMgVuh7iGxNW46w+knhfCWy1f1lbuYa/kSL5hMeR/J/Esn
xi+asHjC0NUWrpKFFmNTuwpLf6QYvwC2AMUheiL6m3zRz9uSybFsyHYVX7YkI//IDqdfZQ9atJX3
c3+yIb/yKTryrfnfeM7J09z9jrT2MeM93/6oAlVLWkNNCq42qhlfYyy3YsmVKXYaBVdOg1sWQkmQ
LaIOCBfrtU4qG3kxNZhfrVfX8WGEx2SJt9h0tShYCFoQGKZw0RUs6AIKGQomQItHC0w2JSssOn+b
UcUWPPkDiy5b8BUTfEDyyBIbsUgXvuJFD4CHPdmM+vBFl4x0ch59QPbAgMavOBPR33I50fGjcYo2
FFZ8si+72BAoFvqSV1tYesLQ1UYHkA9wM0AHvvyrLb+ymetDByQnH8oFfOlKBnnkxKNPO/cJHYg8
2c9tRhl05AvMC0AGiLxE8DfZk4xiUZzN5ETHpsYsWhXmm73XXXdd+oFTvg3McaN48N3lf0uQK7hg
vkQikAx92sIxbtFFU7+/zLVyl5Rtgu1/1pts0uJl9uLL3bbNHofawXvtb7vP9itI/rMMGr/8ymah
23gvU+oxNeYJrnKBnnRlC77yCg8A5z4TA56/tDdpDLnNqI+efIF5AfIVeYlR8kSHplgUZzM50dHV
mEUbCsuX7Gs82BAoXvqSV1tYesLQ1UYHkA9wM0AHvvyrLb+ymetDByQnH8oFfOlKBnnkxKNPO/cJ
HYg82c9tRhl05AvMC0AGiLxE8DfZk4xiUZzN5ETHpsYs2lBYMci+/Cv/6CoW2pJXW1h6wtDVRgeQ
D3AzQAe+/Kstv7KZ60MHJCcfygV8/jVkaBX91KJZxumNglW/nUf8SQDRxC4a0nc+ulwBI47STnHF
zLtpuNhwSGakB0+2S7YfdunKVcAFp/GeLJWHZ9tYv6W4xK9waeANscGtyFdbWJIkiQJHyYeuhCuR
2gClIyy5HMsGegBXr/ALIAsdWrTL5EGrghhzbEs20mJb/Coc5RQPNIEWYYxX/EhDPtqKMrQ1Lo01
z1Xkx/FHm1U+oh3FnONoQ21hyWKnNf/FeiQ3gj+2+WcX6vTf4uIyPJ/eWI/8Rldr/otcxD2KNfDH
Nv867oW1zlvz35r/Lbn/D7rCReWTPlQ49vNM8c1FVl7R1xpMfXXqz3E19uJ0pYtbifWiCn3n6/Yj
hRF7N33ajgZBKkOCvTqzlK/3vYGPWIa4WvpekE4OwtLRRqE+WAcZmyxAISW5WGxw8AGSRwaQfOpk
/VioiR+x+NhSQSGa5BSLxqI+/BiD5FW8SA6sDVPtOC70GJvsy4760hVdNuBLRj6REQ0ccwZvKD85
Dz9AtEdfdOWJPm3JVelAAyRb9Ip3xckYAGxJLuYpjoV2jEPtqK82uBnEMbTmf/AaVE41r8Kix9xt
/vwXv7nHPLXmv1itynfr+B/8O4LaL+I6VDuuH7WLbFa/xzXcOv5/l8d/40sbr8Txn9YQ5ywvKdIz
XGVt4SdIXyh6UQQVNYefBYsFhALN+rNaJT2phPOtXxmr3/bz0yhXutLxnK6YlTp1G5jGLoLJUOGL
9+IU3OiXV7UUDox0S1EHgJLX0GhU7NBUKGhz0QEgefpRRnbh68CTLDjqq61bgPDR4cCSTewhJz+y
gRw08aHTjj4jD74KFvmNGH8C2VYM0KEJZFcYHm0Am/R5oY9PaLIvHWSlg6xig874eZ5NP78R5dTG
Ji/10RMof/SxK6iSrbJBrNrclANiBJCPQD/KRB8aVy6vvmy15r81/1qnrBmtX61NsNYZa4c2cpEP
nbUX1xx9ZAQ6xkSLWMcnsrKtdS2a7MiuMPK0AWzS54U+PqHJvnSQlQ6yig166/hv7f//Vfd/1j+g
/aDoce5pnMf84ApdnZfFL/sUThz6KojS6d1p/l+3AwvbpQfkkl3s8JKdgl8UZ+IVtEImyNJMDsR3
zLHNtxSfeeSetCkkEd8UOOgjxAFrQ4Cft6FJNvKgs9FoU6EPSAastjYb2ZEcONK0Qcom+oJoQ3bh
xbb64GiXfg6yHeVyGv1oP8pGe7le5FW1c/mYR23e0VeMQfZkQ33JR1nJwFM7l6ef60Rb8GNfbegx
bvqAbIHVlv+oCw+ItNb8FznViTwlyN+UR/XByp9oymOUlYzyL1mw5GnnOuJF/VyOfmv+yUJjLpS3
gtr8Pc9rzCPt1vwXZ1HliUxqDUcMPa5d9cHDzYVsR7mcRj/aj7L4EOR6ojfDufx/pfmff+AxXqCM
8/nx+3Je5dT8KpN/TzG1/S39L968rStQnCvChYV6kVWR4KJwUt2QKqR0pQvR4jmuoFTa97NjyfPi
qaQ1nutymv9LFuPtTMVDmBR+HLRaMMmZB82C4aUJB1PcQFORI1mFVSUPD/mok8vLFzh++os6sg2N
WJDjaojsg2UHPm3R6IsGBkSLbdmWjHjC0gHLFzxA/qQrWXgaR64nWWTUlqxiwa54YM0VfNrwpYMd
AbLSg5bHKx3ZifK0JS8bYGRzf+LLh/qSh46e/NEXYAs5+QK35r84gZAv5SbmtDX/reNfx1br+G/t
//l+rL2VNaJ9A5r2WPG1H4O1p0geLPlIQzb3J758qA+OPtSW/ygvX+C4/0fZJO+nbjebQI9ceUA+
uFyyuk+BFaEoqlAubikWBVgstjwPrpOKpFKxUYj5ucu36oYNBJyGDz23RbAxPu+mZ7iomiMwcIF4
SgqJhAbmBR0MaANQP/JEk92I4YnPJXTa8qdJFh+6QPYjTXKa4MhDT3zZUB85vXKfyIoneWHZEZY/
+LRzOdmWvPqSk06VnWgzyklXNsGiSa6KJxnNsWTkm7540GSrNf+N/CpnwspdnCvxwJpv0dTXXCjH
VXaizSgnXdkEiya5Kp5kNMeSkW/64kGTrdb8N/KrnAkrd3GuxANrvkVTX3OhHFfZiTajnHRlEyya
5Kp4ktEcS0a+6YsHTbZa89/Ir3ImrNzFuRIPrPkWTX3NhXJcZSfajHLSlU2waJKr4klGcywZ+aYv
HjTZeqXmX/EI6xmuVG3wRimQag+vX4oSpCCW7cSGArssjvKiy9n1camYKuTlIAn4m/eT3UBX2VR8
RvZkIesvwPNVxFZ0C5oXXMjEiRSbhSCIE6BJyjEymghNTJW+Fli0KTlsyq5sqC8Z0enLBjKRLp1I
oy3fkS+7YOjiafyyISy5qBd5kS5b0lFfGD1eESJPesgonigrv8Loqi056UUeMpLLca5HHxmB4ssx
Mq35V5YKrBzRo62+MDmLuZUcWHRkaWse4Qmgiw+ObclIL/LQy3XVz/XowxNgB8gxMq35V5YKrBwp
X+oLk7OYW8mBRUeWtuYRngC6+ODYloz0Ig+9XFf9XI8+PAF2gBwj05p/ZanAypHypb4wOYu5lRxY
dGRpax7hCaCLD45tyUgv8tDLddXP9ejDE2AHyDEyW3r+o08fqT8wzw+gum8YhJQ6jdhUTKlw0nNb
9b5r8kvwksNM4vFL0BtBw67GWvh0QVgpD94Ap76/gQGZU97ol7z00LwMkjQmiMRFgKYJQVZ86SFL
WzLShRZl4EcZ8aM9+IoBviYRm1W6omthyXeOFUfEsi9/8g2Wr2hXuvJJX3JqIw8NEA3MK4fIR0e+
ZFPyXDkkDzk994V87geZmN/Ij/7RVQyShwbID/K8xB/KFnqSpw1gP45B/GgvxiBf8lOlK7vKXXJU
8SYbEcu+ciTfYPmKdqUrn/Qlp7ZyhYxoYF45RL58IyObkm/Nf5G7mJeY05g75SzHyn/EtFl7rflv
5Fe5iPnTmlbO4/EqOXhxfqBLXjLwo4z40Z7mEhp8YWxU6YpOjEMBtoCIZV9jlm+wfEW70sWO+MLw
aCtX8hX50CJIR1i+pCPZ/7LHP0WWJ4F8FOBz6NVSyo+SA4tyxX8D0JnlLT5veiVVG3BZ5xXPWDnN
+UWfdjLl74VeIgx6a9BVsCVdnttKLMf4VptG+lakY8ULH0AmkcPfUmTSeSaKP4nBBPM3EvkTPvyN
RH5kMS4GbGhRoMdBIT68CJID88OM/EmS+LcYJYsd/PJtPAC/zz33nL344ovGDz3CB8DYUlu+RQPz
Qi6XFR0cDwzZkm7kRRvIyQZtAH6MQfLCko+40Czepc/YAeQEassWdGLTJiS6sPSEq3xKtgpD07fC
om+ND7vQmUd+XHPGjBlpPsVHn3lj3bB+uru76/mSPdlAFgDH8cgWWHyNI/bVlrzsgyWPbdHVFo5z
LFvSjTzJIwPIdtFrxI8Of9pqypQp9fUt38g+//zztmTJEluxYkX6k1ZRXzkXTVj6MQa1wTnEHzyF
p1hlB1rUj/yxY8em2LfbbjubPHnyoLwpx7LJn/fi75aCX3755fr6h59D9CGeaJMmTbIddtjB9thj
j4Tj8f/MM8+kv92Kj7Vr16a40Vf8ais2jVFYfMbCH7fn76jy58KkL8y8AdrzmJ8XXngh7TmyEW0q
9qTkb9iJMciusOQjlq7so//bOv6ZV9bFzJkzbdq0aXXXik9rnf6iRYsGzavGrdjryt6INNrKIzKM
5aCDDkrikgMLRKOPX8YPVhtb0MTP5WUryosGljx80dUW1riTkzIO6Uae5JGL+55yqViRA4Q5b3H+
GmoflPxva/7j+VbxpiD9jfhY6/H8Suzai2LeiI9xAqKDkecV+UkovElOerAUF38SUH+TGTvx+EfO
ZxKEU95Sk+KJwif9DpenHBn/616JP6gwqhdbLqMH6pMF+uj7mi2LtJK8EV3FGRhI9mk3ljKGEm8Q
jnxt007zbFn64dMnHryjUCrfOWk+8cQTNnfu3HSg8gefSUgzUFIjXwmWHn3+9huT/OSTT9q8efPq
G0CUZfLY8BYvXpz8c1LnV7YB2cr9QK+KoUoO2nCyUS9vSzfGLFoz25Gf22vWl47wcHLD+cYOUJXD
xBjhG3Y4AVJAsEHvsssutvXWW6cDknWTz9to/cXxNmvHUCUjHHmxHfmxHWVG0pYuGIhrj/Ud88KJ
Dv7KlStT8UCBwSZDUSb9kfgcqcztt99uJ510Uv3kjV5VvFX2iJ0TBMcmcxo3aNlAj6LxF7/4hR18
8MG2++67D/pV+yq7Q9HY7B955BEj7te97nWp6OL4f+qpp+xXv/pV8rHbbrttUR8UX4xHJ1WtT06M
jz/+uO288862zTbb1PecPH7lAgzE+acvPm1BFU28Zlg6wsPJwa+S5e/V8gGIwpV5jSe4KE/O+ZNQ
zAlFqv7kWjO/kY4d8knxzYd2PqB/6lOfSiLKb5Qfqh1jataO+pIRjrzYjvzYjjJDtdHRvhePEc2/
ChKdvzh/ai0Nd/6s8qsYhatkoEV+3la87NN84OCYJl726ZGs9WY+c3r0Kx40IJ9/6Ow1rEnlUR8U
kVXxhtzuBx9ffEuxnYswbi/ZLH4WxgVL2/gpfMUCScUXMbR3lMWh14wUX0WxRvnDVTAkcpmCpnfJ
pL4eiBdTmPKIEP0flvlfhuVXSbxTFn3+0HxRvsWkcdKYO3duOjmQBCauCrRpVfEiLdqmgKKSJeEx
0ZLngIXHxsjGhw/8Ewd2gNiWHjRAMpEummTEi3S14Q30elbGFBMa6fCib9mLNMmLV9WP8tiMIJ5w
5KldxYMG4I+csXAByeZzhZx4STC8iRdIGzU1j8uXL08FBAK047ytWbMm6UV7aoOrQDFpPMjkOpKJ
+pLP7UZZyUhPslFGPHAVPdJkL9LIC7lWXpgHihSKLAoU/Z5a9LOl2vgl5xxfo51/ckExCHD8x4JL
8SHz8MMP2yGHHGI//OEP7Uc/+pFYm4VPPPHEZJerXRz/FGEUdPjgtSVAPriCJ1COyBt7DidIckD+
OCnEeZVOpFXNf1xT6FT1ow3ZFRZPWPSIq3jQAPwxHo0N+uzZs9NYli5dahT9AHzGqS8pPfroo+lE
zN0HePz2k2wmhYo3/PCnpLiKhl9sUbChp2MfNXiypTa4CpCTjPjqS0cy4oOj/Zwe9SIv0tWO/NwP
MpyTgGXLltVzmcuxlnbaaae6rM5f6GEjl4cuEE9Y9IireNAA7Mf5V7y/+c1v6vES+1w/v8NDnrUe
QTFGWlUbP8gOB9Ge2hxnrDM+5MW9huNfa7NutxybO3MS5YyPlXXi+rpdqKtQKrrqumhIn3Yqfhpc
6TUoWHc/5bAooAb9YWwJkm7savylfIoNmWSiIPLNRRVi/hc6OtMExUlUwcUBqQQJJ1vuRPJxMFEG
OSDSkMUmn7KosGlXARU4mx/yeiFHO20Ga1+2/nFTbVxHWZ6WRqIsJPmGTlugPhjoWbPKerqm2KSu
mi25/1a785Y7bdzr3mXH7zGlcpy5Hfq1/t/YpV++xQ5678k2Z6znx2+NdpY+87jU7/nNnXbNbXfb
Y6v2sg++51CbzAIqY8oxPvIxJL9lTtRGJh83B4agyq5okgFjg6tV8+bN2ygHss+BwjwKuErAp2js
yaZkkYl08aWb48hXG8z8A9iN44IGX7KSEQ15AbSquCJN7VwWG1wtiLenoMkvMbG+ueVGrNhhPe+9
997p5MQte40BvS0JiiGPPeZJMsL4Vxs9CkNinz9/fv2EzHFKzGBu9R177LEp7E9/+tObHf5f/dVf
2dy5c+2GG26ozycF6tFHH51s/9M//dMm+ag99qgN/MV5Zk88bv/9pLem/YQrOIyDfORzwFV19hw2
fPKR51A5isFIDpr4YK7iU3hjQzzx1b/33nsTj5Pdfvvtl26zEJPkhDl5czsQkD10KHy5Zc/Vf9YW
J1HWJVcykEefFzqMiTXJVReB1gQytDkhczxzW5wrVAsXLqzrS6cZZu4oulgfWt+KX3n84he/WB9b
Mzuif+xjH6vLMn59EMAmOcKW7EoHLJ+iIfORj3ykPg5O7spN1P/CF76QVCKtWZvYuAJIgQpoPck3
udT5Kwn4GzzxoamPD/XBVfMf9SQfdeBzTMb9SLHDwyZFNnuzYiW+uE9HH9i++OKL7cwzz6znDb5s
wldbGBqQ93MaduSLtUJcfLjSWkxGsrd0NSrlqchVu1dIqdahcOK3rkrgKpSKJ7Bi0dUp4YJX/LQM
qpKTHacwQTASKcUb+sm5hLla5v8KmZJYqNV1sR+hc9zkqakvBpPCAccBRCJ4aaIQbPO/yv3kHT+3
Ox59znr8U9CUvd5gbzxgZgo8Jg6dmGAlGj/Y5rksADmSz6cjgDY8+Zdv2cPHkhu/ZvfN/6C9aT5/
Sbw48fatWmndk7exSf6NA2R7lt9mF131sNXGFIslGe8x2+ukM23/mcVzYugS17M3fd1+Mu3d9r6D
/falLbWH1s22w3u5OtMouJI+b31P2Zc+/UNb+JcfsXldxTNVZt1268Xft5458+2xG//TvnPPb+y4
D/61HTit+ATQ3/uC3X/bw7bO3Q70+iVR98ulzXFtz9mvn55pb37zjkxzfeE9/8B1dtUdS9KnzGk7
7muvP+ogm9FVxEq8ygnhaPzgvpX32HeuWmFveNdxtq0vuoGep+2aHz1vx7zlABtb2peu8ql5wRaA
HYDNmRMU88HJV3Mb/fHplrWCDeicAOK8QU/2B561qy64ww54+0Lbrqvdnrjhu/b41kfZGxZsY7XV
D9kPb++w12z1sH316idsnOvscvxpduJBc9LPmeTxEodikF/RiBuadNRHPsXhhKq2dJAHoox8FJwi
L9xSO+KII9IJWnkB62oBeWENkzts0ebTJHROSG3tfXbfD863Cy++zFa++h/t6+ftn8wv+t7/sFM+
9QOrLW6zI//+C/b/n3e4jW/sKQqhKcYXcWiswlKAp9xUzT/yPF/BnALY07EJBvi0zglnSwLFAHaJ
CT9cHYG2KTCw5mWr/f3fWO0/LrS2j37I2i7+nvn9rRSzrrowzpgL+nHPy+efQuazn/1smjtOVBSE
06dPt3PPPTflizg1/7R1dQi7yiFjAxgfbY4pji+uPpFzABsAepITTTHBA2666aZ0Ve64445Letw6
5NYsdiUjjDzHJcencsxaxbbso88aJRZol156af0qlXxjB+AqLWsZG2AKNd2ChIYP6SiGT3ziE0lX
dDq0AWRim+NFeuJjExqx/fmf/3nS01uuLx9gxqW+1rBsi4492lUQbcMnhxzDxAhEm8QIaB+Eh13N
Jbz+/l577tE77Z5777e1c95opx22PeQEmota/4t240Xftl8sXmW7vf4sO/WweenDO7Hwwo9kuV1Y
tR9hEFnkmHvWN3EwP8SueS48N94vueQSu/BCP3Y87re97W323ve+t8EcovWNb3yjHhNimi9iAISV
c2iKCx5xAcRIzJJPRN78fIklz4CfKz3PfpuwAD+X0nYbxdUu6Ej5+nIxFV/pKlWpIdupCCu/oSga
8jWthSL05DuppiLP7cs1nhhfIpXnmFInjdMLQtmtlcVhJ0+cxQlkwACCdWGMOmDENiyxq39yh63y
wF570vG2bkWx8Or8Uk6XBpVgMC/oHJwA9pVcMC/Ji4ccNPHod3RNs8njisvYtf5V9tht19rlP3/c
Djz1XDt216lJtn3GIXbOh16H+CAY8AXf54ljUd/9y7ts2do19uIzfbbyhQvt3+/3h4V72u2YM99t
h87utN7+YgOMvtcuftBWTz/YdhjrNtxO/9ql9otLLrDbV2xvx58yzzqWr/bf2tjBBp68y+4es43t
s2An6+icYDvuvIv1hkhqHWOsd/FTttWrjrS9522b/viv/gDw2pWP2bJtjrVPHLu13fLNr9i3OmfZ
nx21Q9LOc6GDiBj7utf6ray77LJrd7Jzj93FOnxul/hB2zvQb12+kpRbYYUT+9jhWQwOYjbSX/7y
l2kjjs8dIQ9ofUQ7tFlPg+a/bSvb5qX77dEVJ9i2s/35gZuesLt339uO33u6rXj0Dntuwhtsym6v
tz8/4DSbuOE++4fP/Mj2XfABm+NXHAH8xTmgjQ/FHdcv8lFWsUoWPvJaX9AjLx9TtMenRPJBXsgP
z65RGKDPhhHtyC6+9KlfMn5KthdXjrW9959uX15R3HbFT+e2J9plN/5vm9t/nR0196N23Tvus5On
l0cwAsOAYtcxLH+D5sKPuRgnJmOf3AFg2RMNOUD01NkCb7JPnIpFtGbmH7vkL2zhGZ+xJ3xr7djx
bLvi51+3hb+6wAb+9m+s7dDXWMftd1rbDnPq6jFm8oJ98oS/OK4oJ2WuHvCJn4LmnHPOSXP9r//6
r/aZz3zGPvnJTyZ95Vr6sgnWWsUecgC397iaxG1mdJAThi855UEYOU6W22+/fdLZc8890/riVilf
PuBqEHmUDeTpKz7sQJM95IhP61TFFCdbQR4bcf785z9PccBDR/oaa77mOMkj++Uvfzlh2QZr3O9/
//uTHfGIUXOkuOFRROEH+Ld/+7dkDxtV8MEPfjCR45jRRV42P/e5z1WpVtJkD6Z8YpsXdmUTfqTT
Bpj+DRvG2/Y7TrOb1vWl8SlnysMjP/yy3TXrbPtf75lh13zqX+y62efZ8fPGJ33syEfVfsTelB//
yMu2dBU7RrGpPh8iADBXfS+//PLUH+6Nq2YaIziff2iisxbxJ59g4qqKreZVkWuWF7M8h/7fNT0c
2tgs5yFd4fJxpO3LiQGSr8R3WdT8X2HD+yU92dUSEsYGptTHWQnRBqQ0FrFdPtmXHgJlsdbZ7Z8s
maAUVLloNXjwRuA/sz/eF9Zqr9g6PAC/IZkShdzVV1+dPnXxqYdPeZyQTj755GRbk4Fc7gseNE1K
5OuAQ68OXtE+89Ct9rO7H7fbHlpucw9caB/8xNtsxth+6+7zgrFvmf34u9faC2PGm19PqKv1vfSk
/WbdIfZhrhz0j7Htd93H5k+ZZmO7Z9nnLuy1P3n/612eKrvHuntieVSYaG/vsbuu/rXtc+IRNoZi
y/Oz+pmnrXfWdjZx3J623dbtduMVz9px7zrLtl//azv/0sdst1dtb+MGxtjWs4vnYxgbkBbfhq2t
7cW11lNukNDTwec3fSdMnmBdY6fbHvt40bXax7XkJjv/qkXW9tJvbP6Z59khnQ/Yd799va3p8BP6
zq+3d7zlIBvr0zV+2hwbuPf7dsven7BDth3wq2hYbXx6LnrFuzYI0RQbD3lyYtGcscHFtSA9HTjo
w0dfa4e25q5W67D5B8+yyxc9a4dvs84e7fRPwY88bWtq8+3J+9fbgW/ZxsZM8A20f71t6B6wie3b
2wS/MgnIRuqEtxiPyIpL/SocZWhjPwJxa9yRTpviipOCgJNIVRzkJeZB6xqMT7NJdtR732Prb3nK
vnyJaGZzX3dYYbptvu1lnp91/mFoRvHhRD6HwtjXyRY52hoLz0Jxe0bHJldo3vSmNw2KX2NX7NKl
Txu+5nWoOEbLYw7kWz7zecltjtnpKPv24v9pr5m7xv52u7n2NyfcaydM8U/w3/wPazvi6Fw85QIf
cWz40thEb7beoFM487gFt/QoMt74xjcOyl90GuPX2ODTBrgFyFrADr4F+fqEF21JTvEwx7TZb4WV
wzj/6GEL/4pH41dftulfdtll9StcogtzZYITO2uJ4o/1jm/ZRw4b0PAR7Z93nt/mbQLsM0DMR7Px
S+bjH/943Zp81QnekE3R0JOujv9oQ3JVGPtcvQILGBsAjq/oJ46/5mf8ufvvZwNLXrKb72vsmbLH
OWbZ4pl20vt3cF812++EOXbBE8vtWH8mLAc+BH/gAx9IfuFxFSvOudrFnlPkldiJTbEqF+hD43Y4
88Y6B/jCTw5xjeY8+uw12NFeozpAstgHtE9q3sCKT7I5ptChCkppLy5RpYfifUSN4qlUUjHFbciB
9sYxltukn2axMa0lwRkUSn51bRAgHEip+Aq3N+FtREsU/1Dd39d4OFIDBgNMgABaWjgdO9gppx9j
P7rsZutxPqcPAc92cD+fEza3CI488si6DU0wkyW7wpp08aJ/+ZWP1GdEAxNsryNOs2NOnWrt/f7N
mN4Ntr6skTrGzLGT3v2B+lXHfr/SQwJ6Fl1p//rjCalYqrV1WVfnGntpxRJb9/J6m+C3366+erWt
91sSq14ab0efsdC25z6cg2J44YFr7dbug+zD8ydab0/xcN9WrzrMjvdCa8lPfmP33bnEnm33T3J3
32bL/V/7tN2KCXMbWvwph2V+e9JfI08u0hu8tEnVuqxv6WN2z6332LU3rbHj3+2fZrufsnVrZth7
/9uf2Db2nF3xzzfafuf+tb3G7x3ee9E/2ZX37Gynzey2qXu83k7d7mb7vxf81F718d2sa0Jn+nQQ
/dLmBZB75Zu+2vlGpRyAdcDIRtSjLZAO/ak7726rrlpiK7dfZ7MPWWgT77vLnlm5xJ5as6MdN9X/
TJNfOb3uou/bAyt7bdvj3udj9JOjhxhtYEd9fGsjgU5fcekEgCwQxygZ6MyR2vSlAABAAElEQVSJ
bKCPvHTysdFHXvOITenGNnKyhQ/ausIV7Sf/5mvFG/IJDbjjS+fZ5cd8xv55bvy4UPCGescXMWGP
E3C0e8wxx6RbWDo2Dz/88JSXmBtsS5829iKoH3MY+ZvaJgbZFoY2FMw95Hh74eKv2j+e9U178nlf
Kwccae1X/IvfXiiuIOW6sieMH9qaQ8krZ4oDOjSN+ZprrknPSvHlkHnz5iW1aAc96QojRFu2wawj
CvhIp40fMHFhl3YE9cExLtrisf7z+Ze8bClm6VD4oYdfXmeccUZ9zNLJMTp8m5T1jT1iQBcMxJi+
9rWvDRprtKUYpMeHmkhTO9rEnuSjrShDG1uKDax5hKfj//Of/zzdEYGucMoOMSiXuYEYN23F2+9z
3+Pz3M5tskCn3b/Bv8Xvd/R3autL+9+EWXNs/IrGWTbaJIb8gXdiGMn8K37lRrF/97vftf/8z/9M
3dNPPz0VdOINhZkPwfHHHz+oDuDxC+LmxfrQGISJARCPPInXeIYLicHHgic0kYqfd4DvXTfFbUFA
2D2nfqrPfHtQXzJc9aoDorFfrmW5TrGVxVUqqpI1VypDU+y6hSi7ie5Cnb7t1A8MiACD1URo4MJ+
zcEm73ygnfGOXvvFs/68VZlI+ByAPOOgn5Rg4rGJLXgscNkGM+nIAEo2dPHUTgLhrdbfZnP22tu2
8S/cdK9bW1/IEukf8E974QpVGmz/s3b5ZY/agWcel54Nautf6QXSA+YPY9jMrbax7SY+YdsvOMJe
tc1Y6+zy61wD/snRJ08x9Cy91f7jukV28of/zMb6ycwDTu76ejbYC08vs4nb72zzdxywp379pE3Z
fjeb39lli35TVIDYiLlVTpglnuciP4y/Dv68VlufH3VTdrVzPvxG22psn63z254zDlxg0/wqUE/P
SlvSsZXtN7nP1q4bsGkzt7LlK1bbwAy/XL2218bPf5O9bsYX7JLre61zXPEcWt122Yj+Un6yGBET
nTZjiECfuHkpR+qDATDzC+6cuYvNX3Wl/ermLpt3/Gtsyppb7Vc/u8nadz/MJvOBp2tHO/GcP7cT
1z1pF33pG3bPnI/agmmNAy8ZLN+wF9eLcisZbSaKuUpWOpIZqi8Z2aev/CkWMHTs4J++1rfWuPSb
43V22cf3s/++5n/YoivfbaN9ikk+FQd+FDufNuOxye0s5AFirtIRHRnZoS092lsCyJN8yY/msMp+
bWCZfXb3He0vn5tsVy08ynbYfZn9dPrpTYstbBCzbNPHHyDaUH1kmENievvb356u7vz7v/+7cSuK
h/5VcCCnccif1l60zy177PGNQOjIaj0Rk2hgtaED9AGuUHL1gZ9zYG/l9o98xWJL48vnLPeHHDRe
+ODEq2feksPwxnhZTzywz5WuKlvYw6eOf65s0Vf8kU870vmwBw0Aq60QsKMrZVFX/IgpSIgvtxH9
jfQKF3axh3+NWW1wbLNW1I8xqp3iKcctuRR351SbM2GcP/Li67XTr6itXpMubCADKG61oUOL48vn
X7rJQPlG/KJLH/zhD384SXzoQx9K64srnSMBXRHDRqwD+CIK64V1oPM/9oiXvkBzNCg/haAPWlJl
w31EoLBSoQVWm1hSMVb5S/JullNushXObZj2rj+qrhqqXrjhM+VZYXDlC7lyrTbiRLIBKswwmO5X
kHgWCEkBZCCfECVjYKDHFx6fxHgAvJBncMA8/9THgcrmjjx24YEB2aaNP/pKNjRAftQWxk7B6/dv
1Syzft+w6PMaqPnVB3/+auy4xhiIHx9rnnvYrr3kelt74Kn2+u184v0HzwbaZ9jhJxznzjxjHnrP
rdfbC14fUf32+AHPJ2Xstrf329O3X2U/uH2tveHsP7X5XX57zW+R1coDgNhWLH3RJs4Z55c2x9jC
s86yml/aHVjnC6rf8+P8Nq+Ie7r99hPCAv9tkZ5uz3mRtvrih93f22cT5u1j+++5bfqk2uPx8pB9
b69fMuYAGzvVdmxfY6v91zpmTfQHmX0Dn7Vt8WOVxDvQ12avOeNku+frP7I1XYdwtkkFouZTIdRz
5/w4/5wQ+Mq/DkpunfCgNPKaZ+TpA6KLJ/ua9wJPs112WGM/WzrDXjO90ybsPMNW/3ixLTjUv4GV
NkT/1LfBC/KOyTbdc9PnP83R1uaPGGY+5Es+6Oc0xaT5B+exQZNtxsl4oGnMcW3KF88pcIVDMiec
cEL6Vh+62NdL8sgBbDjixTjGcsy0Fc8iInff18+0cx44z5b+7Gz/8sboAdsaqz69K1bw3Llz68em
5o8coENfY1ZeoAPYlZzw6KMbuYb8V2nUbvypDfzp++3Cxwfs7f/7P2zhX+9t/3SEX0meXjzoX6UD
TWMRn75ojJt8caKSrHKhOUSWq4OrV69O+QDrd9by+dccR8yYNC6e32JNcKtFNMWCf2jyG/vQkcMu
Vywpmh944IE0d9yipBjkzoLGgw1e6EAD537Ux6bixSfPcCk26GrDo3/dddcl/xReAH440cJT7LSV
G+LCBg9XCxSb5HlAW37QBYSh0xbWlR0K32aA7Pve9756zmQLecYtX1/60pfq/egDOcUmnbPPPrt+
8UAFA7aQ4xV9qC2b8pfk/aTjGavHsO7FZ/3xkCl+EWG8bTtrhX+Zap3tuOtEW/TAozZ790PqY0cX
e7x4hivfpymCq+Zf8YOJAzu81Nbxzzc5oVFACcf4aQPIA/gCRKeN3txyrwHTlzxtAfmiLyw6NOwl
m2D/l65CNVSTaOKXNBVddRu+dXEuB5CLV8ESmWE4PfEpAEpIOt5ND+JHGqYQK/0hV+OHU6GV6ilO
BCRX0hUH9PoDIkqcEiOMT9okhQkCkOU3MIi3za+RkSAWHwccMvvuu2/6JgQ6Ai1O0VKynKmJj/ah
yT9YssjQ3u7g42zm939gX73fP2nV/GpUm2+UfkVr+r4L/dtt2yVdYlz56+vtihsfs7ZJO9rBb3mP
HTR3kq3r7k1jwS7fGMEm7anbjbUH/SpRv18tQpcxDfQssyu+9n3rW3CcnXveAhvXt8EvBfuY4HmM
6HYvvcmuX7yjnfOmXf1ZLaf5v+5Vz9rzfROtbYNfjfLbnZ19z9lN1/zKXuwYlxKeFpmPg4f35+46
vvBV2sNuZ5ffy/RPUhso3LwP9Dka57+axvj7e6fZYW/Z3y741hftJs9/95RX2zuO3cpvQ/rzdX51
rN991sbOtzOO39kuuLlYvLKT7JfzRFtjZSzERS4orrg9fP/999s+++yTvr6b8lHGgo7mQnY1v7JB
zMgI+DAze3f/AkHvHJvqt2O7Zni7fZ3tsrV/OcFPdM/edpl977E2m7Rmha3b6TD7E/+5G2xXzT80
rbXIl09oxAgQDwCNeCIml9DwrzHFnGhsovFpnm+F3XfffbZgwYJ0Swh7QBxrIvhbmqsQi+g+uXbR
R99kf//z5f7jsZ+z1yz7vP3k4tPtJ1+/wXruW2wHT/grW2Qn2E+WXW6vm1oe4Q3lpi2NjblQPMRO
HBoLxyZy9DUucoQ8WPnChnIouziOMk0DGSUD+9gFA7RV/MhUbckzNvDfPmG1m2+x9r/7a/urO75j
Z3zyTXbhJ3exd/m3cpf8y9H2P09eZf/fkVOkMghr/BoLWPOvfJEDjZsYpMNvql177bXpqtIPfvCD
dKLj4fQ3v/nN9dwq3zgldvSxL9vQsUehxs9uULxxdYrfa0IXXsRak+jD44VN1j3P4vGzBDzD8+pX
vzpddeEHYm+++eb0ExMao3wSB7rq69jBJnOsWJHTi2+rUSRVAc9tcTuUohEg7uiDdowBGcYB6AqK
8kUMguiPmIhN365DRn6wrTFwJQZ/ETQeaHo0Ah1emg/a6GGTB8SjDWgxLuwo3hhjlRyyUVf+ROcD
8QPXfNduXerfYu59wM5fdYidecr+tuKeS+wHvSfbuUdtb69641vs11893/7jJrOXJx1u5+411S8m
FHeHGDex47tqn8aP+PKpOVYfXXKEnHiicWWTn4WAzy3F+CUB9JsBRSuxoafx83MnzB+51fwrZ/gF
kFWOpAcdO7zawOkWns9VOc/Ygyeoz51fyeKLbFyc4DpKDsUtRoo3l/F/Lp1EaAtE96NNpAIjAqkh
2uA7vSBj18VK34U/6RQSqeBS4sEAn1p4ODB+esmTMdDb7RM23h8uLyZOCwF9dElo1IEOQONhYw5W
+RNdk8EBzURhEzvIKam0ax3b2vHv+LAtJPHKAm1/jmuDX4pFFj8z9jzO3r/PyTbWH8Du9Vt/FFsR
5A/5mYe8w070K1cACyD56/RN9aN/amM7+2zD+rX+4w/FQoix9Ndm2hvf6ZdNfUw800a83S+vsCXL
223h2/a3CT4ZAx2z/Vmzt6fJaPeH3AeIMS0KZ9Z6rbu3OOEoXzMPfpd9qB16sQkz5q7tj7J37tRv
6/0qEDB5xyPsvI++1jb45HZ1etHgBefADkfaO3bqSzL9fd02cbeT7U/3qvmG3G0DPkbGqzFjU7ll
8aqNbXh8RXz//fdPtwyIS7HBRx4ZTgp8oqLNXDGnbEisG+xFHfSm7X2qfXzfAV8fvtlM2cc+5rfP
erwopZjc/vCz7KMHbTD/41I2Ybz/rIdf5esLMcac418nJNE1LvxAw3ekoZPHI75soAvU579sI8cY
Aa5KKC/EIF1sK49s8nF9kw8+kfOwcQET7MwvXmdnlr2EfCn8xS2r7S8iLT/oB/GqO8QAKF7igwZm
HMQsvuZccaPDsZnPn/KEHoUCP265JQF7rCP5wQdXWYEB30tq//KPVvuyfxvtXe+w9nsetPbJU+xt
7/ywnfS3L5ltNS1dDfz851+yidOqiy3scPsNHxHkj9xojsD5/PPTDfrNMfYl8gYoRtpx/pXXfG0g
x/o55ZRT0nyQa3IuXa1PaNLVSQxdaPBYW/q9LOJBj/UVbxMjJx3mFznGpjHDV5zwOXkzbmi89DtM
yUiTN8XIT1Ro/rAPyI9UL7jgAjWbYuwRy7ve9a60n2is0OQLmmxJHoNqC4v2zne+M/mLNhLB3xTj
V77ylbp95IYC7HF8c44iFsWlOSR38LjLAwbEo93mV7T3Ofm99mr2f8bl9z3YD+cc9Wf2Z77nr/P9
3Xt2xsc+auv9LtLESV3+2IjfYk26xfwXdoo2+zSFDVdbmT8BsUmOtcHcA4yZNUV82ruJQ2tBBTG/
X8YHDQqwoUA55Ja2fMoedUAOcY0TV8yRbKFDjAl8TRRFkOfR46To4u5S+tHTFLefTx0LOK8CuuKV
sPPBaW2UgknOzztpvguVspZwOf+nYqxIfEFzcgLxsIcdxpR08OM0/QSF1gbyyY9r169wkSyIDJpN
gQTyKQ6ahMEYwUHX9gfZgV5N8q0LIE927MsxGPtssDyDAMi2ZKDhn0uaPOOgCRIu5Pt8kRYblfTA
8Fg49TjZF/vW2jq/xSY/YLWJEXlst3eONb9zbr1h0RJLv+v7Y1FFIr0vXXjAxDm722R/ZoyigRiw
NWn7ve01O3Cg+W2yZM8Pop7iAEBfsaKvNhiA39+73tYQk+dK/ga8gPJvEac+9J4N66zXvzHqXmx9
SW8bcJneYvEle37rd60ftDqYNCfyQ6yyD4+2fLJB88N04BgbbfTArBGu+gDoM6fMLV9Z18GPTekz
rnWey0Tr9wLYv5Qk/31+8ung24v+BYe16xu/7YUvQFjy2IwnxjgW+RRN/qHrhc04/7IvDF8ATTYo
WLiyoMIFGfmTDFcx2AjF42oAucofkk4CW/hN80gszKXGCOYlIGblB5p4xM7xp/mDh6wwD4vzu1Rb
EvRDsrKJD350F6i9eoHZLvOt42e/sLbddpdIwhO82BJoHaqfY347C7v5mHX8s3a5ZcwPlmq8ssFc
q8jUXItHnkWjjX0KNOVPtrQ2sAUv0qWPTbWxA/BDnZobeLw4ufJL/MwvcsLIc7wCcf45eXFVjHmN
tmIuiJmcs+dz3F9//fWpiMPfUMCHCHLHCZ2TJydxbnVFP8QSryJpjNiVfeUHGsUAeYKmn7lQPpCX
LWjSA8uusGxJRrbkkxiZ/3gVR36kI1n1+UDJWiCXAvlDBn2OfY4jFTTISb/Pv6TW5ncgesu8Qk/6
7I0uV9jyZ3PX+9XMMf44DJtkCfB4Md/a+8gTa1/5gg9gV+uCDwZx7mmz1olP8uSCNuvk1FNPTT9b
gh36ih0+bcUMXxBldL6BJx3auQzrhFiijHQYTwL3qStcBaEkc3x4HtAVRPu0OT0O4qeKyeVRoXZJ
DbrBRiy2MByKrFRUBdmkVxymfhZ2Gy4LDd+ymcaGHcL154dSwZUEQuAc5Dz4zoQxmRxIcXFDbx/b
kX5CwUeUihQNDJ4ONhIfgYqWiWYSeZgu2kRfiwj/+gVz+ZctbCvelFQGV8bOxoINTXhRjhQZgyZ/
KQmuR6wA/QH/rSogjc3pyBbAAitkoj/F0O/PVXH1SDFA7+1Zb/2lbclhCxm9oAvUhqc2Y1G8klOf
GIv4ihgb/caihqZcaSzKgeTlT338qK180wfkmzabuuaRZ/Vkn42XH+IDmDcO6AhxXait8SKn+Ycm
umJUPBqT6MjRBjaa/3LO4WnskgdrbLKFHDTlgH4eB/0Yg3TBXLEgLzxPwy9+Ky6u2EDnF6HZYCi8
flugHDAGxan5UQ40PsVOn0/tnEg4NplTaBEky7i4ogHwwPiWAG7RHnbYYfX5xwfffgP4lfgE3/hm
gTfxndvjr33ta9N8aizMJbnhRaHFnkObOdIVgar5lz44tgkNeY4P5Y8+MoDkpZOI/pb7gK7jn3jE
j+36CcllNZ/oSRYa808szClrkt/8ijKyhw63Njkx83wZxRf54HgcCShW5DnmddVCxyw2uNpBPAB0
tRUvdOUFmujaE2QLPc4jyily0kMGedkHyw5txkteJK85osCTHHHEfNIH0CGXHCPx+JYtbAPYYf2w
D0KjONZaQlav6E9t2cKO/wmYpC8eNM1XjA9+1JM8MjrfcqWKY1qyXMjQL+UTX7wyKtvkK4J8Q0NG
AJ0XMQDwNLe5DdFZu1qTHOsA+ppr+sSaxuI49d188lD2nZno3L7T81aKQeNMAkm5kGWGaJXXiBI7
yRaWnee59H9gINkrmkW/5CEDSC51/E25I1K/yV7w/Y4WxR3f1Eu2x0ydVXvw9hvrk4ESQVChc5WJ
39NgoWkQEeOIoKDloAmCRxu7+jTEwcxJhwQL4GOLFwcw1S++iYETmfzkvphExYwfQDFCB6QLBsRX
PxEDPfchOejiQdNBLH0w9ChDW+OXHHEp1lxHMrKDXPSLrhZutK0Y0RddetG/7CIHXX1kaWM/2sr5
yLGBMId8ktPD9Nhj3igsmDMevtS6aeY/+sEuIH9qJ2KgS07036f5r1rfyis5YGPXbSj6gjjmnIYc
NjTuoeafgg5ANurRRg+IvqCrz0mSgpkPO8wpvCivcTDHnJR5DomTCpu6YksK5Rt2AelJRv7gsdHP
mzfPeP5IV0XhywcnBa664EMgO+rHccqneMhS7FJM4ENXzMmFxi5ZaMwNew63H9lzBLKLPfmH9odw
/JNjTqrMa7wSwtiUA8bEWDhumVtyoONK60a5aIaxFYtA8q58wZMd8hZzKHuRFtviS0880RUndPwA
tJHPfUKLfPUTMejlPiTHMRL3PezHvRg5XvH8xVriw4xiwRdtxUofnSqfGhNY/NyncqsYsSc9xctx
zdwjy0vxsUfr/IoONrAfbSk28SNuFjt0/CDLSzFKnrg4dxAXdwvEx5f8Ibv/69/if7yavybj1Qrx
eQnDb2qltvfB6Rajy+JHEG1Q5BSz7jL+D4CSxhmucsFLkghjWv2kMbifeOWcNaw3ZCi22j3mdv+z
idz67PffBq35nRtebRRcD935y2RWAyYYBsDEgGOlSh85IA4s0hPT36AJZJsii0XKK/LxSeIBZPGJ
fzByzewrlpyvPnwtItHwQVsgG6LHPm3Jyk7ky4Z0tdAiPbZjDJE+XFt6wlFe8VXFFeVzOfGa0fER
x08fWcbIPMYNNtriGRPmjXwJqmITDxznP9LVln31wZEW25GHX81blKEtiLFFGfhx/LIT5WVDmCKT
ta21DB2bvPKcSGckWHEJRx1oAPZziPKSU/ziCcc5lQzjiPMoGxyb0OVTNqJ/yUKTvciHRq70wUs5
g47dLXH8Yx9gXgDFURUbND5MMC7xkVd7uPlHjjFIPjnM3uAphow1ZFd6wlFY/prZ5TglD+ILoxfn
lz555/gVICv70GhLP/IiXbpRTzri5Zjcav5zHv1m9mU356sPX/MmmuzJj2yIHvu00RNPxwj5zO3R
Fx2frF9e0peNaD8ZHsGbfAlHFdnP7dInp6z9OA7axMc8g3kB0o8+oh4yzXiRjhyguGjLttrkkVxp
zolBbfk84Ch/1rFznBct/jA+z2b5pan29mKP48/vpC/uYZA1CS6BIoiiSJB8e1c08WOBlQxIxY2l
Z609d4OgLMYSTe0cO9Oj9C+EdfgvJvhfB/ACscev7g74j6kP+OU4v6XYuLKkBDFwEsBEqS2sZOCU
tvpgdMAC8bCrZEom9wU/6moyZEM2mSht8vA0UdjjFW1Ev+jTl/8oJxvQsB150iMeyckPWC90GAN9
6agPbbg2+tEWNqAp3mQ00MSXDH18ALkOdpEDFEs+TvmXnGxgU+MWDRsAstKLcro6IJ58opPbkJ7s
gQWKW/6g/yHOP3FrPSsX4NiOuaINgJWvRAg08SVD/7cx/9gFNE9g4uYkjm9e9BUHWCCexgld44EG
yC7tqKt8yQZ8YEvNv3KFTWKiz0snJ+gCYv1jPf41d8oz4yQHmifNj7DkyA1t9cHSUd7E25T5x4Zi
Awu21PwTm0DzDy3fF5HBf9X8i6c4kVGs2GIfJJfQyB+4WTvmSrGBq3IKDYAvGfr4AHIdfEo2+tc+
jQ58yUUbmndhyUlHfXDuVzz5jHahAbILRl5AO+k7wVv+3lgDHmiKFdniliItySHp4006RVu+JCM+
uG7Wm9JBjngAyZadel826z9wWoaHvC4z8FNVbf7TWfx5Itl2XjFQFgtOMMRA1SeJouNUiQAL0IkJ
kw34aoN5ccAAyNOGFnXhSUc+ok8VW8gB6OYQ5bU4wdhlXPDBgHyBgRjLUHaQRQd5vWQDHgA9t49N
aIw950u20G6cCNBR/GD6gPypr7Eqr6Ljh7bGjp7mF7p4MR7xsSk6PiUPFmBPPqDFcagN5tWa/9b8
s0ZYL1qnce3E9aM1Ftdc6/hvHf+sEQFrJ4e4XrQngtl/tAeCgbg/0Y9rcSg70kVeL2xFgJ7bxya0
1v4//PGf8um5KooYL2TK/CqnKZdewYDTfLgkoOImdco3aHW5dLWsWi6Jh2mUrSKKRiGHHLy0rlKE
xcUcX1HpAfqaPxPe292T/gKOn3kLsx5/KsYIhI1MJ1e4OuGyaGhrkPDURk+LTTqiISMeNL2Qow1f
BwO0aJM+vFwn9qUvDE8nc9mTTeLQAocX5dRHP/qUDDbQl2/RNTb04SEHT3Lwo23RdcDnJw7ZkRxY
vuChF68qKCZ4ALLQiAPb6DMe6MpztC1Z5ag1/635Z51o3baO/+KDYev4b+3/2mvjngxNxwr01v5f
nKPIBXnRcRNzBw9QvnRegqbzkGTgpbbrpH9eBKWH3R2nn4GgKKrTikIIORVG3izaXlxBT4COA7/V
hS6yqc/8eUP9REyMeivZUGzJh9tNPw+GrYKb7OLNA0+UAX9ma6A8LyPFdS5d/aoXWGy0AAkQ0OZk
z0ttMMnkRE1bwUiHftzAoSMfkwyNgkC24IumYkMTBtYrngxUaKBHLIof/9JNRss3+CouogxtXoD0
kGXMAG18IQPWOJAFoHO/nj6yjAkZ5UdjjHrQJIs+vmRPNpNxfxMdObWlKxlsw4ce5WjjS/FJPsqg
o9jhIy+g3Zr/1vy3jv/W8a+9AMx+of2NvSQCffYj7VXwaGv/kyx7qWxJFhov6Wifgs9LexVt5KTX
2v//+PZ/Xxx+9aWoL+prLFVHxflJyy4VQWUBlRZOefpKxZUvzVhMJTtOKwqxotiCxr8ox7pkvdZt
u03ayLHmuJ0JiF/YI9yirEo2FWAhWvwsBL+5sqUAJwQqiP3YFh9Z6ICwCgfxqvSkH3GUy9vIxbjo
Rxn6VSAZEpxvFpKXjLDowqI3w5LTeOlLVrwqWpVMlN9UndzGaPp5TLEf27KZjxl6a/5b86+1AlZb
a6YZjnJ5G53W8V+9rprlc1PoMe/ox35sy3br+G+cK/NcDLdeq/KpvArnMnlfclsK5/ZjP7blLx8z
9Lj/JzmuInFFKdQK3pGJVADRUTGUF0B5Hl0wAXJAeg6rKEFSH/8q4sGSE05C/sbvaommYosx1u3H
eF0+SY+Zul3tmUfuko0WbmWglYFWBloZaGWglYFWBn6nGZh/0LH+g+TjvQDzbyl6JFx/audxGYqt
suAqiqnBxVcqbLxAU9HEIFQY0aY4oi8sGriKLt0ojyzXvlRo0S+KLWLhxQ3Ehl/kKOTa2/mz2C1o
ZaCVgVYGWhloZaCVgVYGfk8yUPwJRS9VvMHzW/UrXFxFKu+KUQzx53X0J30Uevqbiql8ShKpMErF
ketRKKEvLJ06plJyQB5tILefiNlb40qaSi10CwuMhZja0zNfmWKr28pAKwOtDLQy0MpAKwOtDPyu
MpCuGLlzyp4EIC+u0tWt8goXRRFXsihmUkGV5EM7Fmayk8z4lwT9x0lTkeQyqSyiKMJbaTv59DcV
W8hU+ajLlfYlA11tbPJkV/1vKUqphVsZaGWglYFWBloZaGWglYHfaQYofMLf4UkFT/k8l+JK9VRZ
j0GLRVHquw0KJoqydEXL+52dXTbW/wIDPzPR3b3e+vi9US+NqJeKsogyqXF1Kz14n2wXHngX8OOr
AH9Qu15chcKLeIrLc14Ypqtqqe6Segu3MtDKQCsDrQy0MtDKQCsDv+MM1AspbtH5U1Hl1wK5WpSu
QiVcxKhiZ1ChRNFUFlup8Cl/k4Fia+qUrWz6NtNtgv+h9nTVrDDj5RGFFn/60L/x6f+A9KVDKrui
Jkt8nsfyB7L85wucGG4TppDTFbPiGa/U9/uJ+Ofbi/UrXKeddloyPtTbpZdeOhS7xWtloJWBVgZa
GWhloJWBVgY2OwMqqmSIW4z+0HnxcDpEL7iog1IFlFBRodULJWfEB+ep17jK1Vba4WH8MR1jvJ/K
sWSB61TpSlhpL9kaaNiV5P9j7zoAoyi+95eQhBRKgtICCgElSlGKCoKACoqICqiIihQVQRELAn9A
QUFQRKkCSlUQRYoF/NEUUSlKUZrSEpGEjkGSUFLIJdz/vdl9e3uXuyRAEiHOJLcz8+bNm5lv9+6+
ezM7q9aIEd/i9WUi41gRPuqXr2ByPl/FhScfM2aMeshn4bUIFHabRb09PndFfYyFPT6NacF8IhT2
eSzs9goGNW1VI/DvIaC8SmbziozZu6IcUMy+mH+5CJLppLI0mRDxI41OJSbiRNIJpKSmkET8Wh51
bbakPbHNTM+ZRfRMMT7DvCJnZkuiJ+XsnTOfpWhoeHqv2OPlKTNtFUi0fv167Nu3D/369UNUVFSB
tOFptLDbLOrtMb5FfYyFPT6Nqee7Nn/yhX0eC7u9/EFJW9EI/HsIMFlhbxQHJjxCeuw9YmeScnLZ
vEo8jSiER+ma674Mbxdt4k0Pks5KpU2M0wyKZDTBaZe3ittWd0aa5E1ZpDaMGjwLafiqjFpGPakv
Otw26yk51yWb5D0zBmQfxL+V/vvvv/Hqq69ixYoVhdaFwm6zqLfHJ66oj7Gwx6cxLZiPg8I+j4Xd
XsGgpq1qBAoHATvBUgTIJEHcOuc9gyJaPOVorqlSMaWVv0vFRJuonEMWP3aHFrobdM3YGotLjFKD
KNk9auKh4rpMvtyJFlsx+iMx63GQvBA2v8Dwis6De7aqqSD+FeYr3Hrrrejbt6+v4ouWe64h4/Z6
9eqFEFrgVlChsNss6u3xeSrqYyzs8WlMC+bdX9jnsbDbKxjUtFWNQP4gwFPsufGNKfNXwI82PlWL
04nk+Pubm54yLSKPkYuQGQSIy5niqDsSrbsH2UvGuka/hQC555gOCdkyFJWeImecJzIlJM7SMyxw
TXWHI/dPabq8ZKwh7bEep2kNmtEAk5vy5csbVjyOLOfywgx8MsaPH1+YTaoLoDDbLOwxFnZ7fPIK
u82i3p7GtGA+Ev4L103BIKetagTOH4G88g2iT5ZxJlLWhBx7uzy8XLw1Awe+w5AJEu/prugSVXLa
Vquf4zsLKRi+L4MIqU0diGBxzFYUBWOSxW26uqDsyVYQyggd1EJ8Radcdu1dY6kiZUQCaeNTQ4k9
Sbx+KjAwUOyomPMsL0hPk1uDZoY9XC+//LK3ogKTFXabRb09PlFFfYyFPT6NacG8/Qv7PBZ2ewWD
mraqEbgwBPLCNzwJFXu01Loq9m6xB4tj/iOiJDFPI3I9zktQhMgkTSznZyBy4KNVl3KqLhEnDuyN
ksDTiWJPYinjmHVZ7vqjuiYzNGRmW9Q3a1sIrhgVFYWuXbtixowZnFWB8ywvrMAEj9u85557CqtJ
RTILs83CHmNht8cnrrDbLOrtaUwL5uPgv3DdFAxy2qpG4OIQyJVvMHFihuUlWGSJiJTp2DK1iOIQ
oVIbkXJ9JmkmeWLyw0Eoldr+geqzXEgT5xTBMhfFqwoeXRDbsnBe6RDpEw8b56UtSbN9/qOnQrpb
Y6Kzc+dONRXEv8IKk/jw1GVh3qXIYBR2m0W9PY0pI5D/oahfN4U9Pj5Dhd1mYbeX/1ehtqgRyF8E
cuIb9qk7Jk5qzZYZ88ycmupjZxJRGJ6y41VUfv4k4KlACqoOecKECDHhcQUmVrSmyiRkiiCZpEm1
41J0I09UwWjXRpvc+knaQq7YBNuVdjnt5uGSNnh+ldc0FOa6LSZ33F5hTl0WdptFvT2+for6GAt7
fBpT+VTK37iwz2Nht5e/aGlrGoGCQ4C/9zPo8Tpe+QazKaYtTIwUyaI1VsS03LxLrMHEyyRaTHCY
3KhAMkm75IaMfU1ChlQZe7t4qpLqWLpEsBSBE6IlZI7tSxnLOO0juNkMDI90Nqlbw4eqFmsENAIa
AY2ARkAjoBEoXAQ27ztB663oLkWa3vMrxmu26MWESFEoIjjMcdhppUiZq29MsIQwGUu3iGAJYTLV
pFzFphdMiJnLkpGy60qZ0YZxZBlzLj9ifdI2k0NFCoWICYkLLB3pPBizRexY8aOPPop58+ZZ+bwm
Crse96uw2yzq7WlMfV/tF3ruNaa+MdXY+MZGX2/5j43G9PLA9Npb7iKiFUy3HfJ2D0RlmHipaUMm
XwbhMjZjIN7FPIxIDRMe9jadYwak2Bgd2TOm1JmhKUsWIVMCOjCp4iCEidOKy3GC7Pk7qQ9shBbQ
O9XLyHIxBzXFyYvxFbEiK9xF7ovqh6HDRxqB0ZBLdHGpCyFpF9ciLogYXkybhT3Gwm6PsSnsNot6
exrTi3nH+a5b1K+bwh6fvk59X2sXU1LY57EotMdESZEcpi42L5YtSafEJEqGK8s4RURyDD8Ykx5z
mwg2pXIucsUkS/64IrfHf6xn6LKnjFJEtgICgxAcHIqAoCDqC7MpQ1dNJbL3jBryM5+5yLWswB4u
ekk7XtdwWco6oRHQCGgENAIaAY2ARuBfQIB9WsxflJdKTSdymsiNSWK8dUmmEa0y21SfQaSsEvcE
szMKTI44cNsG/aL9sygdEED3GCILmVQmdmRBvqzTErnazMu0w4RL5JpwKWj1QSOgEdAIaAQ0AhqB
SwUBJinKy8W0xyRbJDJkyhvFPaUyci8JSWIJO6CYEqlgTukJ4TGE5pG9Tx5TfkrPJmfL3AZvuupw
0DMYz2XRxg7UGrM+ezDtcD+kLZU214exKo9Bdc1ez1f66C8f47mOj6Jjz7ew6bjdf+erxvnJC9sF
6tm7A99PRrdu3dCtYzeM+vw3pJvny1PvYvL/9hil79vmvYlRi2Mlm6/xvz3GlH0rMaBbRzqXj6Ln
sP8hJZ/P4789Pvil41c6f934vdh1IJbtScnX88fG/u0xnkvegy9njMOAl97C1jOuj6j8/Az6V8fo
l4WYNQsx4fWXMPyzndb5O3vwO7zclT+DHsVLo77EkSyr6IIS/+4YE7Hmi+kYQptXf74j+zWavG0u
+o9ccVGfs//q+OiM+LpO/c7uxYcDuuBR+j7p2Pkt7Em/oNOnKv3bY0yO+Qkzxw/Bi8O+dH2W5vNn
kM8xmp/dTKjUDvDuG265g8ofE+z1Mj8u1JYRdjLFJMoMipyZpMpKU5kQJSFhbItffFdkxrkMnE1P
QybdTcnlrGvpi2GyyX9sk/+knImWSlM9Srk6IvU8Y79/fkSfCZvQ7aMFmNYtGKOfnYWk3Kt5mrmk
80FXNMGwSbPw0dReiFs0CRuSzDN3Sff6/DuXsu1jvLNoF/46dhGfAuffbKHU8D/3B94c9BkaD/kI
s2bPwtAnbwItuSxSwe/Mb5j0RQjeXjAPk7uXxudf/1GkxseDcaadQmC56iiZdBwZ8qFbpD6DHDiV
VBxR15TEwSTb+zCgIp4ePhmzFkxAg33zMWfjP5fvuc06jRRUxjWl0pCY6nAbh1/KFgwd+Q327zxC
EzSXb/B2nfIPoi/+71Ucv30o5s2ahSlvdUZl94e3XFYDTjuVirLVrsbZQ8kgqqFCoX0GideIvEm8
1FweQ+i+nsv4nnbS+ikmWWqKz6zHJEf+soFOOnZSxGRNvbIpEhFTn0G8WJ68W7RgXhE7G6niNlRd
btckXWzGSWluQwXTvio2JL6PKUd2IrBuVzQMO4fwJm0RVWwTYm2/PH3XvHxKKtSriyolCK+IyvQx
kYbUNJ6pLVrB/+wWvPr273i4U0MEO9w/BIvCSE/v/gVx5e7FLaVOIGZ3EipeXRHFzOu9KIyPx+AX
UBoV/A8j9kgK/j58AhWqlCoqQ7PGUaziLXig7d2oQHeEy7uwSH0GOYNxc9sH0OrGq4Cz1rBRvGId
1Lk6jD6py6NSOSdO28mYS+3ySPlXQeuHW+OmCkHWF7XquN8ZzH7lHVR9oh2qRjjdyy6PkVm99Had
+qfvwsoj1XD/TSURs+MvBFW5GiX4JrvLNFS8+V60u68+gtOEbhXiZ5DpDGKCpUiWh3NICBhDa0z9
0fc3+5B4+pHJDkXi8bLDrwgSC5QO6ZHnzKBfhr7M3xl6RKaySCLkjzVJX6Y4jXpMCA3SJWu6jPbM
Lx+zLtvgJu198Zo+tHsPUDJUlTmdFVAzPNj6IPRa4TIW7vx8LH6/qiOaRxYxDxd90C0cMh41BozF
I3VKIx2X8c8uH9fX6RNn4H/8K3zw2RKs+PglPNLvK5cb3Eedy018Lrgmbql4BFP6PI03vwxD1wdr
Xm5DyGN/U930iuJnUJaf9x89yTvnYtqemni0+dVuGFyOGSHM0vfYL4diXZ3B6NO2Lk3RAMSpL/Pg
fp06k/5Bun88pr4/F6tWTcVTD7+BHTYn5uU4WGcaX6fFra4X1meQIjPEY/jmP/smpdwRuaOQUoo4
WSSKC02Cwx4vNbUoMmI7zHg48J2G/sTG/MmwmvJTukScKOZvftU2EyuyxV4tZV+xJU5xp2xThpQ/
x94vIWKkp/7YJuuSQeaK7PGijfCNDqhe+DiUr1LJ9sZIQdLl/MvLxxjZFbzq3c4YFXM7Ph7zIMJy
56G+LF2S8pQdn2HhgQzsX/4W+o9fjVNrP8TiAlj/828OPoQ45LnKT2D4y73w8rvv4boD32FbEfPE
/vPLeMwPfBQz507AEzfvw5svLChypNLbNfSf+AyigR9aMRI93ziMYR8PR+0S9IldhAJ72N+efwgn
D36B4f2n4O/TK/HuooJZS/qvwUZbB+BcNPqPeAm9XnoXT0aRx+v35H+tO/nXsMsVW1ifQQZtoREo
cmOSF9v3suFlMsiPGqdJpqwxS15ik4gpNxMvfFeL3+k9JnKuSLrGVCATJdPpQmzJ8IFRH5TIIHlC
3oxqxQxyRRnxdrFcBSJ2ssbe5xou+0K2klVvwMmffkIC9cHv6G9Yj6twVRH4MLCPMfbLwZh68H5M
G3pfkSFb9vGFXdcJEydORP+ez+Op+69DUM12aHk9TV9c5sE+xhLlK8Avfp9xnWadwkn6mVC62OX/
pWUf498798BZsQrC/Mvjgd5PISQx8bKelpHLzz5GQxakokBzOuZy/wzKPj7aH0h9ebg8zekxC9B3
5kkM+bQ/rrsMP1+9jZFPYpDpTWfPyLhJEzGp3wt4tuddCM9sgEdaVDdO92VyzD5G9+vUWepKlPff
T2vz2K2RjpMn/RAe6jrHl/ows4+PhqH2MihO59EIhfkZZJEuG9ESDM/xVJ/p4RLyw54pFZhECZGS
mAskbS9nkmX+GZVpzCZJU98elJY8L+GyiJgoe8RM5KQdP5nTpPac7E0LiqjkPLB7s0eV7NnfZvTH
6HWnaS43GbcPnIJu9cKzK12uEppu+6THU1iWHEqLrNORdq4qBn78Lupdhh96eTkFqdunYuDaW/F+
7xvyon756NDdX+s/eBkTNjoQQddpxYeH4PUOtS6f/uehp37H1+H/ek/CsYpV6MfPflz/+JsY0LZG
HmpePipn9y3FgGELkZyeTu/GCLQdMhqP1Q5DkfkMoi/iFaP+D/N2nUI6jbF09Q4Y+/ZD2Dv9BYz8
/jhtsAiSA60GzMST9S7TH0Xn9mL8K8OxLfmsGkut+4dgSCfXe9H/7Aa80Hsn3p7x9GX7A9fXdXp0
/WT0Gf8rKpRJQ1qFJ/DO0PtBy9Uuy7BvxVi8Oe93dZ0WD6yD/h8OQZ20NYXyGXTtTS3hHxhKZId+
dfGWChQzjOwtUt4tdgDxfJ1Jjpjk8B+TNCVjUmWWWdN9LLMFS19kNlv8OCEnkzqWST0pN/Utu5RX
aWmby6mOnx/3mTtMRyJffoER9Gif3dkf7WPac4vSk5KQHhIBWsKlg0bgkkUgne5uSw8sg/DLebVq
TugSsUxKSERgybIo8R97L+rPoJwuDF12qSCQlZ6ExLRAlI2gO7GKYiiEz6Brb74LxYhwEbuiF1Er
2niU004mMkR8mAPxwnmeAlQkyyRFbiTKkyyZOnJKLF1PPVbw0GWRsQ6L2hQvFteTYHRIcq41XSRh
zxj70QLUlKSlknMiOCKiyN1mn/OIdenliEBwRNmifZ3SoyYiypa9HE/NRfdZfwZdNITaQCEgUCw4
AmWL8o+hQv4MYo+W2m3e5Dfs5WKypeRyPk3SJB4uXkt1jjYqVXlThxfLK7LEeSJI/uyBUvOEzOls
ZVQss4FMlVSzioCxp4oaZ6cV6/MfkykmUkLaKOa2SYXaoNVfipRxh/0RwA44HTQCGgGNgEZAI6AR
0AhciggIyeG9sJgAqcARkSCLwTDREdJEciZM/rARKvOORGeWee8s6SvCxMSNjHDadJsZC9+JWPGf
QeqYMDHxMqYY2cvG04TGAnnujaqtPG/KBtvknlEfFCFjAkYvtRxu7ty5qv/6oBHQCGgENAIaAY2A
RuBSQMDyahH5EW+Wtz25FDEigiNTfW554kZMlniNlSJulLYCkSAmTuy04uBPhI3vSGSuRMZU3lin
xQImaAaRUhZMUsf1DLpFCeJjqi2lSR4wapOdX85iXIO2l+BF82cTD1FGB42ARkAjoBHQCGgENAL/
PgKlrr7BbQ2XmrdT3iiiMOySUv/sxqIEe5yESDERYsIj2zrYy3hYnGeCxdU4UvVIQHIhdaygPFSi
z3pq3pBKeP2WyM02TYna10t2o2cVNbVI7TCp4zZpSlEHjYBGQCOgEdAIaAQ0ApcQAkxUfATD80WU
iAkPT9fxH288yiyKZEKWFOFhFxMHIV4mSWKR8j5xgmuQvJh/AAJoLxqeBszM5M1M6cW0TK0hI9vW
Tqpcmepw2+weUxyQ+0Iq6m5KpnIGOXOq+UpaL0byAFLRIUcEUpEQfwjHUxwIKxuFquWMHfelSubx
eMQkpCAwtBJqRBXmVhkOxG5cgiXrHOjY9xFUkg6lHsfOOPJYBoahHPW3bERh7AHjwJH4OCTRM2rL
RRZWmzLgvMWZx2Ow+nfDk+sMuxrNG117ye61f6n2Nfn4ESQkJAFhEYiqGnnR+B1ZOwvz9kSgTds2
iC6nVjfk7WRqLY2ARuA/h4BMJRqP+uHh8zShQXbY48VcSBayCziWN4oFQpAUL2JyZix65yLeL4vt
BhUvjpKlSsNB67zOJJ9EJhEuMIEiYmXSOlWPmZXlvWICx+u9eNqT/jht9IM6RP1jR9s59o4xb2P+
VvghEeOaBaHk09/A+8Mt8rFHaevRnO5EGLL2hGX05K+D4R85DPTVkWNI3f0+AReG8lHRqF27NqLK
h6H9xF+tOkd/GEEP2Y1SZdHVIvDg6B/NMmN8xoVBp4AvBr+b8L3nhsOZO9CTdpW7YcjPls28JJz/
rMaz9UMQ3ehBDJzzIxLMp0v8uaAf/MLKUX/qo3Z0NMqVeR3HkYx36gWafZC+SEx9Oum9/MZ+NJaT
qxV2N/ZbYXbLgcV9biBbzyHGPHGZ8UvQtVoIKimMuM3rs48zL4MqYJ2U+IVo2bKlet394Nxcz72r
O9nPZdNOE6zxu/TyL3Xhfb34Puxa8DquoQ+He0a4rnNkbkYXuk4jylVCNL0PoqMqoUTjUYjLY3NH
Ns7D9KW7smknx65D3x7tcF35QDxB750C/yzI1gMt0AhoBC5ZBIiaKO+RrYOct2RMdDgw6RLvlSGx
jkyKJBgEiXRZxATILPInRkTfiEqtWLFiCAoqjsCAQOJZRLF4KlCRK3nMutAuJlHKrybm1XesEDz2
iqm2qY9swdgAlfYS+7d+V5497URU5BUX/SvZGq3PRAbOeClzHvUi9BD5hdyCletjyXOTQSc5A6ve
uRWLXhyGDURwnEe/QtMWr6Pd++uQQRdB7IKn8HX/O9F/pUHseHwlnl6Aw0kJOHz4ML2Wo7GbA8yB
OU83wDRkoaTrMVUePciedf6zEreXvRNzqozBH387kLHtQ9RjpxuRt1c7jkOr99YhhS/KjBQkHHoF
4fT31Nc7sSMmBjEbP0Z9YvXdp61FHOV3/PEFGpcOx4s/sufiDwyoGoCreht9/v61hkDp5pjwwQP4
fUxrTIqhJrZPQLvxf6Df/95ANDvOiMy2jWqLL24cgz1JBkaHdizGpbiBfembB6s3auqm1+jckQMw
O7Q+JXIuE+hc7lw7G6XmvoIOo2yExGfNCyu4mL5eWItUyyRVNw5ahr/oI+J0uuthtaDnp3Zd8jNd
yykKw4StU5GxfiA+MK/13No8tOIV9LhvYTaSW/PpGep9FbPqfWzo3wI3WcQ+N4u6XCOgESjyCJCj
gliMMUzltDAcBdnGrUgN0xr6XiYSZCdZsuWDqw7ZUxzKmPJTXi7+vmT3GMUZDgfOnD6N1DNnkOkg
kiXTlcTPqNgK7EThoJwpIrUpCLlj+/ziOUomYf7nbAxQ6tnjo8uHKKP9vzpgF6t0TmXZlPNLkBmH
Ga+Pw073Z4ZetPXYRWPw9ld/utkJqdoILWnqyXg0gwOHd22GX8WbUY0Izvb579EX0wBMeqEJfXkn
YMnEOarupNELkMoAU4iqWhWR4WURGRlJr7KwT0b++WkXdPnkLrz0cBWcdj2mStXzfUjAqLvuxfra
ryP265dQ2z4N4zhBvaAL4ORpg0zQhnFlK5VV6XJVa6BWjRqoUScavA1fxRvqoCrla9WuqvoUSn0s
WzYS4UQIw8Opr5yPMHpb97mxeKlqMfRpfTta1B2AkHYzMey+CqqL26YOxTI8hHWfvYTocKYwgahU
qxYqCZtJi8EHPVsbFyV5+IZ8bno50ragZ5M+WLtrLQa2iVLlTbt/iMPKKh8c2ERPNmhAnkm+oFu/
+JFVlrZ1Gpq2GoaN25bi2eaG565up4+sL3NH/BoM7dJUeWmqN7gdze7pg622ayXDxiOs5vKQiKoY
ibKES83bHkOb24ohKVlovO++slnn8Q0YSRiw16h6gwaqP0zYU3fNRrMbn7X1LREzOxOx3XrS6k1O
fY1dNhEdmjN216B+8+Zo3d3AIDd8LOOeiYAoDPhjLxx/rcHk2wJxwPg8MbQCK6FFm4Z0XRjXROYx
Yt8Ual9bmo7c74cwaeMuLBz6oDpfUbe9gjVH+NbrVJpqjkXsSX4+Txx2xMcjNjYW8YdtJ4SumRp3
voDNm95VxL7/kmOkq4NGQCOgEaDvMxME/h4Qz5axyN2GDnm3eLG7nWixx4vXYbEnS/Ekrk9fy+yw
4pcRjPVZxrIsIkS0mWtmhgOnTp1CakoKbaHFPnfuARM93unefNi19IWKVJ94OlJpcR9o+pEboKdU
UyWVVjyMOuNHDRE3lCEZXfA8/h2/UYl+2fW3ZxFyKsumnF+ClL0YOXwSjl7gF6evbiRsGIt3fjDW
+HjTWfdOeyJIGZiy8v9QjhQyzp4GyofTg0eAXR8+gX77emP6sMY4+0cCaCmTCn9t+QFrN27E2rWr
sGbLflNKzoQDH6NG53kYsmEWejSpiKQ0qyjnxMndWLjtHAZM6uNasyU1QprjjXcaYsWI1ijJX3hx
3owa3j5nhrkPidTNMY7CsPljkRm3GmvQFAunPWURx8RjOxFQqwGq2pmkZSsRHzxUB89PK4+lO2Kw
dmZdjHi8FqbFctunseeX99GsVjP8XL0/ln0yBOtm9sIUc9p316dd0fCZ0bhz3nrEbv0cqROfQeu3
flaWMzITsO67oWhU7z6cafUZln3wOH7/8aAxHUVToC2j7sDbv9fGe2vWY2SHMlj77VqcsF8r8kAw
q595SySn0fmmsGvhK3ie1s0NebKRkc+hryBi+Ui5Jhiyojxe/341pg9oo/pzhvrjSPkTa3//za1v
B9d+j/1nbOfGR1/3f9Mb0W1exNFbBmPNhqnUxnp8u8zAIEd8VI99HcooAk4PlcGpM051XXvTZEIX
2XosGg9fh67kEeVwfMc3eKFRLXRaVB7zFk3DTT9PQKsnpyPt5K+4P+p6dB7H7ysimFFRiKap7gem
bFX17IfSN/dSRG/qt9vsYp3WCGgE/qsI2DxGTGwM0mVQG09InOcMHqM8Vkx4eMpQeZdIwuuviHwZ
GgYBM6b4qIyEFmkisnTO6VBE65yTPofZGcW/FYmyqbrKS0W22B6RKfUyig1d7i+1rTxaZn+Y7XFd
fkwQzUHyXYokySHUfW4pEh5IRjh5SzxDTmWeuvmWD+JvIaY5+RuCQsqgdKb3b7hNH7ZH00HfYcT3
R9CjVohbwyf//gq1eq3ExJjFaLzsTmLVwcqrVLykH1K/Hognt1cntOPgqDMJ275+DhGZMXi+yjO4
YfAPeLPhldi+gjwlwd7bdWuIMidj12IL6mHUjaU8i1T+zgG/YEvUW+je8XU0rzYO7d/7AfP73aH6
47VCHoWlo69HM7p41xDVrGhBn4jtvyTAv6S5nTJNL/ZsNQC7QxtgwlfjUPvI//D8cge6fzwAt0eW
Q8YDvdADszBpwVb06Gs03IQwWDv8Dsqk4u0hI3H0JP+iSMDiwQsRfPcH6HN/DSJ3NfDKwIpoP/l7
JLzWBDL72mnqNnza40aa5jyAG+g5e+xUWze+N/WxM3bQNGstyqeXqgcMOmA9dJVEPgLdgLD2O+w6
TYsmTY0M55Vo3uYWdaXxuTxI06p+Y4zCfkv3m9dBzn09MmsgvkBrrN89C42YlGYG0JTuMrMFAzdp
zxTmHtHU8ZC2U3BD3+VY9949Sr8kec4GrTWuOzHgDR8pu9A4be9s1Kn/LG7ovRg/DW7iMlOSfJt1
BiJm20hEkTR63Ef4os+fOFb6OWymjQo3jaqNhuM6I/HYgBzeuaG4qc1NOPP+RiRMvEf9qHE1oFMa
AY3Afw4BxXLMUVvki4RMYpjAMJWhiBmMJkHPVAAAQABJREFUWinFBImJGcuZECkpL443g0mCFC/i
8nNEsMirxbvNq5k+rsYbpSp1yjDZYnukK62YlkwNktvpE5O8YsTssijmNJE3Rey4uvK2mRuf2o1k
T9PzoLyQLUMvp7LsllySYFxZ0Q/xtO4nr2HTO43RcNB6S/2uCB4F7WtR6x0c3jHA9we0lybkS+70
byNQ5uYhlk3gNutLdcSGZLzWsDR2ffo0GvZahNGrj6Nvsyst3Yz0UggIWYMX7n2N1j0tR+8aIdj0
9WnCOV15W3jdT+XXNmHviJutOpzYNPpJtW4raMloPLx5NOJid+GY8zk0XxaGDjO/Qe96PE3jI2TQ
E21pUlBxTh8q9R55DZvbd8PM/h3RndaUvVrvKN5rYUwB+qiSi9iBBQOeIiLDV8xCvDD0Z/w8gr9s
y6BJmxpwTEg2vEsh1XHvnSGYNszwKKX+fVDZnfFkTcywtXC3yc/OMHF89Q6zJB1+ROS+3vgX3m/h
jy37zyF9fy9UCutl1Qy+O9xGHBugxxM3qrKAG/th23ecTMTaj/egzuApimyxxJmR17laB9ZOew1v
7ypGK96MkJh1C766gwgXESU+l1cRwVnT/jdE3TYERw6aPsy0v3z2NYhI5OYffkLlvt8aZIvNOrxc
jGZ7xLoVmRTvqCX2TKScwE56l9/dyv26clfzho+7xvnmnEeX4LZrn0JYv0X47b0HbOeCcD4AvDR7
kCJbbDeoVHk6JiKV+TMzYR00AhoBjcDFIECkh4kS3/HHLEdNF3KaF8szpWJXFXMcVmIJRWpdFqWV
BpMx+ueKrKqkRLR45o8P/vz1pgIRMbLBC+KZsNGOpSTltVxSSmWky+34W/ODROq4L6pRis0+MOlT
QfJkI0ApGWKfRwctJAsM9P7JmVOZT4Pkt3h4/Bo0Cr/Jt4pHybVdpmFLKz8UT/kBtZpOwLQ1tOC7
BC1yC6yQw69mMkLsRNGNc67+H/pjB63FqoeQa57Cli1tEBQWhC1jW6NHXF/8MrEleE4wqjbdGkq/
6Gt1/ogWiR91I1vctfLVqyAzfh6+jH8WOzawpyERP8yLQegd1a0v7QiTXLC+hMp3vIbZs8+geHEm
A8WxZ+FO7E65C08/dj1qlBcqKNrucenrGqE63save9LQjO5S9Blozc3T47/BQZrimbl8d54Jl3iP
7HZTd3+IjlMPYfCaI7h/84No2Kcrvu61F+0jifqVvYYWoM/Bz0feoHw5tGp/GzBssfISBZlPVf7q
sFPp2m0ibbWRZQhsw1DOs5CrUY0u9MbvbcPP/QxSZa97UjLMXbxMZSZJOcXrv/yGjmVsEl/JUDw9
Zxue9lVM8vCQkqjaZDDm95yKjs92xsP3/0bjyqmviTi+14nkUsZUJJveNms8eSiJMHPGJM/iUkvd
PQev7s/EYC7LKdD1zOvw0i0mE4N5C35DwJXt3Gv5wMddyXsu+3VwGIMat0fM47OR5EG22IInrd2x
ejkCar6LSNdbjvrHV3tOwYH43ZsRfEuvnN/POZnQZRoBjUCRRcBYu0VsR7EbYi+KJBGpMRgU8RwW
ME2iaUNjYZbCwlrbxYSIdHm/LqOAnrNIeVqZpbxZzIt4Ybs160ceMa7CwVqMT6r+JOe9tRQhYyam
yBaTMzZAMf1zUFOLiqmJgCRGJUPB23H/wheIswThiYnbsxXnVJZN2U2QiJ++/ByfzN9geEfcyrxn
IiJro169WqjZ+AaalglHdIO6qFWvHurVrmh99XitGRKNpnX9MXrkh4jjX9y0kHvmpKUGMaIF4vXI
Rq0atRBdsTSurHMT6lGa2+E14Fu/mEoVOuCOSiewldZibVSvrUgmO9e27qTu+Luqd2vUIN0/F76B
Qdsy0acH//o3Tuhfm3/B1p1b3epFNmyDLl06omPHLvTqiHZ1SuKKBg+SrAsaRdrYh7fBXHEtGtPZ
nTB3dfZSGteieetwJIkHCRzZ9g0+3Z+F9rdfn13XQ5IQF68WN+/ZRgQh+Qjij8QjXu01kYD3e/ZF
UKPxeKVpRdzScyzuRRw69/9UnbeaT42gacJ4dGj0HMghSB4l88Ii+yE3PoSXyCf7WIdh2HE8Fam0
P9jG+ZMwb4tFmTx6AXPheyW0Gno9fun/NKZv3A+HIxVHdy3F228vsBbGZ6uoBGVQ854KODRiJBbt
jMXykQ+ixag/qIToSTYeewwx8TTGuOPeTeUgfWTcp4TBVjz+5Ifkw8qpr2VwZ7vrcOajsZi39U+s
+6A76pGnVEKp6jUpuRpLvtuF+HV0I0BN05tn+2Fg6GbvKxOutfO/QOz+DRjYrDZGbc2Ev/dZZmku
DzHvpWZcB/uTnYg7GmddB5kHvsOo+Ez07VCD1tTJ+2Ajdhw21gkykeJ92Pja+YZw70hrHQeOf8Ii
TkGlIpG5cy1+jD2J1OQ4rFq6jbDzCCd/wuRPMtGsRYOc388e1XRWI6ARKOII8NcKvfhB1MxpDM7C
k4jkhTLJllpXxYvXmfCwBq+Q55TKq6SiPryfFs1HqpeqT+TNzz+Qysj3xETO1DfMEvniZzeyk4tb
Y/al6nMLhkx5scw6BlGjElJTLjhTzsrcT3Z4+asOqMreDymnD6qCBdMWqbvg7Fo5ldn1sqXpTsPp
r07Cey+uyuVLNFtN+jlt/MLP6Q4u91pl0H3iSFT6dhCqBdGgQ6+jL6hO+H7yE24f7OwQuDrc85uZ
FqfQNFqb+rVRv1EjNFKvZ/Abz/tccR++WvYqDk5qiyBCssYjk9BqxA8Y3tz45lNruBa9jPq0J5Zb
PffOGd4B+y34HuXu2WiMWvysWk/0+qqj7kU4hnGPNUelMkF0Yv1Qqd6TKPH4OPRp5T6dyF/WwUHG
YmfDQCI+61qD9tG6VU11Hpz0CKIqRaHpuxvxz8/v09qgTEyc0cP48gy5FePndEPK3M6YupO/bGtj
ctwitA+cjltpijf0FmN6lrEEojCayu4/Nhx1yoUhjPYHa/ToeJwq7omxUlbej6vNsjvfWIUZPRzo
0agqkf0wRNa6D8uOkneTVIOC2G3Io8ge2gyaQGRoOdrXjsa9r5bCso1LVf53txsIuP4U3BoVhWpN
Psh2TWe36iGhmxM+WPwc0r/rhZG0yD+nvt78/CRaUbYOj9WvgabPH8O8tZ/TWrgzYHz8KtyDyQ9V
wXvtayGqaU+0mL8Eb9QNQLq/QZiNVr30lc/Bgl7YPvNpRFe9FStqTMUqmvZ2xBtT2Tnh4zES92za
L3gsqrq6DibEZ+HMzM7WdZDy9wml+2b7hqhdX94HjfD4lC1KHny1H+Z2q4uIiEpo++rv6DdvK4bf
dYVlv263sXi53re4Lzqc9kythntHrPbwitENFo+1oWnrHnj/hdx/IFiGdUIjoBEosggIsWICw2km
LGo9leJSPOXHBIkIk3IxMRdipkNBebp47ZUp44R6liGXMWliPZpaZFJGU5LnyOPFBIs9ZGxD2VFz
l2SbyZZa+6WMmXUNAkUNG/0hFW5TkTyDEXKBakPF3E1qQy38Dwqv7DybZJAqructLH62OB7ZPh5J
65/LNouTU5k3WyJLPR6P5MBy1q3mIi+w2JFMHo3DtEdVBGpEX/wu2dJPB/1ij6Xb3Atvp/lULHg2
Wk3zdRqzCCOeuMu1+z15g44cTqB9w1IQFh6FqpW8zLlJx/M1dtBu/HG0Gz/dzlC2MiLdduN3IPn4
cTicoQgvZ1+HlXsHUpNp21ZyhYSXpS01bNNTOdckDI6koCxtw5HnKjkbzFOpt76mJqUilBaBSXz0
m6cR2fYvrE75Cc3MU8O7tyOMtuQ4z1PlYGwywlDWDes8dTWflRIxsmp5HJl5EBOblYKDtiPxhXsS
XQeZAdRnc8sR0PUav+NHTHi6HcaTl27iluSc1zDmc8+1OY2ARuDSRaB0lRvhH8QfjOyFYpalGI7y
Fqmd32nhPBMxpk9Mung6UHm0FNMyyRcPT5EfIj1EpljvHOux2PRAGYvijXJWV8SImRavD5OpSW6a
CJp6fBBvD0EbpGbRUisV2D4TNUXkTLtmm8wFlT0120m9zY1w/UlTiuy9mbg5Fb091g3lVGb0RB8L
BgEHNs4Zjl5d3qI1QVFYmbQXLWW1d8E0qK2eNwKJGOpXHiPrtqN9wW7F2QMrMWz8Crq78AdsH33H
eVu7dCsY4zzx3TFMtHm18tLfdQMroemoI6hKd7dOn/IGWlbNZUo9L0a1jkZAI1AkEHARLiIq9Hgd
9YxCIjX8TEKmUzyFxwRKPUaHyZSa7iPyYxIfBQIRH0XEFPMhCU0bqjwTKfZcCTFiZeZ0KpB1LhPO
RkmVVlOONMVo1mGi5loPZrbLZcrLxZUoUL+I6RlpzgaShysjBw/XEZqW2R12G1rQInLPkFOZp67O
FwQCDiTRcxxLnKfnqCB6om1mRyA5fgO++PwrrNm8D84y16BZu0fR7d66Pj1A2S1cDpJUrJ3+Ec7e
9fR5EyblpQsKR9m8uy8vB0B0HzUCGoF8QMAgXPwjjD1cvAk2b99wjh4uzWuuiMeQB4pligARyeEp
QbUOS0iUIj9K0dYbYlXMf5hwERFSpEkImhAuNYVIKmrzUqMdJ20hofTpYYhCqKy6doIlLZkyS8eU
5+rhkvo61ghoBDQCGgGNgEZAI1AYCFiEi9daBRDhodXrajG7IlTEmnghumJPBlNy0qJ6RbjMzpEv
THmz/E2vE9+5yDvB+wUEwEkPp/Ya2JRxzxslKEMkjg6Gg4tSPLUpU4eKeJFMCJ+KOU/Bk2gZUkUd
xW8mIh1rBDQCGgGNgEZAI6ARuAQQkNk5np6jIIvkFdlS03WkQEVCtmTxvB/p+6tpQCpkRxgRNH48
j1rATlZETxlljxS9jGlJox0mVkzamEgxgWIbagqRdbkfvK6M5dwvtbqehGaZRcqUJqsZNgJyu0vR
1NeRRkAjoBHQCGgENAIagUJEgNkWTSny9J+6lZDzHNj7ZKSZ46gUkx+eBmSnFKdV4EJKM3miF09J
srIqNeubikpPkTCaNWQ7vAGq0uSIa/AmqLQzvSuwFVVI+uw9oza4jyzOpEMxo4z7LgSMu+cz8IOA
V8UYe+34VNIFGgGNgEZAI6AR0AhoBAoAAYs7ZdnZChMoJk9EjFSbxpHZjvJGMZmyEypKW4/ZMfto
6PE6MNLlF3E4wxSlmbRxUEVM9ihNe3IpXVVAWSZk/KK6AbTGLDg4FMHFQ2gHCtp2ieup9ilhC2qT
VVvelkzF9F4tcc9D75//Xlk2KzqpEdAIaAQ0AhoBjYBG4PwRMIiVIl3Ke0T7WdGfH3mPZBZPkSFF
mgzGxM9DVIG5jqpotmpPk0i8ThwzkVIESYgWV2EZvbg95fkyCZmLdFE9mlYMLBaI0qVLo0KF8rji
iitouVmgq1la2C/tcD3iZULrzE6Z0T8rhqiHD2fuHIj/+3yve6HOaQQ0AhoBjYBGQCOgESgEBHhz
UiMQCWICJDN7FqEhT5O5uSgvnleeLyJc6hE/THF8vcwNUZkUCTFS7Zhky2zULDN0lJ/NRpuKh4Yg
4opwXHllBEqWCEOxAGN9mGHPIG1C0mzVxDTFmTvwXOvxuKNDJco0wIzHu2MNPbpFB42ARkAjoBHQ
CGgENAIFjoCajTMWuvNidyMotxUxKV78TjLa/JTYlVHES6yIKLF7ifX9qUxN4fHUHvM1iSltTPcZ
1bwePQiYQZhM8qQqmG2a6cxMJ06npOL06TNwnKUNUbkNRdrMPpEeEzDeqjVb+OGtx/AFPQlv0J21
4Bd5N16v+zPufd54fl42ZS3QCGgENAIaAY2ARkAjkI8IsC+L/yzPE7uWlHuJSAzPGvLdgYpI2Qq4
fZKfy8pCFrnByCdlURw71VE2PYiXeKHUfKCHh8u+HovrctPUEJE+J86mpiIh4R8cPHAE/5w4gcws
7hTzO56qNIiWqsM2Q8tHOVOO7VMKfHDsnY2ga7thNO0s3yvrLXo+XiCS42sgvOrjGLzmHwxv6npG
mlVJJzQCGgGNgEZAI6AR0AjkEwKy07zaSZ6pFy3W8mOPlj8/C5gYD5EZ8mUpT5KT9+oyWJBBytib
RXcOWovfiSQp9mPrm0WwTJkQOz+aEgTNSlp5Zk0U2KTVBG+6anrdDGLFd1LyHvaKiVG7XIfuXFR3
Vqrqqp/+gUH2hwknYEyH7ijx1GL0pcf4ZGSkoc7zzVC6ymPYOPJWjGjWF7FGXX3UCGgENAIaAY2A
RkAjUKAIMDGSKUKDYrHXiv5kilCYEO80z3yHDx77LzA5UgSLiRerkE1OMqkSYsVtKB3iacoke6SU
HusQgTIcV0qfiZS6S5IJFpEvWT9GFlTzvAeY0Z5qTh24HX92iUnYv3AQBm1rgqUTH1Ci0tfdgTrB
Z1X6loGfoQc+xcNDfhZ1HWsENAIaAY2ARkAjoBEoAAQMUqUYCvEdF1Nh75ErGISJStXtii65pBTx
oQzrWV4pTpMZLnORKqMFpnPcmJ2IsTOL9ZUNs47Y5XZYLi+x6SY3F/37n80wCBXS1qPLI7Pw+NwZ
aMYP6OZQLBIdHr7JSCMK4ze9gz9G3IbZMT62xTc1daQR0AhoBDQCGgGNgEbgghEgYsOOJcV/FBfi
DAfOGORIuZOI7OQl2AmSIlkmgcpel+xRmSdxYj2xIeRKZJ66XO4WTJLmTyvLlHxxn9uxpvzbGPfY
NZZeWnIijsfvA625VyHk5n5Y1DMIT97xFhIsLZ3QCGgENAIaAY2ARkAjkI8ImKSFyQvxFRWEcilG
RBK1hovdT2q6j7xMrKCm/4jXsIyK7OSIjdjJEefdgtmQrNXiMnt9IVwsl7TELOPgqc/lcpelP3u6
0ra/j3ZTMzB1TV+UM+qoY8yil9Hjsa/dNj5tO+4ntD76JnrO0ntz2aDSSY2ARkAjoBHQCGgE8hMB
w9lELIaNEqGybHOa/oiM8ctFekjDJGpMttRCe9O7ZFVlS1yHbQvBMnWYrylSZ64BYz0Ooid5kbGc
9wiz90HWgkkdZYAOSiewzNXOPomHMbfvShwcfYeUmbEDyalAeGigm/zoN70R2XYDVib9hpbhbkU6
oxHQCGgENAIaAY2ARuCiEOC7FIsFhTHbobVXvMmWuaidKZEsqiKHkSyI5+cY8sOqmTCpB1QTWTpH
L3+TVHFnhDAxGRKSJDETJ3VXoVLkg0mSbPUNqfcjEy1lw6Yv7XENbtMvMPxqpyP5DuxwzkIt73a8
SB2YcW8YXgz6CCcXPQF3OuZFXYs0AhoBjYBGQCOgEdAI5BEBY1uIMINQFTMf16O2DjUJF9nhKUV/
LiMyUyzAH8VDQ9X0XTrtjZXB69NpewZFwExPlZAr7oJ4oOwkSW3xQFOSUiaEyTNvH4LYZMLFacmz
jj3NeeoicMPgRxEWH4udKbJai4tyCIFhuPWFAUi7tzOGr2qBN1tUzEFZF2kENAIaAY2ARkAjoBE4
DwSYKVHgqUPe44r34DLok5orJKkqVF4lJjsBAUEICgkhwuUHh4O4TIaDdMgFZswKGh4mImZMguxB
eZ7EK+VeZKkJcWJdqS8kjJW4fQ7qLkjzjkQlMA9WHZ5SrFM1ACeTzdHZtXJIOxGOypXP4WSZrvju
65fc1n7lUE0XaQQ0AhoBjYBGQCOgEcgRgfCqdeEfGGqQGJ4qJFKjphapFtEv5dVSj+4hEsTkJyAo
EEH0XENeM5+RmkaP2MlgF5NJ0rI3xSTIk0gJobKTKc+aFnkSkmYqiC1PfclzOW/Zis2b/xKZjjUC
GgGNgEZAI6AR0Aj8qwgwQVHeLeoFJRVx4rVZTLoUMTJ7JwQoMzMDmadoyyre3Z13glfeKve1Wp4D
EmIlNrhcZHZdLhe5xFzuS+5ZJrYU4ZKMjjUCGgGNgEZAI6AR0Aj86wiwE4s9WbxuS03lUaoY59kz
RZGnh0k9jocOqij71J+QIyFMQrIkryqe5yGnut7KjInH82xEq2sENAIaAY2ARkAjoBEocATUY3KY
XxHRMp+Mw2RGCA3HTJ48CZXoCLHidVZSh/us9uxib5gtiK7EtqJck1zH/pK2xBbnzaVeudq6ZBSS
jx9B7M6diI0/Ym3Iau/c4did2Enl8UeS7eJc0onK5s7YeNAuGBcU0o5swYLJk/F9fFoe6ydgwdjJ
2Hi88HbtT4tfg8mTFl/ym9Ye37kGa3b8k0ccz18t9Xj8BVwj3tpxIHbtKuxIyOkcOrB10XTM/n6/
NwNFRObA8SOE6dat2BF/3DYmB9Z+MgmfLNvmtpefTUEnNQIaAY2AVwQM75Z7kbFtg0GShMgoDSZO
SuzybLFcdCR2t2aU29fJC0ny1JO8px3Jcyx1JRYZ50WvcD1c9Pig5n7FMGTtCek/Tv46GP6Rw3L/
QM7cjC5+AYgoVwnRtWsjOqoSSjQehTixlBmDoc0CUTm6NmpTeVSlCCx141xxGBgViJBWH7q3dXID
2S2nbNaOjkKZ2wYhJo83axpNJ2LBgHsQWqkBOvYehz1JGTSmEQQ+7dxvtZ+IcfUCcYP9OZQnt6Nj
3974dNtJGUGBxzGLBqD3C+3wq9WvAmwybTUa+N2E76UtfnQUnb+ruy/0SpTtPYmZ8xia15nsfp7s
ChecTsDMnk0RVi7Kukausp+THOwe2TgP05fu8tA4jZnNWmHq9pzOYRIWt++FbnfNyqfx0LXULEi9
ufmNzK969wzEmiM5kT6Pbp9XNhEjqwai/+pTwNmVdE7p/bs+Hchcb5zfk8l0bYeiXCXCtH591Ikq
h7D2E8z35WnErpyBrm3qoQy9H6ZvKDgSfV5D0soaAY3AJY8A+Ys8+mgQLRYKmXEpGA+uZi9WWKlS
KFk6HEHBwdaWES49V4r8XShm7tvlkrInzd17xmUs4yB3I3La3gcpFznH9iDl/tRNu7yA0xk446UF
51EvQk+RswK6LvkZh5NS1EATtk5FxvqB+GAlk7cEvHNzbbyd3A9/JNGtoM4M/L0vDk1ozzQJWbu/
w6j4TKR/NxO/WD/CE/HO7U2xsNVb2JdCN5Ae+Q4tfn4XDbrmTgoMu4mY2aECOr4bgM+3HKF296J3
vdJmk+4jNZ9YKd0BSt+FjMQUjL3rCpesgFN1X16PFGqzTXgBN5TN/GEMbdwMn0X2x+oZHXLdty0o
IgIoH5zNysUJUjGn61XoPq0YPt9xXF1DKQl7sOKJ2nkye2jFK+hx38JspCm8ih+C6e4Y36Echmac
RErGG6BR5Us4e9qJq3ovQEJSAmK3rESrYmPQvNIQHM4X696NfLs2Dulx27GFbrPetI5+5qSeQDJK
oERgOB75dJv1vkza+TEqLuqDD9SPqjJ4es42ODP+xuK3y6DHrWUxZo0mXd4R1lKNgEbAjoDl4SLv
kXtw5Zn0KO8R7bfFT/IJDAxE2SuvRPkKZRFashQRrgDFcITw2O2ITNW3Fdjz9jSr2PNS31bVImtc
JuWS5pg8XK7O2ytK+ujyIapi/68OiMiKcyqzlC4gkRr7Fd4Yvdx9ei+wElq0aYjIcOPJ2pnHYpTl
2teWpkcTfYJB26rg6zUjUTuc7wMIRLmoqgi3fQ9uXjyb5NXptRlzl+6lGMjavZDqZWLE2y8iiszu
XvYxltFpS/l8NtaLZ0Zpej/s+ugpdP/CgVl7FuHRep57kZVAUAmpF4zilExS2UR80KUuqjdvjrZt
u+LjLe7ekbSt09C01TBs3LYUzzYPVNjX7fSR9UXvoGnBoV2a4hpi5tUb3I5m9/TBVmseNBHLxr2I
BtcUQ+A11dGc2ug/azc9u4m8S/WrqfxDr7s/qgkg0ti5NaZv/BPfjHxQtVe8blcsjTM9JplxmPny
PUrOF8yDQ76x+iKjyykuUcKB5X0aYti2Vvhx50hEWco0pTryGaOv1W9C82ZtMM0DC8PRSPVHdkK1
eh3wdfwJ1ddJW12YbZvZHXZ8LPMeCcfehejySQZe+N88PFrrSlUaWjYataINgpwauwQ9m0eZ47wd
Y1f9aVpIxRHaoy72JG2uR36bHfHxiI2NRfxhA3Qm0iH+h6iPJnbczxhjWvnPOS+gOo+tZWsM/Gi7
ac8eObBxTn/lNTLelDeh/+d0vvIQwsMjUTa8LK6t15Ku35FUYyG20Q+J3K6frQtet9qLIs9Y7lPa
ZVC3fXmyn4F9O9aqnv2y508cjd+GfbgD0fS+qVSrlvW+DPI7i7/oMyX4nO3NF1gODwz6CssG1EG/
5t2wwbpe8zBQraIR0Aj8JxHw9HDRV54ZfJAZJjk0tciP8wHoTkal7Zvf8Ian9k1PxTqTKiFJLOM0
ByFbkpfYXsZpkbO+1GE5B2sIRjb78e/4jUr4y66/sxXmVJZN+TwEjuM/483+a7x6w9gMf6lEth6L
xsPXoSvtIZYQu5umJTsgZP0Y68vkwf5zbL/46dFFgzah0+y5mE8P3/5i6kpF5s4kHiRrDXDzdbR3
x/7PUav753hjXH+SHaOvl9xCIr6dtQwley9H12hvN3uuxlezFmPRokVYtPgz/LLtnOnhKInmXd/G
2O6tsHztFziY4j4VlJGZgHXfDUWjevfhTKvPsOyDx/H7jweNabiTq9Ey6g68/XttvLdmPUZ2KIO1
367FCdVZBxb3uQFtXpmIFgOWYN2st1BuzTp8+1cibW97Nbq+Pgnd7w3Gt1/uzTald3zH9+jRqAYe
nFIK85fNw5OnPsPDPT4hjFIx44FodJ8QgHkbaGPcVe/j9xHtcOMLK3IDR5Uz3/z6radw7/hgzN6x
EM0sz1oqeQYro+OrP+K+t1bi5+kvoMTaFfjTjoUzmPByYEGfBrj31bl4evT7aF/VDwfXfo/9Z1yY
ZfyzwYVPDr1K/ZsJVAM8fGeF7FonV6JpdFt8e9XL2BIXo7wxfVvWwFsbidid/BX3R12PzuMOUb3Z
aBYVhejoaDwwZauyU/pqPwxvVgv3C3Ynv0angZ8rjMNqt8WYiW+iddh6fP2nu8eTK28afx8adRmN
FrNXIiZmB1Z98iBCsrlCVTPZD8WDLNnSWeMpfRdqliValMP1s58eyVW/43DUn7YScTGr0TF1DBqV
646duUyhlwyPQOyKr/Dtygw83PNBpK5Yj92xfyOgppzQOIzs/BDatKmPsJrPIuyxBRjevJTVP0m0
HjSGfvIsw9JfaXpSB42ARkAjkAMCRJ2MUpPwiKoQGs57khreGuL4Pyfw97EEpJ4+hXOZru8K0eeY
bciL8/ZgnzZkObchup5t2+WS5jr2tPSRY2IK5qBYy0uo+9xSJDyQjPBK9GnuEXIq81A9r2xQUAjp
B3qdekrbOxt16j+LG3ovxk+Dmyi7B3ftpunAj9Di3gYYvXQz5pTahOeadsOt6WVxYOI9cOxdggnI
wlcP3II7r+qNjKk0rZj8HBqXKUf1S6C433G807wLKvddh6E9M/Fpn9HYsy8NLetzP3yFk9i/9hwa
d/D0bLn0v/xwHDaWMBj2GvKcNVbJQNRqcS9qZUagWRfffLfT1G34tMeNyNx+ADfUDlNYrBvfG2vQ
GTu2fagew5Reqh4w6AD4q9ex9yO0G38Y/f53FO/ex6QiFY3r+mMDd4e9g+0qka1f0GUgI+seipck
V2elPti1fyxqUFGNHuMx7f2DSE38Ae8sz8Tgn+aiY0P+Ar0WqxZsQ9VHJmHDqHvQyHA2uhtzy23F
u0M3k6Qrre1xYZm2/QPlGRyxYTNea8geplTcVqU7+drM4CyFYsFb8dYrd2LY+FS8v/44XmjEXilL
QzRV7DwXnG1MbgqcCTKnKJmchrJXry0+2V8Ktzw1Gp2SR9NU2UPY8elLCtd6gz7F2AWl8drI/+H/
6NFVm51Z2DSqNhqO64zEYwNsU4NGf7xhx97MSPI+taNTtOnXaEw+zZ2wBfI69u/zPdpN2YV3u1yv
CmrUqIU7bSo5Jff+/BVmzFiH3+b8Hz10PhNDlgxEFFUgiqiC5/UTRBOAH70xVf1AmP6M0co7/1uG
L8JbYd4v7xNBCqEbAL7DrtN+6npiIxnOK9G8zS2o3rA5Mj/ei59TUnHPmG5ImPoeZi84gesf/NTA
gj7TqjdsjbL+CQg59ju+/HwQxjx3G/o29XhvlL4G99FvvF9/jwOa32h0VB81AhoBjYAXBDw9XE6a
M2QPFhMXYjRWDTsJynJk4Uym8SnoRx4s/sq1l3Na1bdqe0+IjuhzXtIcS1r0vFsxpKwrIQ93KdKc
KJEtzy9pw0BOZdKELfbiNpLf6X5pG9CGFuRy50JveYsqDaWFtsbAmoz4VRlxHl2C2659CmH9FuG3
iQ9YfbqqXn1V/sKXS9D33rqoeVsPfPhBCxyctFHdkbdzyVdU3hUVU5ORElGHfmVvwbwfDsCRmEDy
M5jX50G8ur8TVo1ugkyaNvkL9XFDNRdBUMY9D2lJ5EFzojItzvceGuCzjT9h9erV9FqOsXUDcMCF
OzEk7+vZDFsN0OMJ4wsp4MZ+2Pbdc/TFloi1H+9BncHPKFLAek5+VpQZUpPYW1cdrW5z9+DYe5fi
BX+unn7AiV4fv6bIFucz/E7T7bfBcCTsU9NDta4txWIVyteoSvExnPFhy9AyjqfRFEt3LkEzzEFj
WkjNaHNI2M/TZn3QTZEtJXI/BJdE1oHZGDZuHSo/P90kW+4qkgtylpRkznFGOpVvRlwy/+Ipiabd
nkE58qqxBzDj7GHy1jRBpGUhFE063oz0TX/lOn3qCzv7+8U7VMb5v6muq1Wr+dwSNGRHzHqsWLMV
xW+fgNV7kvFmmyq2Wtmvn3C1wgGoGm7Di+a8o+kH1744PjN0R+G019B3yBAMMV99XvsY8TT9F3pF
VWTt/wJfbvNDowYNcWvV7fhkYTyqlzPnzAOi8Ejv7uje61V8sfkUJj98AP07TvOCXWlUqeuHnfuz
e/tsnddJjYBGQCNAn0z2L0wDEJoEdCNbLBUCpEgQC4iZ+fmZesQh1PYPLLcFIUESc5HYsZMoIVp2
PXu5mORd8FmuyphgmS+uJ3KOadF87kE9l8iHWk5l2aoEBUHRAdv6jkN/7IAf/RB2hFyHd7f8hi07
YvADTaMBz2L1jh3YsmULpnZiv8thDGrcHjGPz8Zv77nIFrdRrkpVjlC+okxxqKw6+FG9RbN/oPRs
3ErkqFK9JxWJmDvnewRVr0/UaivGT12HEatHK8IR+8dvpFsBJYUJuky5p0KqogF5kL7dykTHe8iw
vlfSwdTITn6sGjYsLBknvH9Lu32Jrf/yG1I0v/RgenCKG1YcsYvpDshzKMkUP5fAfaMbOrKFwDCD
aP21n8mKEc4cTaYErU8TQQ6xH5HZEjXa4Jt1w+hmhZdp/dePSvvg1k0UpyHFrJu2fQYR3kyEBJlT
s+mnUbzxUMwf/zgOTb4TL361160VS4/WVM1b8BsC2PmVSyh9XSOio3747ieeWgxEjRYPKw8ge6JA
HrXMXXvIByTBgd/X/IbidcpZ6HIJt2PCK4rqvHrDzlLIIcFn7jdeeHW+gbxl1z/1Hr745BNMGNYL
zaJLZ7fg5fpx0mDVeEWbWOExSkdW5yszVC1w/2vzZnryhPGKI08q3YCIUpWr0fuEnlVWqzWqla6E
a643PghvuqWqWLLFoWjcoIHKZ5upTIvBIromH211nU1fJzUCGgGNQA4IEFGRwHcWEoNR5EgRGC8u
I0XUaBE9Bz76mdUVGeI8eckM3xebctnmtOSFYAlhYluegcvkJX1SOmxTXmYl0fM9p2Uq7l/4AoKI
KD0xcbtne8ipLJsyC0Ki0ZRIyuiRHyKOP43pA3jmpKUIvaM6PZkxHLXq1UO9WjXQ6KYoKqyAOrQY
tx7JakeVRuYB4y7Dvh1qIHbrRmzcaLx2HE5DyI33owctknv73anKbubRlXij1yp6KHczXLl/DS3Y
zsTELckKTAZ054zHkLboE/wafA+ebl2M2mqDFjddCfagPff0/1DiqR7qi4YKcghlcEur63FoxHRs
cZ8mzqGOexF/4Z48tgdH4o7QpFpuoQxq3lOB2huJRTtj1SLtFqP+oEpkhdhPkJoy+wvffLoOsZtm
oWX0E+qOMuFhLuvHEBMfn6d9ygKuao03qgRgeL9R2HE8FWlH1+CV1hMQ3LILbsrObV1N2FJMOks3
GYyN4+7GzyPuRP9lB1Dn3o6kMQXT529C7LqJuK1uH1Xj6D6TfPidwtm/gtH+JVrDRgutJz50Ld5a
ddSyOnv6/xB/dAuGtqmBUVsz4U+8MNuXu6VtJq64DxMH1MbcJ2uSrf0kdJHg+o8/Q/kp6Dv6RyTT
Q09jl7+LZ5Y70KlnG6IhRggqFYnMnWvxY+xJpCbHYdXSbXTOcn37qMpMTpOpTvyReBCMRghpjOd7
RmLRs/dgzLJdVH4csRuXYtEG1zhNTe8RPyfsvEIZtB5wB10/XekGiaNwpB7Gp/170jXSFK3qXJGj
Jb/wKxTxrNioGuFB25s0u0Pplw7kkSVi1fxF6vpgYfKuz/ESrZcMa10v2w+M/Utm0JR4PdxeN+f2
lHF90AhoBDQCjAB7i1RwkSNZ7C4kSWJT0UWESCBlQp6YkAkJE32JWYcD13ELplyIE5dxH1Rg4kXE
T71s9e3tsh7n6RvDw7BhwjqmnDY8OAumLbKmhKQwpzLRcY/LoPvEkaj07SBUC6JOhl5HX5id8P3k
J6zpQUM/WHm97HVT/j6hsm+2b0j7/TRCo0bG6/EpW0gejXE7Z+K6Ra8ou4GRd2NZu7FYNvwOuvNw
PpX3QRtruwagZrvHyduxBiv/SMNzn6xEl6gVuDWM1jFF3o/1df4Pv015wN60z/SdtAiYp8va9fG2
jYR4nozqnp4RlrLGxEcbolK1B2hNmaFnECf3ukYJ0cJBE3AvlqN97WhaSF4Ky+gLmvO/xzHp7IX5
LxM56dEU0Q2fRN3pdKdnU/YY2X1R7MaaglujonDt3VMtb4dn35hcBFwRTFdGeQz+ZRU6Hh2OOuXC
EBrZHAua9MevC5+yiIj0Lbf4lpc/x4zOV2F0mwfxQ+WnMLnz1RhNY49u+iJazF+Csa0DsVFuzChe
UnmT2EHY+p2f8EmPGzC4ZVPMjg1Bp/eexYGZnREV2QCLIt/HnGGN4U+3/3pHzL1Xrd9ZjsnKVlV6
Q16h7lBljYCrn0TMshH4uv+diKAfF9H3Dkb74T/gwwevtgzU7TYWL9f7FvdFhyMsohruHbFaOSF9
YWdV5ETxSJzhPtNeVe/+bFzH7GV7ZNIajOtcAv3a1EJEBO0F1+g+vPf9Ibeq2TPBuLKifABlL83p
+qn73DzMeakC3SARiaCwyug8PojWx32BlrmR55CriSb54arrqqoGqzW9meLmuIFuNuHw6zsd1PXB
H0YRtR7H/k5j8Tu9h+zTqvxjpssjs3BV3xFok305qLKjDxoBjYBGwCsCitS4Pvc8F7YLERLCxDaE
NNnLVD22RS/PIDLRt9vgZziKPZErfbLjX4zJlvvaMLHBJEwIo5IFlqnizDgR79m2W37xs8XxyPbx
SFr/XLYv2pzK3IzYM45kxMcdRoozAjWiI90+mO1q551OPY6dtB4lMLQcakSdz6c67zRPv/qdYYiq
XTXbGHPqx9EfhyDyzhEIbT8Uy9/pgVtrVMy/8XhtmLYpOJKCspHu6+octD7NERqOwFRedEN+CNp4
tHnonWj2U5LXO8a8mvYpdCDpeDIynbRmr1xu384+jWQr4KcGICwS5k4f2cp9CRzkDUrOCKO+iP/J
l6Z3eSq1eyiBJtfoOqlM14llha7L48nkKwsIR9kIO11w2Uk6fhyZAdR2hFXLVXiBKR4Pe75Cw8nP
G+q93Qs07bVaKrWXQsMMo20l8qU5B12ThxOQlJKCsLJRqGo7Lw56T25ZOQ2d2g1BXOQA7D480lor
6LVzWqgR0AhoBAiBiCj6mRcQAr9ivLabiYtBbNSzFXnNFOn4s8+ISI+dDDGx8cwL6fFnO/TPjwhi
HSZS9qBIlCmw2xAdsa30qB0yYni2SOEce8XYJsu4jAP3hdoQfb/iRLjScyBcf9KUYg26K23i5lT0
9rhrL6cyo7X/xvH41q8x5OVH1N1ivb/7BxMLcTNTQfjkj70RfudkPPP6OFwXfASfvTqGpot6YEcG
3dFY8N/h0g0dawRsCCRiaNXyGEbr854YPB/vvP4IKulr0YaPTmoENAK+EAivWhf+gaEehItIF5Em
JluKhBkJN5IjpEjsMgESz5a/H5E3Rbho+b1JkESPYyFLQrbElkWgbMqiq0Qm+WKCpQLbNoOlR2W5
Eq4jNG21O+w2tKhdWupbcU5lltJ/KJGaRPOCJcLzx2twvrg5DuOHefPxzXfbcIjOea2GD6Hbk23V
hq7na0rrawTyCwEHvScc/9Z7Ir8Goe1oBDQChY6AEC7eLZ6f+szTdkSz6MVpYk2cNgmXECPupKSF
JNkJj708mzeKCynYyZbks9nyose6PoNJyHIlXD4N6AKNgEZAI6AR0AhoBDQCBYAAE65iQWEG2WK3
FL0M0mUQLuZaPKUoviSLWJFcCBJ3i+9I5EXynkSMJFRiTinayv1pCpMDl/GMo585Rcj2nUT6qHVm
ZUpHebQ4rUTUDidMcqX6wySRioXEmffhG3X1USOgEdAIaAQ0AhoBjcAlhYBM1TGlsdImkaE8y0Ru
3T1oDsCm7jEkpkcmQWJWRCGQnosbEkokj8RptNFz5jla7MoGlBG+y5AJlEm2uIKkDc7FEiuo/piq
nGbSxX65PAd+jt8a8zlxea6kFTUCGgGNgEZAI6AR0AicJwLiGbKITQ71WVeRGp5+JIKjXpxmkmQG
RYIk45+liBXbpmXtJPUnslWCHn5dFuHhZRAQEKTkqg+kw3bc7lZk7xV7vKgNf3/yitHL3P7LRcQU
USPT3B/Wk7ZzjxMxqX0LegDy+9Z2ArnX0RoaAY2ARkAjoBHQCGgEzg8BIU2qlhAX0wSTH/Vnk7vp
S1NElDhYRIv1zTrneAt6Vc5ki4kTbRVK2wIFk5crgKYVLT+Wv+WmMkictEnigIBAlCodgbASpVHM
PwB+PEPJNqUds33uA8vzTLj2f/o8JtR8HzPaTcZTU913/lbG9EEjoBHQCGgENAIaAY1APiLAxIrJ
Ci/jooSyTL4s7y0Q0RGvmMRCsMRTxbY47UdbQzDRYpsGEfJDano6EpOTkJyUiEzHWSX3c3qhSdwO
LfBiYhYaEqamIYv5EeEyOmn0jdqwgpn2YslScSVoT6cunY+i41W/YHnwY0h8tju+NzfqdCnplEZA
I6AR0AhoBDQCGoF8RkC8SmTWIlK2JlgmhEq8WRILwbKpK0+VQbNMgkar6nntV2raGZxIPIFTp04i
K8uccnSv6NZOFtU5Q3XS0s8gy0lP/5At7MXDxXVtaZ7stJvzknZgTue7UHnuJ3iswl5svPJhfPJN
Rdzf4aPcH6fixZoWaQQ0AhoBjYBGQCOgETg/BMjXZXqQLNJl8hf7Y3W82bSmG0lfrbPitVeqLnm6
KJYNUM9lOeHIyIRDkS32UGX3UhlbUlAR1XNkZODM6WSknjnlTtDYg8beMzu9Iv1cCdfJnwei6y+v
YdJjVyPqxpZ4tGY1VLl/Mgb82ROvrJTHlHgbopZpBDQCGgGNgEZAI6AROH8ELFJlVWUvlrlru8iY
2BCR4a0fFJGyExzR4Zh0mCgxsVJLstR0omuXeUWiuC5P/dGLdZgeKb5Fdbm+enG5BDPNJC0rk7xh
lHdmmTZJn3JGfWXEqBSgGhAD2eId6H7beEyJOaseRPuPszgtKuPHBFfAG2umwb/Kc3g2Y4HeyTwb
blqgEdAIaAQ0AhoBjcCFImB4pag2kx0rGFOAlpfJlMu6dkPXIEVM2JQeEyMmQ6TLNt0C57mcg6mf
jehxuWc9o4braJbb7XPatGzpEeXzFFll+GHg4zgynB4QU8PYruvQpnn4eIPxMGs/euDv1nEn0fqV
Fa4KOqUR0AhoBDQCGgGNgEYgHxBQ9ISJEP2Rc8sKnFfkhomOvKxSW8JOluxcx1sdJkisY75UmvU4
iJySnqTKnrd0VcLjQDZ8bnyatv19tBj1B0If+hAv93QijeomxuxBwsl30fN4GcNSUiwOLmyNMU8l
o2+97I/+8WhOZzUCGgGNgEZAI6AR0AicFwKmf0qRHeY+HJQHy0h6zSshESblaeJKTJ4klnqeeZbb
SZboiR2akrQTMZUWHekY5ymdzZXFNgLp4dUZXh5efSruTxx0UBWHA7T2HkFn6VCcLQG0TgxBQUqq
8qGVaiAqXD+VVoGhDxoBjYBGQCOgEdAIXBQCEVH1jIdXq01Fabk5b5SlPFu89JzSikCxyPRy2QkP
iRUhU3WMbljEi7Oiy3Ulz4SIXrKA3rO+oZiHo822eL+EmAX4w3hukKeZUlHXopanUOc1AhoBjYBG
QCOgEdAIFAICwoeMpthnZE4lerbNJMeuTHnPdV5CelRVu67NlpAtVZe8WV6DzbbYdCNzpm1PssW2
iCrS6nodNAIaAY2ARkAjoBHQCFxCCIiziLska7iE5EhsebiUEhEvIV9SmWNJiw7HHKRMCBjHPPPI
E4LKiWYSPHt9VY00bDJOC8FSdr3osDxA3R0pGjrWCGgENAIaAY2ARkAjcIkhYMwiGlOAsqbLzatl
76+NDGXTIVIl5IholTsZUzYU4yId3kZCabh7z4Sc2dtTZgxdN28XyaUtVvc6pWhnbqykg0ZAI6AR
0AhoBDQCGoFCR4AJErud6MXchB8WrdxQTHyYWNkJkMjMTrqRHyFhpCMcR8pVTFOIPJUoaiq221Zt
uUYvREpsuUpcKbt9lppPW+R+m0zO1OVt7iV4lolcxxoBjYBGQCOgEdAIaATyGwGiRUyxFKmibU2B
c/5EtoRkGZzF2JzU0HEjXtwZ5jTyoqw3giTchtduqfVbilQxoePAnIhtUGQROZd3jG1LfbHNtVSb
VIlJopRzzDr8tEVLKCTLrqQMmAeRc1Z07eU6rRHQCGgENAIaAY2ARuBiEVB0h/iVIl1kjKcUeSqR
d5tnqSyKl93nDW+SOIpURYvbqJpsULEnjrMHwx4rGfYNXbKj+BfJKMnVmZO5gkm6uHOsoAgbK/JL
jiqpDmofLiZPQqY45pedUEkZ17CnXWZ0SiOgEdAIaAQ0AhoBjUD+IMBcw4+5j8llFA+iLeWN6UUi
M4r40DSgSXSczixFyIxyRc1UR9QWEkyEhGzJNKGSmX1VMjuTMoidYdumw3UMLmUKKct1xb7dBDuz
VJtmj0lHPdqHByYvIV+SZ6si4zTLddAIaAQ0AhoBjYBGQCNQUAgYvIb4Bnu0nLS2CllEwGgbKyJd
5+iZhX7FaD2XcSshdcHgJVYdRcM4Z9bnlMldTPpDAion1sZyNTXpNhCWcRC+QznhPhKrMrbBZeIV
czNi1eGmmKnRXYqGN0tIFceS5o5k8VOzKUhnOZa0KtAHjYBGQCOgEdAIaAQ0AvmJAHMlcmv5MVth
3sG2yeXlpKdU+xWjl5Ix0TFIkayj8uQnnJcyNiHlxhSkUcbeMTWlSLqiI+Wct9eXcv9ixUw5sym+
o9G0bZIvaVemQLke3aXop0jV2bNnkZaWhtOnT9NO8hlKxhU8CZh0VmI2ooNGQCOgEdAIaAQ0AhqB
/EIgy5FOPIaIlR95tYh0qW0asiimP2emv5phVG2p6UBbq4pgqYVXSmhSNVVPtFim7DA5kilBmx0u
4yB1Oa1Il8HHiJwxCQxAsUB6+Qcgk57I48jMNJZiqapkgeyxOnvP/APYM1eMn6Xor4hWUlKSYn4l
S5ZEiRIlEBwc7JUJcsMFHVzM0MVcReatbSkTEijM1JOVeqvrTSb2uEzSEnvTz2+ZtMUxB1/jEXle
9fPaz/y2l9d2Re982z9ffWnHVyz2uFzSEvuqk59yaYtjDnKePa9nkedVP699zG97eW1X9M63/fPV
l3Z8xWKPyyUtsa86+SmXtjjmIOdZn3/jS9AT67zi5VnPV17scbmkJfZVJz/l0hbHHP6r5/+f+D9y
HL8qpENe8RL93GKxx3qSlji3up7lO/+Mw+JvV2P5qp/xV/x++BWnZynGbl2D9PR0XHnllQgJCVF1
uIGCCtJ5acPXBXUx7YvNi7FRUHW9jb+g2roQuwWNnbfxi+xC+uutTkGPwVubeZXJWDnmwH29lEJB
Y+dt/CLLLxwKegwX008Zqz7/rutfMLkYXO119fm3o3F+6YLGTs61/foX2fn11Ld2QY/Bd8vZS7gv
P63fgmFjprKHC2oasVSpUihevLjhEsteJ98lAjYblrTE59uYgMtxftg73/YvRN8+Vnv6Qmx5G7/I
LsTexfYnL23a25C0xHmpb9eRserz77r+BRM7TnlNX+h5yKt91rO3IWmJz8cO68pY9fnX55+vB7mO
JGbZpRbsfbOnL6Sf3q5/kV2IvYvtT17atLchaYnzUt+uI2O9VN//PK5mDeui1R2NDcKVmpqKihUr
WmTL2MnVNSRex8Uyji/HIH2XceU2nvPVv9QxkfFwPyUtsbe+c5k95IaXXfdSSsfFxanpcm9vSJZd
f/31Xrsr2AgOl+v4ZXAyHs5LWmLRsccybpEVlfHLuHIbj2CTV33B6VKNZTzcP0lL7K3PMm4pyw0v
0btUYxmrjCu38Zyv/qU6bumXjIfzkpZYdOwxl9lDbnjZdS/FtIxVxpXbeM5XP69jbnt3M2NK8Yf/
zUXt2rUVoRKWKEaYnXEHOJYySXPMwfMLTer6iu0D5rq51Zf2PO1JPU+56Ev/JC96Uo9jDlIu+nYZ
p3PTl3LW5SB2jZyrvuTt7Yi+9MHTltTJayx2WJ/T9rzYkDakn6LD50Vkostll+v537FjBypXrqyu
a/be2sMff/wB9urWrFnTwojHKkEw4bwvvERfyqWuJ4ae5VLPri/teeqKTl5jscP6nLbnxYa0If0U
naJ2/nlcgoOMlfO+xi/6nnVy05dyrsfB3pbkPW0rRfMg9TmWtL38fNJyLrkOp+15sSNtcCx6nNbn
X7//5ZqQa4Wvn8v185/7br++ZUy+rn/R96yTk/6pU6cwb948BAQEICgoSL1/BcMTJ07gxRdfdHtP
B/AqfAetsLe/MSUtHeBY0mfOnMHhw4eRkJCgpiK5c7zQvmzZsoiMjFRp+8DsnRcb3CF5c/uyV65c
OeV1Y9t2fbEtsfRNQOG7LI8ePZqtf2yvUqVK6oYA6YfEbEv6w2mWsz3eEoMvNpGphHmw63OaA8e+
9M1qbhG3wUH6wbG87O3L2ETfzYhZX3SkTMbgrY69PU99zktdu56k7fqSlvF76kjbnvZYbsdP6knM
uBejW24l76kv7XLMOvxiHU99Ls+kO0f4muA3hOixLssaNGgAJmW1atXK1h/W0eff9YEl2DKmHOz5
S/X88znkILHK0EH6LjHLPa9Hff5d76fTx/bhUEowrq1WEXSvlQqe2LHQLuO84M5yTks5pz3xBu2x
dHTfXqSHVMZVZYPz5f0v7UvMfeIg/ZCYZZ794Tr6/a/f/76+z+V64R/t3bp1w8qVKxEeHv7/7H0H
fFVF9v/3pUFC7yWUUER6F5AuICCogIqIBRvK/nZxlb+6VhRX17K64gq4iqgIrigoRZqCUSEoPaGE
klASOiQCiZD6ktz/+d77TnLzeO8Fgq6od/J5mXLqnJm599y5c2cK18CzTyUnJ5v9imkN5houbgNh
73wE2vOaPnHiBBITE00HjQ5Wo0aNTD78wpFOWGpqKpo1awY6NwzssAzqIZsZ+acdORC/w4cPm06T
nZ/qoXzseabpBPrTzxc/8qHhvI2qZd7ldnmk1bzis4xBy62c//+KR3oGlcc0YZpXPI0Jtwel1zLS
aZny8M4Tl2UKV1qN7bI0rbHilBSX1P52fqqL6qkwLacsLVO59rymvfFDQ0PBH+tJHM1zxotPJOxf
6nR581DbGEYm4r74DHHpQKgI58U4J/cMarQejuu7WK/iFdeXnqqvd2yXR5g3D80rnsbefNRmcLlx
eNs6rAd86t0AAEAASURBVF67C6myxUt4xYbo0r8fOkZVNts67+R2zP18LSp2HOal909YM/e/SKl/
HW64sp7J3jDykPDtXETvr4JhYwYjUiqu8gvO7MbCeWuRVq4Zho/qgao2hQibJ7Dc6u1x43XtUFau
2awHaTOSfsAnX+5Ci0Gj0L1x+UJ+QBbiFs1D3MkgtL9mFNrXKnK2C4wz2Dx/ITalVcH1d1xr6kFx
2SfisWzpYmw9kG3yD6vZGH2vHoKujauY+WMbF2FR/EmUDw0rbHeXON+5okdeXgaqtbsB13esiYLc
FGz46it8FbvfGjNGNXQcMAgDe1+OcNGbQeutsVloK7f3OTu+4vmLlZ+2n7a38jDz7iP4YsYK1Bo2
Gl3qlsWJ2GVYtvUEqjW/Gtd72krpU7Yux8L1p9Dx+pHoXDvMFKs8FUfzBHrrbRJ4/qluzKZu+xj/
/bYTHvtHbZSzI5WQvqDxb2RjxwcfY1W3O/DsoEaFNrfraNeJou15TfvCt5d5q2yHefNQW2m5xspD
83Ye3noprq/YTk+4ymOaMM0rnsaE2wPl2wPptEx5eOeJ7623nYddlqY1tuMFSl9Q+3vuRaqnyrLr
qGUq057XtC98e5nSamyHefNQ22m5xkqreU4OdO3aFbt27TIfFNTB573GO4RwMwvOAqhxlIkSkYBl
GRkZpjPDm1Tnzp3NmSxlyBkyzhhs27bNxOHNjDNTrIzSk4fyZJr4dI7Ohx9xuFWFnd5kbPvHmbLz
5Uf9ypUrV8iP9Wew81c7sFx115hlGrSMPLSjaxljDVrGvJZTnr3cbi+FKb7qpvzssR2X5dqWLNe0
4tvzlK26KFzzdnmqo8Z2XOLx591xtYy4pLPTal75EJdl9vozzR9hvtpHab1j4msdyZOBs1tsc7aP
yuEg0Vmvyy+/3Oy7nOli8NaPzkda0j4cRBSuaFLDxMl1l0FEGUs31fFXbf/8U4ieMQU/nKiOvsMG
46oaEcg4Goc5M9/Aut63YVyfxgiu3hR1chZgzbIv0LzVWDQuY7XLya1LEL0rBcP61Sq0dVDOPny1
KhGnZZJobXxnjGhbpbANs388hO2HDoodDiL+QAf0rF+2sP0Pb/oeuw8dBtIbwy27QfO2b9kzF1u/
+QqHU4JwMHo7OjbsYjqvNKZLdo5OS5ZZlLQg/BS3H+0GNTX5mf3h1C4s275fmNRBZm4+8sUHykj+
Fv+avUY2tKmLq0ddjfohJ7Hm46VY8dEUHLnuLxjRvqqslaiI6pUNhMtFz/3TPmxN4LY30n6dqyPX
XRYRcuHLzzmIeS++jwTZU6dpnxHodVlFHPjhC3zzzRzEJg/C327rgrIe/bWPMrYH1u2XbH9Xbg6S
ThxEBbfoKw+wOekHcPBgCg4kbZCLfB1Uly5u6oafELtiI05ku5CewzcWoWa5jgXV2Z737ufEYRmD
vZ5BIeUQXEG+Xud9wlZ/rTtx2Vb2G5SWkZfKUZ6aJ4yB5SwLruZCdWkvpn+O8a98KYP8yFcD06qP
r+uLL1w7jTcf5/p/8e1vjncxLO38W2r/9PR0rFmzpnCiibpzLHCs6XjTvhPCMxfpMCkSO5J2RO1U
zB86dMjEadq0qTltxg5GOsXndhKEcbaAuM2bNy+EKQ5j7cgXwo+zU1zgrLQmYw8v1ZU4rMP56Hfw
4EFz7Q7xGfRGbGbkn/JUeZrXWI1HepYxz5/yY5nCyFPxNWaZnU7LGSuMDeV9AVO4ieT5xzLV366f
NjjLVJYdrmXKS/mofC3XPOHe9ITZ6+ldf6W1x/Y6aFrpFI9y7Hy1XPGZZ7DrZJUU9S/yoA3pWDFw
FteuP/Mffvih6XTxwSEqKsrE4z87npWX7YFloFRrOxDXXhUpQiycgrxc5EmaevCn9fDWX/XUWGUo
nZYzVtiFtX8u1syYirXpPfDgpMGoUiAPEBzwdSIxMao2Xnh7DlY2+H+4ulEE+oqD8v30aCz/bi/+
PLCx3EQPYenifajafQzaVw1CXoHVzik74pAmPOTygB3r4jG4TU+Ei00ZjGB55SOb+BXIpoGxmw+g
e+RlZnlBwSls3XjYhOXL/ZnT52rLoLMJ+P5IiOTlPLFjm7D3TFc0L2+Nv4K8fISUFUnCPn39TqRc
3RQ1ZEdp0h7Yudns3y5DZIpuhsx4rZn3PYJdNTD8gfvRtrI45miE25+ogY9fmYWdS75Clza3oF7b
fhjZ1lQLxvE12LY3Gn3H3YG+dWT2LF/qGFSA/avewx7ZkLDpwD/h9q41zJ2iG978F1Sa9zoW7VyJ
mKRWGBAVUVgHrYu2l/ZRbcdfov2Nso2lTSfJQJPrrdk2ngcHVzy2HxyIPpFWPj8lAZtygrlPJELF
rNSVfYgxf6ozLaJpxhqY1uuN1lNhhXnhw6D0TKsNNM2Y+HZbaBljb5kss3DZjkTw9AnPtZVFDFoH
K2f9t+uh5crfWwf7eKI81lV11Oun8tD62nkRZi9X/oyJx5/ys8NIR5jiMWbQvNJqXmF2fe30JrHt
H2Gqv/LWsp+z/VUHiranWWeV611/4ipMY9Jq0LTSKT5x7Xy1XPHt9MrXXqb4ypc4dnuy/Ods/1Wr
VpmvE3kf4Zou+kbcx1SD2oux+UqRyjBoJTW2K3nq1ClzTRVvYJztosJaWTIiDWH82pFrqBhYTh4s
Z6wzCoRdKD/y549B+TFmoJwL5UcaDUx75xXGWO2g8r07OHFoC+XBmHl9cqKeTDO2y1J87RBaH8ph
mcpjzJ92EuVDHMXTmLow0Bm282OZ6qVytYwxg10u+Wm9LWjRzBn5sj7Ux1dQPpTjr/1JRxiDvT6k
UT3t9WYZ84qvfJlXfMYMags7PmWQRmF04Bs0aGDiczaWTrjSa2wC5V++yDXEHjI1Yu5Xp/UmL74O
2zznfexv0AfNzq7F0s2polBlDL3vdlQ5+DVmf7XLZNOi363yuq6RyMhD4qrP8dn3ey32gtv1hpHo
26yqp73cSIj5EktWbUO2yR/odtsE9KkXhpMJMZi74HvIm00z9L3zYfSoVxbpO5ZhdcrluP/pgTIT
kokDiduRlJqD8PJV0bxDZ4wfshtTVsSi931XIqxGNwxrEY3FsV8gsddDKLvuCxwymuC+qxqYM1KW
fU4hdtUeoH4XdC+fiB92r0ZC6pVoXfjuMM+0VUS5IJyRWe0T116GWtIV8o7twNbcYETWKsChTKtd
8jzj/8Dmtchx1UWf3lWxenU8NsQewmU9apv1kKYxg2nXoB3YfqAf+kWVk/Y+gbjVP0qDCi9ki4Mn
MzxHtyA2Lxi1el2L1pXyxEGknHwUBNfH4OtbYu/indh1MBt1Gkp/EfuxLelck3dOxllJW/sMugrS
Eb/hOIywjhjWpao0rdvsG7zrtxl8PVbvnIcN3+9C74YdESx1IL32J6bJ12r/HGn/GdL+/dEiZx0W
rT0i5eHoOuIuadNKVv3cx/H1/AVYl2S1XHjjK3HL8H6ow/etEsjH3p8px2oHUcZ9AB+/OQ91Rv4Z
PRqUhfiKZgiSB4DYrcnoW6+5qVdyXKzoaN3MRTlr/LtO4dvZc/HDoTSLqFZr3HLT9WhsqYUzBzfJ
a9kV2Hfao0Pt/nj0nq4o45FPncy6CnWQOMr5+WJvkR8cXIDdqxfj85jdlh1QHwNvuwGdo8qbcgoK
crD3hxX44rutyBJdyIN9uH9UWen78wr7fkF+BXS78WYMaFmLKkudeT2xxrnWn7ZQe6v9dSwzZtC2
0HGrtIztZUxrXmOl986bjD3/1A4qX/Uhfw12WeTFvHP9/3Wv//Y20bS2s8ZsP6a989qujEtqf57Q
w2VUdLbS0tLQt29frF271vST9L6vcQifK8iQnYlCqZg9EMZApnytp8oRX3G1jDFxiEsBCtc0Y+KU
hp9dP/JhUN3IszT6mUw8/1RXrYvmCWZaBxvhlGuHa53sZXbeqidj4iqenU75Kp0vPNVB7ekLl2XK
V/GUF2P+eMEgL+8Lh+IpX8aqu11nLdOYeApnmsHOS/VgzHIGOz75UBfl542j9Vae5MPgC19xFE6+
vDAz1sA88RjzIYB9NlkWOJIfy+08SMP7gLi2SE/Zjz37MmSGRG7OIdXQpHENc0YhJ/Mn7F31BfbW
64pbbuuJrQsWYfl708TGDTDs9tFIX/sJVn8bgwMdGyAyOBvZuRVxza1j0aQasH35DKz6LA4dn+iH
iiL/0Lfv4/NNp1Gvy7UY1Lkhck+lwFVZbhz5xxG9YC3Oth2Gv/arh/TDKfK1Sog4g2lYu3A3Ot/2
KGrky1qsj17Hqty2uLplAb5a9gMqNWuCRm17oaq8RkzO7IJGYXloM2A4ViZ8gc//Mw2u3LNoP/JO
oeXN1HOjOLIDsTmynqp7D/QuF4G1u1fh+23JaN03ymo/uSS40AD9+9WUG/ZmxO/9CdWblMPe2HVA
ZD90u2w3Dq+hHcVhkJCXfwIbfzgFRA1Fz551kLJqhziVm/Fjz6HmKzF584i8XBcqtboCFeM3Yf2W
/ehdrwXcR8V5clXBwGubY+XiBHYqObRWdJS/yxtXk6M0rGsT20t6A8o3bYPaxi4kHziBgvr1TNmE
KY00SOGDgpF9Cseyg1CrW0uEyis4OmcMxHeH1EV78QW/PZ2ObGmTcoHGv8zE5WSmS/vPx97KbXHD
rd1x9Nv52PD5OnR4chAq4UcseW0mtruaYeTdt6Nm8FGsnLMIH7yahbGPD0I19i3hT7nan1UPc4yI
M/mj9PdqdCpFf/H6gRpd0Kv2NqzeuhVHBtLZPY64TSfRuPdVcMd8JxjWtTwvOwN5Na7AnUOaoUJW
EuZ/9BWWbWiDP/eXfnV0LaZ9vAao1A43391d1uH9hKOpck0oEDnWEKUapk5iArG49aOeyV9LH914
Ch2uvRM9GoViz3eLpU5T4B7zELrI2rFD336AzzYW78PBleUhLT8LWdm2vr90BlbP34rOzfujkml+
+Sd9Ru2g14jSjn/qT30Z1MbM63XPBHj+qSzC+dO80tp1oH52uF2GnaemtT6M7bztdEwrHul84akO
ej1V/nZcpWWseApnzB/rT15qB62L4ilfxqqTHUfLNCaewplmsPNSPRiznMGOTz7URfl542i9lSf5
MPjCVxwTQf7ZeTHNn9ZbcRirPoqjeYXxtSEfzAmnXDu8Xbt2iI2NRaVKlXD11Vebs1v9+vXD/Pnz
TRGqJ+MQXhOZUEHEYJoMNWYZb06cMmNMGJXWwDyNYsdRfqqY5pXGjnu+/EhLPvagfC+Unzcv5av6
esvwztvxNe2Nwzz5KVzTvvIKs/OgTb3LScsy7YS+4HYeTKs8O612OoX5wlN8wlSe4lGuPa1w8tW0
nZ5pb1nKg3w4I6c6aTn5aP20zM5D5WuZxt7lSsu1gNr5KYt9hjQaqzzS24Mhd6BgWa8VdGAzvjwu
EFngiyq9MDaqGsrKkz+dBVfjq/Hw6Ct4GjzCr/gBCauq4Z7HRqC2zAbkhXTFmuQ94iCIDYLKoM3V
18igy0VuXg7Kh7jkPK7D+DFH/Kfgg4jZmAZXjX647ep2cl6YzCLKly8F4uDRaSgQfXHiGFIzG6Bh
U3mNJ7NlRnYq9rmaYFRDF05vX4yYQ1fi4acHoKy8KoxdfYKNL7RV0KJqGbOutEVOeAvc0HktPtn8
I/JrXIX+zcLlZqjtU4BdsavljNiW6NZIHDq0w5VVVmPtujgc6dkAdWTY81ViUFAuqjRsg2aIxcYt
R9BbFqvHbctDq5ubo+LJbdJulGvNDGYmbcNemX3pc9XlMsPkwpVXRSFx9S5sS+6LqxpEmDoaclZa
WLUmsj40EUc2b0XKdS1wNvYHuCKvQ7PqPyG68HKj1x/rOsD203bPM4IQKnLOioOgbVkIN7tr0cyR
efitlKVninsiPGgnBrOvSP3o1gW5wuQVQAFOHzuKs9Y13sQhzwKBVKtbG+WDpf3pkdfshQfv64kI
af8qLSKxKeUgfswsQNmTu7AjNARdbxmGZvI6M69AbH/zSbw2+wdsO9wLfesH4dih1GJro0R7hJSv
hVqV5DNzUcucuKJOlGvIq3FZgXZZh25Ys2M1dh1yo3rQHrFvbdzSpg5ixIei02LaJExmnoY0Ql5O
JnLK10c9mdzbJ69QaZsTe7bJa9kquOGu69E0XK7/qIKqdejsUIb39Z/Gk0dztqf0q9XSRyPa3YIh
beqas6Kdhl2PvTveR9yu4+hS3WXCIf1q9NVtZXZQbjDSh/lKNC8/DG0HWX0/OzcLFcNkDIbIx1ZZ
BiJCqYOMI0870ND2NtQxbNaLQE9gXss0Johp0miZxiyz87XzYVrlaDljpdUy5rXMLkPhdho7XNPe
tMwrzM7Dn57EJYzBm0552/lomcohrV5rFUZ8TSuexoSpPMWjXHta4ZfS9d9uG62b2s4O03ow1nox
rYG0CxYswIgRI8yHc85i6QwW1/926NABbdu2Ne3HE3t4jyEf4pPWLlsu95YxFUkNR2F2pbhGiwdc
R0REmI3Fm5QqpwxJQxzi0gvVV4iEe+NeKD/Vi3yYVt0Y83eh/NQQys+7A1J/ljFQnqbNAs8/1UHr
pzpqpyOcQe2jetvpFEY8laNwpVeY5u18VKbS2nGVN+mUhnAG5u1629MWRvH2Z5mdn3da6dVuJbU/
+anuTDPY80yzjzFW/YmjacYq055mmepGHUivaw2ZZyCcvLXPK703rbZ5geFGbo4LFa8YiT9xDZf5
vM81jJwNEDvKSqfKkbXF+cnm/IPchOSmWKkaKsirFbc4Etl5snaJf3LTMeSGufO7L7F43X5Jl5F+
K+NI/oK4Rkf0y2Nfrl0dbhlHZl1FNkOBUQvX3dwLc+atxtwZm1BQsQVuunkg+BYnvFIthOfm4bg4
BhGduyOIeuTniF5y8zRlys3S9CdoG3LLQ73uvVFm8wJZoN4GQVKPfM8Yzc/ah9jd8lVnSCK+mPOp
LGyXLx/TRb+QfdixJx21LpOPYchCappfpjo6dK6EPZu2YceOijgUVAu387XXEepsOTCsb8ImrsMK
xoal87BfXqNlpR4267x50x70iGwtWw2IXaTe7twwRLXrBMR9h61xcUhPCEWbkU3lS8eNpsR82jo/
27RLdrZbrjHWsgZtv6CsDJwUPtXKW1uAaN9he/GPdde+YYjzy1dY4fIhEfHY1kXtn4eMbOovTrHM
yuyURfQ/HBUOwpvB5GE0xC1/vRERMsNlSN+o0rohQsTu4jdLv5BXmK4yYjvhITJc8tq4nsxS5kgb
mbqGyVY38scXYvk5x/DNJ5/jmLAmX5VRrctI3NmzPgvF45LrkDQg9aRj6kovQIXaLdESMdi+LRYV
XXFAw0HiUMkavGCph+CSV0FGMpYuXIitx6VXlpE1cPIqtjr5iZYHEs4KXktUCcmR16kWvtpREMyg
efYdVp3y88WBCpJMTq7U1fMa1p1TEQ1qupCcJI5pl1rID5Y+XKcqDLf0Z+FkFM4I5GDHt5+bfR/y
OUK46MvAvs/ZUPO1PXstdRdZFzv+yYN14E/TpkD5Rxlqb8KKt781O1Q4/j1wpdVY7WPnQxjp7PII
Z9AyO53CFE5ahTPWoLSKRxh/LNcyu77KgzDFY6yBdHa97WnFsfNgmepqL9e00l9K13+1GXXUtNaN
+qrOhNF2WkYcrQfThHNN1urVq9GxY0ds3LjRnO3ijNaOHTvM9eD2nR60/b15ko+5aJ4JFUoBdiOq
QE6n/fjjj6hWrZo5EMiMDhWD3siYJg5xVSj5MmieMflfKD8aw66jGktnLC6UnxqU9KwHeVMvBuVp
ZuSfXXeWEZcXA9VJ8bxjbUBvvVnOQHkqk2VqG4VrTH3UQSAd8Qjjj/QK1zoRR8vsaZaRloE6kZ58
ycOuI/PKX3HtdCzT+hOPfLUednzy5I+B9CrDrjNh5KGxymaefLWcsdJrmfJhXm1CHLUV+XJWljNb
6vzroewqh3T82fuwyiVfBt5gREu5cebJjSbH1EPrz3VFBPNrMq71YhBMyASQ3COlz8qP1eP6GtYy
8+A6LN1wAH1ufxDd60Ugde0szIyRthCYS2ZCwkSXnNOp4uZEIpSEEqgP5ZWpdwXG/a0Lfjq0FQs+
jcaC7+pjwtBKQiuzA6JEcKi0rekACs3JH5ERLCfYF8hUfUEqjpwJQmPBK5A8Q16BOJBCUyDr0riU
U237464dOCU3zPZ9BkBe2skNMwQtLvsJG1dtwvbYPejZpD1FmPVxyw21UesOcMWuwoqv5J7e5npU
l9d8R8UpCJb6kmf+GVkDdkhu9K27o2NNeWiTm2to65Y4sXkl4pO3ISmrjcywcCzIdYGvaqtcjrZl
V2H7N9+KXs0wpn6wrNvi2BD7iR1CK9aRWUUXNm7egyvrtaFxzPqwDZM3/4BcwWvZqKYUWw9M7AP8
EIBwMYSpE/VCaE20rAesiluLYz1HQTb3KOzDece2IzYjGJU7RSHCCEePO55Eb9GGfYaBPJnMzc4R
3lbft7e/1QtEnBgqX5wvV7C8rjuVi4Z1LUfQLa8gTX2EV1BYI9z1xBMmX/s/Q5z2HGuBmlUsAtkP
zL4lC/7z88qhbdfqSNj4Pb6TbtJjVFOZMT0M+onUMl8c021fzkN8SnPc9fBw1A1zYf3bryBOHrEL
ZKYpsrlcozccxsmsfFQQx0fbn8J0bBSOS/Znq+pS92C4pX9Urhhu2oE4+QUpOCJvuMt2qI0yYmf5
PlJehZ+Stm4gHzpY1mB9Mw5+b/b9vnc8hCsjw/HjutmFfd9TSdOuKlfHoebtOrKspPFPmaZ+Yjem
yY+x2f4iUMuc6//v8/r/c7Y/7xv0fXbv3m2+OuQyFO6MwHLtT1YfLvqv5fZ+a1597R2anZI/IumP
inNTU27lwAXxzPMGoIEdlmWEEYe4dlrCGBiznPxLw0/5KG/7TZKL9c9XP+IyUA8G1Yl52oI/ymKe
P8JZxliDvVzLNFb9NM9Y8RWmvDUmDmF2PKVTXRhTD+Jo0LTqrPwVV22keKQjDuEMhCtM5TOvfBSX
MYPSUZ4GdT40TxylZ1pptJz8mda6KG/GhHnLt/OiDM1r3VhGGgbqwnKVpbwVl08iXO/HmVjGzDOo
bOqktizUxayrPNWfScEJ2WuO+8cdPXoIx1JOy82GdzjejTx3JEmZ6JZ5ybooCG5udpboJrx+OiGv
krbhu5gTYtQcZMtrFcMViSuvqIqg46uxaE0C0jLP4MQBeSW1P11mQo5jy8btOJj6k7x7rIKKMqsW
HFzGrLdbZjJOyM29bLmqcG+OxppNqzBzzmpRKwfr1m9F7PJFON68G+p6hizrSm1zRe8Cj72pZIHx
E7Zz5q3WAPTt2AZt5WmuY8e2aNexD/o0D0NwykbsybSYiH8kRpf+U1UcJMlwEXeXtg1ZZJkjSGY3
RM6xXdvgdtVE777d0Lp9O/MJsU3LNujbv4tM/pzE1h3HTKeUROKyiiNRFq06VBNYkNzA26GqOHDy
lktsxJ/oW74ZhnWrjaCkaHy0cqtsgSCziDlnsWftAizYkg5Xk8FoVd56Pa1tL5Rm87hILzqZfbdA
Zs/69xNn6DjmzlyKvalnzA8iTh6MxcefrpXZp0YY0qWe1EH27srORGaW9cvOyZZ1SFmSl3WqdG79
tb8YmCOmTN0WiBJrb/j6exz6SdYwnTmEmJXrpZM0QLNafMXtNnmTr8pgnCWzYQx8xUdn1ODMEscV
bcEF7OJ6RbZubxrbZbRA87qCx3Y1u6HHwSyQ67IrF6elzyZv+xKrzsq2G8ePI0Oo617eUWx8FgsX
RONAajrOnjoqN5NjMjsrG5BuWIA3Jn+E2BTr63WTp6c/B4XWQ7fWZXBm8yJsOnRSZvPOIHndOuwX
27aVNY1GcCS6d6lW2Id/knVkJ4/swfa9MlbkocTs+xxHsk5wlfb9TM/1jLrL4Pk5xz9tyMB212uC
2f5SptcMwnSs+xz/nj5j70+qo/IyhXj+Ec+Oy2LFV5jK05g4hNnxlI56s5wx5TGtQdMs1/qRj+Lq
dU/xSKdwpglXmMpnnmn9KV/iM81gr/elfP03lZV/WmfGqruvehOmtiRcbUE+3FqIm5vS2eKrQ75a
5Jot76B2s5crH/OVIgEs0Cc45ilUn3QIo7BGjRph37594NmLtWvXNj094nJB2XEZyNwAlTjE1Yox
9hXOl19UVJTJj/po5yE/1ZXllHEh/HSWg7RKz5hB9WZay+yxpglnsN/gCVO4Pn1p3sIu+q+2ZQlx
KFfrpFisL8u03spLy5jXgeVtZ8IUn/yUv5axTRmY17RdPsuZV7imtVx1Iw/yVj2YJz/i8eetF+EM
dn0UT2V4x8RnmdpB84yVlmkGuzzqwRku1Y9txTI+IPDVOHkqPsv5Y548GQpjudkFl5Un+32rMHev
CbLgIe0x9v+6yK2P2ycUzQoWGGEIkq+CyY8L0bn+KkjWbglDVGjYGc0r7cXm5Z9ho4hp3a09Km3c
ii9nLsDIPw9HPZltGZi3ECu3rMCsWKsNana9AS3qFSBp3TeI+UH0E71d4Q0xpEeU3OBk072GX+Cr
mCO4q/ctGJYfg8RTBgbc/RCahR7Esi83IrXGQPxfr0Zyc5T+pHWTYVnWvHhaF3lWKP/kbuyU15/d
ejWWV6jWK03agL8GnXvAlbgK8dsPoUlDaQ+wPkKbVwbd7xyFy36SLwdrCK50K7P+5WXDUdkbLCEu
BWVayYal8pWhTAgVBletVmhVVhbc796PTFl0KjVFhTJ01PNQo8MI3FT3NCrUqi0zdFJf2k/kGeJ8
5QXlo1bXUbi53Nf4/NvVmL3zO4unOCVNulyHwd2jxAETh0tsq23JKtMhjPCsX7IIRNFKbTD+jjJY
PPdLLJuzR+ojELFt2bodcPPwq1AjSNZjSFlhP/DYwqK3/gfzFZ5X+7OtuW2G1Eb0r4rr7r4Oi+cs
xsKZW816usKbYeg98sGAbFRLB4r8qSv7oz2YY0zgZaRcxJj9ySUbuQaFS7+Va0N2hMwA3lgZuRHV
UU4cNDpnZUUunbP8/CA073ElNsri/WUfz0RBmca4olUdxO1cg9nfVMH9/Tri7mE5mLN4IxZ+vNMS
W7kb7m1aQz4IkQnA0DRk5sj6tgJpZ1d5qYt1nciTWd4mA+9En7xPsXrhx/iBxhXbdrj6DvSqH4pc
ab96PaQPu6UPx1l9mL2lVrcb0KpdB7SovAebl86Vvu8q6vsfLkL5/7vG5MP+qX1OrwNUrjTjX9uf
9MpT29JeZsezpxXXHmua9AzO9d8aZ5fi9d+7Ldl29vbTvB3PnlZcxWPMfsgfl6n06NHDXMpkX3+s
NMTh9V/zVm+RflymagNjxr//gd69exd2Sgq1e60kZF5vWNxVnq8O6Wgx8F1m9erVzXPreDPj7IHS
q4KqtCpCPE3748ejeFQm5Si+N29emNjgvLmy8oH48fWSrukhPwY1CmPvuhPOMvJnTL21LoRpUDry
pD6qN+k0qDzNq1zmVYZ3WnEZk540qovy0zJfepFO8e26qGzyUNlKr3VRHG1/8mJQPZi245I/aRSf
aeIqvuYJpx1Jaw+qp73MniYfX7y1/VWO0myVr7g4KPiAwKcS9g+7DLUH9fjmm2/Ar03s9VE+VLOs
rEvkTYc3Ugau3ZJboDzpuBEq62OCZL1WjrkuSPpUcChkaRYyMrNofLkfhaGsLBB287WjcCkTJv1U
XuUFhcjNU27KhvRZt5BxhoJzT8FSHiJrt0zryCxWcEGurAOjDmWRJ7MrdLhChIchr6u4N1No7gFM
+2A5GvS8AUPaRco6AT65usVZsGRR72w6ULa+yFdDZcuKU+QWR0gcGdMWcqctEyqOpSxozpcbor39
Q0LLSh2k78veY7kG8eS1kczKcHPTkNAyorU4MHLvNRdci/6sf6bYJqxsuLyUlFkcczNOqz9Y7S8n
AMhYDBIPLVtgtGGovMDMkDRv4HwlaXi+mLPbL1d05dgKChabBsuGtD/JK7sCtywyryJ52TZCZixF
DTNofyB9RBmxuSweF5ezsF6Eu4JEDzFYztkzVvuFhqNiuRDT4aSzxcA+of3m3PEvi/292t9whSJC
2jtLts8pMNtfXgeL7dyeWatQabsCabtcsZ0GlWGXZ8GsdiqQNVOy1ErqXQZlZd1ZZpZ8uCF24to4
8+MJs14ip4yMK2nTXFHeZdpIZlXz2F+krtLbcuTJPDREbCEza5YNZVPrrFwEh0n7ykFvmfSKRUaE
qW9mER+RmZ1t2ZYzbqHi+LEOXPsXWkYeXgqyhKd1LTUdPxkvLvkoxJB25NNHsKzlyxKEsmXCRIcc
i4YffUjfzyOO2CIsXD6gkFeh2bLBra9woeNf25+8NM121H7NMgbNM/Y9/gO1v8mikI48neu/NUZp
T9pDba/5/9X1X+WyhTRd2vZfsWKFuY2Q0tPH4VZU3GGem6hrv6GcQO0vDlc9Y/pky+HSQU+DkFAv
MlaXsv5zJokXHd68eOFjoAD+qAR58KdBjeyLF3HIi04Q+enFjPR0ivi6h2n7TZY0lEV+DORPOq2k
8tGbqxqA/KifnRd5q17qIJGf1kvrwTzLmVc8lW8qIf+Uj9qO5SzTvD2tNBqrjTRvl6E6Eqb6+NKR
/FlXymNQHmZG/ql+zGta66U4Ksuus8pUHKWhLAbqQnyWK72dRuumMpWPPfbGUVzGWieVS7pA7a/4
pI2ThdcDBgwovKCSVvVm2h7ocLVp08bEpSwGrYfKZp5p1pf87UF1VtsRxjLN29MKEwGmU8X7ujUf
Yo0bSwadO8vpEEYkKWZflW/qKE5DmbP78MnHXyE1uA46dbsMVUINpB5NQeVWPXB5NWtbDK2P6qr1
Mpnb+Nt1VhrFURq146/b/nQ4OIbFVRNHkM6Hvf2pu9pd9Sdc66BwxiHihBgS54uTV8y2QmjHZ7q0
7W+Xp/ow1v6vZXYZSkMY0wzEJw6DllFnrTvLlYf0QqkPS4r6D0cu1xsSR1gJnRRwHEuZ2ou8mFb+
pGewaIrfSPN5PRZeqmsRDQULTxLaeJn2FVlmbaicp14qzx5rnVQuWZ3v+Fd92F4a/LW/2suXbVU2
+SmeWQdlKrHqrGOHIJZp3p62kZnJX7b9LWmqH3Oa1npZGEX9w65zUVtaWEpDOzJQd+KzXO1tp9G6
qUyLS/H/3jiKy/hSaf/Zs2ebrxOpj+rL14r0K6677jpzTTrrrbZjDam/5gvTZSqLwyUzXN27dzet
QIbKlIwZmGdQQYzp5NjLVRgZMxCmhmeZ8iJM+djT5GcPVJT0KsMO804rb+IqPjsAA/OEc5BqUL6M
qZvqR1yF2WlJrzjKg7HS2+Xb4crPm1Z1Ip2m7TF5KEx5sIw2okwGhTOtOhNX84TrIDAL5R/L+KM+
DEwz2PUjD9VF4cqXeaZVnkns+aflylvz3vyZVz6aZkx8f/IIDxTsdHY+CQkJ5mZ0dNw5ONgHqDvx
qSd/fLXIV8w8hJSf+NrrprwUX+WoLsT1tp3CGKsN7DhaTl78qQx7TByFKQ+WBWp/zpaFy1E9h/ds
R3zCMXmVKa9NK9ZAk5aXo3pE0fglX+rDwDSDXT/KU10UzjyD6mS3kQmQf6qn8tY84Xb+zCsfTTNW
mZpWmMpm3l+w62nn4y1Hean+2n6qH+EKoyzlRT6KY9dB6e3y7XDl501r56tpe0weqrvyYFmg9ice
fwzUi/R/9PGvNqRN7GltY20/bR+1tdqRMen4Uxzy0qD0hDMoncKVnzetna+m7THpVV/lwTKn/WmF
c4Pd/mpHYqkNvdOlaf+qVaueI5j8yYsbntplKaK2nb39Xepw8dWLEjHmzzsUI/R0RuLY6ZinII21
cmaB55/i243jjU+YKqww1YkxdfEOLFfeClNd1NPUvPJSPqon4cqHPBSu+CxjmuVKwzIG0lKO0rBM
6VSulmle5bHcHkinMDuuXabiKJ3qpeUaUyd1QO36Kb6dXmUS5h1YLy1XPOKoHDuM5cSx68syBsW3
82C5HZ9pzStM+TO225hwBpYrb6ukqC/+MdofMlssM9DSTvLWx+yLBfJqMcfzGo42cdq/yHmkPbQf
aT/VPql9TeGaJw3TLFcaljGQ1m5flikdYRpYpnmVpzCNFUdjlhPXLtMOI5x56qXlGlMnZ/x7vib1
tANtw6Dtq3bV9vCGa540TDvtX/SATHuo3WgfpjVWu5oFnn+Kb6fxxieMP9IrTNtA7e9hVxixXHlr
oepyqVz/QwzurCeBr+BUWY1VaY1ZzqCGsscsV+NqJRWX5Xoh8MXbVxlp/QVv/JLy5MOnAwZvnc1C
+eeLhy984mm5mZB/dlrakYF15kXOjs+0HdeeNonkn3fZheSJ68vO1EMvLKqfyrPHKktjO4xpljPY
bWjHddrfGke00a/X/uJUybooa58puWjJq7IwedXmtL8z/tkvnfFvOQr2exTtYr+OaZ6x/VrnXc48
g51W7fvrjX/L4bbr5Fz/L537f4h2vKVLl5qdx97B2Gj2oDB7WUlp0uiNmLj2juCLn+ISxqA4djoT
YPunMMb82R0dG5qZVH4aE1+dFG9c77zK8S5nXmEa+8IJhEd9tO6Kx5jl9uCLP8tYB9IzeNPY6Zn2
5qG2IEzTGrNMg68yhfmLSeNdL5Yx+OKnuN443jrb5SmMMX9O+xfvM3ZbMa320nJ7O2haY8Vh7KvM
DveVJo22KeF22b74KS5hDIpjpzMBtn8KY8yf0/5O+7Mf+AranzQmnnP9L5qtUrtobLehrzI73Fea
NDqmCae9Wcbgi5/ieuPY6Uxi2z+FMebvUh7/hQunRo8ebauC/yT3oXCCYwHHAo4FHAs4FnAs4Fjg
t2QB7p11sYFfJ3JNFx11OoZ8e8aYef4Y1GGkA0gnkq80M+SrZZkWuVjxDr1jAccCjgUcCzgWcCzg
WMCxQCALyFbEgcAlw7KOxmLxgrWoOvQeDIiSMzp+pZCXGo/5c1di30+yA3O7fhg9pL3s6/P7Cb/3
+vlrqbTUo0iRHd1RrgoaRdUt1qZ5qclISMlAaEQkmjX6ZWde2c+/jctD96EdkBKzGsertEPv1tWL
1M5MxY6kw7JIphxq1miEGlV++d6XKfVPkvqXqxKJqLq/bP2LKnp+qbzUBKzaJvaQYJRrgD6yVYXd
In7tmZeAWW9+jchBN6C/bNTpBMcCjgUcC/xeLHAR7tYpzH1sMCIiO2HU+MnYfdo6IqX0hslEzKyp
+DpZNou8wJB3bAn612wnevwXm2Nn496/fQW5RV9EKL0u/oWWnuelU7/S1wEn56Oxayh2iIHWPB6J
tk9bBxL7tVfeZoyRjTir1IzE5a1b4/JGkSjf/RUkeQiOffOCHIfXCK0Ja1wFN7z2rV9WvgDpG18z
p30nxpz0BT6nLGXTNAy99lZskwOS5/cejOtmbi/E2TP3EbjK1RRdOqK1bC1Rs+ozSEUaXu4gp8rJ
VPO5v86IPrQanVzWvlF2OPU5MO9ek+Zf66yNheGxRbuJWscUvDeuF8p56t8osgrqT/y+UJ9LIZGR
PM/cA437oA284eNzxqNfe7oz8MPUBzGgdV1EDH4OOzIvhdo4OjgWcCzgWODiLSAOV2l8rlN4b2Rt
jPpnCObEHpWFansxvkOli9QmG9F3TsCiA7LT9AWG2OlPYG3rZ+Q8uU34bF4c3PGPoeYF8iiOXnpd
ivOx50rP89KpX+nrcGD5hzh+3Ti0Qgqmv3IC48deYTfOuWmjNu5c8j2OnM4wF0KmxL2D3LWP462V
J2Ecm49e/Z/B8DfXyK7nBhLn3oMFj/bDowI7r5C1Frd2ecxELSv05xMqm+dvNkc12WG7Yjs5+Dk8
zCLLi8eToyZj0KtrkCG8jNwMpBz+f6gsf/cs2CF7YiUgYf0H6CjjbOz0GCRJPn77Z7iyfmd8efg4
UhM/N2EPfBInM3lH8HC3amg48u94tn0IHrnyORwRKcsfHYbZGIx3nrhKcpmYfWd94RWMOfGppm0y
Unbjy9tbn081/mc4la542tQtc8NT0l4y8ecl2a89wzvi7f15yDyyFn9NeQGty/0fdlz4JcFLmpN1
LOBYwLHAr2+B0nhb2Pn+PRj7mRszdy/ELR2KT/sfXT8TY/o0Knyqb3jb+0VPt1kJeGvcNR5YZ0yc
Y53hlSmvjZKTE5EWJUeQHNhtphMTE5Fa4tNtJo4KXcKxdNTu2hKZR5OxQ+jSPBfozMQlGFeoS1+8
Hr3HsnhWLMb1mICYnTF4fKila6+x/zFvbiXp8nuvn78uWZJd/NFteW8sOg0dijHPLkHW4r/jppE3
ifOQj4cmvI/NMjPUpNFQzNrhmdVMX4dxHTrigTlyYGFoJPoP7Yq6leW4Dwl5xxPMuPVllbD101ex
D49h6gM95EaegiVTZpuwqa/NFXdEgp9+ZiLhFCYP6oPoju3NbLbnixkL5v9/pcbdcI0cVNooJAKd
Rw2VcwubW8juk6KBLJJMP2M5FaERqBFZw0zXjGqGVs2aoVmby1FecOq0bYMoybdqHYUI+SNe9XrV
TFil2o1Ro0ZdVDY9k0hM/HiqUEzG9WK7IW8cwQOfv4VuYgr33nkYMysXDyz+BLe0sl5pRtS4HK0u
9zzw+Kt7gD5vVsQfnQC3TBuL+6ZvRNyiZ9BUNvhyuZri9ilbTTJI7ee+dB86NQ1GaJPO6NN7KKbH
embmBMNzNrgHtyjya08PSnjdbnh5QxzuwLvoetdHcjiQExwLOBZwLPAbt0BYlUjjww8/NOTg6fP6
GcZJ4/VeoUaF8ctlAb53OGm82DDEiBj+hhGflGTEx640pn8YbciTv4STxrRr5LwR3GksjU8wYt67
l1MLxjsJbmP9S1eaaebtv6dX/+gtoHg+7TtDZg6K0ZD+hXVphpG2woQ1vO0NIzYpwVj04ggTz4Rl
fmf09tD1fGCasWzWRBNGeYF1+b3Xr7h57bnAdrFjFk+nJKw1oj99wbTvv6JjjGk3hRoRI142VsYm
GLnGYUNmcgR2p7E57YjZr4LqPi6lxUNm7Dsmfffn15iA9S+3MlDrZbNf7XjraiMocoLx7nPdDVed
SUaKcdpvPyNxnOADI43Yo2uNIdIHSuxjxVXxmYt+2eq/ZXpMMFbtzzwXR/ob+6lPWQFg0X/rbtY7
YvhbnjEk3XrNU1LWyVhlDSovWf7HmBGgzwcamxRQ1PadjKkLFxjjGgUb9Z5mW2QYM6Q9gSbGM59E
G+ujZ5o2fcQ2btM2UN9JxikvTc83e3TRPUI/1Ij1Wd/z5eLgORZwLOBYwDgvH6ckX2jfvn0mHzlL
2pBd5g05q9fIysoy5OhAORrUbf7kVBODP+ZZTpzU1FQDPEvxwhyu/caDchTpoDe3+Gi/k8az4nCF
tvuTsSA2WW6oRSF3z0y5cMIY+8FOI+OUOHepm437hU+b5zd4kCxa+8XaAuQaCauXGAuWLjVkrzDz
t2DJ+mIX8JhJrY16D1s3Y5UYN3mgyBtpxGuB3Bxel5t7+LDZhttz8+nx9DceaIbpKD6w+Jgn70+X
33v9Co3lJ+HPLn7QPcUFe/5tOkjMzugZajz8XVYRgTjNNxU6zUONlSlFIKYypd80gctoO35RYX9S
h+vo8c/NPjUlIdPYMbmbKSN1zwd++9npLaKH9MEp28l5k+l0v/CDTRcWlzLEilOpzv+IV78p1NVk
F8CpoiPkzxlLnH2LqW/bexYVapW24XkpE4frNItOGjNu72n07jXEeETGVcAxFqDPB6QTKZbD1cn4
OIkyc40Zd9Q3bpPxn7nlVVM/8yGGIBljfOCyj+GLdbiytvzdrO9Ks76mEOefYwHHAo4FSmWBkpyp
84FfjMN14Wu4sk7LqzcD9WSh7rmhKh5asRCjg9/FiI5RCJNXD399d435mifzxCETfcbdLVGuahVU
qdEJ0+XVUp2y53IpXuJGzPSn8PDEiZjo+U146gMkl/C6MTfnCEJa9kDdQmYR6DHqCmRv2IfTsu/a
WXTApCe5JoYhGy6pzoL1+6ys3/+/9/r5rXipAcnR0/GnBycDJ2Lw0uS/4aU1edi5YBJenLrcev1X
qQ+em9zF5N92/HgMqFEkypCPIXpedg/KPbIQm6ZcX7gOKDe7IkLCV+OBITej/vjlGN8sHGdzzshx
NtlIP2F9Gefdz+qGn8V/hj1sMp836SYM7TQSq2VPlPfHD0bvnhMQV0J/KtLKd6rDzU9hc+5BzHiw
h7me7Mno474Rz7dUFso/ecdcE3vb+8MwVV+75mZL2WYkpfFs0Aroddd9qBnzJb7adwoljTF/fb4k
OohtK/zlVYyOojqhuHfWQXz0QDukHNgl+Qm4q+vFrt8kX9/BgPXls2fFnG8kp9SxgGMBxwK/AQsU
bnx63rqGR6FT+yBMixMH6oYG55BVbjYUH27Ow7+T1+HjtyfhL/f3QqVm6XiysuVZzT9iYESRF1SM
vozkMgq8l9dG4N7ZW3BvMczzyBgVkbdzt3wrBliuoRvbVm9CmTZ3oDyfyxly5GfbycLuQvrWBfi9
18+0S4B//uzij8SVewjTlyVj8N/GIf3ribL2aghur1XJND1p6FT934QNCG3qwrap1+CZ4Ufx9/5c
F3gET3QfgYRbP8TpV4ucLdLUatIQecmf4PPkPyF+3WApOYVvPklAxFVNULO85eic28/ciGsxG/XO
yK7K0u6us3WxLHYK2l97M4a3jEJN725HQRcaZN3ZvW98gUMLa+G95bvwav/a58EhzFzD5QorPhTX
/OMBfIYbsTntn5jb/jI8PHY6blv7IKo07waZ8cOK7/bgzrtaoFn/m9C9/b1YJ5LCygcYY1mrLF18
9PmAdELF748rlT3X5TkUt0EgPZFhcUbW1hl48kAeJnrVxQMuVZR7liPYCY4FHAs4FvjtW6AUi+ar
osugFjj8wruI5UO2PcjC3JeeeQuxyakIi+qGu8eOtqBBboS3uxHyKhKjRz6HeFkNnyn7Fq3/dCo+
sS2w5b3grTf+i6TMTPl6ax2WrpPPm0oZOt56n1C+jYdlu4A0txuJy/+J+5a7cdu4oXYfqxj307ac
T11+7/Wz1d9f0qdd/CFLecO+Q9AbnfDsK49jdJfmaPP8s5j0xBN4bvw1smw8yXSq1nV7HWl7cjBr
TBieH3AdFhyVRfIHV+CV5Dw8PLIZEuPWY/166xd/JAuXXXOb+WVffeHRTBylPfOexRNb8jDh/utR
wW8/y0SHIbfgjlGjMGbMKNxx/2jRKwgtB98jZUMQWVqHSxabL/xkDY6etpZ1H93yBT46kI8RfVsE
sApBmfJxSDIOJCTLbCtwTL5ePCr5FGHDrzDvmrQOt37wHDpWisIj//krctc9hBeXiDNZ7VpMeaw1
PpaZ4n9EHxDKbNN55cPC+YwxQSsW2OdLQ0cmbYaMkv9v491PNyBxzRT0bD+BxTi2P9WMi/4dR4LU
LTnJu7wIw3cqE//9xz8R0mok2lxa24z5VtcpdSzgWMCxQCALlKna4ALXcMmrU1mQzkXn9cfPLb5W
xb3JXFAr8sy1HYwbygLp3Z7FXO6kxcZNjYMLYVxs+0580SLjIzGvmut1lH7gq7q+K/Dr2vU+1nCR
ImGZtVhb+Y143rO2xlw308koWhciHwLI+q7uhevJDMOnLr/3+gU2swn1aZcAdFzkHdLyDeknGeb6
vtc2F7V3zCQuNh/qWY8kTNzbjQejgo3Q1pOMXRut9UHadhq3MRdrG0bysqdt/QjGoBd0PZ6wKaGf
mepm/vDzLJr3rI1S/Ri3u/UNY799AaMHp2itk2jg54MPLqz/dFyYwY8H9hfaVfqnfHBSVHbYmHZ/
22L1V7v4rXsJfd4vnejgb3wZxglj2h0NCvV49NNlpp6qC9W31pxZ1wN+1HCisE4lJxJnc8E8jNfW
ykcwTnAs4FjAscBFWuB81miVhHMxa7hcdLimT34e119/vVzbSg56luKxbyeibr8XEDFiEpa/fD+u
bFancI2NOzMNaWmyKCa8suy4Ld+yFwtupKWmwm1EoHLNyoU0hShumd3i7uFVZCejiNJOOxRyk+/o
05DKfSJCqMsF8vOjy++9fjbr+U76sYtv5F+u1J2WhMQjmX52mi+hn/2caok9jh5JwWk5K6tc5UaI
ivTu8z+nsCJe3KrjMHfhj6iJeo1qyIyhhtLWvXR0PA0A5WRLiyIFVJFSxaePxmPJ9Ecw5rmv0P2F
b/D9U7rWslTsHCLHAo4FHAuYFvi1z1IstcNF7VPjFmDiQzfjndV5GL/iR0y5uprTrI4FHAs4Fii9
BdJXomnlQbLWrzdem/8WHh7RsvS8HErHAo4FHAvYLPBrO1zFV+raFDufZI0OI/D2KjdePy0LW8s7
iyzOx2YOjmMBxwIBLFCpLzadPgWdSQ+A6YAcCzgWcCzwm7LARTlcWtMIef3nBMcCjgUcC1y8BUId
Z+vijehwcCzgWOAStEApvlK8BGvhqORYwLGAYwHHAo4FHAs4FriELeA4XJdw4ziqORZwLOBYwLGA
YwHHAr8PC1y0w5V1NBZzp03D18meA4gvFbu4UxATHWPua3SpqORTD/nSLjp6fdEB3zakvNQEgUWb
v6/X7XEO8LXZ5lJLZiWvxrSpi8yDrC9Et9LSXYgMb9y81HgZs5Px0kuvY9ayLb9av/o16u5ti4D5
39jY5NeiiTt2IDH56DltmpeajB2EJcl6Wyc4FnAs8KtY4CIcrlOY+9hgRER2wqjxk7H7NPejvpiQ
iZhZU38+xy1zK3oP6I2Nug32xah23rQXXof0HVMxYEA32VH8XCEZyfMENsD8DbzhY59O2blUTsmv
YYGEhY9h/APDsfGcdgzcJ/zT/TK1yJOd/fvXbCdj9r/YHDsb9/7tq1+wX11KdQ+siy9r/2pj8+R8
NHYNxQ5Ras3jkWj79EZf6hWVyTFQY1whqFIzEpe3bo3LG0WifPdXZFthKxz75gWE1myE1oQ1roIb
ZDPoCwnpG1+Dy+XCxJiTF0Lm4DoWcCzgZYEgl1fB+WVP4b2RtTHqnyGYE3sUhrEX4ztc7Hlq2Yi+
cwIWHbB27D4/PQJghYXJbuSdUKZMAJyfHVSKOoRxj/BOEHXPCZWueFpsayBzw1Oy+zhPsXPCpWqB
9g+tRcapDAw95/uRwH3CP90vU9PY6U9gbetncMLYhM/mxcEd/xhq/jKihOulVPfAuvg0wa80Ng8s
/xDHrxuHVjJfOv2VExg/9gqf6hUWGrVx55LvceR0hnm9SIl7B7lrH8dbK0+apxb06v8Mhr+5BrIX
LxLn3mOe9fmowM4rZK3FrV0eM1HLCr0THAs4Fii9BYL45HKhYef792DsZ27M3L0Qt3SoU4z86PqZ
GNOnkflERN4Nb3u/6AlajkF5a9w1HlhnTJyz06TlBo7JyYlIizKQfWC3mU5MTIScAHQewY31sx9F
J1dwId9H5/BQXW53Xx65STF4fKilT6+x/5ET+jSkYO5L96FT02CENumMPr2HYrrnmKEt08bivukb
EbfoGTR1BQnfprh9ylYl9BmXXAf/8mRPDZxKjMbjvS09Bz86r8hmIi3X3+ShH3v6VNBWGLh+fvSU
Y43G9ZiAmJ3+7HkKyyb/1bJn0ybo06cPHp1ptQNKqafsWuu3bTMTl2BcYT/ri9ej95g13DLtr7h/
8nuY0CcUEYOfQ8yad9FH+kbPR75A+s6Z6N3jCanD15jQu7HZX+y29seTjP32a7khjenY2Kzvjc8s
KNZuAftEADrK86tLie1Aal9BNmeVMZZwLB21u7ZE5lF5xSRjjHsCZ+78EL3b/cl2gLc8UN1xDabG
pQMlyvPdRpdS3QPqYprKT583Yf+7sbnlvbHoNHQoxjy7BFmL/46bRt6E2cjHQxPex+a5j6BJo6GY
pYeYp6/DuA4d8cCcvfIkFon+Q7uirmfn2bzjCabmrS+rhK2fvip7mj2GqQ/0kAe2FCyZMtuETX1t
rnV4fMCxeQqTB/VBdMf2Jk12Ke4VJqHzz7GAYwHLAmWrNrzAo33kmJEyAydjAABAAElEQVReoUaF
8ct9bLJ/0nixYYgRMfwNIz4pyYiPXWlM/zBaDnVhOGlMk+NJgDuNpfEJRsx79/JxyXgnwW2sf4lH
vBQdB6RpHnNSUlg/eaBJ+6jISUiIN6Jn/cOY+MFOw7AdudLzgWnGslkTTbynv0sXlhnGjJuoSxPj
mU+ijfXRM81jXh7xyCvSp5MxdeEC87iiep4jZfzpU0RTvB5WHfzLS9tQdITN4EdmGJ++PtbU89aP
9xSKStvwlJRNMk4VljDh357F0HxkinT1rp9/Pf3a07RZrrHwoUhT70enLzPWxcwxbpKjn6wjXi5C
T39tK0dLdRT+DW97w4hNSjAWvTjClM2jc9a/0dJM93roQROHbfzgQ4MNHiuzd+PzJoz96xxbB+BJ
W/vt17mHja8XLDVmvTzQlGE/uqbIzj76RAA6Hp3lr36B28FHY2uRn6OEaDOrfxU/6upZGcfmePA3
jnSs+GmjS6nuAXUJcC34X4/NlIS1RvSn1nFk/4qOMabJNSpCjkZbGZsgR2MdNp6V48d4/dycdsS8
BvOop8Pavp44M/Yds493f36NWbL+5VYGar1sXoN3vHW1ERQ5wXj3ue5mX00xTvu9JpM4TvCBkUbs
0bU/zzFYHh2dyLHAr2WBko7tOR/4xRztgws/S3G/IYdQG4Pe3OLDZifN8/JC2/3JWBCbXOycxdw9
M80LwVhxhjJOnTZOp2427hc+bQrPL7Ro1ekpYp5rJKxeYixYutRY6vktWLLecj7kPDye6Tj8bXGw
vIPnRtHjaT1jL8O8aQ7/YI+RucVycorOtrNgKtu6QHcyPk4i01xjxh31jdvM+gbQxZTvuw6B5OlZ
cyNetS6QdAZfkgtrvYdVb55Hd67DFdiegfX0V79AeuqN3tueDyw+ZuTuedts20ckbYUM82xKOqmB
9fSg+4oCtG2ceZMfacQX0lnywofNNr6XG0xYt7eMDPdm8yYx8N97jLy9fxf9JhkHPA6XL1sH4pkr
NyY6IL76targ3nJuG1kw330iEF0gXdx++jXbgX3V71jxCIzxce6o1Qc7FZ1pKQ6mt8Plq92NAG10
6dXdVic1vsSB+vwvMzZtwn0kC/b823SQCJrRM9R4+LusIixxmvkgYz2QDjVWphSBmMqUa2wTuIy2
4xcVXnvV4Tp6/HOTbkpCprFjcjdTRuqeD8wyX9fk01tED3kwmbKdnDeZ19kXfrDpwmInOBb4jVng
fByqknAuxuG68I1Ps07LazkD9SK59sg7VMVDKxYiafQwjOj4tgCb4IHpM/HyfT3hPnHIRJ5xd0vM
sJENLGvL+Ey6ETP9Kby4Mxi6POZUfhfMv6oLqrhycVZoBrav65PyLDrglSf1HLZsuETlTfEnkFKV
r7om4K6uftad5ZxBhb+8idFRZBuKe2cdxL1MyiS8X10CnCOXcqAEebKG66E/9zAlcN2Luews3Mei
Lg+GqUlAewawGfX0U78DX7wpQP928WXPBev34flabNsmGNSzNlUrDOwhmQH1LET1kfDftrk5RxDS
cgiKWj0CPUZdgew39+FUhyDU6N8dESGZOI5G+PuYpjD25Ah/XQHn29aBeJ6WnuevX2uzZ/h77euj
ZvYiX3QBdXHVlz5/br9mO7x5bcVS9U+7Pla6rNkH9XsTv/L65wUcf+fyLV5yKdT9fz82i9vAnkuO
no6XXp8MnGiFlyafxHtr8tBswSS8uL0PHhp/DSIq9cFzk7vgswnr0Hb8eAyoUURtyMcQPS+7B+Ue
WYhNr15f2NtzsysiJHw1HhjyFOqPX47xzcKxYcEZuIKykX7isMnA+5o8KPws/jPsYRM2b9JNWJ4U
i9UowOHxg/FVeAf8e8VkdNCOX6SCk3Is4FigBAtcuMMVHoVO7YMwLU5usjc0OId95WZD8eHmPPw7
eR0+fnsS/nJ/L1Rqlo4nK1ue1fwjBkYU3SmL0dPRyCjQG6OCInDv7C0eh0fLPHEWVz+JE7UlFfDr
PAlCeBFdFUkfitsgBT2hN5SsrTPw5IE8TAyzzMF7Z6WyvhyeALp4RPiqQ0nyirSTlKyp+HpLATr/
qWqxYu9MWPnA9vRrM2Hkr37npSd9F7s9TcU8XrPpKcrKq8RF+EjqUGEoUJKe3vWy5/22rVEReTt3
gx8EWm6/G9tWb0KZNnegLN/eZan3UxkVpBn9foZht/Vp/zypR4Sffv18n4p2lX2mffUJn4haGKB+
5TnvwOCzHUrunxax1//cbCmQWnq6fOau2eZ4eNqO5lNeyePvUqq7L13Oq8+rHez9Rct8xKXt867c
Q5i+LBmD/zYO6V9PlLVXQ3B7rUpmU1MMnar/m7ABoU1d2Db1Gjwz/Cj+3r+OQI7gie4jkHDrhzht
c7ZIU6tJQ+Qlf4LPk/+E+HWDpeQUvvkkARFXNUHN8seJgnOvyW7EtZiNemdcMKTdXWfrYlnsFLS/
9mYMbxmFmt6XaJOL88+xgGOBkizAFeEl4XjBq6LLoBY4/MK7iM3zAskC25eeeQuxyakIi+qGu8eO
thCC3AhvdyPkVSRGj3wO8bIaPjMzFes/nYpPPAvVichr+ltv/BdJmZlITVyHpeuOWfT+/od3x1/G
1cXCPw3Gv5btRFpaKhLXL8XCAHSnhVebIaPk/9t499MNSFwzBT3bTzAlHNsvjttFBl91KFleGpIS
juFHcVIfH9Qby3AjnrmjhZcmx5GQnIzkJEvH87GnF4MSsyXreS4L2jMsjA7XPnzx0RokbpiJAZff
jlh5Ihbv57za/VyuUhKgbTveep8gvI2H5fP2NLcbicv/ifuWu3HbuKEUWSzkntO9fds6EM+IAP26
mDCZUzPb6ChdwaLgq08UQZkqThdIF5uvW4wF26G0oWKTlkK6CktW7ETymuno1fLPFqtzHn6KJJjy
ArSRYl5KdfelS8l93nd/0fpZ8c8zNhv2HSJHdnfCs688jtFdmqPN889i0hNP4DnObskmD3Sq1nV7
HWkyYztrTBieH3AdFhwF8g6uwCvJeXh4ZDMkxq3H+vXWL/5IFi675jb5WjtIZreuQTNxlPbMexZP
bMnDhPuvRwW/1+RMdBhyC+4YNQpjxozCHfePFr2C0HLwPVI2BJGOw1W8+Z2cY4HztUB4tQYXuGhe
XtrKol6unao/fm7hWgHzVa57k7nAXGSb7/8ZN5RFn7vle2QGd9Ji46bGwYUwLmh+Jz7TAsr/IzGv
mmsQlH7gqxsKYX4T7v3G5Dva2XjC6M51YbLWRbaFMFaeVkpZ7C9ro0yYccKYdkeDQppHP11mvC4L
+q1F3oax3sc6F+VSUuy7Dv7l2Rfmst5h7cYYS3YX2YTydC0J4Vz8rQuzS7KnP13918+/noHtmWF8
+lCbQnv+9d2FxrO91NYlt7s/PQ1/bSsECcusxcXaV0Y8/43ZF1m3Ns9zfSHXnUj7iyndG5437aZr
uJTG29b+eBol9Gvqb2+jkFYvF/vAwXefIJV/Or+6BOzXFs9A/323vXzYcGPDwvbjeOACbV00738c
iaQAbUQ9LqW6+9bFf5//X4/NtDVPGSEt35B+nGGuoXttc9F1IGYSPywaWrTOzr3deDAq2AhtPcnY
tbHowxvt24z1epa87OnCtmX5oBeK1oee1zVE1uoNkev9+XzEFKjvOTDHAr+2BUpan3U+8ItZw+WK
qNHQ+M9rf8f1118vY7HkULmytZLq2LcTUbffC4gYMQnLX74fVzarU7huwJ2ZJrNNsqdDeGXUqOL9
st+NtNRUuI0IVK5ZuZCmULJbZrdSMhAqB2JXjjj/Rym3zG5xG4kI0e986bgzM8rVFfxC6T9Pwk8d
AslzC43bLVsZXECdLWVLsGcpahRIT1/s2N7uCGlLmZmUCiA0axX6RPRD7+9Oo+iVW+n19Nu27jSk
cl+DEPazkvtK+sYXULnLQiw5EoOBlUMQ6svWAXgG7te+LGMr89MnbBjnJgPoci7yxZdcaLvbJfpt
IyJdSnX3o0ugul9KY9Nu8wtJu2XX/MQjmdLnI9Gska6GVQ6lH5vKwYkdC/wWLJCWVvztQ2l0PnXq
FKpWrYqgIL4gdCEkJMSMmeePQbfbEgcTBQUFyM/PR0ZGBlzh1Roab79+4Q4XmabGLcDEh27GO6vz
MH7Fj5hydTUWO+EPZoH0b8ejcr9puO+ZyWhe9ij+++S/5JXi/YjP/Q9alewH/c+slf7906jc8xOs
PL0XA7zvOf8zLRxBjgUcCzgWcCzwa1jg13a4uLFLqUONDiPw9io3Xj8tXmN55w5WakP+xgkr9XwC
0bMa44sVsfhB1kxdO3U+Prt7GBpdQs4WTVyu0bWY+lpbtCj3Gze4o75jAccCjgUcC/zmLHBRDpfW
NkJe/znhD2wB2em63x3/T36Xtg1C6nbDXx7udmkr6WjnWMCxgGMBxwK/SwsEyeFbv8uKOZVyLOBY
wLGAYwHHAo4FHAtcKhYoxbYQl4rqjh6OBRwLOBZwLOBYwLGAY4HfhgUufOPT30a9HC1/ZxbIOhqL
xQvWourQezAgyt9uVL9SpfOSMPvNT3CYGz2ZIRvZFbrhMdn7yCV6fxuXh+5DOyAlZjWOV2mH3q2r
K2KpYtri5+Z5PorkpcZj/tyV2PeTgch2/TB6SPtzvzI+H0a/BI47BTGrE3B5715/2I05s5JX4/0l
pzFy/DDU/CVs7MUzLzUZCfyivPDLRznIfNYULNuXg7K6IV52GfQY91f0ruvcarzM52T/gBawvmH8
A1bcqfJvxQKnMPexwYiI7IRR4ydj92ndRf4S0j/jIN54+GlMmrsGu3ZtxubNmxCfcMrcyDdl0zQM
vfZWbMvKwPzeg3HdzO3FFM/a+qb5CfHEmJPFygNlSuIZiHbn3GfQ1BWEwS9sDIR2DixPdjnvX7Od
tMF/sTl2Nu7921e4mM1WzWOyZk3F18lyXMTPETK3oveA3tiox0f8HDx/FR5yfFgp7ZKw8DGMf2A4
Nso3TL90OPbNCwit2QitW7fG5Y2r4AbZhJhnOhzfF4tNOzgGdiF2zTw8+feHsXhH+i+tjsPfscBv
wgIhzhqu30Q7/UGVPIX3RtbG2M8GYk7sUdzSoc6laQfPkTjPvPU5nrpSH+0tVYPqUOfmqBYahort
XKh4zhmZF+5AVi6Rpw8z5W3GmNCumNO4PfJkX+Ja2RcmN3b6E1jb+hmc2P7szzR7ko3oOyfg5Hdj
fp4Zy7Aw2VG9E8rw/J7fdCi9Xdo/tBYZd2bKXoS/rAGMY/PRq/8zGP7mGsx9oAeS592LZjf3w6Pt
fsSrz32EYSo+by36hPYsmu3Scid2LPAHtYAzw/UHbfjfQrV3vn+POFtuzNy90IezJa8vZj+KTq5g
c4bI5eqMR+fwkHCZO0lcgnF9GnnK++L16D1WdeWInnE9JiBmZwweH2rBe439j5xEZ4Wj62diTCGd
Cw1ve/+CZnGy886dXqnUuBuuufpqNAqJQOdRQ3FX7+YeaVYU3qyHeWxKscISMiXx9Eke0giPbd8L
977VmNYzFAfPOfLIJ5UUZuJociISjqWjdteWyDyajB2JiXKkkoVfGltnyobDycIzLcpA9oHdZjpR
eHLj4pJCoDYy5DzI3CTfbQukYO5L96FT02CENumMPr2HYrocK5a580P07vGE9ImvMaF3Y7PPDH50
XlG7y/mJb42TV8OywSH72MQ5O0tS0QM/hWWT/2rJa9oEffr0waMzrf7prw4l2WXLtLG4b/pGxC2y
Zildrqa4fcpWOTt0LcZ0bGzKuPGZBUW6U5MS+jzPVvSnp7+Kbv30VTnI6zFMFWcrVOy6ZMpsE3Xq
a3Olt9iCnE5+1pZ1ko4F/vAWKCsbn3744YfG+WxpTxwnOBb431hAjmLqFWpUGL/cp7j1kweax5U8
+mG0kZAQb0TP+ocx8YOd5rFTcnac0fC2N4zYpARj0YsjTLwX1qWZxz3xSCoZ9EbPB6YZy2ZNNNPW
kSUnjRcbhhgRw98w4pOSjPjYlcZ04Z3hU7pXoXncTimPPhFa6mQeo+PF9pfJnjRekmN79NiXEmWk
8Ygsy2a0m/5Me8oRX6Wx9fqXeExNES9Nl3x0TIA28tiRvIq17XfpUsUMY8ZNoSKzifHMJ9HG+uiZ
5lE1tLn9SKbBj8wwPn19rKnbrR/vETo58kiO/ALuNJbGJxgx791rwt5JcJdgtlxj4UORJu6j05cZ
62LmGDeJDS2b+69DSXYpgncypi5cYB6jVu/pNYaRe9j4esFSY9bLA4sd/WUq6c8uUnchDKCn/yqu
f7mVTJG+bI6NHW9dbQRFTjDefa67T9nsHyW3q39ZDsSxwM9pgfP1cwLhXczRPs5KRrlCO+FStEA6
DsQUoPtIH68R5Yn+0QlfY/jbO/HPMdYh382atUI/qcaWNx6SXe5vRPxHD6KV5Ds88RFen1sJT720
GI/NqW9WtMfT3yDm+asknYkXJ76EY+mcrgkz11y5k3Zjz+nhGNphAFp1MNF/8X9n0Qjdm1yipzRU
6oPNRj7WPNcGo8+8jUOv9Si0x5Y3XiuVrbs8/gOMx09hUlQtZMw+jld72esuh5HHrMDOMy5pESvk
GtXRZ2gXVJEsv0sI1EbebbshKQVZlReaM6UvrNuMp7pWEg6Z6NlwrMztFIURr67B/EdYt9HYP2sm
pm0+BPcV3+Mvcij62A8eQ9+6NZF7/Z/l/ISZmDo3Dvc/3d6vnuX3vo/hbxzBI4uP4Z/X1jbldW8f
hHUecf7qENguqmsnfJy0CaOj3Hjv87o4W7M8IPvg9R8eibytP2DM45JVVFvsbRf2eXcJetrIfSbT
T8xHqz+vxJSERei+rB+MgrI+ZfskdgodC/wBLRAi3uMfsNpOlS95C2Sdlld9BupF8jbrHaxXFQPb
1/UGIDfnCEJaDkERJAI9Rl2B7Df34bSrvrzi6IBXnqSzxZANl7BfsH4f3ry2Bx5asRBJo4dhRMe3
BdYED0yfiZfv64mf+6hNU7T+y80Vp2UfKvyiQlTYzxuX3tZ0QvwFN2KmP4UXdwZDlyKdyu+C+VeJ
wxVRNWAb+WrbTfEnkFKVr/Im4C7T2fIltxMe+rM6ktkwl4HJWrvME4dM5Bl3t8QMG9lAc5mefz0b
nyZdEwzqWbyeVk8OXAebmHOTOWdQ4S9virNFUCjunXUQ99qw5A2ez+DLLuzzz9cKpKdPVmZhbnZF
hISvxgNDnkL98csxvlk4Niw4A1dQtiybd4JjAccC/izgrOHyZxmn/Ne1QHgUOsmswFdx1k3PWxl5
rsemLanexfJCqSLydu5G0YdabmxbvQll2tREeX224BSDLahLV7nZUHy4OQ+nk9Zi2mNNMeX+Xnhp
1U82zF8gWakd1q5ch07qXfwCIrxZ/mzryi/C1tTJ1KPAez4mAvfO3oJ9m/mlm/VL2vIfdPA4pCW2
kXfbyg4ih+I2iLQs6Aq7rK0z8OSBPISH+ZjglzVbX28pQOd6VRFW3vSsMP+IId8WFf2+euQK4RdI
T4vOqqDMyCUuwkfCs4Kn/5VUB992AehPVSqr836SuZDgbReTNrCe/tjXatIQecnL8HnsfVj++mBB
O4VvPklAxFVNzFlIf3ROuWOBP7oFHIfrj94DLtn6V0WXQS1w+IV3EZvnpWR4d/xlXF0s/NNg/GvZ
TqSlpSJx/VIsXHcMHW+9T5DfxsPymXqaW15PLf8n7pPXQreNGwp/u3eZ2xvI4uKXnnkLscmpCIvq
hrvHjraEBv2yz+xG6n58OXcOvoj70auS4iLETTe3cLjPs9j6HIQLKnDL4vdkcwH8gTQDSceSkCwL
4JNTii1zviCOpba1Rwp9gLfe+C/+P3tnAhdV9fbx3yCDAppoQQmaoAb/BFPE1FCg1NzwNU3NrNQ0
t0pLU8tyLSktTU3RFLXcylxyKcVyK8QNTMBCE1zABVRIlpQBGfS+z72zb5dhJDN9jp9h7j3Lc87z
PWecZ55z7jkZKhVy0w9jO/WfbHCgj8S+bdK1L/1djKXrEpG+fwHaNhsjVXPprM5gL0BG2iX8lXkY
EzqFI5ampKf0fxyuTXvhbVRBvz4fIpVW9KtUuUhYF43vaLG9XHBxEQ2ZM/hhzX6kJ65Ah4BXyIt5
CxCj7dChwlxMGnMZadTPmdmGnxwmydobkYtsO60V0sY91uVleiLUibxbXeBP9vKpDVPxfkoZxgzr
zlOKMtw4iQmgKi+ar8w1eSyrMgnQomxxQXm9ketpea9ZUJ8V5vZvKvoM9K/Q6YlSprTYKH2cmN5z
+l5NeWlxe4iwS//sBy3MpwXkUjn1b9IiZGN59XvOFE5aVGzWDvFWkkuLg6UF2lbSZaIK9k+U2mpt
EXv21jdtpsmItJ5ktHjaWMe6Y/daz28WmzAtSKg7lhZomwWHWGtlZMXPEhpCoe+rjrM0/WdWheFW
ro/k+la4Iizs/6i+nvHrYoU5tBheZG68aF7k4tJ0gLDtpEpfpzrjR6F3gyr6suLC+yWphnR9RpOL
ImHd6Cb6Mm8t3SJMDbN/nNniYqsPdFUb6+IcOFPIExNkuci0UyfUxntm7CS9fiK3TlFWxpF2zPGi
eRsQOfqOE5BbDG9v2u0smleITykumfMRunfvTp+b8oOHxx2c+yi/OZzjHidw6ZfJ8G4XBbee07Bj
5jA85V/H5Fe0mrxb4nYCbjQuPdyMpqfUBcgV9y5w9oBnLaP4cnipVQXkMSOBrmI5OxdWFcchwq0d
Wm7PwKyudcgTQvUqlXCjV/lBjay0LLgF+FqZjtGkuTfwhYc9osqv7J/J4SBrqTFq8m6Ju5XXMus/
mZY61Eckr4C2o4C7N40Tg/DCI1HwaLkF27Li0dHDmXZNtwZaTWVzoRbc4OHlYTL+DJIMV2L71LQZ
lpI8d3Bzg1I7PsJ/zcf0iAekjOXq4AAXQwvsu7KnnXKS1AUZSM9SGe00T7nJq6yiF0XCpXAXWnl2
Rtd9OZhu8mCEnFROYwL/HIGCAnnPrz015+XloXbt2nByEk9GVMDZ2Vl6F+/FlxjEeDGQRYlbt27h
5s2bKCoq0jzvLaXwHyZwFxKo88x05CRtQv+rUYgI8MY7u0x3ZFd6eMLb29PU2BL1UJLB5OlZIWNL
KkZflJ7e3vYbW1pm4n5DsyPr0wfNBe7u7nB3mUI7FNkTlPCxamyJZTVpd7WxJTXTMdYSHfpi9vSx
0n9SovU/Sgf7yMPT1NiSpJeW0FsBqrq52jC2xFxKiGU97TC2xNyqhElwp/9w3/w0BgtmvIsQMsb3
0fONL4ZqjC1JYnk6OMBFlFuRYE875eQpPfwQGBgIfz/dj/A8zG3pph3/Cig9O2qmUuWEcBoTuI8I
KKrWflSImTudPVz3Uaf/V1VV5dOvk+oe5Dm62zRQIz+3gHZwNwqCO31BG7lSjJL48u4hUJZ9GEvW
nkePt16AT2WNK3UWLSJfhx92puAi/dANbNULrw56Dn5323D4B9opepx1m+Lqetmdfvjcbarr2sbv
9xeBf9vDpXClKcXFPKV4f4061pYJMAEmwASYwH1G4N82uKQtpO8z5qwuE2ACTIAJMAEmwATuKAHe
FuKO4ubKmAATYAJMgAkwgfuRgJO4ip4DE2AClUOgODsJ6xcuxO7M4soRKCOlLDeV6pqLGTPmYFVs
yj21y3dxJh2yHb3VzgcPDJAcLWeQUPGru6Uf/g3dK0SLnmrcsyfB9HBtrYCy3DRK2yO9dh8+dVeM
ZfGp1vTjx5GemW3RnrJcOsRdTMu4/afeUJaGVXMWYs9xK/vQOZpWoY7hzHeKgJPu8cU7VSHXwwTu
TQJ5WP9eZ7j5hKDvyLk4mW/jnJVKUr7s0ja092pKdX2Do0mr8dq7P1v9Iquk6u64mLQt72HkqB44
YvF9pkL8qmibBq3tcv+MCne2H+4m3eXbYo124fFodOjQGkct+hQoytxAaR2kV8fnv63csXx1Exoo
InGcGrV/gg+emHTEWvMMcWVHMUDhjFpePggICkKAnw+qh36KDG2OS3ujoPTyQ5CY1qAWnqdNlisS
Co/MlrYNmByvfeJaXYSD0W+jQ5A33Dp/iOPGexE7mlaRBnHeO0dA3Idr5cqVgr2bft3xncq4QiZw
1xO4KizrrSRXcaSwNin7jrRW3ARTGTSNtvS8d0NRXpEV5a4KU+EsjJTZZNZ6OSuiKiHqzvbD3aR7
+W0xx6vZmDVEiLPWrdrMqkRxI+Bpmk1bzQU4eJ+5urvg+n9bqfQVoT+qCEsyyhFUelHYve2wkJWv
aWhO8hJqE4RxO/8SbmV/L23W22P+fmkz5fT1g/Vp5UjVJKsOCl01uzEJUXG5JkVUWYeE94KdSd4I
IdVsw2VH00wq4Bu77Rw5e+h2Nj7lNVx3zrblmu5RAie+GowhG9VYcXILXgyuY6ZlDtbPGIqQRlWg
bNgCEeGRiNEeDZOycAiGxhxB8tYp0hE+CkUjvLLgmKY8nem3aHgX6ZewQtECk9ee0MpVScfzpF0q
xCOtGkNFx/McT0+3eBTfrBHaWzUSVo9HiKKKXu74teLBzrR3VPo2DI/w08Y/jTl7TknxKQvfwrC5
yzEmgjZypV/f8fuXIoLKtx33AwpPrEB4m/cRf2I3xoQ3kMp2Hr9B752wJVMUnJ2wAgP09SlQ/+Wv
NOWKD2FA8waIiIhArymb9bLEMiqa4snMJF19BZScOyldp5Pu4sa3kCknlbWhn3jUzvA2Y0iHeEyI
1OgfNuRLOji9vGC7H1QnViK86Qgk6z0VeVjevwuik+lIoHLrs95Hd5Pusm2RsNke87SvC/LS92BC
uIa18XgRi9JZ7taDzc+D9exibMryIQiJjMSAqdtQ/ONH6N2nN1bjJkaP+QpH149DQ79IrDqunfov
PIzhwc0xau1p2nbNB+0jW8Fbu0Nu2eU0qZKgx2ri2LpZdGjTe4ge1YZ2Z8vBtgWrpbTo2eshdbds
O2mfsk4R2NO8mVSmRLs5pnRDf1y9W2NmYjL6YylavbrGZBrT0TSdbH6/Swjw0T5s9jOB2yFAxwOF
KYUaI3dYEVKk9Xw1FKZ8t0dI2LNC+nU7bt9fUt6EGU9Jv46BECF6y2bpaKG6dNyMIFwVFtLRM8BA
YXtqmhC//DUp35I0tSAU/CrQOXbacoZjjaIOF1ip3zQqYW5Hqdz4lXuEtLRUYc+qj4XJX58gmTsl
mfVfnickZaQJWz/pKeUTZSbMayxdh41+W1tvQ+Ht0Z0FRZ1pwukj0/Xt6DxumbBuzhDp/qVvT8nK
FPX7pL6z4NZjnpCakSGkJu0SYqhNkj9B9C5s3i6smtlRqsPYg2fgZdCb/hsVpKNjZMrJ6ScefSMe
HyXKaTtqoRC7arJ0Xe5xNDL9UCB5aUyPkJpK+kr9Xk59tvrobtJdti3Uixpvr+WYL0icZXu8aIeq
hp25h0vm82A6xE3uctIOCXvWaY75+nxPvLCQvNBudFzXrqQ08k5dFKbSsV7iZ+xoQZb0GXbynkCx
pkGVpPFuhU7XHGuVMDNQwMMzpbF6fNGzgpPPGGHph6HSWM0R8m1/bklsMuUH+ghJ2Yek/wdsjbHs
raLXLFJIsuIJdDTNVKv7907Oc2Vv2u14uCDuw8VTivfvAGTNb5fAWYEOOBY6zU+xEKRK0XzBGIyh
IsnQMDW4QoRvM8SipcKy/vWEl0lO6akV0hfTEDKGivLyhfzco8IwqqOJ9qxIMXe8jbMNxTSrgaYy
RMOix2IysMxCsmSI9RFS9fFF0hmTrs+tFg7QF4xL60VCkfqo9CXR8YtTQtnpj6h904RzWoOr5yzd
GYtFwgz6EhPPZ5STWUpfTKIBomw6QticlKk551Jft+ZCnWJraommsnTGi1kZ8dZaObm2qLUGUJtJ
urMANX006sdLJK1USNu3Tdi8fbuwXfvavC3BZLrLWj/op86MzuzUt1muPpk+0qh6N+luvS1yY153
1qO18aLRj+x0K1OK9nwedOXN32+d+kIykMT4ZW2Vwthfiw1ZyGjurf/xEinsyjEkiVcq+hyKZ30+
MXKrfozqDK7sy99Ln9EFaSrh+NzWUh25p762+bnNT6F2kFG/4A9R8m/SZzHqoFFbxGhtKE4RP1/G
BrsuRRAcTTNIuL+v7DWq5PLdjsElmvgcmAATcJRAcT5NPwmo61PLQkLOOXG6bgxebVXTIk2KuHEN
Nd6cj36+4p0Sr606j9foqvDAj2IElg1qjGXSleZPx2pGNxW+LIV4/FDHZt4WJUtvZMG5cVcYUtzQ
pu+TKJl/BnnBTvBsHwo3ZxUuww8fDWgE4dQNkqHblj0Eo99oo5VZgqrilasL5GTmwwOjd25BRr/n
0LP5YirQEKNiVmDm0Lb6HcmLbE0taWuy9WatnGxbFPWISzA+/eAZrcgSKKgrNyecwfxuDyA+ZiI+
OVGFWqwJeTdbYtMzLWHvMZuaUtUkLkVaGTbra19ms4+0RWXf7gbdyx3zsD5e5BRTXbkgJVf085C5
JwYz5swFrgRixtyrWL6/DP6bp+GTPyIwemQXuNWMwIdzW2LjmMN4YuRIdPA0tEKgh1LaPjYY7uO2
4LdZ3fWjvbTkATi77sOorhNRb+QOjPR3ReLma1A4laDwykWr7ezkeh1fPjdWStswrTd2ZCTRUU+3
cHFkZ/zsGowvds5FsNFW/AJcpbwuhuborxxN0wvgi3+VgDM/pfiv8ufK/+sEXH0R0swJC5PpS+H5
R020uZCcSPdtofuiLT62DB+cK8NkF2cpn2hT1Kxm+d+qS3WNZbUpS0BPgxVkItuRm+pU6LeUXMDc
ABQeQNmJk3SiILQHaKvx+77fULVJf1QTZ++KddaPB2pQc+loYuuB1q/sTrmFFiNqA/m2ZYrtcPOP
xMqjZfgi8zC+XTwNbw4LQ03/Qv3hztYr0MSKRl3RLZ3BJ5dTmyajX3XdL07RhtR8z0mFNOazG15b
nSIZwXbUYsginc9IWmq7VvXnaqnfJxlyAFbrE1c42egjbdm7SXdrbSlvzBsjgPF4MUkwvXH086Ao
vYCY2Ex0fnc4CndPprVXXfHKwzUl9GINolH1+phEKBsp8Ht0F0zpkY2P2tehlCy8H9oTaS+tRL6R
sSWWebhhfZRlfofvM0cg9XBnismjY5zS4PZMQ3hVvyxmgeXnVo3kx1ej7jUFBOp3xXVvxCYtQLNu
L6BHY194mQ3l0utWHuOUJNMaNwfTtMX57V8m4KRw0pxq/S+3g6tnAv9RArXRstPjuBi1FEllpio0
6dqXIhZj6bpEpO9fgLbNxkgZLp0lo0cmuDbtBZqmRL8+HyKVVoSrVLlIWBeN77SL7WWK2k5yDcWb
w72xZURnfB57AgV05l16wnZsOXwJzV8aSuUWYyw93l6gViN9x2cYukONl4dHksFlGkot/rsoQEba
JfxFhtOETuGIRS9M6f+4rEw3Wjg+Y8oiJGXmwsW3NQYN6aepxMnclLuMtMxMZGabfgGJtsqied8g
Q6VCbvphbCcdTINpOTn9jGwsExH5JncVu3mgYWMqEIdtO08gc38Mwhq/oREgYyRK9cn0ka4Fd5Pu
1tpS/pi3Pl50+mnetf2XofmcOPp5qP90V4STR23qpxPQr+X/0GT6VEx7/318KHq3aJMH0ag63HoO
Cshju2qAC6Z3+D9szgbKzu/Ep5llGNvHH+nJCUhI0LxSs4rxWJeXQWsoybvVBf5kKJ3aMBXvp5Rh
zLDuqGHzc6tCcNcX0b9vXwwY0Bf9h/WjdjmhcefBFNfV7AxPFb75+DM4B/ZBE51bVQ/H0TS9AL74
twm4PsRruO7vWW3W/rYJ0KJzcX1UvZHr9Ws9NDKvCAv7Pyr6UKTX+HWxwhxaDN9EWhgvCOKWAnXH
6tY/mbZCnfGj0LtBFX1ZmnYTlqSq9JnkyuozmV+ozwpz+zc1kgkhVLsuLC1Ws7hY19ae0/dKuoj1
NJkurk8T153QuhJqgjpxurRIWLeGS1fGpekAYdtJQxttyRTUv0kPCOjKie/1aTHzSaNH4XXrfcQ0
58CZJuumsuJnSWtrdOU7zkrUa2qrnM220Jqq5ibrZeghCFqHpuOiF2zjwno/0CLvXvX1nMV+Fxdo
6xbNy9Yn00diE+4m3a23xfaYN140L/ad+XgR9TPuP/HBDN1DE+V9HsSy5qFg/0TBufE8GsdF0rq/
2UcNYzN+mvjASqQQp1tnp/5DeNu3irTVyp9HDIv7dWNMfNd9bjNjJ+n7VozvFKVb/0efjXI+t1Ib
tVtDWFs0n75aXDAPYfYhy4dgHE0z53I/38utzbI37XbWcCnEfbiW8OHVNMY5MAHHCVz6ZTK820XB
rec07Jg5DE/519Gv+xB3rIa7N7RPmVegEjUKcnOhFtzg4eWhl1cBAVazqsm7JW6l4ObhQW0yms9Q
FyC3gLxMzh7wrGUUb1UKrTU7EgWPlluwLSseHT2coTSWpSsjI1OtKiBPGzXEVazPaBGLrqzcu5q8
WzlFUNYy00G2TMX0kxNlT5rj/U7Ttrb6SKz4btLdRlvkdFdTGbWathmxNl5kwf4znwfZKm0kqmnX
/PQsFY15H/j7mbuiKt7O/OxUbIsZhwEf/ozQqL04MFG3ppBm5x1Ms9H0+zr63z682tlihuC+7g5W
ngk4RqDOM9ORk9Qck0e/gIiAaRi58y8sePZBSZiHp6MLsZRwvKxtPZQenrTHkJV0JRk+RguHreQw
jZLWKhWgqpsrffGYJunvZGQq3ag+ejkUqEJPH1uV2pAo0xYbJW4r+nb6zmYfiS26m3S30RY53ZVU
Rlm+PW+F/T/zebBSUblRSg8/BNocuhVsZ+EuPOnTidaYhWP2puMY27OxoX5H0wwS+OouIsBPKd5F
ncFN+W8T8AzuicVxaszJL6DVzzb/N/5vK2nUene/boie/QQedzeK5EsmwAQqRqDm0/gtPw8e5HG2
CI6mWQjiiLuBgOZxqbuhJdwGJnCPEHCjaa77ITjTzthvjm19P6jKOjKBf5AAecSsGVtSjY6m/YPN
ZdEOE6DDq/l0H4fpcUEmwASYABNgAkyACdhBwMndvYLrIOwQylmYABNgAkyACTABJsAEDASca9So
YbjjK7sIiE/g5OTQzjnuteDn623y9FhZbibSxKenrD69Ypd4hzIVZyfhx82HUDtyMDr4ancXov2b
jmfQ7sdKd3h5+tn15JlDlRsVUpH+GaS/ey0f+FpdmW2U+Q5fluWmIe53zW7QgvujiGj9mEnf3eHm
2Kzubmyn3Ji3qYithLI0rJq/Gz6dnkf7wDq2cnE8E2ACTOCeIkBTinePPsXH5kPc+X5y/NV/tFHi
4+wKxdPYR2ubNSEPi8Jc8MTkA7oI6+9lRzFA4YxaXj4ICApCgJ8Pqod+SlvoacKlvVFQevkhSExr
UAvP00aSmkCnxIe7SLqJ+mleLbBbX78mV+GR2Q7on4f173WGm08I+o6ci5P5ml3BT60fB4W7F7Wl
OYICAuBVewpyaS/xmcFKs3YY2rPnwj6EKKpYpIv9cW7Da1L854cLNY3Vsmg6WadjDpYPD4O7Vn8/
OuqmXnk8tXTu1FtR5gZ06NBBenV8/lvYu7ll8TFNvxj6rhHeXnDA9o7rt6mQo+28zWpxYv0UNKIl
Bp2jjhhElTPmDRmtXakQvyoauzOLTRPVRTgY/TY6BHnDrfOHOE47Q3BgAkyACdzrBJwK/v77LtJR
d4TInWiSeLKcIfx9XdxvrpwgPIKB2w4gK78ItHkccpKXoPTQBCzadZWOidiEsPZT0GP+ftD+jUhf
Pxibx7fDeEoTw41rAqq/tp7K5iArK4teOxBqvLa6+BBeavmelLcalbcv5GF5n0fQ9zNnrE3Kpjad
xsjgmrRVcio+6DsXnWbtBx04D6G0CDkX36Hz4DwwePNxpKalIS3ha2nH5CEx8bRTeBpS/9iIp+q1
wE8XL9Pu3d9LaaO+SyZPXhbGtn4Q9ft8BNq8EeOe+pAOvgB2jH8Oq9EZS94X94tRYfXAehgSUwVr
U3MlNkU5J/HTK0H2qXGHctV8cpLUNlXiROovw2mA5VVfKm1/EEK6kWczKw2xC7ti/ltt8VmC1vgs
T0AF0x1tZwWrMWTXGc/vx9Kj6QKulRh9DmXGvEGArasS7Bk4BlvPme0g79oci8+WQZV1CG/lRCHI
/XUcN8tiSyLHMwEmwAT+qwScbhSb/fq0U5NLOyZLHo/xm85blJBLs8hsFOHq30Y68sAoyr7Lsgws
mzK3cn8pW5Op9EH7yFa0h5Fm3VvZ5TSpfUGP1cSxdbPoy+o9RI9qQ9NUOdi2YLWUFj17PZkjmgcT
/Hx9qSztgeTtTS9P/UG94nlccztFYE/zZlKZEjvdjie+GowhG9VYcXILXgw2mppRX6UW0Jldhdc0
U2bSXjme0rWXrz8C/f3h3yRAOretzhNN4Ev3gUG+1B5xbyNPPFT3QSmt5iMNaF8m2rBT2jPHB5O/
jSapc9E9MhJd52Vh1PeL0JpQqE9vwIBVpRj143d4MfAhSQc3zwAEBpDxJwY6M23R8C5az1kLTF57
QhufhOFtxiD+RDwmRPpJ6WFDvpQMOtlylJiycAiGxhxB8laNV0ahaIRXFhzTyCXt188YipBGVaBs
2AIR4ZGIMToWp9TIntAWsOvN268OPL390WVEL8kgLSnVnuVjSz9Jah5i576laUujhoiIiMD4FX9C
dWIlwpuOQLLeu0PGc/8uiE42GHG222lbP3kuNtR09sN7f5yG+sw+LGyrxHljr7fMmJd0aPM+9d9u
jAlvIPVf5/EbJM+hiqbdMzPTUeAroOTcSek6PT1d2nBV1wpXespxZmIy+mMpWr265h/zGOrq43cm
wASYwL9JwOnWrVsO1X8lM0Eqd/DEFYvycmkWmU0iNN+EJSZxdtwUncaM6dG45OAXqdUaypFZnBwD
7y5zEDp9Pwb6OqP0xjU62dRDOvz3xJevYNzZkVj6YShu/JGjP7z4TNJexNO5XPHxe7Av6Zy+2pQv
X8Q78T1waNtCOl7V3qdG8/DziljUoBPrBwaY7e7hGoGpM1vhp6guqNH2HezLsGZUl0L08Qk6o0Hf
Gs2F5P8zO9uuyuPDsefdUCTFxsKtxyLM1B7WrLpyigqFoHe7R8ykiLc0XdurCd6MeRjbU9MQv7wZ
ol4KREy6aKxcw8mD8xEeGI4DDccjdtVk7F/+BhZLU8py5egQ12snsGx4SzTvEYsxWzZhuF8m4nLE
VqvI61cXfT/4Bd0+3oUDS0ehevxPOFVkdNCh9lBhsXUVCddEGeosLBr0LJLwLkaEiRubyrVTja1j
nkDkOwvQ/r1t2L/iY3jt24+fz+RBXXQK8b//hqtGY/ZC/G6cu15eO+X1s81FTtPaksENlED09Nay
kdV8zKuLLiD+4Ezqv2dxstVErJszBD/PfgEj155G6vLe8PN7ig6nvollA1vRdQACaGp7/lGz5QLO
Qfh060AUffsdUvXGp40GcDQTYAJM4D9MwOyb2n5Nmr2+HTndC+BBHhHzIJdmntf8/jr8ENpQs0O3
eZrNexfxG9TW14TNUvIJMjKLT69Ek+Yj8MTIrfh1UhsTOYVXNiHwjV1YkLYVobHtINyqJnmWqtZQ
QLV5AgYda0iupwyom0QjZfPrUNC6tWAx/x8CgusclYygas727CRZiHPxtxDax8izZdSSdu8dRJLf
xxjSdwoiGsxFz1l7sW7cMxqPl1G+il7Wa/IoFTmIRrV9DB46F+0Rx6Lx4CZ6ap7DqnMPoOXg2fik
bSLepIOQh3z9Hp729kJp9zcwDCsQvT4Zw8Zqam8ziQzR6ZqpyU8mz8ClQjV5zX62XW7Sk9pmh+Db
jN/Qz1eN5d9747pXdRQfWyR5/aIOH8XEVqKHTYW29YeQWVReoEOb43fixDUFdPZYqfAQIiJbak3g
o+jmJbn6SFAfxOXPgA9dqU//aLOdg15MQg/yBI778RI+6yYaoyqENnPCYakpGma6uqQoO/7Yp58l
FztEy2aRG/M9aep60zjxc9APZ1etwMKjF/DN7IMQJuRhmu/DKFp9GbMk49R6FbXq+1LCMY3xyQ9N
W4fEsUyACfznCdjrTrGiqFKaftJ9BZlmkEszzWlyR3MoSTQxV8PO/3QTZ4ZqpqncnsZZHMWztTQL
wJVBn0pTaiay7bwpT6ZwaRvaPjYY7uO24LcF3fUGTGnJA3B23YdRXV+gk+R3YKS/K66T10vhVCJN
lYhruOpOTMTpM6dx+vRNnCNjqxaZAV8+p7E6NkzrjciQPtiHW/hqZGeEtx1jNN1kpfHF+TT1RjJp
cbqtEPzCRBwtPY9lb7eR1pN9sOeyraz2xdNanw/6r5fy/v7Vc4g+rvWcSWucjiKjQPTO1EDYq0Ph
RV4l0ZOjunJByr9sUGO4166FWp4hiMFN1NHYG2RgBmPaB6KxJYYSKEidzQlnyi1Hi+JQ481ZZGyJ
5ZR4bdV5rBnVFDnn/qT7MXhVMrbENHuDGvExEzF28mRM1r7GTPwamXqvSwg2ZWRjy+gmJPAsrmrj
5fRT5Yu6N0SntqaeP+s9Vg1V7WhqufrZ4GKHaJtZbI15TYEQjH5D96OjRKODa8XMSAGap2orVspm
czmBCTABJnBXEnDYwyVqo1ar6Uws6yaXXJpNEjWb4tCuwwgwXkxuMzPw2IAYJHVSoGrRXgSGfYGY
fRsRWl1AqfKRcvxdJSS1OiQnliTf8GUnLzML74f2RNpLK5E/y2BsiSIeblgfZZnf4fvMEUg93Jli
8rD3uzS4PdOQlqprQi2tkaG9pbca6LxoNeqSV0W4QY6v696ITVqAZt1eQI/GvtA7VAwFDFeuvggh
b8nCZPpS107tGRKNrmgNzmvzfsCFLQ9j+Y4/Mau96Ze/UU6jSxdpDZfCxXR47P94FDaiF44WfIb1
zR7D2CExePnQ26j1v9ZkViiw89dTGPjq4/Bv35s8Oa9JnhyX6hqlN2UJ6OltVIV4WRyniSDdtd+5
0r1okMiWo3TRmVazmuVX9IXkREppq5/GLT62DB+cK8NkM10ok1lww2urU/CaWax4W6iNe9CrDsJn
fY3e81rixV5f4DLpXk1Gv8IjP2tKai0pdfpWrEm5hRqRFC0ZqdVJUU0W1Z+rpXZO0tZl6608/Wxx
sSXPPN7S6LM95s3Limv1dpN+LUbU1ieJ8opuWf8/Qpep9HqB7pLfmQATYAL/OQL5+fm4fPky8vI0
cymedCituFbb/AQBJ/qedCic2zCKDBYXo4XKBjFyaYZclldC7ln8tH4tfkj+yzLRSkwt7yAEBwei
cegTtIjZAwEhzRAYHIzgoDp6z5OVYqhe3Yui47B8jebx94KUNXgnpQw9ugVBTqbi/E58mlmGsX38
kZ6cgARajyW+UrOK8ViXl6WF1PVGdoE/fb+c2jAV75PMMcNEw0yzTu7M0YNIPp6sLZeMArUSwV1f
RP++fTFgQF/0H9ZPemigcefBFNcVPrLfU7XRstPjuBi1FElGy34kfemLb8t3+5Gdr5Zus1N+wJpz
N9Hz6cet4TCKU9Hi5kycS8uUpjYv0dOL2XSfQ2LEpzBfnXYYL339IZrX9MW4L99C6eHR+GTbZeDB
bljwXhC+JS/Wx3vOkbwSiDaUaDi5Nu2Ft1EF/fp8iNRcFVS0N1jCumh8Z7SI3agB0qW4XYMj5cTC
Tbr2pb+LsXRdItL3L0DbZmPEaFw6myu9G/5cRhrplplhHm/IYXElWjPOIZi/Y7Sk+7u0VkmunS7S
VOsZ/LBmP9ITV6BDwCvkwaWxQDboAw0bk7A4bNt5Apn7YxDW+A1NdRbGiWk77dfPovUyEWqpn7Np
kfu5AgEZlzKQmU1sclQokxnzGoEF9JTrJfyVeRgTOoUjlgzyKf0N40wcB4vmfYMMlYqefj2M7Ycv
mbVDhW8+/gzOgX3QRPfLxCwH3zIBJsAE7lYCorElPhCUnZ2NGzduSC9xJ4KTJ09CTDMJrl6+wsqV
KwVKsOtF2yFI4fjy58S9CwRl0DThii7SjjSzrCa3BfsnSjKbTNpvEl/ujeqgEI4QYVd+uTm1GUqF
2KkdpbpEHcTXEyPXC7SFgiFYkVmQOMukjK6srr2ZsZNM0jtF7dXKuyrMCVOapNEic8v2Up20aF6Y
tO8vQzvkrgp2kt5OQj1qO21FYQiqX6V4XfvE96YvzRPOGmfS5ok6XGAoV/Cr0JzkGZcTr8X2rBvu
Ijh5TxDO6nOTTl2URnEXhYXDnjApq+OizvhR6N2gilFaQ2FJqkoQqA3NTTiQzGbOQuj0RKkWm+Uo
NWFakFB3rLVxckVY2P9RfV3j18VK7dS1RRRckDhdn66oYzl+pcqN/qhSxH6PEOL046tIWDZA7M8+
QhINGtvtLBLWjW6ir+utpVuEqWE6/a4KC3vV16eJ7aRtN4RxRn1vvZ3y+tnmYqSQ+aWV8SL2e92x
e4mV7TFv3D4xv0vTAcK2k9SvRiErfpZA3k+9nh1nafpWlyV99WApbfYho3GoS+R3JsAEmEAlErDX
zpHLd+bMGclWKiwsFP7++2/h6NGjwo8//ihs27ZN2L59u/SKjY0VxFdKSopARpigUqmE3NxcQeHq
WV9YPPsjdO/enf7PLD8Yu8i2jqiKF47NQ/6h1w0LqLUi5NJs16JGVloW3AJ8y5kStC2hIinio+sX
acd4l0rcFV1dkIH0LNUd22n+0i+T4d0uCm49p2HHzGF4yl/r3VOrkJ2Vg/wi2vXdww++Pm4VQeNw
Xh1TuHmhrp/x1hdqFOTmQi24wcPLQ9YDaVq5Y+XEndHhTi7dO6M2NdmynWpVAdRupCt5d+DmBiVN
oUa4tUP4r/mYHvGApKaj7XS0nCnb27sTNxD2aLkF27Li0dHDmca8DZcsjcVc8fQFOtTbQ5snPzsV
22LGYcCHPyM0ai8OTHzm9hrDpZkAE2AC5RAoKLj95QvitGHt2rXh5EQThLSF06FDh1BK6891G2OL
TRCvxSDOAoaFheHmzZsoou9iZ8m/IyVV7M8pmlLssaQUC46+amFsyaXJ16KEDxlbdyq40R5T/vSq
zKAk4ybwDk6N1HlmOnKSmmPy6BcQETANI3f+hQXP0lOetPeWty/t+1WZytkhyzZTOvXeIdaOlXOs
LjsUtJnFsp2qhEnwaLcQQ2mPuP9Vy8Y3H3xOU4rDsChUY2yJohxtp6PlbDbfkQRpHVoBqrq5isPN
dpD2gTPKULgLT/p0osdjwjF703GM7dnYdllOYQJMgAncxQRKSkok48taE8UpRuNguiraOKWca/dH
O2P3H1FoH6R5wsg4u1yacT6+rhwCnsE9sThOjTn5ZL1Xv4PWXuU0/56VUrPt+9izqgF+2JmEg/SD
p1v0Jmwc9Bz8bDiC/msg3P26IXr2E3jcvYItr/k0fsvPs1hQWkEpnJ0JMAEm8J8i4OzkXMWhBnu3
irTpPZFLc6gyLmQXATeasuFwFxGgJ0Tb9X+HXndRmyqxKc60U/ybY1s7IJG8gR48Vh0Ax0WYABP4
DxNwqu5Gj6ZzYAJMgAkwASbABJgAE/jHCDg5O+DhUmfuw540a8fF/GPtZMFMgAkwASbABJgAE/jP
EnC6cUPcXKgiQYWlb3RA517zpUNqK1KS8zIBJsAEmAATYAJM4H4k4FRCjzNWJPz102Tp7Liy4xMg
bvzIgQkwASbABJgAE2ACTECegNNNtfk25fIFXu8yD8/N34ivP+qDZS8NwT56MI4DE2ACTIAJMAEm
wASYgG0CdHi1uNGz/WEjHdTyav5bGDSlLiY1O4Cub66RDme2XwLnZAJMgAkwASbABJjA/UWAtkqt
mME1++jH8PUMhKJOTYzbsgpF3/bHR/FX7y9qrC0TYAJMgAkwASbABCpAgAwucnJVIIxt7oqAFi3p
MGPgVv1+SJjxFKLCxyK9AjI4KxNgAkyACTABJsAE7icCFZ5SFOGUlhajyZvh0nmHLSd8Q4eVrEHv
yQfuJ26sKxNgAkyACTABJsAE7CbgGPSfHAAAQABJREFUhFt259VnrPm/Z9Ckmu6MID/MS5yJP6La
YmVaxRbg6wXyBRNgAkyACTABJsAE7mECFZtP1IGo4o0+vVvo7uD65DhsGe6CQc98jBx9LF8wASbA
BJgAE2ACTIAJiAScnKpU3OYqLshDbuZZk6cTn5v7K7pc+gjDV/DeXDy0mAATYAJMgAkwASZgTMCp
irOz8b1d12lbRmNYv82mO827PoVlW1/HlkEvYjfvzWUXR87EBJgAE2ACTIAJ3B8EnAQH1nA1G52M
/KKP4GXGqE73uVja5Xd0f5X35jJDw7dMgAkwASbABJjAfUzA+dbNii10P378uB5Xlv5Ke6F0x1Oj
3kNx1/6Yvqc9PmpfxzwH3zMBJsAEmAATYAJM4L4j4HzrVsU2Pn2u+3OykAR4IDw8GD9EryeD623Z
vJzIBJgAE2ACTIAJMIH7gQAt4KqYwXX6DC+Kvx8GBuvIBJgAE2ACTIAJVB4BJzgpKk8aS2ICTIAJ
MAEmwASYABOwIODQxqcWUjiCCTABJsAEmAATYAJMwCYBh472sSmNE5gAE2ACTIAJMAEmwAQsCNwT
U4oFudlIp6cn0zOzTTZj1WmblX4c4tOVmdn2bxBWlpsplUnPsL+Mrj7xvTg7CesXLsTuzGLjaJvX
xZn7sDB66x3bqf9O12dTcZsJaqTH70FqTsWeorUpzixBpe3fiowJMxGaW3UO4vfEI0dtNVWKvPtZ
2257uSnqAmTS5ys5+TgyCowglKVh1ZyF2HOcTrnnwASYABNgArTTPP79NVyFR6KgUDyNfXrbJg+L
wlzwRHkHYpcdxQCFM2p5+SAgKAgBfj6oHvopMnQdS//pTwtXom5AEIIo3c+nFrbr6wBUfy6hehUY
arY7/qW9UVB6+UllAhrUwvOzf9FJtOM9D+vf6ww3nxD0HTkXJ/NLYU2/ucFKE/3StryHkaN64IhR
++yozOEsd6y+4jiEKFoYNsMtPiT12aNDNlg1jg0KXcPy8E5YcqzQEFUpVzlYPjwM7tr+FcdEvfLG
mVSvCvGroi0NaNUxhHcIx5Ei242rVNbEM1JRRRq34tgVX/0nr/+HDPU8zPBVYnzc38CNXdSPVTD5
UAlQdkjq0z2X9yHE5UH40eerefMgNKjlglcWaA+xVxfhYPTb6BDkDbfOH+K4yjYfTmECTIAJ3A8E
nCq6LcQ/B+W6iei/r9vx9KTwCAZuO4Cs/CIIgoCc5CUoPTQBi3ZdJVk5mPlkED4pGIc/8tWUXoor
ZzPQxt1QTdIPK6WbNWt3Qfd9IFzahLD2U9Bj/n6Uksz09YOxeXw7jJdkGspav8rD8j6PoO9nzlib
lE11nsbI4JrarKb66Y7+1slpNvoQivKKEOmhi/ln3+90fRptsjAtNBzfeI9H3LI+UJajokd9BapV
KydThZJVWD2wHobEVMHa1FxpzBTlnMRPrwTZIaUEewaOwdZzRl4csZSLC5ojBFWr2hZR2azFkTTy
2xPIz8lAQuwCnIjqhw5RR2w34DZTfo7PQEnGMSTRSfeJ++nnjOoqClAd1d0ex6rUP5FfWip9vhIW
9cM3b03EPvHD5Noci8+WQZV1CG/lRCHI/XUcN0N3m83i4kyACTCB/xQBmlJ0rL2XdkyWfl2P33Te
QoBcmkVmeyPKMrBsylzTX8pKH7SPbAVvDzdJStnlNOk96LGaKD62Cu+n1MfmfTMQ5CEeX6SEl58v
PPTf8hnYuDgRykYKlOxch19ypaI4tm4WzuA9RI9qQyVysG3BaikhevZ6vVGmyWn598RXgzFkoxor
Tm7Bi8Hmm75Wh0t1XZlqEL+f88Vb0ePTvAEiIiLQa4rZcUmUnLJwCIbGHEHy1ilopCB/pKIReRGO
iSUp5GD9jKEIaVQFyoYtEBEeiZgknUcoD7Fz39KkNWooyR+/4k/5+oqTMLzNGMSfiMeESD+pf8OG
fAndBreq9G0YHqGJFz2Sc/ac0jTDjr/Vq6uxY0wrfJjSCb8cnwE/fRnbOpgYpdS297oGo+2Qr3Dp
xAqENx2BZJ2VDDJ0+3dBdLJOd71wkwv16Q0YsKoUo378Di8GPiSluXkGIDBAYxTb0k9FU9aZmeko
8BVQcu6kdJ2eno5cbf0CGR+lGVaYldO3IB9fwurxkudI461qgfFrqY/KCaLB5eHtAw9PX7TsMhJT
hjsjbftBaTzJjRdb+tmurjaa9XyYkktxNjVeynbw5ClcykzBWTwD/wc8ERjoT58p8UOlROkN8YcO
GWIuUlbpj6t3a8xMTEZ/LEUrPoHCAIavmAATuO8IOGhuAVcyEyRYB09csYAml2aR2d6IotOYMT0a
l0qtFyhOjoF3lzkInb4fA32dkZP+J5y8+8D10Of6L7Tnx6/WGw/q0zvxRWYzrN8ah96Ix7e7NYZj
6Y1rwMMeqEXVnPjyFYw7OxJLPwzFjT9yIH7R2Q55+HlFLGqM3IGBAdbOp4zDphVbsWXLFmzZ+g0O
ptyS6oDzoxg4JRpDulbDz9+ftphmK712AsuGt0TzHrEYs2UThvtlIi5HbImKvGl10feDX9Dt4104
sHQUqsf/hFNF4ponNbaOeQKR7yxA+/e2Yf+Kj+G1bz9+PpMH+fqu4eTB+QgPDMeBhuMRu2oy9i9/
A4vj6Yu0cBfCAp7Dz/VGIykjDVs/qY2xHfzxcYK8kSPyEu3MzR8PRtd51bAydQPC9V48OR3EkrRL
nDO5JEXDxa0lPtvRFLNnD4YbjYX433/DVaOxcCF+N85dl1/vpboiGogh6N3uEUm2yR8Z/VKX94af
31M0Xm5i2cBWdB2AgIAAzD8qGhhADRo/kebMxGm4cvo2cV43tB4wG+1X7kJaWir2rHoeriZWpkkL
TW6qkWdNCmSIrllShoAOLaTxZHO8yOhnItjspoZHLaT/tAk/7ypF7+HPQ/XTIfyZfgXOjTWdqDqx
Er27RuLpkCoIG7MT43auRHPz4e8chE+3DkTRt98hVW8km1XEt0yACTCBe5yA+X+Ndqvb7PXtyOle
AA8fT4sycmkWme2NkL5gRDPIMhSfXokmzUfgiZFb8eukNlKGCyf+xK3sr9C+awhmbz+K1Q8k4vWw
V/FUiSfOL+iM5I00nfhwH3RsHIbSXs4YuGI7VP1e1wsvvLIJgW/swoK0rQiNbQfhVrVypsAKcS7+
FkL7mHu29CLx/ZdzkVBdM1W6j6ZnQsVL0UvXwwdlxw5iwATRT2AthODbjN/Qz1eN5d9747pXdfLg
LZK8aVGHj2JiK9FDo0Lb+kPI10Pm1umv0GNeFsb9eAmfdRONCxVCmznhsCjajvraTNqL+OnPSOU+
mTwDlwrVSPl6Nk0p9ULqmrcRSCnB76/BnPU1MXHGj3h3yys22i1WKIZkfDbtKL0PRBM/VylG/COn
g5hejbo76/gGDA8dhO+ajEfq0RkIJECF0MwzGjlSxOzlBxft/KRoqLmJXrHnsOrcA2g5eDZeLpDT
7yCECXmY5vswilZfxqywBw11FWsuzZklZuQAEY1s9y0ZkePH7EaPxSfw2YDHJSH+/oFoZ5Bs80o0
YPdv+RLLD1/Conc+l/rl0FjNuNcUshwvKV9/JNN/fZERvxMnrimgY1oqPISIyJZo2CoCZV+fxoEi
FTp//ipylszCyvVX8fjzayQDr8wjAJ0je+Jarg8uJi3DF+M+xkuH5iBY43TW61Crvi9dH9MYyWZp
+kx8wQSYABO4hwk47OESTQNPMrasGwhyaRWjmTgzVJraUrg9TdMYR/FsLYV0rwz6VFooLFzahraP
DYb7uC34bUF3fXvqBTeXKhr1/TaM7doMjdsOw5eL2uNCdAJyyc+1ackR1OvTAEWqAni3fVqaVjxI
C9ZLSx6As+s+jOr6AuqRt2qkvyuuk9dL4VRi4X0y0aQ4n6QKqEuLsK2HEHyT8Cvi4uLotQNzmjnj
vMKQs8jIW2OIpSuqu8abs8jYEmOVeG3VeawZ1RQ558SppzF4VTK2xDRDUOVfoJuG6NTW1JNj3DJb
9V1HMKZ9IBpbYiiBggptTjhD00VZ5NVoA29NAv11Q5u+T6Ik8YxmalQfb3lxDWHYfnwbwrEaoT2/
kPpNzCWng5hetYYCy4YOQAxu4pO10yVjS4y3DJopWst4s5jSEoo4Sk/TiZ6wGgh7dSi8yCsoev5u
Rz9rzH5LNXh+rbMulTymLZoZiJq1VvY2/fAexNEUaq+YbThbtB6tdV5DG+NFXj814mMmYuzkyZis
fY2Z+DUyyRvl9qAvbp7biO9TFGgd0gpP+R7Dqg2ZaEhGvxicacpwyJtDMGZaDE7l/oynfv8CExYd
s2i7AI2hrTPoLDJwBBNgAkzgHidAG5/asTjdBgS1Wm0jhbwsMmmWhcQvQlrjpP/f2PAF+tiAGCQl
peJ4/HzK0xAx+5KRmpSExO8G0C/sLLwf2hNpL63Eb7MMxpYo30v6RU1OrDq6byIxVhPKLuzCRpoe
uhD9Arzca0lTIUAcfth7Hg83rI+yzFh8nzQUO+Z0pgJ52PtdGtyeaaiZAtQJMX939UUIeZF+ThaN
HeuhVD8nWQJx5sjYALJeQlw9A9Sspgejz3YhOZGui6F7OK742DJ8cK4Mri6i01LrydEu5Fanb8Ua
msKsYW9Xm01rSe0UHkDZiZO0WFoX1Ph932+o2sRLmjLUxVp7V5BpUd0/Ej/s/5AM29F4fvIvUjZ5
HcjcOy9gMm25MCPMGeODemC3dp0dWcVUnr7wtVhUf66WdNdqba0JUlzN/7WmEaTAzl/FqUUl/Nv3
ljx/0lo6O/STcN6y/hND6lCjmmsZHHlGsaaXosnyW4pOKdM0uTtxGA2euRGrVi3BB0O7wM/IY2Rr
vEBWPze8tjoFZ44exVHtKyPlS8lL9UDdBvRQgBOcA7ugQU0fNHpc8yuhRUtfiyYqHmqM1sT3xGXR
z2oaSq8bRo5pCt8xASbABO4PAk4UHNL03IZRZCCJj4Fb/pqVS7NWWfXqXhQdh+VrjkjJBSlr8E5K
GXp0C0It7yAEBweicegT9B+/BwJCmiEwOBjBQXWgOL8Tn2aWYWwff6QnJyAhQfNKzSqGa9P/wzBU
wSefLUEG2YVll3Zh6ht78MSkcFz5fi0tjB+Ns6WC9KSaIFzFnDAlln65G3W7vCx9wdQb2QX+9N16
asNUWnxfhjHDTA06Sz1qo2Wnx3ExaimS5JcSWRbVx1xGWmamXfuFNenal0otxtJ1iUjfvwBtm42R
pFw6m0v9IpoeZ/DDmv1IT1yBDgGvSE+Y6ewwfXWwrz7RIGn+0lD6uxhjaYuMAjKm03d8hqE71Hh5
eCT5usoPorFZs80kJMztiANR9NRn7HnI6SBKFO0+VZUWmLD3MC26/gnPer0qLZR/oGFjSonDtp0n
kLk/BmGN3xCzA7aMIU0q8GA3LHgvCN8OaoyP95yjWIPha49+YnsWzfsGGSoVctMPYztN6dkKkhFn
kmjG2jUUbw73xpYRnfF57AkUFOQiPWE7tsjINBZXUqYztY1jbV/bo5+10gqPByWDuk7rBtTPtJVJ
uMb7WVPpguLM3Vi1OZHGg1iSpp1Xz8Rn5I0c/bLGu2yQp8I3H39GRlsfNLH8/WPIxldMgAkwgXuZ
gKuXn7By5UohPz/frhdtvyCF48ufE/0lgjJomnBFF2lHmllW7W2pEDu1oyRPlCm+nhi5Xigyzqw6
KIQjRNiVb4gsSJxlUkZXtsmk/VKmouMrBPp1rs/j1mOecFHIF2g6T9Dl0UlLX/0i5YsUDlGlmbGT
9GVEmZ2i9uqyyb8X7KQ2Ogn1qO20pYQ+FCROJ3kRQpy+7Vct2qDJo9HdOXCmkKctnTAtSKg7VqOP
XqB0cUVY2P9RfTvHr4sV5nRRavUqEtaNbqJPe2vpFmFqmLMQOj1RL8JqfapfiZcxY007deXSYqP0
MkUuPafvNdFTL9z4worMZf3rkZwQYVN2lowOV4VP6jsL4/b9JUm7lbtT6E1slU0mCGepDxf2qq9v
i6j7VOpTXV7j6i2vLwoLhz2hLyvqoRsL5emXFT9LIA+ZvmzHWcTTin7i+NIxE+u3ylpMUJ8V5vZv
qpcntsW4nJjFIlB94hib9GuhRZIYYXu8CEJ5+lkVSLTfRhUhVNSVQu7+idReGsv0OVGlfGHSdrH9
o5YkWIhJXz1Yyjf7UIFFGkcwASbABO4UAXvtHLl8Z86ckWylwsJC4e+//xa2bt0q/Pjjj8K2bduE
7du3S6/Y2FhBfIn3N27cEFQqlZCbmyso3LwaCF/Omoru3bvT/5flBw8Pw0/UrSOq4oVj85B/6HUL
L4dcmq1axMfvL+bkw6WWD3y9DfXYym9XvCoXx2kBs9LNC/5+lgv8bclQF2QgPUtF5XyonP1tufTL
ZHi3i4Jbz2nYMXMYnvKvo19XZquu24kXd9mHuze0O2NIotS0Lk3t5gEleWLgRn4J2iwzwq0dwn/N
x/SIB26nOnJkFCBXdGk4e8Czlo3ptQrWYE0He0Q4Wk6UrRtroHFRl8aF3ktXnn5q8m7lFEFZy4OY
V47+avJuiVtMuNFnq7Jk2uRXnn42C1pPUNPnK+tiPopoSHj5+cNTD5K2PclOxbaYcRjw4c8IjdqL
AxN1awOty+JYJsAEmMA/SaCgoOC2xefl5aF27dq0a7y4TZMCv/zyi/5avBeD7p0MSXTo0AE3b95E
UVERnDXJFW/DKZpS7LGkFAuOvmr4stKKkUuTq8nN0xv+9KrU4CbuFWS/oaWrW+nhh0D77SxdMdR5
Zjpykppj8ugXEBEwDSN3/oUFzxo91abPWTkXHlZ4qRImwaPdQgylfcv+Vy0b33wgPsk2DItCb9PY
EpusJEOr4jhllbWmg2wBbaKj5cTiNsdaefop3ehhESOrwp6GlpNH6eFJe8mVk6myksvTr4L1KOnz
5etvZUDQNhRP+nSiie1wzN50HGN7Nq6gZM7OBJgAE7i3CDi8LYT7o52x+48otA+yXB0sl3Zv4bOu
jWdwTyyOU2NOPlnT1e/UN6mhLTXbvk97OjXADzuTcJAs6m7Rm7Bx0HPwqxyHjKEivmICtgjUfBq/
5efB2CNuKyvHMwEmwATuBwLOt6RlQxVX1btVpNEWAabl5dJMc97bd2407fSvBNprq13/d+j1r9TO
lTIBIqBkY4vHARNgAkzAiICTk3bO0SiOL5kAE2ACTIAJMAEmwAQqkYDTLVrUxYEJMAEmwASYABNg
AkzgnyNQKR4udeY+7EvTnnHyz7WVJTMBJsAEmAATYAJM4D9JwMm12u0+cZWH6J7tERExv9wjXv6T
hLjRTIAJMAEmwASYABO4TQJODz5ozwEztms5t+ZNfNF4Ppb1WIjBS07bzsgpTIAJMAEmwASYABO4
Twk4Va3q8M4QdJRfHAb0v4S+9Q5iR7V+yBsxBLtpJwQOTIAJMAEmwASYABNgAgYCTvkF+hOVDbF2
Xamxuv+zqPvtKvR75DQSHuqNVT/Uwf/1+YpOVePABJgAE2ACTIAJMAEmoCPgVFBQqLuu0HvhgQkY
eHAiovs9Cr+mHfBi4wao/38L8d6p4Xhn19UKyeLMTIAJMAEmwASYABO4lwk437zpiD8qFUPazsPi
tBsQV4D9JVSFq4so5xFM3RcDp/qvY0TpegTyzub38thh3ZgAE2ACTIAJMAE7CTgpUPHTFPdOeAnZ
0+l0Pn/N+q+Lid/h68MXpCoVjw5C8txCdHnnJzubwNmYABNgAkyACTABJnBvE3CuqL1VfGw+2n/6
B9x6fYnRwwWIu2/lpZ1ETuFnGJ5bW0MrPx0XNnTB54MLMDa45r1NkLVjAkyACTABJsAEmEA5BCr8
iOKNmp2RmpYGqNUoJeEuN+hP1bcwjd5KKcLFRYx9C29NBdx8bnePLxLFgQkwASbABJgAE2AC/3EC
FTa4PHz98S8dyfwfR83NZwJMgAkwASbABO5XAk73q+KsNxNgAkyACTABJsAE7hQBJ/DZ1XeKNdfD
BJgAE2ACTIAJ3KcEnCq6aP4+5cRqMwEmwASYABNgAkzAYQJOFXVwOTvTg40K2kzC7CXGc2ACTIAJ
MAEmwASYABOwJOBc0V24bt68CUGwNNNEA4wDE2ACTIAJMAEmwASYgCUBXjRvyYRjmAATYAJMgAkw
ASZQqQTY4KpUnCyMCTABJsAEmAATYAKWBNjgsmTCMUyACTABJsAEmAATqFQCbHBVKk4WxgSYABNg
AkyACTABSwJscFky4RgmwASYABNgAkyACVQqATa4KhUnC2MCTIAJMAEmwASYgCUBNrgsmXAME2AC
TIAJMAEmwAQqlQAZXGxzVSpRFsYEmAATYAJMgAkwATMCdLTPLbMovmUCTIAJMAEmwASYABOoTALs
4apMmiyLCTABJsAEmAATYAJWCDhBYA+XFS4cxQSYABNgAkyACTCBSiNAU4q8hqvSaLIgJsAEmAAT
YAJMgAlYIcDWlhUoHMUEmAATYAJMgAkwgcok4AyFokLyqlSpQkUsy4jxHJgAE2ACTIAJMAEmwAQs
CTjjlmAZKxNTVlYmk8pJTIAJMAEmwASYABNgAuYEeErRnAjfMwEmwASYABNgAkygkgk4W5serOQ6
WJyOgCoXxzMuAkp3eHn6wbOWUpfC70yACTABJsAEmMA9TMBJEG46oF4GJjRX0lquF7BswycIDvoQ
OQ5Iuf0ieZgbrMQTkw/YFKX6c4m05mzoitPaPHmYSWVEQ9Py1QJ7LuxDiEKzTs04fXL8VRQeiaIy
jbA2UzetmodFYS6y9esadmr9OCjcvRAU1BxBAQHwqj0FuSjA3K4ucO30BfJ1Gek9cV4nqqcbDqs0
kZY6iPFyusulaWRa/ytXjtLCXcyYtcDuwgIZnsEY1lRcJmidtVjWqswCoPjYbLNyjfD2ggNQW2+4
Rax1ZhbZtBF5mOGrxPi4v4Ebu6T+n3yoBCg7RNe2x8SU+DMyurfAD798TDo8jX2kjybI8TXkcXR8
yo6J4jhEGo1rpV8kovecM7TLWt/q261rG78zASbABJiAowQcm1IsLoJXr2+QdLgfTv1wDm8sGgYv
R1twm+VulFM+6YeVUo41a3dBY7/UxuDNx5Galoa0hK/RnI42GhITjwy6T/1jI56q1wI/XbyM3PTv
pbRR3yUjJycLY1s/qK3pDAYPX6qVBfx93Y41cGWp+KDvXHSatR9FggChtAg5F9+BB0m8QeVLdi7A
T3ojLg3ffrGHUq7jeqmmSksdNPFyusulaUpb/ytX7sY1AdVfW4+s/BxkZWXRawdCa3rI8NyMSVtP
2GQdWpP0tyaTwJSWksGDEKxNzUZOVhpiF3bF/Lfa4rOEQusNN4u1xcwsm8ntz/EZKMk4hiTcQuL+
DEB1lUzi6nB/yPqYeKd1QxndN6JldXFsXDepQ46vJuPtjU85+Zfhp+f5/bCqGNXBF9HJGp62+sGk
8XzDBJgAE2ACDhNwUtCv3goHVy887nEEo9+Iwq7zF7Fl5ijEJNn3RXhpx2TJczF+03mLauXSLDLb
FZGBjYsToWykIKNmHX7J1RTy8vVHoL8//JsE0NcpUOeJJvCl+8AgX7jRP08fTzxU90EpreYjDeDp
6Q0Po9m/kp1vYIboDbE3qK9KHkBF4TVIYpSaOpT0xV4V4hOfZ7BiY7IkrfDIBnyRKXodq8NFirGu
g5T0L/zx8/WFt4cnvL296eVJtAA5no/KstZsumtNpk41b7868PT2R5cRvSQDuKRU513U5bD2XlFm
tdGs58MkqBRnU+MlgQdPnsKlzBScxTMIcLU9JuR0d5UkUT+Kg0wK1ai/YeLN1CaYvMnJtGd8mggz
ufHAQw00PLu/vw6reinxfnScPodcP+gz8QUTYAJMgAk4RMDJDv+MmWAVlvepi64jN+Ppd2dh8dQX
gB2bcarIni9C4EpmgiTv4IkrZnLl0ywy2xGhPr2TjJdmWL81Dr0Rj293mxt5pZL/QbDxJS75JpyM
JrHI66IMmoZlE5og6ukZZERpvkDLbYprBKbObIWforqgRtt3sC+jWF/kBgRUDVFg5/ivkEWxvy5f
ok3TeEbK10Ev6o5cnEnai/iEBMTH78G+pHNmdcrxtJ0mJ/OaOK7UWVg06FnyPL2LEWE6T6NZ1Ua3
jjCr4VEL6T9tws+7StF7+PNQ/XQIf6ZfgXNj0Q9pCBZjQp9kS784bFqxFVu2bMGWrd/gYMot1NKX
Ke/ClkxNOdttkZGrd4EpEdCiBYp2JNPUtsbRLdcPMhI5iQkwASbABOwg4Ezf9xUKxccWYchGNaIO
H8XEVjQnRJNrbesPoRVF9oVmr29HTvcCeJAXyTzIpZnntec+eeNK4OE+6Ng4DKW9nDFwxXao+r0u
eWXsKW+Rh1xO6hwP9JqwAItmtsPEdZEIrqMo12Mhymn33kEk+X2MIX2nIKLBXPSctRfrxgVDIBvw
rekxSBgwHKu2Po34JQ9jzrJ+eGfIXqn6StfBQin7I6rWUEC1eQIGHWsIKDKgbhKNlM2vV8CAsKzL
lkyNCXAU3bx0rsU+iMufAR9LERYxjjBr2CoCZV+fxoEiFTp//ipylszCyvVX8fjza25LP7Fx3385
FwnS9CKwj7yaoRX8zFkoWFkRir/pZK9qktfVVj/YbxxWVqNYDhNgAkzg3iTgpP1xa7d2Oef+pLxj
8KpkbNldzCijUpqy032NGiXQpVyaac7y77KwackR1OvTAEWqAni3fVqaVjx4uwuBcwrgUjMCX85o
hWUvhuHNHWo8aucXaPALE3G09DyWvd0Gm8e3wwd7LkN0OHj4P4shA5zxQY8X8UvH19DtSc2KOIUi
+5/RoXx4VnOI63zqTkzE6TOncfr0TZy7TWNLrEReZgg2ZWRjy+gmlPMsrmoW4VltmyHSsX53e9AX
N89txPcpCrQOaYWnfI9h1YZMNPTSzwcaqqjQVQi+SfgVcXFx9NqBOc2ccV5RIQH/aGbnhzTi5fvh
H20CC2cCTIAJ3BcE6PBqO60FLY4LyYl0VYwi7X3xsWX44FwZXF2c7QamVhtN05mVkkszy2q4FTSr
nQwR9IDZ+Z3YSGuhLkS/AC/3Wggbs5OS4/DDXvNpReNSxtcu0houhRW9RCOp5duf0zSlxg9DM4v2
B6UPXpv3A6bWd8a6n05J5YpvPYzu/YZK1537RaKB1hq9aY8OVnTXN0YuTZ/JyoVMuVoV0dWKaGtR
cjIf9KqD52Z9TayT8WIv06c5rclytN8fqNtAWiPmHNgFDWr6oNHjGquoRUtfo2psjwmjTBaXpZrZ
YYovkQzsyvEaybRFpv9c9B+VNCyfcBKPv9iOHt7QrKWT6wcLpTiCCTABJsAEKkSADq+u2M/tJl37
UgWLsXRdItL3L0DbZmOkCi+d1a5IL6f6cxtGwYX+139lwTGLnHJpFpmNIs5m/Ibk48lIoLVF4isj
H0jd9B0tRR+Ns6X0VKD4ZKBwFXPClFj65W79E4ZGIowuVcjMzMS5tExpfdclenoxm+5zzG1E16cw
cVF3TTnxgTq5UJyGLd/tR3a+Rkh2yg9Yc+4mejzzmFSqpLQUNTt/hqyzWfjm1UdRel0jMG37Whkd
NMaeNd11TZFL0+Wx9i5X7szRg0ask1FgzsWawHLiZGWKT2o6h2D+jtEoPTwa7649LSvN0X5XeGge
kqjTugFNOdNWI+HPSPXUVIoWip1jQrZllZVYflts918Bfj+UgpT4zZgQGYQY+OLDwU/qGybbD/pc
fMEEmAATYAKOEKiwh6vmk8OwsP+jmP1iKwSEvYX267ZhThclEqwsgrfWoKJrF6To9TFbLPbukkuz
JkuMq0prqIq+fQPNaX+r1q1bS6+vU8/gl5V70WRSL/jp5y5ro9uwXijZvQm/G01NiRNG1Yy9WIVH
0MuvIXyDX5K2B1g2sBV8/Pyw4PBVqQmKOtKb9KfZ0OnoD3rKs1yvz2XM7RcBn9qafax8ggeh+ktz
MabjI6gmujukhflu8PbzltaXaXaDqIa072zr8Aetu7em+1epmnbKpRk0sLySKyet89ky2oj1UPym
c3VqRVnwNKrCWpotmS4uIlTDdF6dztOxbIASy176AMlG/Wckni7z7O5303J05/oogqFAvf/5SkkN
wkRDJAJP/I+eNSxnTEgF6I81/Yx1EPOJTylWJFjILKctcv33CDJoK4hgBIc/j7nZPbDiUDx6emta
Y6sfKtJWzssEmAATYAK2CSjc6zwmLJo5Cd27a701tvNKKR4emqe2CnKzAXfaLkHcF6CCYeuIqnjh
2DzkH7JcwC6XVsFq7q7sahWys3KQX1QEdw8/+Po4AO7u0ohbwwSYABNgAkzgP0OgoOB2F3HTz/q8
PNSuXRtOTuIEoQK//PKL/lq8F4PuXZxd69ChA27evIki+u63f+GVGVIP2pvKkXCKphR7LCnFgqOv
WjwtKJfmSF13VRnae8vbl/awuqsaxY1hAkyACTABJsAE7gQB7arvO1GVpg73Rztj9x8FGNmcpmrM
glyaWVa+ZQJMgAkwASbABJjAf4aAwx4uRzX0bhVp08sjl+ZofVyOCTABJsAEmAATYAL/NoE77uH6
txXm+pkAE2ACTIAJMAEmcKcJsMF1p4lzfUyACTABJsAEmMB9R4CO9qnYxqf3HaHKVFiVi+MZF2lD
fXd4efrBs5Z+z4rKrIVl/UsEVLmZyMihp1Br+cDX23AGYxnFp13Mh5KeTvX3M8T/S810uFpb+jks
kAsyASbABO4jAuTh0jzGWDGdMzChuZIefXwByzZ8guCgDy321KqYPEdz52FuMG1SOfmATQGqP5dI
j2gOXaHbMDMPM6mM+Nim5asF9lzYhxBFFYu0yfFXaTumKIpvhLWZuoO687AozEW2fl3DTq0fB4W7
F4Jov7CggAB41Z5ChwYXYG5XF7h2Mt1BPXFeJ6qnGw5r95uy1EGUKqe7XJquRdbe5cpRWrhmHzED
txbYXVggwzMYw5o6W7DUlNeUtSqTntwtPjbbrFwjvL3gAOzdZ9U6M2s6V0ZcDpYPD4O7lx/1bxD8
fGqhnnZMXtobBaUY37w5AhrUQuePf6EKiaVMvyfk7UOkyRh8Gp9sOqVpaGGcY+PT0XJSrbb1s07P
8c+Y7LgujjPhovSLRPSec9om2Bift/8UuHUVOZYJMAEmUEECjk0pFhfBq9c3SDrcD6d+OIc3Fg2D
VwUrrqzs4jE7ciHph5VS8pq1u7Q7zNfG4M3HkUo7yKclfC0d5zIkJh4ZdJ/6x0Y8Va8Ffrp4Gbnp
30tpo75LRk5OFsa2flBbzRkMHr5Uv1v939ft8BCWpeKDvnPRadZ+FIm73pcWIefiO3SkCp0lSOVL
di7AT3ojLg3ffrGHUq7jumYHVFjqoGmKnO5yaVpFrL7JlRPP26v+2npk5ecgKyuLXjsQWtNDhudm
TNp6wibrUDr73KpMAlNaKu62H4K1qdnIyUpD7MKumP9WW3yWUGi13eaRtpiZ57v9exVWD6yHITFV
qK250qkGRTknsWNwEIRLmxDWfgp6zN+PUur3jD3T8fOkdhi/J7/cfhdPAxr57Qnk52Rg6ye1MbFX
P+wTjYeaTzo2Ph0tRyPdmn4/vRIkg+72PmNyY/Ay/PRj4vthVWkjV19EJ2vGhK2xJNNQTmICTIAJ
3DECtHOXA3W5euFxjyMY/UYUdp2/iC0zRyEmyb4vwks7Jkuei/GbzltULJdmkdmuiAxsXJwIZSOF
dHD1L9rTh7x8/RHo7w//JgHS7uB1nmgCX7oPDPKlvcHcpMO1H6qrOeql5iMN4El7jnkYzf6V7HwD
M+L+tqsFUib1VckDqCi8RofGUKA9uTx9POn6Fu08LnbAGazYmCxlLTyyAV/QGZDiDuWaY++s6yBl
/hf++PnSXmIenvD29qaXp7SXmhzPR2VZa87wsyZTp5q3Xx14evujy4hekgFcUqrzLupyWHu/DWZl
GVg2ZS6O29zN3rQ+9ekNGLCqFKN+/A4vBmpOgnbzDECQX00cW7dEOpppzqg2Ur/7tnsPqwa4YP6k
rdpTOG33u2hwefj6wcPTFxHhjY0qdXR8OlbOln6BAWQtywS5MWHPZ8y2aA881EAzJrq/vw6reinx
fnScPrvcWNJn4gsmwASYwL9AwAEPlwrL+9RF15Gb8fS7s7B46gvAjs04VWTPFyFwJTNBUvOglaOA
5NIcYaM+vZOMl2ZYvzWODj+Ox7e7zY28Uum8RMHGl7j4pac5dkdbO3ldlEHTsGxCE0Q9PYOMqGr2
HdXiGoGpM1vhp6guqNH2HezLoHN5tOEGBFQNUWDn+K+QRXG/Ll+iTZFqR/k66CTdmfczSXsRT+dV
xsfvwb6kc2aVyvG0nSYn85o4rtRZWDToWTpq6V2MCNN5Gs2qNrq9LWZFpzFjejQuab2LRmKtXqqu
iFN9Iejd7hGL9NIb1KMPPyx5MjWJSgQ8HgL1+b9wjSLk+l080ufyqd+RnrgC3dvOQKfpXyBcdIka
BUfHZ0XKyeln1BSZS9v9LhayaIuMJH2S3gVGPFu0QNGOZJqe1/xXJjeW9OX5ggkwASbwLxCosMFV
fGwRhmxUI+rwUXzYtx1atuuDtvXtF9Ps9e00nZaDXycZDs3V6S2XpstTkffkjSvpC68POjYOQ59e
zti0Yrt+KrAicvR5yeWkzvFArwkLyNvyGSauS5LOM8zXZ7B90e69g0haF4XAA18gooEbnp/9C61H
oqMsyQZ86+0YhNNRwqu2rsOSJQ9jzrLxJEhjcFW6DrabWG6KdN7e5gkY9NLLGDSoI/pPj4U9ussJ
lpd5FN28aL2dS128uaoH4vJnwEdOmDbttpjRweqAeMClnUE685Hy2jLQrpSYrjtTkGdUcIFTOf0u
GlziOZ4BrQZhH3lC6zV8uPwGOTo+5cqZ6JeH5f3DyOMWifEr/iy/PXciB/EUblWTPIjyY+lONIbr
YAJMgAnYJmC/paSVkXNO/I92DF5tJT+lYLtKpXY6zVoOuTRr+eXisrBpyRHU69MARaoCeLd9WppW
PCiug7mdkFMAl5oR+HJGKyx7MQxv7lDjUTuWcYlVBr8wEUdLz2PZ222weXy7/2fvXOCiKvr//1li
UdECTDDxEqDCo2CJmJqJmo+lqS/zybz+0rTM6nkytSfzglr9pezJJzU1S8MntYuipmJ5yTtiXvAR
5AkrlKsJKgQsJoss4Pl/zzm7617Omb14A5vhtZxz5vKd7/c9c87OzsyZwax9FyH+WPcNfQITxnpi
1pCROPDkixj0iDwjTqMpuDU2uGm/OEemRUwyMrMykZlZg7wtr7rSNFHMlS0zCptzCrB1SgdKm41i
p4b53Cv35A+6y5P0vXtTTifxhJ/8UoU24l/sF0KkuWY6/KEwm99wVQPPcLkxYDZeuI/eUzGgQqNe
7mJcsbk9+2AZzQkrx/G1r9Gm3W3xUcr1nlGzPNsTd+unWjrJvpPI0Yk92PcietxLCEjahR+ySmxz
vmPXnk3krNl16Y6pxzPmBDgBTkAi4HKD67fUZEpYgXIjwIq0OMzKq0YDL+cXra+qUvh2MspjhRmj
2B+ox8DWVZ/bjU00F+q3ZcMR0NAP0VN3U5REbNtPXQtOOS9pfpdGwS6xkdRl8kc0TGnEV98pgXIk
bXO8uHgb3n7QE/G7xOEoonmtKQaPekk67z9qIEKkiV5AjTM2KNguCRL/scLMkRROGOn8XLFVQbSS
F0vm/QHN8PSCL4h1KkYOtX6bU0mWu+XeduxKpKSk43TSEhLbGisPpSI9JQXJ68cyG5U+f+lGvZ05
WLLmhJ06TVu2RvVpeiHDPNpegv3xJ+DdOwj1qZGuVu6iILHBpREj0Sy5LmPGUQ+oBy6WW7Y43a2f
rqUT7WtN8wx3HxTrqhahf30W3Tt63HDPJgkjp64Lq+5KnZBS+gysmvEr2o3sQ8O28nxAVl2SkvB/
nAAnwAncIQIuN7g6DBhBqn6Gz+OTcebwUvToOFVS/UK2cUa6A0PyaPNqL3piPrc0zS4mK8wusoVH
ds5/kXo6FcdpbpH4yaFxrvTN66UJy9kGeitQfDNQKMbCaC0+/3Svg2FFPXJzc5GXkSt96V2gtxcL
6LrQto3Y4FHELB8sayG+UMdyFRnYuv4wCkplIQWntuGrvBoMebytlOqqwQCf/h8iPzsfX49rBcMV
WWDG9nUMG+SiU7LdpAorzBRH6chKl3XyiAXrVOhsuSgJdODHlCkO1XlGYcnOKTAcm4K31mUypblb
7n6BEYiMDEf77g9RA8oXYVEdER4ZSUueNJOGq1QzvX8QYqeH0xy8LvgoSZ7TVlGQQvPbfkfbpyeQ
rJ0YP3ObVOfObnwbM09VY+or/aWmulq5iyaLQ4pi3SsqSMeX78RIw4oPNBJ/1LhbP91MR/YtnR6B
b8a3x3vSEgxXpV5ZFwZdFdA51kW9Durwv6OncCppC2YMjKCB+CC8+8L16QnMuqSgCffiBDgBTuC2
EWjYrK2wZs0aobS01KmPIFwSPhkjDaKJP7+FafE7hIVPaYUOsw9Tu8axO73qaSkdTT4nSdaOFWYd
03RVLOUt6mH5mXMoU1jY0dNOpzNfjqR4A4WjtDaD5PQHBeo5EGKP6UwCBUF3UOhEfpbyxPPZh34X
dMkxgqbZO0KJKXbVT8IY3CN0n+fAdmM+ljIfHr1YyK4qFeaTnm+SbEunS55H+T8mTH1Y3YZj+lJF
20U9qXHJCLPMyfaclY7CorU2XKKEPaUWMpR4moIVw9Rl6k8toLx6CYlm+eVC3Fgx/2FCiqn8TLLN
R5LnTLmb4yuc6I9QnbCxSyGatdd5IW5iDys2LYz3Q+6O2Vb+/WL3U9JiRrn3Eo4VJwoDrOpglPDm
F6lylu7WT3fTSbmeFz6Z+JCVHc7e74JSuTN0YdZdkmXJxavjs8LqowXGolCvS8YI/MAJcAJ/cgLO
tnNY8bKysqS2UllZmXD58mUhISFB+O6774Tvv/9e2L59u/TZsWOHIH7E68rKSkGv1wtFRUWCphE1
uD75YDYGDzb21lCrgOV8feVXpXRFBUBDWi7BmxVbOSzhlXoYnrYYpUdflZYVsIzFCrOMV+fOq/Qo
yC9EaTmtRE4rjgc1dwNcnTP6z6Wwnu6JnMJSu5Xmq3Q5OJOvp9VAmtfxleYLcJ7sg3cAWgTLS4L8
uUqYW8sJcAJ1mYBOd6OTuGlp5pISNG7cGB4etKoWLaB+4MAB87l4LTrTkdq36Nu3L2pqalBO3/00
RiFHcBWiL61N5Y47S0OKQ1YYsPTkOLvGFivMnbxqVRpaeyswiNawqlVKcWVuJgFvuifCFe4LcUuf
cJslHW5mvrdLlmhfqIJ9tyt/ng8nwAlwAnWZgDR2djsNaNiqP/b+pMNrnRrYZcsKs4vMPTgBToAT
4AQ4AU6AE6gjBJx/tfAmGRTYdaBqLw8r7CZlz8VwApwAJ8AJcAKcACdw2wm4/JbibdeQZ8gJcAKc
ACfACXACnEAdJ0DTvrjjBDgBToAT4AQ4AU6AE7iVBDw8PO+5lfK5bE6AE+AEOAFOgBPgBP70BDyu
Vdf86SFwAJwAJ8AJcAKcACfACdxKArf9LcVbaQyXzQlwApwAJ8AJcAKcQG0kwKdw1cZS4TpxApwA
J8AJcAKcwF1FgDe47qri5MZwApwAJ8AJcAKcQG0k4OHeOvO10RSuEyfACXACnAAnwAlwArWTAJ/D
VTvLhWvFCXACnAAnwAlwAncRAWpwCXeROdwUToAT4AQ4AU6AE+AEah8BPoer9pUJ14gT4AQ4AU6A
E+AE7jICfA7XXVag3BxOgBPgBDgBToATqH0EPDx4k6v2lQrXiBPgBDgBToAT4ATuKgIewrW7yh5u
DCfACXACnAAnwAlwArWOAH9LsdYVCVeIE+AEOAFOgBPgBO42AnxA8W4rUW4PJ8AJcAKcACfACdQ6
AvwtxVpXJFwhToAT4AQ4AU6AE7jbCPAG191WotweToAT4AQ4AU6AE6h1BDxrnUZ3s0L6IpzOOQ9o
GyLAPxj+ftq72Vpu2y0kUF2Ui4zzpdD6BiM02PcW5uRYdG3SxbG2PAYnwAlwAneGgNs9XELeOmg0
GkxLvHxnNJdyLcGiSC0emvOjqg76X1ZIer60OtMYpwQfUBpRd/tPZ+z77RCiNPfYhc1JKkbZiVjy
b4N1udVmWcujvZj5mxQ7u+FNaBoGICKiEyLCwhDQeC6KoMOiAV5o0O9jlJoi0jF5cT/KZxCO6WVP
extEf5btrDBZpvJ/VjoK6+llw6Uz9pbpGDwjMfFhT5s0Ju5yWkWZOqAi7d826dpg8tIfUaWsuJ2v
MjO7aEaPEswP0sp1uXKPVP5zjl4Fqo/SuXqdmJuUxbC9M7YdeI9s6I1DZI/sWHxNcehYkYiBFnVQ
GzwQy/blmSNc2B8LbUAwIjp1QliIH/q/d4DC2PV6r1kHsxi7E0VmNrqI9ry/+aw5rZouYrk2Gr3R
qrx+P/BPmUcF1XuluuSEjuaM+QknwAlwAnWMgNsNLs2D/bBvzXo8//B9d9TkSge5p2xbI8X4at0e
yO2Xxnhhy2mkZ2Qg4/gX6AQPTFiZhBy6Tv9pEx5t2Rm7zl9E0ZlvpbBJ61NRWJiPf3a735hTFl54
+XOjLODyFSe2RqpOx6wRi9BvwWGUC7SZkqEcheffgC9JrKT0V3cvxS5zIy4D33y8j0Ku4IpBztLe
BtmfZTsrTE6t/J+VrvIPAY1e3ID80kLk5+fTZye6+/gyeG7B7ISfVVl39yH7lWQSGIOBGjyIwrr0
AhTmZ2DHJwOw5PUe+PB4mbLiNr5qzGyiWV3+kJSDqzlpSME1JB/OAfTF1CRuhIZNlOvEG91aM2zf
hC6NxLpxxSoPFl/LiBcRbLb924n1MKlvEJallkG4sBnRf52LIUsOw0B1KWffPPwwuw+m7RGYunQX
K5sDp8ZMtOC1b35GaWEOEt5vjJiho6RGJEuXx0f1Rvm6NThp/NEAanrtXL0M9fuORecG6uXuQEUe
zAlwApxAnSXgZoOrEBvmv4uPVv0LT0d1Rq/IQViZ4twX4YWdc6Sei2mbz9lBY4XZRXbKIwebPkuG
to2GGjXxOFAkJwoICkV4aChCO4TR1ynQ7KEOCKLr8IggeNOff3N/NGlxvxTm80AI/P0D4Wsx+nd1
998x35WevapiFFI+mrI/IInRynlo6Yu9HjQUkoXVm1Il5cpObMTHuTV03gheko+yDVLQHfgXHBSE
QF9/BAYG0sefaAEsnq2YrOVF4JRkmkwLDG4G/8BQPPXKUKkBfNVg6l00xVA6usqsMTr+rSkJMiA7
PUkSeOTXs7iQewrZeBxhDdTrBMt2aleQo3IUK5nk6lN5w6o30xigcPBFkxDZ9sEz47F2qBYzlyUi
LX4F1ZYpWDjpMakuBfWZjrVjvbBk7gY0YrJWyMLKS52Z2ODyDQqGr38QevVsb07F0iVk0CiKtx3f
7r8ox6/4L+LWVuO5F/pSnXFc7uZM+AknwAlwAncJAQ/q4HHR6bFqWAuMmLUdnf/+b6z7fBIandqJ
s+XOfBECl3KPS/kd+fmSXb6sMLvITnhUZe6mxktHbEhIxLNIwjd7bRt5Bqn/QVD5Epf6JjwsBrGo
10Ub8Q7iZnRAbO/51IiSv0AdqtKgF97+oCt2xT6Fe3u8gUM5FeYklbR5eL0oDXZP+w/yyffgqhXG
MCl3OLbBLOq2nGSl7EfS8eNIStqHQynXh7nkzFk81cNYMv8Q61VVPpaPf4J6nt7CK9GmnkZ1c91h
dq+vH87s2owf9hjw7MvPQL/rKH45cwme7a27huzqhFkNNfsSsXl1ArZu3YqtCV/jyKlr8DOncXBi
7g7TIqxzZ5TvpN7WygKgaVOpd1ROTWHtolCVV2jRl6ami3p+LGZie/Hi2f/hTPJqDO4xH/3mfYye
Yi9kJdVYFV0qWz6J6UGe+HTdXinT349twiFEYkTfVmYlWOVujsRPOAFOgBO4Swh4Gn9sOm1ORdpy
TNhUhdhjJxHTlcaEaHCtx4MTaAaJc67jq9tROFgHX+pFsnWsMNu4zlynbqLhxKbD8GT7aBiGeuL5
1duhH/Wq1CvjTHq7ONTlVFXoi6EzlmL5B30QEz8Qkc00TvVY9Jl+BCnB72HCiLnoFbIIf1uwH/Fv
RkKgNuDr81bi+NiXsTahN5JWNMXCuFF4Y8J+KfubboOdUc571LtXA/2WGRif1pq663JQ1WEZTm15
1fkGhEJWajLl3wEnMSjA1LU4DIml89FcQYatlzvMWnftheovMvFjuR79PxqHwhULsGZDMdo989UN
2Sfq9u2ni3BcGl4ENTquobsTo9C2NkFzGcK1+rhHDLh01WpulCnMRMourRMeLGZigyvu+a6IM8qZ
0FrsDTQ6FV08qaSemdwH/5q6HilfP4ffvlgGr26L0d1426uVu9ONUVP+/MgJcAKcQB0h4HL/VmHe
L2TaVIyTGlvuWKmVhuyUvxxYYa7mlY/NK06g5bAQlOt1COzRWxpWPKJzVY5N/EIdvHx64dP59AU0
Mhr/2FmFVk5+gUYOj8FJwznETX4MW6b1wax9FyF2YviGPoEJYz0xa8hIHHjyRQx6JEDKVKMpuDU2
2Jjk7KU436pFTDIyszKRmVmDvBtsbIn5smVGYXNOAbZO6UAxs1Fsng/E0ti9cve+Pwg1eZvw7SkN
ukV1xaNBaVi7MRetA8zjgaxMGWFR+Pr4QSQmJtJnJxZ29MQ5cRTZDefZhHqVrmrgGV5fHpo2yRDu
g8bDphFmCnPqyGYm9urNPkjzx4RyHF/7GuJGt8VHKRUOdYkcNJpSbkfChnh8+2UN9Rw+Yf6xwy53
p5TmkTgBToATqFMEXG5w/ZaaTAZWoNxoZkVaHGblVaOBl/MrTFRVWQzT2eBihdlEvX4pyLOdrnvQ
C2bndmMTzYX6bdlwBDT0Q/TU3RSciG37qUvJKUdvWVE8jYJdYiOpy+SPaJjSiK++UwLlSNrmeHHx
Nrz9oCfid52V/CquNcXgUS9J5/1HDUSIsTVa44wNCrabtWGFmSMpnDDS+bliq4JoJS+WzPsDmuHp
BV8Q61SMHGr9NqeSLHfL/b4WIdIcMc/wpxDi0xxt2smtos5dgiyyUa8TFpHsTg3y6DD5X5Ua2M72
4niZq3UGVs34Fe1G9kGbliGoPk0veZhH8EuwP/4EvB9v7XZPnCNmovqa+uKvCm90GTMOPaneX6Se
wKYtWzN10bbpi+mRnvh/I0biS3TE6IFtrNiwyt0qIr/gBDgBTuAuIODyHK4OA0aQ2Z/h8/hknDm8
FD06TpUwXMg2zkh3ACVv4yR40TfJc0vT7GKywuwiW3hk5/wXqadTcZzmFomfnFIgffN6aXJxtoHe
ChTfDBSKsTBai88/3Wt+w9BChMWpHrm5ucjLyJXmxFygtxcL6LrQto3Y4FHELB8spxNfqGO5igxs
XX8YBaWykIJT2/BVXg2GPN5WSnXVYIBP/w+Rn52Pr8e1guGKLDBj+zqGDXJjT8l2kyqsMFMcpSMr
XdbJIxasU6Gz5aIk0IEfU6b4pqZnFJbsnALDsSl4a10mU5q75a7xlV+SaNYthJoVtNRIz8elfHy0
YqvHyTrB1MzVQB3+d/QUTiVtwYyBEViJILz7wiNo+/QEahjuxPiZ26R6fHbj25h5qhpTJw627vVy
ITsWswqSI/7wEO+DooJ0fPlOjDQs+kAjTyd0oWHF4X0kTby6jTEPJ5pUY5a7KRI/cgKcACdwtxC4
r3mosGbNGqG0tNSpjyBcEj4ZIw2iiT95hWnxO4SFT2mFDrMPU7vGsTu96mkpHU0+J0nWjhVmHdN0
VSzlLeph+ZlzKFOgoRs7nc58OZLiDRSO0toMktMfFOjXuhB7TGcSKAi6gwItFWElT5Q9+9Dvgi45
RtA0e0coMcWu+kkYg3uE7vMc2G7Mx1LHh0cvFrKrSoX5pOebJNvS6ZLnUf6PCVMfVrfhmL5U0XZR
TzwyhcMAAEAASURBVGpcMsIsc7I9Z6WjsGitDZcoYU+phQwlnqZgxTB1mfpTCyivXkKiWX65EDdW
zH+YkGIqP5Ns85HkOVPu5viWJ9nCZLEsFyRLnkWHY+T8xbwYdcIsQcE+uRwtbVDWzyzDdEKyBljU
Qa+OzwqrjxaYQoXcHbOtyqFf7H5zmHSioIt1BMsrZZ1M98qx4kQrXWipDuHNL1LNAhzpYjj7maTr
6C/OmtNI9dNRXbKIzU85AU6AE7gZBJxt57DiZWVlSW2lsrIy4fLly0JCQoLw3XffCd9//72wfft2
6bNjxw5B/IjXlZWVgl6vF4qKigTNvc1ChWUfxGDwYGNvDbUKWM7XV35rS1dUADSk5RLEdQFcdAmv
1MPwtMUoPWo/gZ0V5mI2tSt6lR4F+YUoLS9HQ1odPKi5G+Bql0VcmztIoEqXgzP5emi9m9/xleZr
ky53sEh41pwAJ1DLCeh0NzqJm5aYLilB48aN4eHhIS1xdeDAAfO5uJi66ExHaiSib9++qKmpQTl9
9zs/8coGpC+tTeWOO0tDikNWGLD05DjzBFqTHFaYKU6dPdLaW4FBtIZVnTWAK16bCIhb+oTLv33u
uFq1SZc7DoMrwAlwApyACgHjrG+V0Fvg3bBVf+z9SYfXOsnLQlpmwQqzjMfPOQFOgBPgBDgBToAT
qEsEPE0v2t0upQO7DlTt5WGF3S79eD6cACfACXACnAAnwAncbAK3vYfrZhvA5XECnAAnwAlwApwA
J1DbCXjIU7xqu5pcP06AE+AEOAFOgBPgBOouAZo0z5tct6349EU4nXMe0DZEgH8w/P2U19u/bfrw
jG4qAX1RLnIK6S1Uv+YICrw+o72a/DPOl0KcXB4afN3/pmZ+G4Sp2edu1rWJS23SxV2ePB0nwAnU
bgK04JS4TI7rTshbJ736OC3xsuuJb1qKEiyKpEUq5/yoKlH/ywpJz5dWmxbMLMEHlEZ8bdP+0xn7
fjuEKM09dmFzkopRdiKW/NtgXa5pme8SLI/2YuZvUuzshjehaRiAiIhOiAgLQ0DjuSiCDosGeKFB
P+sV1JMX96N8BuGYcSsbextEqSzbWWEmjZSOrHQU1tPLhktn7C3TMXhGYuLDnjZpTNzltIoy6c3d
irR/26Rrg8lLf7TeQ1DJBKOfMjNGghsKKsSql6PRMCCYyjcCwc390NJYJy/sj4VW9O/UCWEhfuj/
3gHKiVgyyv14ySEMtKqDvfH+ZnlXApQlulc/3U0ncVG3TxVbRaKVDdrggVi2L88cXY0L697cS/XC
kVMsdxtdNBoLniRQTRexbjYavdGqzv1+4J9UL3vjUAXdu0r3gxM6OrKBh3MCnMDdScDD1c2rTRg0
D/bDvjXr8fzD95m87shR3GaH5VK2rZGCv1q3x7jCfGO8sOU00mnl7IzjX0jbuUxYSVul0HX6T5vw
aMvO2HX+IorOfCuFTVqfisLCfPyz2/3GbLLwwsufm1erv3zFiQZrdTpmjViEfgsOg9bRhGAoR+H5
NyD2dVRS+qu7l2KXuRGXgW8+3kchV3BFXGWdnL0Nsj/LdlaYnFr5PyuduP9doxc3IL+0EPn5+fTZ
ie4+vgyeWzA74WdV1t1p73NFmQTGYBBX24/CuvQCFOZnYMcnA7Dk9R748HiZsuI2vmrMbKLdhEs9
vny+JSasvId0LZJ2NSgv/BU7X4iAcGEzov86F0OWHIaByj1n3zz8MLsPpu0rdVju4nY6r33zM0oL
c5DwfmPEDB2FQ+KXuc8j7tVPd9NRTVeyb9dzEQ7ZXUSwufy+nVgPk/oGYVkq7cmoxmWPwKhLm9Bd
vGEcOLVyV+PJ0uXxUb1Rvm4NTpr38KzCztXLUL/vWHSml6zV6q4DFXkwJ8AJ/EkJeGjcmsVViA3z
38VHq/6Fp6M6o1fkIKxMce6L8MLOOVLPxbTN5+yQs8LsIjvlkYNNnyVD20YjbVx9wLj7UEBQKMJD
QxHaIUzatqTZQx0QRNfhEUG0Npi3tLl2kxbyVi8+D4TAn9Yc87UY/bu6+++Y70rPXlUxCklfTdkf
8vYrtCaXf3N/Or+GetKQbhZWb0qVLCo7sREf0x6Q4oYq8lZ6yjY4Zf4tiBQcRGuJ+fojMDCQPv7S
Wmosnq2YrK9JGirJNKkeGNwM/oGheOqVoVID+KrB1LtoiqF0vAFm1TmIm7sIp81fskryr/tVZW7E
2LUGTPpuPUaGN5ECvP3DEBHsg7T4FdLWTAsnPSaVe1Cf6Vg71gtLZicYXw5WL3exgeAbFAxf/yD0
6tn+eoZu10/36rWafeFh1Fp26HzRJEQuv8Ez47F2qBYzlyWqc5m7AY2Y9cVRhurlrsZTtYxIl5BB
oyjD7fh2/0U544r/Im5tNZ57oS+VguO660hbHs4JcAJ/LgJuvKWox6phLTBi1nZ0/vu/se7zSWh0
aifOljvzRQhcyj0uET7y8yU70qwwu8hOeFRl7qbGS0dsSEikzY+T8M1e20aeQdovUVD5Ehcf0vCw
2CyQel1oSyLEzeiA2N7zqRFVnxpMTrgGvfD2B12xK/Yp3NvjDRzKEXeok10lDenWi9Jg97T/IJ+8
Dq5aYQyRcodjG4zRb9MhK2U/kmi/yqSkfTiUcn2ISM6exVM9jCXzD7FeVeVj+fgnkIK38Eq0qadR
3eAbYlaeifnzluGCsXdRPRc5RH9JHOqLwrN9HrCLaqikEm3aVOrJlAO1CGsXhapzv+MP8mCVu7h/
4cWz/8OZ5NUY3GM++s37GD1tenjcrZ+upGPZZ2ewkoe5y5Rs79wZ5Tupx7iSdqlQ4pJXKN2Pshj1
+qKUjejHKnc1nqplRLpUtnwS04M88em6vVKWvx/bRPtIRmJE31ZmFVh11xyJn3ACnAAnQASoweXE
kJgFqoq05ZiwqQqxx07i3RF90KXPMPR40Pl2W8dXt9NwWiEOzn7EQqp8ygqzi+yER+omGk5sOgxP
to/GsKGe2Lx6u3ko0Ink9lGoy6mq0BdDZyyl3pYPEROfgnrNNCi1j2nn02f6EaTExyL8x4/RK8Qb
z/z7AM0N8YBAbcDXJ69ET9qeeG1CPFasaIqFcdMovdzguuk22GnmvEe9ezXQb5mB8aP/D+PHP4kx
83Y4ZTsrB7bMkxgUQPPtvFrgH2uHILF0PpqzhBnDbogZbawO+DmRizGKV335RK2Bdumq1RwgaGjO
o+AFDwflLjYQ4p7virCu46XNolu2bupYJ3frJyudlX0lWDUmmnrcBmLa6l8c62Mbg2wXrtXHPaK/
AhcxzKIj2Ta1w2tWuTN5qujiSbXtmcl9UP7NemrsAz9+sQxe3V40b8LNrrsO1eUROAFO4E9GwPmW
khFMYZ74oJ2KcV2dGVJQoqk1Dqe5GqYUn+WXj80rTqDlsBCU63UI7NFbGlY8Is6DuRFXqIOXTy98
Or8r4kZG4x87qyBt5e2EzMjhMThpOIe4yY9hy7Q+mLXvIsQOAN/QJzBhrCdmDRmJA0++iEGPBEjS
NJqCW2ODE7oqRRHnrLSISUZmViYyM2uQt+VVV5omSiKleTDqMqOwOacAW6d0oLTZKHZqmM+9ck/+
oLs8Sd+7N+V0Ek/4yZP7tRH/koaDFZUXPaW5Zjr8YdERaopruKqBZ7hNI0KgOY8aAyo06uUupheb
27MP0nwnoRzH176GuNFt8VHK9Z5RUx52R3frp1o6yb6TyNGJPdj3InrcSwhI2oUfskrssnbGw7OJ
iEyZi8bDpnHqjEBzHHa5q/F0pEvkoNGUw3YkbIjHt1/W4NmXn5CG0cVsb8X9YDaHn3ACnMBdR4De
UqQnvwvut9Rkil2BcmOairQ4zMqrRgMv57dlrKpS+HYyymOFqapJPQa2rvrcbmyiuVC/LRuOgIZ+
iJ66m6IkYtt+6lpwytEbShRPo2CX2EjqMvkjGqY0tleNnRxOidU2x4uLt+HtBz0Rv0scjiKa15pi
8KiXpPP+owYixPgzv8YZGxRslwSJ/1hh5kgKJ4x0fq7YqiBayYsl8/6AZnh6wRfEOhUjh1q/zakk
y91ybzt2JVJS0nE6aQmJbY2Vh1KRnpKC5PVjmY1Kn790o97OHCxZc8JOnaYtW6P6NL2QYR5tL8H+
+BPw7h2E+tSxrFbuoiCxgaARI9HXe5cx46gH1AMXyy1bnO7WT9fSifa1pmfE7oNiXdUi9K/PontH
D6d7NqUOQ0oJZGDVjF/RbmQftGkZoszl8dZM1pIYlX+Oyl2Np2oZGXXRtumL6ZGe+H8jRuJLdMTo
gW2sNGDVXauI/IIT4AT+9ASoxeBaJ1eHASMI2mf4PD4ZZw4vRY+OUyWIF7KNM9IdIM2jzau96Cn8
3NI0u5isMLvIFh7ZOf9F6ulUHKe5ReInh8b40jevlyYsZxvorUDxzUChGAujtfj8070OhhX1yM3N
RV5GrvSld4HeXiyg60LbNmKDRxGzfLCshfhCHctVZGDr+sMoKJWFFJzahq/yajDk8bZSqqsGA3z6
f4j87Hx8Pa4VDFdkgRnb1zFskMtNyXaTKqwwUxylIytd1skjFqxTobPloiTQgR9TpjhU5xmFJTun
wHBsCt5al8mU5m65+wVGIDIyHO27P0QNKF+ERXVEeGQkIiOasYe57h+E2OnhNAevCz5KypN0qyhI
ofltv6Pt0xNI1k6Mn7lNqnNnN76NmaeqMfWV/tJdp1buosliY1+se0UF6fjynRhpWPGBRuKPGnfr
p5vpyL6l0yPwzfj2eE9a1uGq1Cvr3KCrDv87egqnkrZgxsAIGjQPwrsvPKLOZeJgNmuJrvI/VrmL
/YJqPFXLyKwLDSsO7yNl6tVtjHk40aQFs+6aIvEjJ8AJcAIigXub/0VYs2aNUFpa6tRHEC4Jn4yR
BtHEn9/CtPgdwsKntEKH2YepXePYnV71tJSOJp+TJGvHCrOOaboqlvIW9bD8zDmUKSzs6Gmn05kv
R1K8gcJRWptBcvqDAvUcCLHHdCaBgqA7KHQiP0t54vnsQ78LuuQYQdPsHaHEFLvqJ2EM7hG6z3Ng
uzEfS5kPj14sZFeVCvNJzzdJtqXTJc+j/B8Tpj6sbsMxfami7aKe1LhkhFnmZHvOSkdh0VobLlHC
nlILGUo8TcGKYeoy9acWUF69hESz/HIhbqyY/zAhxVR+JtnmI8lzptzN8RVO9EeoTtjYpRDN2uu8
EDexhxWbFsb7IXfHbCv/frH7KWkxo9x7CceKE4UBVnUwSnjzi1Q5S3frp7vppFzPC59MfMjKDof3
O5W3pQ1eHZ8VVh8tMGNT5mIOFgTF+mIRbnXKLncmT5LjSBfD2c8k20d/cdYiV/W6axGJn3ICnEAt
IuBsO4cVLysrS2orlZWVCZcvXxYSEhKE7777Tvj++++F7du3S58dO3YI4ke8rqysFPR6vVBUVCRo
7qMG19L3Z2LwYGNvDbUKWM7XV35VSldUADSk5RK8WbGVwxJeqYfhaYtRevRV83wIU0xWmClOnTxW
6VGQX4jSclqJnFYcD2ruBrg6afifR2k93RM5haV2K81X6XJwJl8PrXfzOr7SfAHOk33wDkCLYHlJ
kBsp3drEpTbpciNMeVpOgBNQJ6DT3egkblq2uqQEjRs3hoeHhzTv98CBA+ZzcTF10ZmO1NZE3759
UVNTg3L67qcxCvHHm+vOl9amcsedpSHFISsMWHpynF1jixXmTl61Kg2tvRUYRGtY1SqluDI3k4A3
3RPhCveFuKVPuM2SDjcz39slS7QvVME+d/OvTVxqky7u8uTpOAFOoHYTcHnS/I2a07BVf+z9SYfX
OtFSzTaOFWYTlV9yApwAJ8AJcAKcACdQZwh4atzd28dNEwO7DlTt5WGFuZkdT8YJcAKcACfACXAC
nMAdJ+DaK4p3XF2uACfACXACnAAnwAlwAnWPAG9w1b0y4xpzApwAJ8AJcAKcQB0jQHO4eJurjpUZ
V5cT4AQ4AU6AE+AE6hgB3tqqYwXG1eUEOAFOgBPgBDiBukeAlpKQ142oe6pzjTkBToAT4AQ4AU6A
E6gbBKi9dU/d0JRryQlwApwAJ8AJcAKcQB0l4KGh1VK54wQ4AU6AE+AEOAFOgBO4dQQ8cM29leZv
nUpcMifACXACnAAnwAlwAncXAY8aofrusohbwwlwApwAJ8AJcAKcQC0j4HHtWi3TiKvDCXACnAAn
wAlwApzAXUaA3lHkQ4p3WZlyczgBToAT4AQ4AU6glhGglxT5shC1rEy4OpwAJ8AJcAKcACdwlxGg
dxQ97zKTuDmcACfACXACnAAnwAnULgK0JgSfxFW7ioRrwwlwApwAJ8AJcAJ3GwGPawJvcN1thcrt
4QQ4AU6AE+AEOIHaRcBD4Otw1a4S4dpwApwAJ8AJcAKcwF1HwAMaPmn+ritVbhAnwAlwApwAJ8AJ
1CoCHry9VavKgyvDCXACnAAnwAlwAnchAf6K4u0sVH0RTuecB7QNEeAfDH8/7e3MnefFCdQ6Avqi
XOQUlqOhX3MEBfqa9asm/4zzpdD6BiM0+Lq/OUIdOVGzz1316wqXuqKnu+XA03EC7hDwENxa9zQH
MzppaTRyOOI2vo/IiHdR6E7uN5ymBIsitXhozo+qkvS/rCA9NXhpdaYxTgk+oDSin/2nM/b9dghR
mnvswuYkFaPsRCz5t8G6XNN2SCVYHu3FzN+k2NkNb0LTMAAREZ0QERaGgMZzUQQdFg3wQoN+H6PU
FJGOyYv7UT6DcEwve9rbIPqzbGeFyTKV/7PSUVhPLxsunbG3TMfgGYmJD3vapDFxl9MqytQBFWn/
tknXBpOX/ogqZcXtfJWZ2UUzepRgfpAW0xIvA5V7pPKfc/QqUH2UztXrxNykLIbtnbHtwHtkQ28c
Intkx+J7PY679ZNZJyoSMdCiXmuDB2LZvrzreimVrVlvk24381iIVS9Ho2FAMN0TEQhu7oeWxvv4
wv5YaEX/Tp0QFuKH/u8doIyJHeNeOV5yyMo+kfv7m8/KCpclundPu5tOylXdPlWKzDIC1Liw6ste
Vhna5GfFTOStWifY9VhNT9Y9xtRTFRgP4ATqFgFaFsINV1GOgKFfI+XYKJzdloe/L5+IADfE3Iwk
lQ6EpGxbI8X4at0eyO2Xxnhhy2mkZ2Qg4/gX6AQPTFiZhBy6Tv9pEx5t2Rm7zl9E0ZlvpbBJ61NR
WJiPf3a735hTFl54+XOjLODyFSdarNXpmDViEfotOIxyauEKhnIUnn8DviSxktJf3b0Uu8yNuAx8
8/E+CrmCKwY5S3sbZH+W7awwObXyf1a6yj8ENHpxA/JLC5Gfn0+fneju48vguQWzE35WZd3dh+xX
kklgDAZq8CAK69ILUJifgR2fDMCS13vgw+Nlyorb+Koxs4lmdflDUg6u5qQhhZZKST6cA+iLqUnc
CA2bKNeJN7q1Zti+CV0aiXXjilUeLL5yxBurnyz5FxFs5vntxHqY1DcIy1JlnmrlYKX8TbvQ48vn
W9J9dw/pUwSB7onywl+x84UICBc2I/qvczFkyWEYyD9n3zz8MLsPpu0rdXiviKRf++ZnlBbmIOH9
xogZOkpu7Po84t497W46ejoo2bfruQiHBNXKSJXLHoFZB7uLDxmGU2VGaVh1Qq2eqepJ5Sc6tXus
kZcUzP9xAnc1AffmcDUIQDvfE5jy91jsOXceWz+YhJUpzn0RXtg5R+q5mLb5nB1YVphdZKc8crDp
s2Ro22ioUROPA0VyooCgUISHhiK0Qxh9nQLNHuqAILoOjwiCN/35N/dHkxb3S2E+D4TA3z8Qvhaj
f1d3/x3zxd4QZ11VsdQDqCn7A5IYrZyHlr7Y60F8aSELqzelStLKTmzEx7k1dN4I8jNI2QZns77Z
8YKDghDo64/AwED6+BMtgMWzFZO1vCSJkkyT3oHBzeAfGIqnXhkqNYCvGky9i6YYSkdXmTVGx781
JUEGZKcnSQKP/HoWF3JPIRuPI6yBep1g2d5AkkTlKFYyydWn8oZVb6YxwOrAkulM/bQSZnXhiyYh
Ms/BM+OxdqgWM5clmmOwysEcSemkOgdxcxfhtLFHVimKpV9V5kaMXWvApO/WY2R4EynI2z8MEcE+
SItfQXfDFCyc9Jh0rwT1mY61Y72wZHYC/TQSnfq9IjYefIOC4esfhF4920ux5X/q5WeKpHxPu5dO
zb7wMPqF4dApl5Eql7kb0Ih5j7EzVGcmp3O1TqjqOXs32rHuMfFBwh0ncJcTcGNIUY9Vw1pgwGtb
0PutBfjs7eHAzi04W+7MFyFwKfe4hPTIz5fs0LLC7CI74VGVuZsaLx2xISERzyIJ3+y1beQZpP4H
QeVLXHwYwcNiEIt6XbQR7yBuRgfE9p5PjSj5C9ShKg164e0PumJX7FO4t8cbOJRTYU5SSXtZ1ovS
YPe0/yCffA+uWmEMk3KHYxvMom7LSVbKfiQdP46kpH04lJJnkyeLp3oYS+YfYr2qysfy8U9Qz9Nb
eCXa1NNok7XFpTvM7vX1w5ldm/HDHgOeffkZ6HcdxS9nLsGzvXUXgV2dMOerZl8iNq9OwNatW7E1
4WscOXUNfuY0jk7UZMrp1HVhyDV3TWgR1rkzynem0tC2sSnDLFuGzPJMzJ+3DBeMPbKMmFKQ/pI4
1BeFZ/s8YBfVUEl3QdOmUu+vHEh6totC1bnf8Qd5sO4VsV178ez/cCZ5NQb3mI9+8z5GT+vik/sb
3bin7VgzngUs++wMVvJQKKPCygJlLnmFFn2o7PqilJUjZqx7U0meavmRnp6+jZ26x5Tkcj9O4G4g
4HIPV0XackzYVIXYYyfx7og+6NJnGHo8KD+wnQHS8dXtNJxWiIOzH7GLzgqzi+yER+qmNfSQGoYn
20dj2FBP+uLbbh4KdCK5fRTqcqoq9MXQGUupt+VDxMSnoF4zjcMeC1FQn+lHkBIfi/AfP0avEG88
8+8DNB/JAwK1AV+fvBI9sRJrE+KxYkVTLIybRinkBtdNt8HeKqd96t2rgX7LDIwf/X8YP/5JjJm3
wynbWRmwZZ7EoACab+fVAv9YOwSJpfPRnCXMGOYOs9Zde6H6fCZ+TNaj3/Dh6FGwB2s2fI92z3R2
oYGkrNy3ny7CokX0WfgVNlGv5r1OjEIrS7rJvprLEK7Vl3qS2OXgIF8vsS/W+WYkvOrLAtUaaJeu
Ws/VIz0heMHDwb0iNh7inu+KsK7jcYg4t2wt9lo6cO7e06x0VvaVYNWYaOpxG4hpq39xoIxCsLGM
7hGDFLiYyk8hpVNeLGZu1wkVPdt263nL7jGnjOWROIE7TIDW4XJNg8I88aExFeO6OtM9riRbKw3Z
WYzQWURihVlEc+o0H5tXnEDLYSEo1+sQ2KO3NKx4ROdUYvVIhTp4+fTCp/O7Im5kNP6xswqtnPwC
jRweg5OGc4ib/Bi2TOuDWfsuQvwx6xv6BCaM9cSsISNx4MkXMegReUacRlNwa2xQt44ZIs7paBGT
jMysTGRm1iBvy6uufM0qymbLjMLmnAJsndKB0maj2KkhK/fK3fv+INTkbcK3pzToFtUVjwalYe3G
XLQOEL+SbsRF4evjB5GYmEifnVjY0RPnXLznbiR3R2k9m8gx2OWgLCX5g+7yiw3eval0TuIJP/mF
CG3Ev9gv0Ujz83T4w6Lz2JSD4aoGnuFyI9DkB+E+QGNABXFTu1fEuOJPlNkHy2hOWDmOr30NcaPb
4qOU673JZnm2J+7e02rpJPtOIkcn9vrfi+hxLyEgaRd+yCqxzdmpa7GM1LhoPGwap05JvB6Jxcyd
OsHS07PxrbrHrtvDzziB2kyAulhcU++31GRKUIFyY7KKtDjMyqtGAy/nV5ioqlJ40hrlscJUNaVf
v7au+txubKK5UL8tG46Ahn6InrqboiRi2376meyU85LmcGkU7BIbSV0mf0TDlMaePeMPdqfEapvj
xcXb8PaDnojfJQ6tEM1rTTF41EvSef9RAxFibI3WOGODgu2SIPEfK8wcSeGEkc7PFVsVRCt5sWTe
H9AMTy/4glinYuRQ67c5lWS5W+73tQiR5oh5hj+FEJ/maNNObhV17hJkkY16nbCIZHdqEL/VJHdV
amC70BdkSqhwZOjCKD+pM0qSloFVM35Fu5F9aPhOnkvHKgcFBdB27EqkpKTjdNISCm6NlYdSkZ6S
guT1Y5kNcZ+/dCPWOViy5oSd2KYtW6P6NL3EYp6hUIL98Sfg3TsI9elZpXaviIJEzBoxEs0s7DJm
HPUae+BiuWUrXZ0Z+552LZ1oX2v6Jbv7oHh/axH612fRvaOH073BSmXUpmWIMpfHWzNZkwJM54gZ
s04o1DPV8iM9H3TqHmOqywM5gTpNwOUGV4cBI8jgz/B5fDLOHF6KHh2nSgAuZBtnpDvAkbdxErzo
ifLc0jS7mKwwu8gWHtk5/0Xq6VQcp7lF4ienFEjfvF6afJttoLcCxTcDhWIsjNbi80/3OhhW1CM3
Nxd5GbnSA/wCvb1YQNeFtm3EBo8iZvlgWQvxhTqWq8jA1vWHUVAqCyk4tQ1f5dVgyONtpVRXDQb4
9P8Q+dn5+HpcKxiuyAIztq9j2CA39pRsN6nCCjPFUTqy0mWdPGLBOhU6Wy5KAh34MWWKw06eUViy
cwoMx6bgrXWZTGnulrvGV35Jolm3EPq6pqVGej4u5eOjFRvzTtYJpmY3K9CxLurlp8P/jp7CqaQt
mDEwggaxg/DuC9eH9pnloKC+X2AEIiPD0b77Q9SA8kVYVEeER0bSMjHNpGFKhSSy1/2DEDs9nOYt
dsFHSXmSX0VBCs0J/B1tn55AsnZi/Mxt0n16duPbmHmqGlNf6S/9vFG7V8RqIvZFivdrUUE6vnwn
RhpWfKCR+EPQMTNJCbt72s10ZN/S6RH4Znx7vCctveFKQ1u5jFS5TBzMZi0Zpv5PnZmchlUnlOoZ
S09P5j2mriMP4QTuGgI+LdoJa9asEUpLS536CMIl4ZMx0iCa+FNSmBa/Q1j4lFboMPswtWscu9Or
npbS0eRzkmTtWGHWMU1XxVLeoh6WnzmHMgUaurHT6cyXIyneQOEorc0gOf1BgX4FC7HHdCaBgqA7
KNBSEVbyRNmzD/0u6JJjBE2zd4QSU+yqn4QxuEfoPs+B7cZ8LHV8ePRiIbuqVJhPer5Jsi2dLnke
5f+YMPVhdRuO6UsVbRf1pMYlI8wyJ9tzVjoKi9bacIkS9pRayFDiaQpWDFOXqT+1gPLqJSSa5ZcL
cWPF/IcJKabyM8k2H0meM+Vujm95ki1MFstyQbLkWXQ4Rs5fzItRJ8wSFOyTy9HSBmX9zDJsTxRk
snUh+XQvWtYzU90VSNYAi3rt1fFZYfXRAmOO6uVgq5Litf4I3Uc2dUExoqXneSFuYg8rXVsYnyG5
O2Zb+feL3U8Jixn3Si/hWHGilX00KV9484tUOUNG+THvaXfTSbmeFz6Z+JCVHQ6fkcwyEgRlLhZM
leqLRbDdqU1+VszEZ4jq/c6oZ5SJup6Me8xOOe7BCdx8As62c1jxsrKypLZSWVmZcPnyZSEhIUH4
7rvvhO+//17Yvn279NmxY4cgfsTryspKQa/XC0VFRYLGp2U7YUnsDAwebOytoSc0y/n6yq/96IoK
gIa0XIIbr/MmvFIPw9MWo/Toq9KyApb5scIs49W58yo9CvILUVpOq2r7BiOouRvg6pzRXGFOgE1A
T8+RnMJSu5Xmq3Q5OJOvh9a7eR1fab4A58k+eAegRbC8jAqbCDu0rnCpK3qyafPQu42ATnejk7hp
CeaSEjRu3BgeHuJW1BocOHDAfC5ei850pCYj+vbti5qaGpTTd7/zE69syNcr24N+T+xH7J416Olv
E8i4PEtDikNWGLD05Di7xhYrjCGybgTR2luBQbSGVd3QlmvJCdwWAt60xl04fWyduKVPuM2SDrZx
6sK1aF+ogn3u6l5XuNQVPd0tB56OE3CHgHHWtxtJy8uQlJaHYifX3zLl0LBVf+z9SYfXOsnLQpr8
xSMrzDIeP+cEOAFOgBPgBDgBTqAuEXC7h6vBw6/TRPTXXbY1sOtA1V4eVpjLGfEEnAAnwAlwApwA
J8AJ1BIC7vdw1RIDuBqcACfACXACnAAnwAnUdgK8wVXbS4jrxwlwApwAJ8AJcAJ1noDbQ4p13vI7
YYC+CKdzztNaiA0R4B8Mfz/l9fbvhGo8zxsnoC/KpTfu6C1Uv+YICrw+47ua/DPOl0KcSBwafN3/
xnO8vRLU7Lu9WtS+3NS48HJXLqu6wqWu6KlMmfvWRgJu9nDlYEYn2uNOMxxxG9+nhQ7fZW/lccss
L8GiSFqkcs6Pqjnof1khvaL50mrTgpkl+IDSiK9t2n86Y99vhxCluccubE5SMcpOxJJ/G6zLNS2D
XYLl0V7M/E2Knd3wJjQNAxAR0QkRYWEIaDyXNg3WYdEALzToZ72CevLifpTPIBwzLpJtb4MolWU7
K8ykkdKRlY7CenrZcOmMvWU6Bs9ITHzY0yaNibucVlEmvblbkfZvm3RtMHnpj9Z77CmZYPRTZsZI
cENBhVj1cjQaBgRT+UYguLkfWhrr5IX9sdCK/p06ISzED/3fO0A5EUtGuR8vOYSBVnWwN97fLK5a
Tq4s0b366W46KVN1+6Rgu3/u32PMel2RaMVFGzwQy6SFRUUFVOon1aVb59S5/DnLnUgzy4gWplW5
H1jP5L2sMrTJT6OxuFeYdYL1rFPXc36QFtMSaW/Pyj3SfTjnKC1SXX2Uzul5xtLz1lVCLrkOEXCv
wVVRjoChXyPl2Cic3ZaHvy+fCHn3v9tvubglB8ulbFsjBX+1bo9xhfnGeGHLaaTTitQZx7+QtnOZ
sJK2EqHr9J824dGWnbHr/EUUnflWCpu0PhWFhfn4Z7f7jdlk4YWXPzfKAi5fEdc2dOCq0zFrxCL0
W3AYtI4mBEM5beD9Bq3NTfctpb+6eyl2mRtxGfjm430UcgVXxOWzydnbIPuzbGeFyamV/7PSiXur
NXpxA/JLC5Gfn0+fneju48vguQWzE35WZd2dtuNUlElgDNJ+dFFYl16AwvwM7PhkAJa83gMfHi9T
VtzGV42ZTbSbcKnHl8+3xISV95CuRdKuBuWFv2LnCxEQLmxG9F/nYsiSwzBQuefsm4cfZvfBtH2l
Dstd3HLltW9+RmlhDhLeb4yYoaNwSHyg+zziXv10Nx3VdCX7dj0XwWB3Y/cYqw5eRLC5Tnw7sR4m
9Q3CslS5TqjVJYaiNxCkzOXPXe4yTrUyUr0f9giMZ8gmdBcflAyneq9QGladUKtnqnrSfSu6H5Jy
cDUnDSm0JVby4RzayKCYfjo3QiP7Heak+PwfJ2Ai4F6Dq0EA2vmewJS/x2LPufPY+sEkrExx7ovw
ws45Us/FtM3nTDqYj6wwcySXTnKw6bNkaNtopI2rDxh3HwoICkV4aChCO4RJ24E0e6gDgug6PCKI
1gbzljbXbtJC3urF54EQ+NM6Or4Wo39Xd/8d88VfOc66qmKpB1BT9oe8DQetyeXf3J/Or6GetHt4
FlZvSpWklZ3YiI9pD0hxoxL5/lW2wdmsb3a8YHEtMV9/BAYG0kdeyJHFsxWTtbyHn5JMk96Bwc3g
HxiKp14ZKjWArxpMvYumGErHG2BWnYO4uYtw2nILPqUsjH5VmRsxdq0Bk75bj5HhTSRfb/8wRAT7
IC1+hbQ108JJj0nlHtRnOtaO9cKS2QnGXTjVy138EvENCoavfxB69WxvoYG79dO9dGr2hYdRa5nh
WHXCmXtMXbQvmoTIdWLwzHisHarFzGWJ5uisumSOpHTCy92KirvlLgtRLiPV+2HuBjRiPiesVLO7
UL9X5Kiu1glVPWfvRru/NSWhBmSnJ0nCj/x6FhdyT9Hm7Y8jjK9lbVc23MOagBsNLj1WDWuBAa9t
Qe+3FuCzt4cDO7fgrJPrcV3KPS5X1J8vWWtCV6wwu8hOeFRl7qbGS0dsSEikzY+T8M1e20aeQdov
UVD5EhdvZHhYbBZIvS60JRHiZnRAbO/51IiqTw0mJ1yDXnj7g67YFfsU7u3xBg7lVJgTVdKuRPWi
aKPbaf9BPvkeXLXCGCblDsc2mEXdlpOslP1Iov0qk5L20d53eTZ5sniqh7Fk/iHWq6p8LB//BP2i
fAuvRJt6Gm2ytri8IWblmZg/bxkuGHsXLcQqnuoviUN9UXi2zwN24YZKKtGmTaWeTDlQi7B2Uag6
9zv+IA9WuYt73F08+z+cSV6NwT3mo9+8j9HT5pe+u/XTlXQs++wMVvRQL3cxup0uijJsPM1dE8Sz
c2eU70yl4Xn5UcaqSzZSrC95uVs9z2643BXKqLCSdidRuh/yCuV6IJUIu75YF5p85ehecbVOqN63
pKenb2Oc2bUZP+wx4NmXn4F+11H8cuYSPNvb3JxKinK/Pz0BlxtcFWnLMWFTFWKPncS7I/qgS59h
6PGg82I6vrqdhtMKcXD29U1zTaXACjPFceWYuomGE5sOw5PtozFsqCc2r95uHgp0RY45LnU5VRX6
YuiMpdTb8iFi4lNQr5kGckezOZbiSZ/pR5ASH4vwHz9GrxBvPPPvAzQfifYOpzbg65NXoidtJbw2
IR4rVjTFwrhpJENucN10GxS1c86z3r0a6LfMwPjR/4fx45/EmHk7nLKdJZ0t8yQGBdB8O68W+Mfa
IUgsnY/mLGHGsBtiRhurA35O5GKM4lVfPlFroF26aj3vTEM9o4IXPByUu/glEvd8V4R1HS9twtyy
tfjL2oFzt36y0lnZV4JVY6Kpx20gpq3+xYEytymYeArX6ks9iOy65EAfXu7Wz7ObWe7GMrpHLAKF
+8FUfg5KSDWYda+4XSdU9GzbrSeqz2fix2Q9+g0fjh4Fe7Bmw/do90xnV54aqrbwgLubAG0G5JqB
hXnig3YqxnVlDymoS9Uah9OUYrDClOKz/PKxecUJtBwWgnK9DoE9ekvDikfEeTA34gp18PLphU/n
d0XcyGj8Y2cVpK28nZAZOTwGJw3nEDf5MWyZ1gez9l2E+EPQN/QJTBjriVlDRuLAky9i0CPyjDiN
puDW2OCErkpRxPkQLWKSkZmViczMGuRtefWGHzJsmVHYnFOArVM6kDrZKHZqmM+9ck/+oLs8Sd+7
N+V0Ek/4yZP7tRH/koaDlXhIftJcMx3+sOgINcU1XNXAM1xuDJj8INxHG20ZUEH3nVq5i3HF5vbs
g2U0J6wcx9e+hrjRbfFRyvWeUbM82xN366daOsm+k8jRiUO59yJ63EsISNqFH7JKbHO+Y9eeTeSs
2XVJWT1e7irPs5tc7mIZqd0PGg+bHyXKRaXqy7pX3KkTLD09GwehJm8Tvj2lQbeorng0KA1rN+ai
dYDY7OOOE2AToC4WdgTb0N9Sk8mrAuXGgIq0OMzKq0YDL+dXmKiqUvh2MspjhdnqYr6mHgNbV31u
NzbRXKjflg1HQEM/RE/dTVESsW0/dS045byk+V0aBbvERlKXyR/RMKWxZ8/YyeGUWG1zvLh4G95+
0BPxu8ThKKJ5rSkGj3pJOu8/aiBCjPPFapyxQcF2SZD4jxVmjqRwwkjn54qtCqKVvFgy7w9ohqcX
fEGsUzFyqPXbnEqy3C33tmNXIiUlHaeTlpDY1lh5KBXpKSlIXj+W2aj0+Us36u3MwZI1J+zUadqy
NapP0wsZ5mlnJdgffwLevYNQn+47tXIXBYlfIhoxEs0p7DJmHPWAeuBiuWWL09366Vo60b7W9Kts
90GxrmoR+tdn0b2jxw33bJIwcuq6sOqu1Bklpc/Aqhm/ot3IPjRsK88HZNUlKYnNP17uNLGcmNg+
z2603JXKqE3LEOX74fHWzHvMpsjsLh3dK8w6ofCsU71vSc8HW4RIc0k9w59CiE9ztGkn91h07hJk
pxf34ARsCRhbDLbe6tcdBoygwM/weXwyzhxeih4dp0qRL2QbZ6SrJ5VC8mjzai+6G59bmmYXkxVm
F9nCIzvnv0g9nYrjNLdI/OTQGF/65vXShOVsA70VKL4ZKBRjYbQWn3+618Gwoh65ubnIy8iVvvQu
0NuLBXRdaNtGbPAoYpYPlrWgN4OZriIDW9cfRkGpLKTg1DZ8lVeDIY+3lZJdNRjg0/9D5Gfn4+tx
rWC4IgvM2L6OYYNcdEq2m3RhhZniKB1Z6bJOHrFgnQqdLRclgQ78mDLFoTrPKCzZOQWGY1Pw1rpM
pjR3y90vMAKRkeFo3/0heqD6IiyqI8IjI2nJk2bScJVqpvcPQuz0cJqD1wUfJeVJ0SoKUmh+2+9o
+/QEkrUT42duk+rc2Y1vY+apakx9pb/UVFcrd9Fk8feyWPeKCtLx5Tsx0rDiA43EHzXu1k8305F9
S6dH4Jvx7fGetATDVekL2oVBV4mJ9T/HuqjXQR3+d/QUTiVtwYyBETQQH4R3X7g+PYFZl6yVkK54
uRuh2D7PbqjclctI9X6YOJh9jymUm6WX+r0ix2LVCaV6xtLT01d+mapZtxD6KURLEvV8XMrER2v/
o99SR37OCcgVpWU7Yc2aNUJpaalTH0G4JHwyRhpEE39+C9PidwgLn9IKHWYfpnaNY3d61dNSOpp8
TpKsHSvMOqbpqljKW9TD8jPnUKawsKOnnU5nvhxJ8QYKR2ltBsnpDwrUcyDEHtOZBAqC7qDQifws
5Ynnsw/9LuiSYwRNs3eEElPsqp+EMbhH6D7Pge3GfCxlPjx6sZBdVSrMJz3fJNmWTpc8j/J/TJj6
sLoNx/SliraLelLjkhFmmZPtOSsdhUVrbbhECXtKLWQo8TQFK4apy9SfWkB59RISzfLLhbixYv7D
hBRT+Zlkm48kz5lyN8dXONEfoTphY5dCNGuv80LcxB5WbFoY74fcHbOt/PvF7qekxYxy7yUcK04U
BljVwSjhzS9S5SzdrZ/uppNyPS98MvEhKzucvd8FpXJn6MKsuyTLkotXx2eF1UcLjEWhXpeMEdgH
Xu6CYPc8c6PcmWUkCMr3g0XRKNUXi2C7U5v86AWW6/eK+BxUfWZRGH1vWT6TTc95MQ91PbOFyeIz
f0GypErR4RiSQc8p1WeSncbc4w4ScLadw4qXlZUltZXKysqEy5cvCwkJCcJ3330nfP/998L27dul
z44dOwTxI15XVlYKer1eKCoqEjQ+1OBaEjsDgwcbe2uo1rGcr6/8NoauqABoSMsluPEqbMIr9TA8
bTFKj75KvxKsHSvMOmYdu6rSoyC/EKXltBK5bzCCmttaXsfs4eraEdDTPZFTWGq30nyVLgdn8vXQ
ejev4yvNF+A82QfvALQIlpcEsYPwJ/Tg5e5aodeV+6Gu6Oka/T93bJ3uRidx0xLLJSVo3LgxPDxo
CjwtoH7gwAHzuXgtOtOR2pbo27cvampqUE7f/c5PvLIpp3ple9Dvif2I3bMGPf1tAhmXZ2lIccgK
A5aeHGfX2GKFMUTWjSBaeyswiNawqhvaci3dIOBN67WF08fWiVv6hN8Fb42L9oUq2Gdr75/tmpe7
ayVeV+6HuqKna/R57DtJwENuj7mhQnkZktLyUOzk+lumHBq26o+9P+nwWqcGJi/zkRVmjsRPOAFO
gBPgBDgBToATqGMEPMVBbHdcg4dfp4nor7ucNLDrQNVeHlaYyxnxBJwAJ8AJcAKcACfACdQSAi6v
w1VL9OZqcAKcACfACXACnAAnUGcIeJgmd9UZjbminAAnwAlwApwAJ8AJ1DECnuIseu5uEwF9EU7n
nKf1IxsiwD8Y/n7GFU5vU/Y8m7uHQHVRLjLOl0Kc2BsaXHtn5Nc2PfXELaeQ3hT2a46gwOvcapue
7tZUNfvclcfTcQKcwM0j4PLCp2LWF/bHSq89PjVtFZaP7Yhpe4pvnkYuSSrBokhafG7Oj6qp9L+s
kHR9abVpwcwSfEBpxJ49+09n7PvtEKI099iFzUkqRtkJ0e42WJdrWjq8BMujvZj5mxQ7u+FNaBoG
ICKiEyLCwhDQeC5tuKvDogFeaNDPegX15MX9KJ9BOGZcWNzeBlEqy3ZWmEkjpSMrHYX19LLh0hl7
y3QMnpGY+LCnTRoTdzmtokx6c7ci7d826dpg8tIfrfclVDLB6KfMTC1BCeYHaTEtkfY5rNwjlf+c
o7T4bPVROlevE3OTshi2d8a2A++RDb1xiOyRHYuvKQ4dKxIx0KIOaoMHYpm06KgcR7z/tAHBiOjU
CWEhfuj/3gEKYNfrvWYdLPIxndrkJ+r8/mZxZXnRqZS7JI9tj5qeLNZMPWWF3PxfiFUvR6OhyC0i
AsHN/dDS+NxQ05N1bx4vOWRVRlbMyhLde4a4m04iom6fMjB2fWE9B5nPHpu6ZF13WXVJWUvuywnc
TQTcanBdPK/B0r3H8UpgGo56PY/nH7n/jjExb0qvokHKtjVSyFfr9hhXmG+MF7acRjqt4p1x/Atp
m4YJK2n7FbpO/2kTHm3ZGbvOX0TRmW+lsEnrU1FYmI9/djPZmIUXXv7cvFr95StO9BBWp2PWiEXo
t+AwaH08CIZy2sD7DVrPnL7fKf3V3Uuxy9yIy8A3H++jkCu4Ii45Ts7eBtmfZTsrTE6t/J+VTtyX
rNGLG5BfWoj8/Hz67ER3H18Gzy2YnfCzKuvutB2nokwCY5D2covCuvQCFOZnYMcnA7Dk9R748HiZ
suI2vmrMbKJZXf6QlIOrOWlIoW1ikg/n0KLuxdQkboSGTZTrxBvdWjNs34QujcS6IW48ct2x+F6P
BVxEsNn2byfWw6S+QViWSnsrXtiM6L/OxZAlh2GgupSzbx5+mN2HfvQITF26i5WN4UQtX/vmZ5QW
5iDh/caIGTrK3FBUKyNRnJo9qnruo3W8yKmxbnRLFuzW48vnW2LCynuIaZG080R54a/Y+UKEOk/S
09G9qcrM5xH3niHupqOnkZJ9u56LkFgr/7ux56BauYt5qdVdMYxVl8Rw7jiBu5mAWw2uyLG0gW3y
5/h/n3yC9Qe+xj8GD8TKFOe+CC/snCP1XEzbfM6OKyvMLrJTHjnY9FkytG000sbVB4y7DwUEhSI8
NBShHcKkLVSaPdQBQXQdHhFEa4N5S5trN2khb+Hg80AI/GntIV+L0b+ru/+O+WJviLOuqljaAFlT
9oe8hQWtyeXf3J/Or6GetHt4FlZvSpWklZ3YiI9pD0hxcxf5u0fZBmezvtnxgsW1xHz9ERgYSB95
8UsWz1ZM1vL+d0oyTXoHBjeDf2AonnplqNQAvmow9S6aYigdXWXWGB3/1pQEGZCdniQJPPLrWVzI
PUUbWT+OsAbqdYJlu7zwCZWjuPeI5OpTecPJfQh90SREtn3wzHisHarFzGWJSItfIW33tHDSY1Jd
CuozHWvHemHJ3A1oxGRtVEHlIDYefIOC4esfhF4929vFYpWRXWTyUNVz9m60Y7F2Zj3g6hzEzV2E
05ZbSyopYfSrytyIsWsNmPTdeowMbyL5evuHISLYh6FngnGnVPV7U52Zen0xqan8DHEvnZp94WH0
i4bhWHXXmeegumjlumuK72pdMqXjR06grhOgSfOumqDHqmEtMGLWAQx6bw9+/HwSGiXtwlkn1+O6
lHtcyvDIz5fsMmaF2UV2wqMqczc1XjpiQ0IibX6chG/22jbyDFL/g6DyJS4+UOFhsVkg9brQlkSI
m9EBsb3nUyNK/gJ1qEqDXnj7g67YFfsU7u3xBg7lVJiTVNKuRPWiaHPgaf9BPvkeXLXCGCblDsc2
mEXdlpOslP1Iov0qk5L20X6BeTZ5sniqh7Fk/iHWq6p8LB//BPU8vYVXok09jTZZW1y6w+xeXz+c
2bUZP+wx4NmXn4F+11H8cuYSPNtbdw3Z1Qlzvmr2JWLz6gRs3boVWxO+xpFT15zfqNfcjaBFWOfO
KN9Jva2VtMND06ZS76icNYW1i0JVXqFFX5qaLmZl7U7ENuHFs//DmeTVGNxjPvrN+xg9LUxnlZGd
MPIwVFJtVtHT07exU6yV5Ep+5ZmYP28ZLhh7gFXjGQP0l8Th0Sg82+cBu6iqep77HX9QbNa96YiZ
mJldfXHyGeJKOpZ9dgYrerDri50uijJsPBXqbpGpCct8htjI4ZecwF1EwMPVOfMVacsxYVMVYo+d
xLsj+qBLn2Ho8aDzHWUdX91Ow2mFODj7+oazJp6sMFMcV46pm2g4sekwPNk+GsOGetIX33bzUKAr
csxxqcupqtAXQ2cspd6WDxETn4J6zTRO9Vj0mX4EKfGxCP/xY/QK8cYz/z5A85E8IFAb8PXJK9GT
tuFdmxCPFSuaYmHcNMpSeszhpttgNsb1k3r3aqDfMgPjR/8fxo9/EmPm7XDKdlZObJknMSiA5tt5
tcA/1g5BYul8NGcJM4a5w6x1116oPp+JH5P16Dd8OHoU7MGaDd+j3TOdnW8gqej27aeLsGgRfRZ+
hU3Uq3mvE6PQdqI0lyFcq497xIBLV63nshnDLDph7ZI78hAbD3HPd0VY1/HSRtktW4s9frJjl5Ep
lsJRRc+23XreGGsvse/Xhe2zverLyqk10BT0hOAFDwf3JouZAg3Zy91nCCudlX0lWDUmmnopB2La
6l9U1bitARb10+26dFsV5plxAreGgPMtJWP+hXniTTwV47qyu6vV1dUah9OUYrDClOKz/PKxecUJ
tBwWgnK9DoE9ekvDikd0rDROhBXq4OXTC5/O74q4kdH4x84qSFt5O5E0cngMThrOIW7yY9gyrQ9m
7bsozYHxDX0CE8Z6YtaQkTjw5IsY9EiAJE2jKbg1Njihq1IUcf5Fi5hkZGZlIjOzBnlbXnXla09J
pDSnQ11mFDbnFGDrlA6UNhvFTg0huVfu3vcHoSZvE749pUG3qK54NCgNazfmonWA+LV6Iy4KXx8/
iMTERPrsBG2ujXMu9yrL+Xs2oZ6jqxp4hteXh6ZNagn3QeNh0wgzhTl5FJv3sw/SHDGhHMfXvoa4
0W3xUYrcE+tOubP09GzsHuvkD7rLL1J496bacBJP+MkvYGgj/iUN2auaKs0H1OEPi85qU1w1PaEx
oILKSe3eFNOzmJnkKx7dfYaopZPsO4kcnTjcfi+ix9GUDxp1+CGrRDH7O+Ep1l3RuVOX5JT8PydQ
9wm4vLXPb6nJZHUFyo22V6TFYVZeNRp4Ob8tY1WVwpPPKI8Vpoqbfo3auupzu7GJ5kL9tmw4Ahr6
IXrqboqSiG376WerU85Lmt+lUbBL7C3vMvkjGqY0tleNP6CdEqttjhcXb8PbD3oifpc41EE0rzXF
4FEvSef9Rw1EiLGrosYZGxRslwSJ/1hh5kgKJ4x0fq7YqiBayYsl8/6AZnh6wRfEOhUjh1q/zakk
y91yv69FiDRHzDP8KYT4NEebdnKrqHOXIIts1OuERSS7U4P4zSy5q1ID29m+GakjR0qXgVUzfkW7
kX3QpmUIqk/TSx7mqWwl2B9/At6Pt76hxq+ooqa+2PXmjS5jxlGPqwcull9v4bLKSKmeNW3ZWlXP
B51iLRlu9a/t2JVISUnH6aQl5N8aKw+lIj0lBcnrxzJt9/lLNyrbHCxZc8JKnnihqmfvIIg41O5N
Ma0jZqBZmGJz3fVniGvpRPtag6YlHBSfJ1qE/vVZdO/occO9z6KNLBuUyl1OQ6nMj+TrddeXendF
x6xLJgH8yAnchQRcXmm+w4ARhOEzfB6fjDOHl6JHx6kSlgvZxhnpDiDl0ebVXnQ3Prc0zS4mK8wu
soVHds5/kXo6FcdpbpH4ySkF0jevlyYXZxvorUDxzUChGAujtfj8070OhhX1yM3NRV5GrvRAvUBv
LxbQdaFtG7HBo4hZPljWglYQYLqKDGxdfxgFpbKQglPb8FVeDYY83lZKdtVggE//D5GfnY+vx7WC
4YosMGP7OoYNcmNPyXaTLqwwUxylIytd1skjFqxTobPloiTQgR9TpjgM5BmFJTunwHBsCt5al8mU
5m65a3zllySadQuhJgctNdLzcSkfH634zeFknWBq5mqgDv87egrKzOofAABAAElEQVSnkrZgxsAI
GnAOwrsvPIK2T0+gxsNOjJ+5TarHZze+jZmnqjF14mDrXi8XsxMbBmJdLypIx5fvxEjDig80uv4j
ilVGSvWFpacnk7W64n6BEYiMDEf77g8RA1+ERXVEeGQkIiOasW2/fxBip4fTPMku+CgpT8qgoiCF
5iD+rs7zlf7Szym1e1OslurMnKwvds8QN9ORfUunR+Cb8e3xnrR8iGsNe2XijnVRKndZlnLdNeXD
qkumOPzICdyVBPxahQtr1qwRSktLnfoIwiXhkzHSIBr9/mstvLdlnzD/Ka3QYfZhatc4dqdXPS3+
jBZo8jlJsnasMOuYpqtiYSHlLcqz/Mw5lCnQ0I2dTme+HEnxBgpHaW0GyekPCvRLXog9pjMJFATd
QaET+VnKE89nH/pd0CXHCJpm7wglpthVPwljcI/QfZ4D2435WMp8ePRiIbuqVJhPer5Jsi2dLnke
5f+YMPVhdRuO6UsVbRf1pMYlI8wyJ9tzVjoKi7ZlHSXsKbWQocTTFKwYpi5Tf2oBMeglJJrllwtx
Y8X8hwkppvIzyTYfSZ4z5W6Ob3mSLUwWy3JBsuRZdDhGzl/Mi1EnzBIU7JPL0dIGZf3MMkwnJGuA
RR306vissPpogSlUyN0xm3S7Xuf7xe43h0knCrpYR7C5ssmPJpgLb36RaoykXkaO6pm6ngzWNqop
XuqP0H1rU/cUI1p6nhfiJvaw4tbC+MxS1rOYcW/2Eo4VJ1qVkRUzRn1hPkPcTSeZeV74ZOJDVvY5
+0wWlOoLQxdmudvUJeu6y6pLlmXFzzmBW0PA2XYOK15WVpbUViorKxMuX74sJCQkCN99953w/fff
C9u3b5c+O3bsEMSPeF1ZWSno9XqhqKhI0IgNrsXz3sLgwcbeGnqSs5yvr/zqki73GP6z/Bh6z5qC
ThZvM7HSmsISXqmH4WmLUXr0VepNsHasMOuYdeyqSo+C/EKUltMq177BCGpua3kds4ere0cJVOly
cCZfD61381q90nxt01NfVEArzZfarTRf2/R0t3KJ9p0n++AdgBbB8rIt7sri6TiBu42ATnejk7hp
2d+SEjRu3BgeHjRASMs8HDhwwHxu2irRdKRmI/r27YuamhqU03f/9TEDF8n6ePyCfy6YiteeGINO
Tzh+Vd8k/iwNKQ5ZYcDSk+PsGlusMFP6OnuktbcCg2gNqzprAFe8NhEQt/QJd/GHzp3Qv7bp6U1r
6oXTx9bVNj1t9XP2WrQvVME+Z9PzeJwAJ3DrCFATTeyFdt1pWo1H+aVSLHShsSXm0rBVf+z9SYfX
OsnLQlrmzAqzjMfPOQFOgBPgBDgBToATqEsE3O7hEo30DnD9J3Zg14GqvTyssLoElevKCXACnAAn
wAlwApyAJQGaHe5eD5elEH7OCXACnAAnwAlwApwAJ6BOgNbh0qiH8hBOgBPgBDgBToAT4AQ4gRsm
4AlBg4JLzq2hdcO5/dkF6ItwOuc8rU3YEAH+wfD3u5HNWP7sMGuf/fqiXHoDjt5C/f/sXQtcVcXW
/x8EfHZBE0x8BKhwFSwRUjPxQZqW/swv335paWZ1y8zKq/mqPuna7aGlZml4fXVVFDUsH/lCxCde
QW9QiSBgggoKB5WDHtD9rb33Ocfz2HvOPsfHhe6MHvbes2bWrPWftWevPTN7pmEzBAbcHm6vovhT
50ohTswOCbodX/00YEukph87lzq1puBS3eRUq4fqJqd6zbMpavqxc3EqR6D6I0CT5mvhWHqmS5Ke
3xsrfQ759JRlWDymA6bsuuxS/ruXuATzI2iRylkHVVkafl0iyfryCvOCmSX4mPKIn206/qKw5/f9
iCRM7GmzUi6j7Jiod2uszTMv812CxdHezPLNgp1e/y509f0RHt4R4aGh8G80G8XQY/4z3qjb13YF
9dQv+lI5A3DEtNC3ow4iV5buLJpZIqUjKx/Runvb4RKF3WV6Bp4RmPCop10eM+5yXkWeelrh++Rn
dvlaY9LCg7Z7CCqpYIpTxoyR4Y5IRVj2SjTq+wdR/YYjqFlDtDDZpHiveInxHTsiNLgh+n2URCUR
lox6P1qyH/1tbLAn/rZJXEWcQlmye/bpbj6pUHX9JLLSn4pkGx28gvpjkbQop5xYDRfWvbmb7EI1
2JWn01lhJuKtZLsSP5bN02KwKvU3N9ALU5Kv0F41u6T6mHWYFiuuOkznZNcsOVUV0EJQrwc1Of/Y
duZ+W85sP+1sydZ2WbakpQ55mv9mBDxqeXnhlyyzM6INigvndFi4+yheDTiJw94v4IXHtC8Loa0E
7aksm9KrZEnbslKifLd2l2mF+UYYtzkTGbSq9qmjy6XtXMYvpa1S6Drj5wQ83iIKO85dQHHWRok2
cV06iooK8E4Xs445GPfKt5bV6q9c0zAHrioD04fPR99PD4DW0YRgLKcNvN+mtbKpvab813cuxA6L
E3cKa77cQ5RruCYuZ03BUQc5nqU7iybnVv7Lyifug9bgpfUoKC1CQUEB/bajq48vA8/NmJn4iyrW
XWk7TkWeBIxR2h8uEmszClFUcArbvnoGC97shk+OlikLbherhpldsrtwacDqF1pg/NJaJGuxtKtB
edFv2D4uHML5TYh+cjYGLTgAI9V77p45+GlmDKbsKXVa7+K2MW+s+QWlRblI/FsjzBg8EvvFB7nP
Y+7Zp7v5yNKV9NvxfLhT7C4gyFJ/GyfUxsTegViUTvs1quGyS2DYUgK6ijcMI6hiRnnU7Exkp2bz
qnJS/Ynhp5RcXM89iTTasib1QC5tSHCZXqEaoIFlWxsp2V36o1wP/912dmdtuVq9ixWmZrsijWVL
Ip0HjoAaAh716jWAwSBvUquWyD4+Ygxtjpr6Lf7vq6+wLumfeH1gfyxN0/YgPL99ltRzMWWT456G
LJq9DNquc5HwTSq8WuukjauTTCOn/oEhCAsJQUj7UGl7jqaPtEcgXYeFB9LaYPWkzbUbN5e3evF5
KBh+tK6Nr9Xo3/Wdf8Fc8e1Wa6i8LG2uqyu7Km9BQmty+TXzo/NbqC3NocvBioR0iVvZsQ34kvaA
FDcOkdttZR20Fn230wWJa4n5+iEgIIB+8sKKLDxbMrGW91ZT4mmWOyCoKfwCQvD0q4MlB/i60dy7
aE6hdLwDzKpyETd7PjJvbyOoVIAlrjJ7A8asMmLiD+swIqyxFF/PLxThQT44Gb9E2ppp3sQnpHoP
jJmKVWO8sWBmomkXTvV6F50H38Ag+PoFokf3dpby6NtgN+3TvXxq+oWFkrfsNPiicbBcfwPfi8eq
wV54b1GyOi6z16MB017YBapjJudj2ZkSZ/X624m2/9OEshhxJiNFynrot9M4n3eCNtXuhVAtaxpz
O7OB3F07Y7U9WtpyGyFsLpRt15zEVVsy5+PH/24EPLxq16G9DbW0EGagDFg2tDmGT0/CgI924eC3
E9GAdqY/Xa7lQQhczDsqMTr0y0UzQ8uRRbMkcuGkMnsnOS8dsD4xmTY/TsGa3fZOnlHaL1FQeYiL
DTg8rDYLpF4X2pIIcdPaI7bnXHKi6pDDpCHU7YH3P+6MHbFP44Fub2N/7m0H9wZ9JVo7kjaenfIP
FBCrfcuWmBhKpcO5DhrKv4tJctL2IoX2q0xJ2UN70eXbcWbhqU5j8bwq2lVlARaP7UM9CX/Fq9Hm
nka7oq0u7wiz8mzMnbMI5029i1ZsFU8NF8WhvkgMiXnIgW68QTXapInUkykTvRDaNhKVZy/hKkWw
6l3cp+/C6X8jK3UFBnabi75zvkR3ux4ed+3TlXws/RwUVoqwdCOQ7lFRKN9OPcY3CpVxyS+S7keZ
jbq9KBUjxjnDjGVnSjxV64/k9PRthKwdm/DTLiOGvPIcDDsO49esi/BsZ1dJSozFOG5nNu3nHdsZ
Ob+iXWtuy9XqxTpewXaLza9KzHbQmgk/5wjcRsCjquomblRpc5bEbBUnF2N8QiVijxzHh8Nj0Clm
KLo9LG+kfJut+lmH17bScFoR9s18zCERi+aQWENEegINJzYZiqfaRWPoYE9sWrHVMhSoIbtjEupy
qizyxeBpC6m35RPMiE9D7aY6yAMMjsmtY2KmHkJafCzCDn6JHsH18NxnSTQfyQMC+YBvTlqK7rQ9
8arEeCxZ0gTz4qZQVtnhuus6WAvl4nntB3QwbJ6GsaP+F2PHPoXRc7Zp0p1VDJvncQzwp/l23s3x
+qpBSC6di2YsZibaHWFGG6sDDTWUYkriXUc+UXPQLl63nXemo55RwRseTupddB7iXuiM0M5jpY2k
W7QSe1ScBHftk5XPRr8SLBsdTT1u/TFlxa9OhFEgk+7CrTqoJZIUcBFpVh3JCgzYUSzM2HbG4Ksi
Z5su3VF1LhsHUw3oO2wYuhXuwsr1P6Ltc1HarIfbmW37eTftjFGdbpNMtivap9u25HbhPOMfBQEP
43UjKlwYUizKFxvayXixs5YhBSWYvEzDaa7SlNKz4gqwackxtBgajHKDHgHdekrDiofEeTB3Eor0
8Pbpga/ndkbciGi8vr0S0lbeGnhGDJuB48aziJv0BDZPicH0PRek+SO+IX0wfownpg8agaSnXsKA
x/wlbjpd4b3RQYOsSknEuQvNZ6QiOycb2dk3kb/5NW0PFyVmpjg2z0hsyi3E92+1p9RncFnTMJ97
9Z76cVd5kn69nlTScfRpKE/u9wr/uzQcrKqCNNdMj6tWHaHmtMbrOniG2TkRwp8AHd1zOhoyVKl3
Mb/obs/cR/OdhHIcXfUG4ka1wedpt3tGzWU4HN21T7V8kn7HkasXX8oeQPSLNJ2AerR/yilxKFpL
hGdjGohTwUXnYeecamFolYaFGdvOrJhYnbLk9GwUiJv5Cdh4QocukZ3xeOBJrNqQh1b+otunHrid
qbSfd9nO1GvAfYpou2Jwx5bknPzvfzsC1MNViZu3xDlD2sLv6amUsALlpuQVJ+MwPb8Kdb21L1pf
WanwdDLxY9FUJaQeA/tQdXYnEmgu1O+LhsG/fkNET95JSZKxZa/9sKJ9TvO1tzREoVPQS+xp7jTp
cxqmNPXsmTo5zDmZR69meOmLLXj/YU/E7xCHowjNW00wcOTL0nm/kf0RbHrNv6lFBwXdJUbiHxbN
kkjhhJGvoSu6KrBWimLxfNC/KZ79dDlhnY4Rg22/5lTi5W69txmzFGlpGchMWUBsW2Hp/nRkpKUh
dd0YplPp8+cu1NuZiwUrjzmI06RFK1Rl0gcZlg7kEuyNP4Z6PQNRh761UKt3kZHoPOjERDRnq9Po
F6kH1AMXyq09Tnft07V8on6tQEPe+0Rb9ULIk0PQtYOH5p5NqSOHcgKnsGzab2g7IgatWwQr49Kr
FRNriQ3jjzPMWHamdK+o1h/J+XDzYGlOoWfY0wj2aYbWbcmDphDVKVA6qv3hdiZ/pGDfft6pnanh
Lcer27xSvZt5KdmuL827FQPTlswM+JEjYIcAjWkJ1JxqD+2fGU6Jv8G38anIOrAQ3TpMljKfP6Nt
La982rzamyz5+YUnHQpl0RwSW0Wcyf0X0jPTcZTmFom/XBrjy9i0TpqwfMZIXwWKXwYKlzEv2gvf
fr3bybCiAXl5ecg/lSc99M7T14uFdF1k7yPWfRwzFg+UpaAvwpmh4hS+X3cAhaUyk8ITW/Bd/k0M
6tVGynbdaIRPv09QcKYA/3yxJYzXZIantq5l6CA7e0q6m2Vh0cxplI6sfDnHD1lhnQ69PS5KDJ3E
MXmKQ3WekViw/S0Yj7yFv67NZnJzt94bBoQjIiIM7bo+Qg9SX4RGdkBYRAQiwpuyh7keHIDYqWE0
B68TPk/Jl2SrKEyj+W2X0ObZ8cRrO8a+t0WyudMb3sd7J6ow+dV+kquuVu+iymI/iWh7xYUZWP3B
DGlY8aEG4kuNu/bpZj7Sb+HUcKwZ2w4fScs6XJd6ZbUNuurx78MncCJlM6b1D6dB80B8OO4xdVwm
DGRjLaGr/kcdMzkPy86UbF61/khOT1/5o5qmXYLJJaalabr3kgrx8XJ8+bOWmNuZCQ379vOO7Mwa
Yetz5zavVO8yB2XbNXNn2ZI5DT9yBBwQ8At9XGgY+IhQWlqq6ScIF4WvRkuDaPT63Ur4aPMeYe7T
XkL7mQfIr3EeMpc9K762CzT5nDjZBhbNNqX56rIwj8oW+Vn/Zu3PFuZ18HSQKWv1CErXXzhMazNI
wbBPoJ4DIfaI3sxQEPT7hI4UZ81PPJ+5/5KgT50h6Jp+IJSYU1f+LIxGLaHrHCe6m8qx5vnoqC+E
M5WlwlyS813ibR30qXOo/CeEyY+q63DEUKqouygnOZcMmnVJ9uesfESLtsc6UthVasVDCU8zWZGm
ztNw4lPCoIeQbOFfLsSNEcsfKqSZ68/M23Ikflrq3ZJe4cRwiGzCTi+FZLZR54S4Cd1sbKa56X7I
2zbTJr5v7F7KeplR7z2EI5eThWdsbDBSeHd5ulyku/bpbj6p1HPCVxMesdHD6f1O9W2tg3eHIcKK
w4UW2JRxsZAFQdFerOj2p3bl0YcMtzET7wdV2yWaQhsi30eCoC7nGWGSeO9/mipJUnxgBuFD9qpq
m3YCczsTBIf20w07M8OqZC8Mm2e2kXa2ZGu7LFsyC8OP1RUBrX4OK11OTo7kK5WVlQlXrlwREhMT
hR9++EH48ccfha1bt0q/bdu2CeJPvL5x44ZgMBiE4uJiQdf4z08It26UIyctifwB58HXV/4KR593
BP9YfAQ9p7+Fjho/zDFzT3y1Noad/AKlh1+jt0PbwKLZpqxhV5UGFBYUobScViL3DUJgM3vNa5g+
XFwHBAzFhbTSfKnDSvOV+lxkFRjgVa9ZDV9pvhDnSD/atR7Ng+QlQRxAcCGipuBS3eTkduaCkfGk
HAErBPT6O53ETUvmlpSgUaNG8PCgdeNpAfWkpCTLuXgtBvORHE/07t0bN2/eRDk9+3V+bZ8Qbl53
3eESzi6Hx8Pj8MbOS1jYx/mn+madT9OQYsiwRVh43IA3OtY1R0tHFs0mIb/gCHAEOAIcAY4AR4Aj
4AIC/2mHizavprlA9NfVoGs5FuUXSzHPBWdLLKN+y37Y/bPewdlyRnNVPp6eI8AR4AhwBDgCHAGO
QHVBwFNH3WLuhnr+Lo4lUkEBnfsjQKVAFk0lC4/mCHAEOAIcAY4AR4AjUO0RkLwtqZer2ovKBeQI
cAQ4AhwBjgBHgCNQMxEQZ32JM7xqpvRcao4AR4AjwBHgCHAEOAI1AAFah0uUkjtcNaCuuIgcAY4A
R4AjwBHgCNRQBDx0OnFUkTtcNbT+uNgcAY4AR4AjwBHgCNQABDykLxS5v1UDqoqLyBHgCHAEOAIc
AY5ATUWAhhRv0RQuaVyxpurA5eYIcAQ4AhwBjgBHgCNQrRGQvlIUbnGHq1rXEheOI8AR4AhwBDgC
HIEajYC8CBf/SrFGVyIXniPAEeAIcAQ4AhyB6o0A7dLMe7eqdxVx6TgCHAGOAEeAI8ARqOkIUA8X
LcUl8FnzNb0iufwcAY4AR4AjwBHgCFRfBMT9rvm6p9W3frhkHAGOAEeAI8AR4Aj8ARDw8PKqzZfh
+gNUJFeBI8AR4AhwBDgCHIHqi4BH/fr1AaFW9ZWQS8YR4AhwBDgCHAGOAEeghiPgUbt2XVKBz+Gq
4fXIxecIcAQ4AhwBjgBHoBoj4FFx3QCBFj/lgSPAEeAIcAQ4AhwBjgBH4N4g4HH12lUItDgEDxwB
jgBHgCPAEeAIcAQ4AvcGAY9bVZU0oMgdrnsDL+fKEeAIcAQ4AhwBjgBHQFqEi9wtgTtc3Bg4AhwB
jgBHgCPAEeAI3CsEaOFTcfNqNybNVxbh6JFMGO6VZH9EvoZiZGamIzMrC8WllX9EDblO9wmBquI8
ZKanIytXf59KdK+Y6ianQcQtMxN5hba4VTc53UMbUNPPXX7VCZfqJIu7ePJ8/90IyHspuoFBWerf
0eXxcHydVuFG7ruVpQTzI7zwyKyDqgwNvy6RHMqXV2Sb0pTgY8ojOpmOvyjs+X0/InW1HGizUi6j
7FgsxbfG2rwqC6/F0d7M8s2CnV7/LnT1/REe3hHhoaHwbzQbxdBj/jPeqNv3S5SaE9Ix9Yu+VM4A
HDF5s446iIlZurNoVgU5nLLyEa27tx0uUdhdpmfgGYEJj3ra5THjLudV5EnPwoqTn9nla41JCw9C
q5uqjJmDwqaIEswN9MKU5CvAjV1S/c86fB2oOkzn6jYxOyWHoXsUtiR9RDr0xH7Ls52Fr5VsFcno
b2WDXkH9sWhPviXB+b2x8PIPQnjHjggNboh+HyURjW3Xuy0yWNjcPrErT5T5b5tOm+gq9S7xY+uj
JicLa6actyV246wIy16JRn0Rt/BwBDVriBamdkNNTta9ebRkv00d2WBWluxeG+JuPgkNdf1UwbKr
93tuZyZBFO9NO1ls8KR8qnVEbVKDURts2oVLSe/I910Fta9KbRbrXlAFixM4AneOgNt7Kfp0moqM
n3PxWkdxWYn/XLjhpOi0LSulFN+t3WXqjWuEcZszkXHqFE4dXY6OtLXR+KUpyKXrjJ8T8HiLKOw4
dwHFWRsl2sR16SgqKsA7XR40lZSDca98a+nZu3JNw3BsVQamD5+Pvp8eQDkN3wrGchSdexu+xPEG
5b++cyF2WJy4U1jz5R6iXMM1o1ykow5yPEt3Fk3OrfyXle/GVQENXlqPgtIiFBQU0G87uvr4MvDc
jJmJv6hi3dWH9FfiScAYjeTwIBJrMwpRVHAK2756Bgve7IZPjpYpC24Xq4aZXTKby59ScnE99yTS
qNc39UAudRdcJpe4Aeo3VraJt7u0YuiegE4NRNu4ZlMGC1/rhBcQZNF944TamNg7EIvSyyCc34To
J2dj0IIDMJIt5e6Zg59mxmDKLoEpS1fR2BhBlPKNNb+gtCgXiX9rhBmDR1ocRbU6Etmp6aMq5x75
1UIN6wbeDCHdJhmw+oUWdJ/XIkyLpSkU5UW/Yfu4cHU8SU5n96YqZj6PudeGuJuPWiMl/XY8H+4U
sfttZ6JAavemGp6qtkQ232tkT5SvXYnjlqGWSmxfsQh1eo9BFD2aWLbrFByegCNwlxHwoP4GN1gW
Yf1nMzBmUCv4tIpCj+79sTRN24Pw/PZZUs/FlE1nHcpl0RwSa4rIRcI3qfBqrSOnJh5JxXIm/8AQ
hIWEIKR9KD1OgaaPtEcgXYeFB6Ie/fNr5ofGzR+UaD4PBcPPLwC+XrcLvL7zL5gr9oZoDZWXUURp
dWVXIbHxksvwogd7bQn/HKxISJe4lR3bgC/zbtJ5A8jPHmUdtBZ9t9MFBQYiwNcPAQEB9PMjtAAW
ni2ZWMvLkSjxNMsdENQUfgEhePrVwZIDfN1o7l00p1A6uopZI3T4nybEyIgzGSkSw0O/ncb5vBM4
g14IratuEyzd5VcRqkfRyKRQh+obNr2ZJoLCwReNg2XdB74Xj1WDvfDeomScjF+CHLyFeROfkGwp
MGYqVo3xxoLZ69GAibVCEVZR4sPONzAIvn6BdD+3s6LIp6w6ckhMEapyztyJtiysRYNyFqpyETd7
PjItD1l2hsrsDRizyoiJP6zDiLDGUuJ6fqEID/JhyJlIr2JiUL831TFTtxeJJf1RbkPcy6emX1go
vdE4DffXzgD1e1MNT1VbIpsPHjCSNNyKjXsvyJpW/Atxq6rw/Lje1DY5b1+cwsMTcATuIgKSw6XT
0Elzu0wDlg1tjuHTkzDgo104+O1ENEjZgdPlWh6EwMW8oxKrQ79cvM3SdMaiOSTWEFGZvZOclw5Y
n5iMIUjBmt32Tp5R6n8QVB7iYgMAD6tBLOp18Qr/AHHT2iO251xyouQHqFNR6vbA+x93xo7Yp/FA
t7exP/f2MOwN+kK0dqQOO6f8AwXEaN+yJSZ2UulwroPT0u9qgpy0vUg5ehQpKXuwP+32MJdcCAtP
dRqL51XRrioLsHhsH+p5+itejTb3NKqr5Q5mD/g2RNaOTfhplxFDXnkOhh2H8WvWRXi2s+0acrAJ
ixhq+iVj04pEfP/99/g+8Z84dOIWGlryODmxdB95ITQqCuXbqbf1RiHQpInUOyrnJlrbSFTmF1n1
panJol6e6BNeOP1vZKWuwMBuc9F3zpfobqU6q46UuBpvkDWryOnp20gT1kp8pbjybMydswjnTT3A
qulMBMNFcXg0EkNiHnJIqirn2Uu4SqlZ96YzzMTCHOxFYxviSj6Wfg4KK0XcRztj3ZtqeKrWEdn8
jRZPYWqgJ75eu1vS7NKRBOxHBIb3bmnR1FXbtWTkJxyBu4yA/BLnQidXxcnFGJ9Qidgjx/Hh8Bh0
ihmKbg/LbLTI1uG1rTScVoR9Mx9zSM6iOSTWEJGesJIa/aF4ql00hg72pAffVstQoIbsjkmoy6my
yBeDpy2k3pZPMCM+DbWb6jT1WMRMPYS0+FiEHfwSPYLr4bnPkmjegQcE8gHfnLQU3bEUqxLjsWRJ
E8yLm0Jlyw7XXdfBUSvNMbUf0MGweRrGjvpfjB37FEbP2aZJd1YBbJ7HMcCf5tt5N8frqwYhuXQu
mrGYmWjuYNaqcw9UncvGwVQD+g4bhm6Fu7By/Y9o+1yUdgdJRbaNX8/H/Pn0m/cdEuit+wGXXnBM
THVXINyqA2kTrovXbeaswESz6oRVkUQ9WnzYxb3QGaGdx9ID6xZatBJ7/OTAriNzKoWjipxtunS/
M6y9xb5fzW4r4F1HFk7NQVOQE4I3PJzcmyzMFNCQo9xtQ1j5bPQrwbLR0dKow5QVv6qKoUq4x3bG
ujeZeCrUkXg/eFKL8NykGJSvWUcvZMDB5Yvg3eUldPWTNXTbdlUB4gSOgPsIuDyHqyhfvIkn48XO
WrqrlQTzkobslB8OLJoSL1ZcATYtOYYWQ4NRbtAjoFtPaVjxkJ6VRwOtSA9vnx74em5nxI2Ixuvb
K9FS4wM0YtgMHDeeRdykJ7B5Sgym77kgzYHxDemD8WM8MX3QCCQ99RIGPOYvCaLTFd4bHTSoqZRE
nA/RfEYqsnOykZ19E/mbX3PlsafEUppjoc4zEptyC/H9W+0p7xlc1jSE5F6913swEDfzE7DxhA5d
Ijvj8cCTWLUhD638xcfAnYRI/PPoPiQnJ9NvO+Z18MRZF15wrEv2bEyDntd18AyrIw9Nm4nCn6Dz
sHPCzDSNR9G9n7mP5ogJ5Ti66g3EjWqDz00fxLhT7yw5PRu5h3Xqx13lDynq9SRrOI4+DeUPMLzC
/y4N2auqKs0H1OOqVWe1Oa2anNAZUUH1pHZvivlZmJn5Kx7dbUPU8kn6HUeuXhxleADRL74Mfxp1
+CmnRLF4Z5H3zs7Y96Yanmp1ZLb5iAGjSKWtSFwfj42rb1IPdR9pqoOopzu26wwfTucIuIuA9q4p
Uwm/p6fSWQXKTdcVJ+MwPb8Kdb09NctQWanQ8plys2iqBdDbqH2oOrsTCTQX6vdFw+BfvyGiJ++k
JMnYspdeWzUF+vqF0ukU9BJ74DtN+pyGKU3wmV6gNbH1aoaXvtiC9x/2RPwOcaiD0LzVBANHviyd
9xvZH8Emb/SmFh0UdJcYiX9YNEsihRNGvoau6KrAWimKxfNB/6Z49tPlhHU6Rgy2/ZpTiZe79f6n
5sHSHDHPsKcR7NMMrdvKXlFUp0CrYtRtwiqRw6lRfJJI4brkYGvtm5E6cqR8p7Bs2m9oOyIGrVsE
oyqTPvKwjOCXYG/8MdTr1eqOnF9RRF0d8c2hHjqNfpF6XD1wofy2h8uqIyU7a9KilaqcD2vCWlLc
5k+bMUuRlpaBzJQFFN8KS/enIyMtDanrxjB19/lzF6rbXCxYecyGn3ihKmfPQIhwqN2bYl5nmFHX
mpttiGv5RP1a0VzQnfvE9sQLIU8OQdcOHpp7n++XnTm7N9XwVK0jk817te6NqRGe+L/hI7AaHTCq
f2uxeiyBabuWVPyEI3DvESCPgf7f0v7K3f6Z4STVN/g2PhVZBxaiW4fJkpTnz5hmpDuROX/DRHjT
Hf78wpMOKVk0h8RWEWdy/4V0Wt/qKM0tEn+5pUDGpnXS5OIzRvoqUPwyULiMedFe+Pbr3U6GFQ3I
y8tD/qk8qUE9T18vFtJ1kb2PWPdxzFg8UJZC/KCOFSpO4ft1B1BoWnur8MQWfJd/E4N6tZFyXTca
4dPvExScKcA/X2wJ4zWZ4amtaxk6yM6eku5mUVg0cxqlIytfzvFDVlinQ2+PixJDJ3FMnuIwkGck
Fmx/C8Yjb+Gva7OZ3Nytd52v/JFE0y7B5HLQUiPde0nl+HiJzrxGm2BK5ipRj38fPoETKZsxrX84
DTgH4sNxj6HNs+PJediOse9tkez49Ib38d6JKkyeMNC218vF4sSXC9HWiwszsPqDGdKw4kMNbr9E
sepIyV5YcnoysVYXvGFAOCIiwtCu6yOEgS9CIzsgLCICEeFN2bo/OACxU8NonmQnfJ6SLxVQUZhG
cxAvqeP5aj/pdUrt3hTNUh0zjfbi0Ia4mY/0Wzg1HGvGtsNH0vIhrjj298/OWPdmBQNPli3J76Y0
rDgsRqpX7y6jLcOJUgT9YdmuOQ0/cgTuCwIPtX9S8GvdWSgtLdX0E4SLwlejpUE0ev9rJXy0eY8w
92kvof3MA+TXOA+Zy54VX6MFmnxOnGwDi2ab0nx1WZhHZYv8rH+z9mcLNHTjIFPW6hGUrr9wmNZm
kIJhn0Bv8kLsEb2ZoSDo9wm0VIQNP5H3zP2XBH3qDEHX9AOhxJy68mdhNGoJXec40d1UjrWMj476
QjhTWSrMJTnfJd7WQZ86h8p/Qpj8qLoORwylirqLcpJzyaBZl2R/zspHtGh7rCOFXaVWPJTwNJMV
aeo8DSc+JQx6CMkW/uVC3Bix/KFCmrn+zLwtR+Knpd4t6a1PzgiTxLr8NFWKLD4wQy5fLIthExYO
CvrJ9Witg7J8Fh7mE+L1jJUNencYIqw4XGimCnnbZpJst22+b+xeC006UZDFNoHdlV15NMFceHd5
uimReh05szN1ORlY24mmeGk4RPetne0pJrSOPCfETehmg1tzU5ulLOdlxr3ZQzhyOdmmjmwwY9gL
sw1xN5+k5jnhqwmP2OjntE22q/d7a2fKtm9uk5l4kn7KdXS7fo2nv5F0H7X89O1IsR101mZZpean
f3wEtPo5rHQ5OTmSr1RWViZcuXJFSExMFH744Qfhxx9/FLZu3Sr9tm3bJog/8frGjRuCwWAQiouL
yX9oHyNUVlzF6WPikJvz4Osrf7qkzzuCfyw+gp7T30JHq6+ZnHMAEl+tjWEnv0Dp4dcsY+3mfCya
OU2NPFYaUFhQhNLyctT3DUJgMy3fv9dITbnQ9wGBSn0usgoM8KrXDCFBLt6A90E+cxHVTU5DcSFy
i0pRv2EzBAbcxq26yWnGz9WjqN850g/1/NE8SF62xVUe1umrEy7VSRZrjPh5zUFAr9ffsbAlJSVo
1KgRPDw8pDmlSUlJlnPzrj3mI7mw6N27N27evIlyevZLYwY6WhzC1eDj8Sve+XQy3ugzGh37OP9U
38z/NA0pDlpixMLjLzo4WyyaOX+NPdLaWwGBtIZVjVWAC16dEPAipz3str9QnUSzkaW6yVmP1tQL
o599qG5y2sun9VrUL0RBP6357dNVJ1yqkyz2OPFrjoAWBDwE0deibW5cDbqWY1F+sRTzXHC2xDLq
t+yH3T/r8YbCCvUsmqvy8fQcAY4AR4AjwBHgCHAEqgsCnlLXF3V7uRPq+bv+ih3Qub9qLw+L5o58
PA9HgCPAEeAIcAQ4AhyB6oCA/KlbdZCEy8AR4AhwBDgCHAGOAEfgD4qAhzipiweOAEeAI8AR4Ahw
BDgCHIF7h4CHa/soWglSWYSjRzKdrGlllZ6f0nJOxcik9cIys7JQbFqTi8Pyx0HAUJxH9ZuJvELb
L2GqxPj0dGTl2sbXNM3V9HNXj5qCS3WTU60eqpuc7tqFmn7u8qtOuFQnWdzFk+dzHwG3hxTLUv+O
Lo+H42vT9h/ui3AnOUswP4IWqZx1UJWJ4dcl0qebL68wL5hZgo8pjzh3zfEXhT2/70ekrpYDbVbK
ZZQdi6X41libZ17muwSLo72Z5ZsFO73+Xejq+yM8vCPCQ0Ph32g2iqHH/Ge8Ubev7QrqqV/0pXIG
4IhpoW9HHUSuLN1ZNLNESkdWPqJ197bDJQq7y/QMPCMw4VFPuzxm3OW8ijzJL6k4+ZldvtaYtPCg
7R6CSiqY4pQxY2S4I1IRlr0Sjfr+QVS/4Qhq1hAtTDZ5fm8svMT4jh0RGtwQ/T5KopIIS0a9Hy3Z
j/42NtgTf9sk70qAsmT37NPdfBIu6vqpwlaRbKODV1B/LJIW5ZRzqOHCujd3s/xVu/J0OivMRLyV
bFfix7J5WgxWpf7mBnphSvIV2jtml1Qfsw7TYsVVh+mc7JolpypgWgjq9aAmJ7cz5fvPbTszVZNi
+8K0QXVbEm2zwagNNm3bpaR3qP3rif0V9IxQtV0tNsPTVCcEpK8U3RlU9Ok0FRk/5+I1ha8N76eC
lo3uVQpN27JSony3dpepN64Rxm3ORAatqn3q6HJpO5fxS2mrFLrO+DkBj7eIwo5zF1CctVGiTVyX
jqKiArzTxbz0RQ7GvfKtpWfvyjUN6FVlYPrw+ej76QHQOpoQjOW0gffbtFY2tdeU//rOhdhhceJO
Yc2Xe4hyDdfE5awpOOogx7N0Z9Hk3Mp/WfnEfckavLQeBaVFKCgooN92dPXxZeC5GTMTf1HFuitt
x6nIk4AxSvvDRWJtRiGKCk5h21fPYMGb3fDJ0TJlwe1i1TCzS3YXLg1Y/UILjF9ai2QtlnY1KC/6
DdvHhUM4vwnRT87GoAUHYKR6z90zBz/NjMGUPaVO613c5uSNNb+gtCgXiX9rhBmDR2K/+CD3ecw9
+3Q3H1m6kn47ng93it0FBFnqb+OE2pjYOxCL0mm/RjVcdgkMW0pAV/GGYQRVzCiPmp2J7NRsXlVO
qj8x/JSSi+u5J2nT5FtIPZBLPdiX6RWqARo47jQmpb+zP8r1wO0MuN92JtajWvuiZoOqtkQ232tk
T5SvXYnjlp20KrF9xSLU6T0GUXXZtntnNsVz328EPKReHpdLLcL6z2ZgzKBW8GkVJe1MvzRN24Pw
/PZZUs/FlE1nHUpl0RwSa4rIRcI3qfBqrZM2rk4y7T7kHxiCsJAQhLQPlbbnaPpIewTSdVh4IK0N
Vk/aXLtxc3mrF5+HguFH69r4yntISKVe3/kXzBXfbrWGysvS5rq6sqvyFiS0JpdfMz86v4XatAca
bT6BFQnpEreyYxvwJe0BKW4cIrfbyjpoLfpupwsKpLXEfP0QEBBAP3lhRRaeLZlY35LEU+Jpljsg
qCn8AkLw9KuDJQf4utHcu2hOoXS8A8yqchE3ez4yLY2fEv/bcZXZGzBmlRETf1iHEWGNJUI9v1CE
B/ngZPwSaWumeROfkOo9MGYqVo3xxoKZiaZdONXrXWy4fQOD4OsXSPdXu9sFum2f7tm1mn5hoeQt
Ow2+aBws19/A9+KxarAX3luUrI7L7PVowLQXdoHqmMn5WHamxFm9/nai7f80oSxGnMlIkbIe+u00
zuedoE21eyFUy5rG3M5sIK9Jdgbal1PpuSIqpGaDqrZENh88YCTl3IqNey/ImFT8C3GrqvD8uN50
tztvI+VM/G9NQMCDXslJTlfW4TJg2dDmGD49CQM+2oWD305EA9qZ/nS5lgchcDHvqITLoV8uOuDD
ojkk1hBRmb2TnJcOWJ+YTJsfp2DNbnsnzyjdIILKQ1y8eeBhtVkg9brQlkSIm9YesT3nkhNVhxwm
DaFuD7z/cWfsiH0aD3R7G/tzxZ3D5HCDdmipHUkbz075Bwooat+yJSaKVDqc62BKfp8OOWl7kUL7
Vaak7KG96PLtSmXhqU5j8bwq2lVlARaP7UM9CX/Fq9Hmnka7oq0u7wiz8mzMnbMI5029i1ZsFU8N
F8WhvkgMiXnIgW68QTXapInUkykTvRDaNhKVZy/hKkWw6l3cp+/C6X8jK3UFBnabi75zvkR3ux4e
d+3TlXws/RwUVoqwdB+R7lFRKN9OPcY3CpVxyS+S7keZjbq9KBUjxjnDjGVnSjxV64/k9PRthKwd
m/DTLiOGvPIcDDsO49esi/BsZ1dJSozFOG5nNu1nTbIzVvuiZoMsW7rR4ilMDfTE12t3S9Zy6UgC
7WUageG9W1qsx1XbtWTkJ9UKAXK4RHk0DIuZxK44uRjjEyoRe+Q4Phweg04xQ9HtYe1TwTq8tpWG
04qwb+ZjDkCwaA6JNUSkJ6ykhn0onmoXjaGDPbFpxVbLUKCG7I5JqMupssgXg6ctpN6WTzAjPg21
m+ogDzA4JreOiZl6CGnxsQg7+CV6BNfDc58l0Zg9wU8+4JuTlqI7bU+8KjEeS5Y0wby4KZRVdrju
ug7WQrl4XvsBHQybp2HsqP/F2LFPYfScbZp0ZxXD5nkcA/xpvp13c7y+ahCSS+eiGYuZiXZHmNHG
6kBDDaWYknjXkU/UHLSL123mZkBHPaOCNzyc1LvYcMe90BmhncdKG0m3aCX2qDgJ7tonK5+NfiVY
Njpa6tGesuJXJ8IokEl34VYd1BJJCriINKuOZAUG7CgWZmw7Y/BVkbNNl+6oOpeNg6kG9B02DN0K
d2Hl+h/R9rkobdbD7cy2/axBdsZqX1g2qGbzntSqPTcpBuVr1tFLJXBw+SJ4d3nJsgm327bLMGtO
+s8gIA8p6rQ7TEX5YkM7GS921jKkoKSUl2k4zVWaUnpWXAE2LTmGFkODUW7QI6BbT2lY8ZA4D+ZO
QpEe3j498PXczogbEY3Xt1dC2spbA8+IYTNw3HgWcZOewOYpMZi+54I0f8Q3pA/Gj/HE9EEjkPTU
SxjwmL/ETacrvDc6aJBVKYk4D6b5jFRk52QjO/sm8je/pu3hosTMFMfmGYlNuYX4/q32lPoMLmsa
5nOv3lM/7ipP0q/Xk0o6jj4N5cn9XuF/l4aDVVWQ5prpcdWqI9Sc1nhdB88wOydC+BN1KBtRQZ3K
avUu5hfd7Zn7aL6TUI6jq95A3Kg2+FzLByru2qdaPkm/48jViz3YDyD6xZfhTz3aP+WUiGK6HDwb
00CcCi46Dzvn1EXuLMzYdqZcEEtOz0aBuJmfgI0ndOgS2RmPB57Eqg15aOUvPnLVA7czlfazxtgZ
u31Rs0GWLYlNR8SAUfR3KxLXx2Pj6pvUa9qHhhPl4I7tmrLyQzVDwEPs26rlIb1zahLt9/RUSleB
clPqipNxmJ5fhbre0raMmnhUVio8nUw5WTRV5tRjYB+qzu5EAs2F+n3RMPjXb4joyTspSTK27KWu
BU2BvhyhdDoFvcRRkk6TPqdhSpOjaurk0MTWqxle+mIL3n/YE/E7TktZKm41wcCRL0vn/Ub2R7Dp
Nf+mFh0UdLfIwaJZEimcMPI1dEVXBdZKUSyeD/o3xbOfLies0zFisO3XnEq83K33NmOWIi0tA5kp
C4htKyzdn46MtDSkrhvDdCp9/tyFejtzsWDlMQdxmrRohapM+iDDMtpegr3xx1CvZyDq0I2nVu8i
I7Hh1omJqNntNPpF6gH1wIVya4/TXft0LZ+oXyuacrBzn2irXgh5cgi6dvDQ3LMpdeRQTuAUlk37
DW1HxKB1i2BlXHq1YmItsWH8cYYZy87EXkf7oFp/JOfDzYOlOYWeYU8j2KcZWrclD5pCVKdA6aj2
h9uZ/JGCfftZU+zMWfuiZoMsWxL7071a98bUCE/83/ARWI0OGNW/tY0JMW3XJiW/qM4I0MKnt+BR
S3sPV/tnhpM+3+Db+FRkHViIbh0mS/qdP2Oake5E23zavNqbWuHnF550SMmiOSS2ijiT+y+k0/pW
R2lukfjLpTG+jE3rpAnLZ4z0VaD4ZaBwGfOivfDt17udDCsakJeXh/xTedJD7zx9vVhI10X2PmLd
xzFj8UBZCvoinBkqTuH7dQdQaFp7q/DEFnyXfxODerWRsl03GuHT7xMUnCnAP19sCeM1meGprWsZ
Osh1pqS7WRYWzZxG6cjKl3P8kBXW6dDb46LE0Ekck6c4VOcZiQXb34LxyFv469psJjd3671hQDgi
IsLQrusj9CD1RWhkB4RFRCAivCl7mOvBAYidGkZz8Drh85R8SbaKwjSa33YJbZ4dT7y2Y+x7WySb
O73hfbx3ogqTX+0nuepq9S6qLDr7ou0VF2Zg9QczpGHFhxqILzXu2qeb+Ui/hVPDsWZsO3wkLetw
XeqV1Tboqse/D5/AiZTNmNY/nAbNA/HhuMfUcZkwkI21hK76H3XM5DwsO1OyedX6Izk9feWPapp2
CSaXmJam6d5LKsTHy9Fxs5aY25kJDfv2s4bYGat9qSDV1GyQZUvy+zUNKw6LkcDx7jLaMpxoth2W
7ZrT8GMNQOChR54Umvy5q1BaWqrpJwgXha9GS4No9PrdSvho8x5h7tNeQvuZB8ivcR4ylz0rvrYL
NPmcONkGFs02pfnqsjCPyhb5Wf9m7c8W5nXwdJApa/UIStdfOExrM0jBsE+gngMh9ojezFAQ9PuE
jhRnzU88n7n/kqBPnSHomn4glJhTV/4sjEYtoescJ7qbyrHm+eioL4QzlaXCXJLzXeJtHfSpc6j8
J4TJj6rrcMRQqqi7KCc5lwyadUn256x8RIu2xzpS2FVqxUMJTzNZkabO03DiU8Kgh5Bs4V8uxI0R
yx8qpJnrz8zbciR+Wurdkl7hxHCIbMJOL4VktlHnhLgJ3WxsprnpfsjbNtMmvm/sXsp6mVHvPYQj
l5OFZ2xsMFJ4d3m6XKS79uluPqnUc8JXEx6x0cPp/U71ba2Dd4chworDhRbYlHGxkAVB0V6s6Pan
duXRhwy3MRPvB1XbJZpCGyLfR4KgLucZYZJ473+aKklSfGAG4UP2qmqbdgJzOxMEh/azutsZu31h
3rdU/eq2JNuG8fQ30j02avlpK2Nh2a5VMn6qCQGtfg4rXU5OjuQrlZWVCVeuXBESExOFH374Qfjx
xx+FrVu3Sr9t27YJ4k+8vnHjhmAwGITi4mLyH8jhqqoop6+htpM/4Dz4+spf4ejzjuAfi4+g5/S3
0FHjhzlm7omv1sawk1+g9PBrlnFqLTRzmhp5rDSgsKAIpeXlqO8bhMBm5hH6GqkNF1oBAUNxIXKL
SlG/YTMEBty+KSr1ucgqMMCrXjOEBN2OV2BRraNE/c6Rfqjnj+ZB8pIgdyJwTcGlusnJ7cw1q6tO
9VedZHENxT9Gar1ef8eKlJSUoFGjRvDw8JDm/SYlJVnOxWW2xGA+kheI3r174+bNmyinZ7+uaXty
uG5cQ9bRHZoEMTtcwtnl8Hh4HN7YeQkL+zj/VN/M/DQNKYYMW4SFtMrbG3aLprJo5vz8yBHgCHAE
OAIcAY4AR8BVBP7TDhetNG8eKXBNdF3LsSi/WIp5LjhbYgn1W/bD7p/1Ds6WM5pr0vHUHAGOAEeA
I8AR4AhwBKoPAp6Sv2XqBnNVrHr+rg+PBHTujwCVglg0lSw8miPAEeAIcAQ4AhwBjkC1R0D754nV
XhUuIEeAI8AR4AhwBDgCHIHqiYC0eXX1FI1LxRHgCHAEOAIcAY4AR+CPgYCneTb9H0Odaq6FoRiZ
uedolbv68PcLgl9D0wqn1VxsLl71Q6CqOA+nzpXCi754/U9/+VidZHFWUwbCLbeIvhS2+5K0JunA
0lFNP1YeFq2m4FJT5GRhzWl/fATcHlIU8tdKnz5OSaa94f5joQTzI2jRwVkHVSUw/LpEkvPlFeYF
M0vwMeURHU3HXxT2/L4fkbpaDrRZKZdRdiyW4ltjbZ556fASLI72ZpZvFuz0+nehq++P8PCOCA8N
hX+j2SiGHvOf8UbdvrYrqKd+0ZfKGYAjpoXFHXUQubJ0Z9HMEikdWfmI1t3bDpco7C7TM/CMwIRH
Pe3ymHGX8yrypC93K05+ZpevNSYtPGi7L6GSCqY4ZczUMpRgbqAXJFu+sUuq/1mHafHZqsN0rm4T
s1NyGLpHYUvSR6RDT+y3fInMwtdKtopk9LeyQa+g/lgkLToqpzm/NxZe/kEI79gRocEN0e+jJCKw
7Xq3RQarcuxOFTGzk0XU52+b5B0SxOxqsoj12mDUBpv6upT0joxHBdm9ki1pkNFOZBcui7DslWjU
F3ELD0dQs4ZoYWo3VHVg3JtHS/bb1JENLmXJ7rUh7uaTUFDXTxUku7q953ZmV54NZmJ7pmoT7PtG
rf5Y97SW+0EVN07gCLiJgNsOl+7hvtizch1eeJT2hvsPBnGbHVZI27JSIn+3dpdphflGGLc5Exm0
ivepo8ul7TnGL6XtV+g64+cEPN4iCjvOXUBx1kaJNnFdOoqKCvBOF/PSFzkY98q3ltXqr1wTv/J0
EqoyMH34fPT99ABoXUQIxnLawPttWs+ctrmg/Nd3LsQOixN3Cmu+3EOUa7gmLjlOwVEHOZ6lO4sm
51b+y8on7unV4KX1KCgtQkFBAf22o6uPLwPPzZiZ+Isq1l1pO05FngSMUdpbLRJrMwpRVHAK2756
Bgve7IZPjpYpC24Xq4aZXTKby59ScnE99yRtIHsLqQdyaVH3y+QSN0D9xso28XaXVgzdE9CpgWgb
4mYftwML39upgAsIsui+cUJtTOwdiEXptLfi+U2IfnI2Bi04ACPZUu6eOfhpZgym7BKYsnQVjc1J
UMNM1OCNNb+gtCgXiX9rhBmDR0pOJEuWXiN7onztStDqL6ZQie0rFqFO7zGIqqte7+bUd/dowOoX
WmD80lqEabG080R50W/YPi5cHc89pU7vTTVc4POYe22Iu/moNVLSb8fz4U5hvN92pooZSarWFohK
qN03qjZI9ScGtXu6AXtDACkv/8MRuNsIuOlwFWH93A/x+bK/49nIKPSIGICladoehOe3z5J6LqZs
OuugC4vmkFhTRC4Svkmlfap00sbVSabdh/wDQxAWEoKQ9qHSVgxNH2mPQLoOCw+khVjrSZtrN24u
b93h81Aw/PwC4Gs1+nd9518w15WevcrL0gbIurKr8tYlXnIZXvRgr0371IE28FmRkC5pVHZsA76k
PSDFTSLkNkFZB03q34NEQYGBCPD1Q0BAAP3kxS9ZeLZkYn1LklCJp1n0gKCm8AsIwdOvDpYc4OtG
c++iOYXS0VXMGqHD/zQhRkacyUiRGB767TTO552gjax7IbSuuk2wdCe/ggLVo7jfhxTqUH1D4z6E
vmgcLOs+8L14rBrshfcWJeNk/BJpu6d5E5+QbCkwZipWjfHGgtnr0YCJtUkE1YM6ZuJD0jcwCL5+
gejRvZ2FA0uW4AEjKd1WbNx7QU5f8S/ErarC8+N60x3mvN4thSidVOUibvZ8ZFqcOaVEt+Mqszdg
zCojJv6wDiPCGkuEen6hCA/yUcdzZqJpp1T1e1MNF3H/S79mfnC9DXEvn5p+YaH0RuM03F87U8dM
FpTVFiipomqDM3eiLeue5utOK8HJ4+4xAm44XAYsG9ocw6dvRdRfPsPabyeiwYntOF2u5UEIXMw7
Kql06JeLDqqxaA6JNURUZu8k56UD1icm0+bHKViz297JM0r9D4LKQ1xsHOBhtVkg9brQlkSIm9Ye
sT3nkhMlP0CdilK3B97/uDN2xD6NB7q9jf254q5bcrhBuxLVjqTNgaf8AwUUtW/ZEhNFKh3OdTAl
v0+HnLS9SKH9KlNS9tB+gfl2pbLwVKexeF4V7aqyAIvH9qGep7/i1WhzT6Nd0VaX7mD2gG9DZO3Y
hJ92GTHkledg2HEYv2ZdhGc7264hB5uwlKumXzI2rUjE999/j+8T/4lDJ25p36DZ8lrvhdCoKJRv
p97WG4VAkyZS76hcNNHaRqIyv8iqL01NFouwDicszER/8cLpf9NuFCswsNtc9J3zJbqLvZA3yGJV
ZLnR4ilMDfTE12t3S2VdOpJAd2FkJAAAQABJREFU+0FGYHjvlpayWfVuSaR0Up6NuXMW4bypB1gp
iXWc4aI4BBqJITEPWUdL56o6nL2Eq5SCdW+q4WJdiIO9aGxDXMnH0s9aFtXz+2hnzjBz1SZU64/u
B0/fRpruaVVcOIEjcJcRkB0uGprQGipOLsb4hErEHjmOD4fHoFPMUHR7WLvf1uG1rTScVoR9Mx9z
KJJFc0isISI9gYYTmwzFU+2iMXSwJz34tlqGAjVkd0xCXU6VRb4YPG0h9bZ8ghnxaajdVKepxyJm
6iGkxcci7OCX6BFcD899lkTzWzwgkA/45qSl6E5b+65KjMeSJU0wL24KlS07XHddB0etNMfUfkAH
w+ZpGDvqfzF27FMYPWebJt1ZBbB5HscAf5pv590cr68ahOTSuWjGYmaiuYNZq849UHUuGwdTDeg7
bBi6Fe7CyvU/ou1zUdodJBXZNn49H/Pn02/ed0ig3p0HtN9utznqrkC4VQe1xJiL123mRsFEs+qE
vZ1P4xkLM/EhGfdCZ4R2Hittot2ildgbaAoqsnhSTT03KQbla9aRowwcXL4I3l1esmzKy653M3OV
o7fY96tt+2yJg3cdmZGag6agAwRveDi5N5m4qIgudlu71Yaw8tnoV4Jlo6OpJ7I/pqz4VU0K9fh7
bGcszNy2CYX6E++VNl2637N7Wh1ATuEIqCMge0ouLHxalC/exJPxYmct3dVKBXtJ3e3KDwcWTYkX
K64Am5YcQ4uhwSg36BHQrac0rHhIz8qjgVakh7dPD3w9tzPiRkTj9e2VkLby1pA1YtgMHDeeRdyk
J7B5Sgym77kgzU3wDemD8WM8MX3QCCQ99RIGPOYvcdPpCu+NDhpkVUoizrFoPiMV2TnZyM6+ifzN
r7ny2FNiKc3bUOcZiU25hfj+rfaU9wwuaxpCcq/e6z0YiJv5Cdh4QocukZ3xeOBJrNqQh1b+4iPi
TkIk/nl0H5KTk+m3HbS5Ns6Ko8huBM/G1Kt0XQfPsDry0LSZh/An6DzsnDAzTdORjZno+s/cR/PH
hHIcXfUG4ka1wedpFU5liRgwinJuReL6eGxcfZN6DvvQYJsc3LGl1I+7yh9S1OtJ1nAcfRrKH2B4
hf9dGrI3sXY8SPMB9bhq1VltTqSGJ3RGVFA9qd2bYn41XMy8VY/utiFq+ST9jiNXL44yPIDoF1+G
f8oO/JRToioCi3Dv7IyNmTs2oVZ/4v3g2ehe3dMs9DiNI6COgIerO/v8np5K3CpQbuJZcTIO0/Or
UNfbU70UO0plpULLZ0rDotmxuX1Jb6P2oersTiTQXKjfFw2Df/2GiJ68k5IkY8teem3VFOgrK0qn
U9BL7IHvNOlzGqaU/VUaWdQevJrhpS+24P2HPRG/QxzqIDRvNcHAkS9L5/1G9kewyRu9qUUHBd0l
RuIfFs2SSOGEka+hK7oqsFaKYvF80L8pnv10OWGdjhGDbb/mVOLlbr3/qXmwNEfMM+xpBPs0Q+u2
slcU1SnQqhh1m7BK5HBqlDsrKf665GBr7ZuROnIkbqewbNpvaDsiBq1bBKMqkz7ysIzgl2Bv/DHU
69XKbefXGWai+Lo6YrdcPXQa/SL1xnrgQrkBTVq0Ysri1bo3pkZ44v+Gj8BqdMCo/q0lbcx/WPVu
TmN9bDNmKdLSMpCZsoCiW2Hp/nRkpKUhdd0Ypu4+f+5CdZuLBSuPWbOTzlV16BkIUWW1e1PMrIbL
7ULU7YXdhriWT9SvFc0F3blPbE+8EPLkEHTt4KG59/l+2ZkWzJg2odAuqdYf3Q8Pa7qnb9cWP+MI
3GsETB6D9mLaPzOcEn+Db+NTkXVgIbp1mCxlPn/GNCPdCat82rzam+7w5xeedEjJojkktoo4k/sv
pGem4yjNLRJ/uaVAxqZ10uTiM0b6KlD8MlC4jHnRXvj2691OhhUNyMvLQ/6pPKlBPU9fLxbSdZG9
j1j3ccxYPFCWglYQYIaKU/h+3QEUlspMCk9swXf5NzGoVxsp23WjET79PkHBmQL888WWMF6TGZ7a
upahg1x1SrqbZWHRzGmUjqx8OccPWWGdDr09LkoMncQxeYrDQJ6RWLD9LRiPvIW/rs1mcnO33nW+
8kcSTbsEk1tBS4107yWV4+MlOvMabYIpmatEPf59+AROpGzGtP7hNOAciA/HPYY2z44n52E7xr63
RbLj0xvex3snqjB5wkDbXi8XimNhVkF8xBcP8T4oLszA6g9mSMOKDzXw1CALDSsOi5Ek8e4y2jKc
aBaNWe/mRFbHhgHhiIgIQ7uujxAGvgiN7ICwiAhEhDdl6/7gAMRODaN5kp3weUq+xLGiMI3mIF5S
1+HVftLrlNq9KZqlGi6a7cWhDdFoZ/b5SL+FU8OxZmw7fCQtH+KKY3//7EwEXh0zqVrAsgmldol1
P3gy72m5PP6XI3BfEQh45EnBL6SzUFpaquknCBeFr0ZLg2jiK68wJX6bMO9pL6H9zAPk1zgPmcue
lfLR5HPiZBtYNNuU5qvLUtmiHNa/WfuzBRq6cZApa/UIStdfOExrM0jBsE+gt3Uh9ojezFAQ9PuE
jhRnzU88n7n/kqBPnSHomn4glJhTV/4sjEYtoescJ7qbyrHm+eioL4QzlaXCXJLzXeJtHfSpc6j8
J4TJj6rrcMRQqqi7KCc5lwyadUn256x8RIv2ssMlUthVasVDCU8zWZGmztNw4lMqq4eQbOFfLsSN
EcsfKqSZ68/M23Ikflrq3ZLe+uSMMEmsy09TpcjiAzPk8sWyGDZh4aCgn1yP1jooy2fhYT4hXs9Y
2aB3hyHCisOFZqqQt22mTT30jd1roUknCrLYJrC+UpbJfK8cuZxsIwtNPhfeXZ5uYeBMFuPpbyRZ
Ry0/bckj2aczW7JK7XBqOET3rZ3tOSSyjzgnxE3oZoNbc1ObpazDZca92UNg4sKwF2Yb4m4+SdVz
wlcTHrHRz2mbfF/tjIS0K8/WltTbAmftmXL9iaAw7mkJM/7nvw0BrX4OK11OTo7kK5WVlQlXrlwR
EhMThR9++EH48ccfha1bt0q/bdu2CeJPvL5x44ZgMBiE4uJi8h/axwhVN8qRdXQH+QPOg6+v/NWW
vrgQqE/LJZgnZTjPakmR+GptDDv5BUoPv2aZ02EmsmjmNDXyWGlAYUERSstplWvfIAQ2cwO4Gqk4
F/peIFCpz0VWgQFe9Zr9x1ear06yOMPaQO1WblGpw0rzNUkHlo6ifudIP9TzR/MgedkWVnpntJqC
S02R0xnenH5vEdDr73QSNy0xXVKCRo0awcPDQ5pTmpSUZDk379xjPpJDi969e+PmzZsop2e/p85D
55aGtct2oW+fvYjdtRLd/bSzOE1DioOWGLHw+IsOzhaLpr2EapqS1t4KCKQ1rKqpeFysmoWAuKVP
mPzu8x8XvDrJ4gyMerSmXhj97ENN0sFedutrUb8QBf2s07hyXlNwqSlyuoI9T/vHQ4DWJaAJsS58
pWiBoLwMKSfzcVnj+lvmfPVb9sPun/V4o6O8LKQ5XjyyaNbp+DlHgCPAEeAIcAQ4AhyBmoQAbXTn
nrh1H32TJqK/6XLmgM79VXt5WDSXC+IZOAIcAY4AR4AjwBHgCFQTBKQermoiCxeDI8AR4AhwBDgC
HAGOwB8SAQ9xUpf444EjwBHgCHAEOAIcAY4AR+DeIODp1vyteyPLH5+roRiZuedobcL68PcLgl9D
5fX2//hA/DE1NBTn0Rdw9BVqw2YIDLg9o72K4k+dK4U4sTck6HZ8TUNBTT939ahOuFQnWZzhqVYP
NUkHlo5q+rHysGg1BZeaIicLa05jI0DfNbo3aV7IXytNtp+SfIVdwj2llmB+BC1SOeugaimGX5dI
cr68wrxgZgk+pjyio+n4i8Ke3/cjUlfLgTYr5TLKjsVSfGuszTMv812CxdHezPLNgp1e/y509f0R
Ht4R4aGh8G80G8XQY/4z3qjb13YF9dQv+lI5A3DEtJWNow4iV5buLJpZIqUjKx/Runvb4RKF3WV6
Bp4RmPAoTRNUwVrMq8iTvtytOPmZXb7WmLTwoO0egkoqmOKUMWNkuCNSEZa9Eo36/kFUv+EIatYQ
LUw2eX5vLLzE+I4dERrcEP0+SqKSCEtGvR8t2Y/+NjbYE3/bJK4iTqEs2T37dDefVKi6fhJZ6U9F
so0OXkH9sUhalFNOrIYL697cTXbhLCjWu50sOp0VnsRQTRbRNhuM2mBjc5eS3iG77In9Feq260xG
9+nq9aCqA7czxfvPbTtj2pJKGynZLattVbfBuYFekJ6xN3ZJ9/2sw7QodtVhOqe2V8P94L6t8Zz3
AgF5uXI3Js7rHu6LPSvX4YVH/3Qv5NLM07LRvUqOtC0rJcp3a3eZVphvhHGbM5FBK2efOrpc2s5l
/FLaKoWuM35OwOMtorDj3AUUZ22UaBPXpaOoqADvdHnQVEIOxr3yrWW1+ivXNAzHVmVg+vD56Pvp
AdA6mhCM5bSB99u0VjZwg/Jf37kQOyxO3Cms+XIPUa7hmricNQVHHeR4lu4smpxb+S8rn7jXWYOX
1qOgtAgFBQX0246uPr4MPDdjZuIvqlh3pe04FXkSMEZpf7hIrM0oRFHBKWz76hkseLMbPjlapiy4
XawaZnbJ7sKlAatfaIHxS2uRrMXS8Hx50W/YPi4cwvlNiH5yNgYtOAAj1Xvunjn4aWYMpuwpdVrv
4rYxb6z5BaVFuUj8WyPMGDwS+8UG1ucx9+zT3Xxk6Ur67Xg+3Cl2FxBkqb+NE2pjYu9ALEqnPRnV
cNklMGwpAV3FG8ZJUKt3NTxZsvQa2RPla1fiuGUPz0psX7EIdXqPQRR9ZK1mu05EdJOsXA/czoD7
bWdqtiRWLMsm1NpWVRukdkIMP6Xk4nruSdoE/hZSD+TSRgaX6VW9ARo47mgnped/qi8CksOlwWWw
06AI6+d+iM+X/R3PRkahR8QALE3T9iA8v32W1HMxZdNZO57k5TNoDok1ReQi4ZtUeLXWSRtXJ5l2
H/IPDEFYSAhC2odKW000faQ9Auk6LDyQ1garJ22u3bi5vNWLz0PB8KN1bXytRv+u7/wL5rrSs1d5
WdpcV1d2Vd6ChNbk8mvmR+e3UFv6TDQHKxLSJY3Kjm3Al7QHpLgJhnw/KeugSf17kCgokNYS8/VD
QEAA/eSFFVl4tmRifUuSUImnWfSAoKbwCwjB068Olhzg60Zz76I5hdLxDjCrykXc7PnItDxklfjf
jqvM3oAxq4yY+MM6jAhrLBHq+YUiPMgHJ+OXSFszzZv4hFTvgTFTsWqMNxbMTDTtwqle72Kj7hsY
BF+/QPTo3u52gW7bp3t2raZfWCh5y06DLxoHy/U38L14rBrshfcWJavjMns9GjDtxVmB6vWuhqdq
HZEswQNGUoFbsXHvBbngin8hblUVnh/Xm2rBue0ypeV2ZgNPTbIzNVsyK8Rqz8xprI+qNjhzJ9r+
TxNKasSZjBQpy6HfTuN83gnavL0XQvna2dYw1ohzaUiRXstdENaAZUObY/j0rYj6y2dY++1ENDix
Hac1rsd1Me+obDi/XHQok0VzSKwhojJ7JzkvHbA+MZk2P07Bmt32Tp5R2i9RUHmIizcWPKw2C6Re
F9qSCHHT2iO251xyouqQw6Qh1O2B9z/ujB2xT+OBbm9jf664Q50cbtBCaLUjaePZKf9AAUXtW7bE
RJFKh3MdTMnv0yEnbS9SaL/KlJQ9tBddvl2pLDzVaSyeV0W7qizA4rF96A3vr3g12tzTaFe01eUd
YVaejblzFuG8qXfRiq3iqeGiONQXiSExDznQjTeoRps0kXoyZaIXQttGovLsJVylCFa9i3vOXTj9
b2SlrsDAbnPRd86X6G7Xw+OufbqSj6Wfg8JKEZbXetI9Kgrl26nH+AbtUqGES36RdD/KbNTtRakY
MY5V72p4qtYRyXKjxVOYGuiJr9fuloq8dCSB9pGMwPDeLS0isGzXkkjphNuZTftZk+xMzZbM1eyq
TbBs0NO3EbJ2bMJPu4wY8spzMOw4jF+zLsKznV1jYC6cH6s1Ah4eOk8SUPuYYsXJxRifUInYI8fx
4fAYdIoZim4PyyOTWjTt8NpWGk4rwr6ZjzkkZ9EcEmuISE+g4cQmQ/FUu2gMHeyJTSu2WoYCNWR3
TEJdTpVFvhg8bSH1tnyCGfFpqN1UB7nj1zG5dUzM1ENIi49F2MEv0SO4Hp77LInmhtCqHOQDvjlp
KbrT9sSrEuOxZEkTzIubQlllh+uu62AtlIvntR/QwbB5GsaO+l+MHfsURs/Zpkl3VjFsnscxwJ/m
23k3x+urBiG5dC6asZiZaHeEGW2sDjTUUIopiXcd+UTNQbt43WYOEHQ051HwhoeTehcb9bgXOiO0
81hps+gWrcQ3XSfBXftk5bPRrwTLRkdTj1t/TFnxqxNhFMiku3CrDmqJJAVcRJpVR7ICA3YUq96Z
eKrI4knW9tykGJSvWUfOPnBw+SJ4d3nJsgk323bZsoLbmW37WYPsjGVLbtuEig226dIdVeeycTDV
gL7DhqFb4S6sXP8j2j4X5Uor5cQYOfl+IeDhUYucLRd6uIryxYZ2Ml7srGVIQUkNL9Nwmqs0pfSs
uAJsWnIMLYYGo9ygR0C3ntKw4iFxHsydhCI9vH164Ou5nRE3Ihqvb6+EtJW3Bp4Rw2bguPEs4iY9
gc1TYjB9zwWIHQC+IX0wfownpg8agaSnXsKAx/wlbjpd4b3RQYOsSknE+QnNZ6QiOycb2dk3kb/5
tTu+6dk8I7EptxDfv9WexDmDy5qG+dyr99SPu8qT9Ov1pJKOo09D+aMKr/C/S8PBSnhIcdJcMz2u
WnWEmtMar+vgGWbnRAg051FnRAXddmr1LuYX3e2Z+2i+k1COo6veQNyoNvg87XbPqLkMh6O79qmW
T9LvOHL14lDuA4h+8WX4p+zATzklDkVrifBsTAMkKrjoPOycUy0MLWnY9a6GpzNZIgaMohK2InF9
PDauvkm9DH1oOFEObNu1CGZzwu1Mpf2sMXbGvjfdsQmWDXo2CsTN/ARsPKFDl8jOeDzwJFZtyEMr
f9Ht46GmIeBx6yYNJwrae7h+T08lHStQbtK04mQcpudXoa632FOmLVRWKjydTFlZNFXu1GNgH6rO
7kQCzYX6fdEw+NdviOjJOylJMrbstR9WtM9pvqYvlOhUp6CX6CR1mvQ5DVOaevZMnRzmnMyjVzO8
9MUWvP+wJ+J3iMNRhOatJhg48mXpvN/I/gg2vebf1KKDgu4SI/EPi2ZJpHDCyNfQFV0VWCtFsXg+
6N8Uz366nLBOx4jBtl9zKvFyt97bjFmKtLQMZKYsILatsHR/OjLS0pC6bgzTqfT5cxfq7czFgpXH
HMRp0qIVqjLpgwzLtLMS7I0/hno9A1GHbju1ehcZiQ6CTkxEj/dOo1+kHlAPXCi39jjdtU/X8on6
taIe8J37RFv1QsiTQ9C1g4fmnk2pI4dyAqewbNpvaDsiBq1bBCvj0qsVE2uJjcofZ/WuhqdqHZlk
8WrdG1MjPPF/w0dgNTpgVP/WNhKwbNcmoemC2xlNLCcs7NvPmmJnYjWq2ZKpisG0CYW2lWWDDzcP
luaueoY9jWCfZmjdVn5WR3UKNBfHjzUIAY9bgjj5U7vD1f6Z4ZT+G3wbn4qsAwvRrcNkSd3zZ0wz
0p0on0+bV3tTK/z8wpMOKVk0h8RWEWdy/4X0zHQcpblF4i+XxvgyNq2TJiyfMcoLuwrCZcyL9sK3
X+92MqxoQF5eHvJP5Uk31nn6erGQrovsfcS6j2PG4oGyFPSlLjNUnML36w6gsFRmUnhiC77Lv4lB
vdpI2a4bjfDp9wkKzhTgny+2hPGazPDU1rUMHWRnT0l3sywsmjmN0pGVL+f4ISus06G3x0WJoZM4
Jk9xqM4zEgu2vwXjkbfw17XZTG7u1nvDgHBERIShXddHqIHzRWhkB4RFRCAivCl7mOvBAYidGkZz
8Drh85R8SbaKwjSa33YJbZ4dT7y2Y+x7WySbO73hfbx3ogqTX+0nuepq9S6qLDr7ou0VF2Zg9Qcz
pGHFhxqILzXu2qeb+Ui/hVPDsWZsO3wkLetwXXpgaht01ePfh0/gRMpmTOsfToPmgfhw3GPquEwY
yMZaQlf5D6vexX5BNTxV68giCw0rDouRCvXuMtoynGiWgmm75kRWR25nJjDs288aYmei9Gq2ZK5m
lk0ota0sG/T0lT/eatolmF69aAmk7r2kYny8HDsZzOXzYzVGIODRPoJfyONCaWmppp8gXBS+Gi0N
oomv38KU+G3CvKe9hPYzD9CC9c5D5rJnpXw0+Zw42QYWzTal+eqyVLYoh/Vv1v5sYV4HTweZslaP
oHT9hcO0NoMUDPsE6jkQYo/ozQwFQb9P6Ehx1vzE85n7Lwn61BmCrukHQok5deXPwmjUErrOcaK7
qRxrno+O+kI4U1kqzCU53yXe1kGfOofKf0KY/Ki6DkcMpYq6i3KSc8mgWZdkf87KR7RoLztcIoVd
pVY8lPA0kxVp6jwNJz6lsnoIyRb+5ULcGLH8oUKauf7MvC1H4qel3i3pFU4Mh8gm7PRSSGYbdU6I
m9DNBpvmpvshb9tMm/i+sXsp62VGvfcQjlxOFp6xscFI4d3l6XKR7tqnu/mkUs8JX014xEYPp/c7
1be1Dt4dhggrDhdaYFPGxUIWBEV7saLbnLLrnYkn8XEmi/H0N5Luo5aftipV3XatEqmfcjsTBIf2
s7rbGVWnnV3TBzO3702x3VVtI4lGz0nrZ4D5uSIaiboNnhEmic+YT1MlWyo+MIN4ULuo2gZKyfgf
FQS0+jmsdDk5OZKvVFZWJly5ckVITEwUfvjhB+HHH38Utm7dKv22bdsmiD/x+saNG4LBYBCKi4sF
XUCHPkJlxTVkHdlG9e88+PrKX0foiwuB+rRcgnlCg/OslhSJr9bGsJNfoPTwa5b5EGYii2ZOUyOP
lQYUFhShtJxWIvcNQmAzN4CrkYr/9whtoHsit6jUYaX5Sn0usgoM8KrXrIavNF+Ic6Qf6vmjeZC8
JMid1G51wqU6yeIMU25nzhCypdeUuq0pctqiW7Ou9Po7ncRNy1aXlKBRo0bw8KBFHmhR76SkJMu5
eC0G85H8PvTu3Rs3b95EOT37dQGP9haqKsppEVDXHK6K7JXoO2QvYnetRHc/7aCfpiHFkGGLsJBW
E3yjI60eaBVYNKtk/JQjwBHgCHAEOAIcAY6ASwj8px0umghEc5xMi/i5JHl5GVJO5uOyxvW3zLzr
t+yH3T/rHZwtkc6imfPzI0eAI8AR4AhwBDgCHIGahoCnNPvJDanrPvomfbL+pss5Azr3R4BKLhZN
JQuP5ghwBDgCHAGOAEeAI1DtEXB78+pqrxkXkCPAEeAIcAQ4AhwBjkA1QUBaW0Cc2MUDR4AjwBHg
CHAEOAIcAY7AvUFAcrjMM+rvTRGcK0eAI8AR4AhwBDgCHIH/bgQkh8uVhU//u+Hi2nMEOAIcAY4A
R4AjwBFwHQHZ4eIjiq4jx3NwBDgCHAGOAEeAI8AR0IiA7HDpuMelES+ejCPAEeAIcAQ4AhwBjoDL
CJDDZRpVdDkrz8AR4AhwBDgCHAGOAEeAI6AFAfK2eO+WFqB4Go4AR4AjwBHgCHAEOALuIuBBq5e6
m5fn4whwBDgCHAGOAEeAI8AR0ICAuPuihmQ8CUeAI8AR4AhwBDgCHAGOgLsI8Alc7iLH83EEOAIc
AY4AR4AjwBHQiIDkcPGV5jWixZNxBDgCHAGOAEeAI8ARcAMBadK8Tsc7utzAjmfhCHAEOAIcAY4A
R4AjoAkB7mlpgokn4ghwBDgCHAGOAEeAI+A+AqZJ8/xLRfch5Dk5AhwBjgBHgCPAEeAIsBHgPVxs
fDiVI8AR4AhwBDgCHAGOwB0jwB2uO4aQM+AIcAQ4AhwBjgBHgCPARuCuOVyF6fux+8hpdmmcyhHg
CHAEOAIcAY4AR+C/EIE7crgqDQYJsktJ76BZxx7YUsgXUWXakKEYmZnpyMzKQnFpJTMpJ3IERAQM
xXlkM5nIK9TfNUDuBc+7JtwfjBHH+g9WoVwdjsAdIOC2w3XpYCy869dHx6FD0CVmPmJ3F2LBc63v
QBR3spZgfoQXHpl1UDWz4dcltJi+Di+vyDalKcHHlEeMc/xFYc/v+xGpq+VAm5VyGWXHYim+Ndbm
VVl4LY72ZpZvFuz0+nehq++P8PCOCA8NhX+j2SiGHvOf8Ubdvl+i1JyQjqlf9KVyBuDI/7P3LYA1
HVv/vxNJVOhNaBOVoAnK14oSaVEVVLUUH25VS/+X0mq136WlpdSj2istt+pRVEujVVUEpfGIZxBR
JK6ENnqLPKSVIKk8kBNOsP9r9j7n5Dz2nrPPiUfUDCd79qyZNWv9Zs3s2TOzZ5T+LJx1YJF5uvNo
Nhk5eXnpiNbR1wGXR7CjpJiDZwRea+ntkMaCu5JWlSf1LcqOfOqQrgnemvcT9HZT1TFzUtgcUIhp
oT4Ym3geuLxdLv/J+y8BV/aTX9sm3k/K5Oj+CNbv+oh06Iw91r4SD19H2fKxeHgUagaFkc2EIyyk
NhowOy9J1LRP15ip81Ts2l5OZtctJ2/l2mdymWK/jvVo7PZzpAxPVw1bIpxyVr8il/vMAyUKIFcO
YbDBm2TZ5QiQ6r1auXPrbVkietrUd5+wnpifkKPKWy1QLT8lnvtY89olVs+06oqaXCJMICAQqHoI
mDtcbo5MlaUievx+zIz9FuEHszH5t2uY+GS9W6LdZRe5pq7/Vo6xbMV2KP2XOnh53VGkHzuGY8nf
oDW8MGxRErLpPv2XNXiswSPYcuoMCo7/INNGrkxDfn4u3ml3jzmnTLw8/CszL+D8RR1feF5Jx4QX
ZqPbjL0opbMrJVMp8k+9jQDieJnSX9o2D1usnbhjWP5ZAlEu4qJJydJZByWcpzuPpqRW/8tLd/mC
hFqvrEJuUT5yc3Pptxnt/QM4eK7DpLhfNbFu70/6q/EkYEwm6vAgEivS85Cfewzxn/fA3Dc74JNk
84NYXXxrqBZm1ggqnq1J2biUfQSpuIaUvdk0vHSOusS1UPNedZt4u11jju5r0KYWs42Ldjnx8K2I
aMR3LzUgu6xG+hfQcacSSvN/w+aXwwH/RzXtk48Zh6ecsb2cFrvm2ecFss/LpyU0GLEK+VabyMXE
x5W6wtNVq9zv7/8vTGnljTGPfYhckmvz2D74Dt2x8L0nKuDh+LTLXbvenkGY1c5+eK06RnYNxfy0
ytiZ+1hTzeLaEq+ucOAQJIGAQKAKIeDZ4dU16uOJZxsjYfpnOFqnFr5+tScWpeproE5vniy/wY5d
+7sTDDyaU2RdAdlY82UKfJoYqFMTi10FSqKg0KZo3rQpmrZoRs0cUO/hFgil++bhofCjf4Ehgbi3
/j0yzf++RggMDEaAT0WGl7b9H6ax0RC9rvwc8imuoeQCZDY+Sh4+9GCvDtbZzcSSNWkyt5KDq/HZ
yavkrwVfOURdB5l0C/6EhYYiOCAQwcHB9AsktAAeng25WF+TNVDjaVEtOKweAoOb4pnX+8kd4Esm
y+iiJYba1V3M6qDV3+sSIxOy0pNkhvt+O4HTJw8jC0+gWQ1tm+DpXkPmROXIjEx2d1F5w24000yw
u5RnrMbgpSaM3LASA5rfK9P8ApshPIx6qDrsUw0zPk+77O1uuPZpftcIqBuKQKtNUF1hRqHDqZd7
CCYvn0+pZ6N3z57oMScXI39YgHa6ePLLXbveBuDeRoqd9X4vFkv7+eC9+Yk6NFDPz1OsebbkR20F
c+qY6RBVRBEICARuOQIeTCkasbh/ffR9Ox6Ro2bgi09fRq2kLThRqudBCJw9mSwrve/Xs07K82hO
kXUElGdso85LK6yKS8RzSMLyHY6dPJM8/iBpPMTld34vm0ksGnXxCf8AMeNbILrzNOpEKQ9Ql6LU
6IQp09tiS/QzuLvD29iTXWZNchkSqkcasG3s1/Ib/e7FC800ZcTBtQ5WVjfFk5m6E0nJyUhKSsCe
1ByHPHl4atN4PC8wuyrPxYKhT9HI07t4Pcoy0uiQtc2tJ5jdHVAbx7esxdbtJjw3/FkYt+zHf4+f
hfdDbByywjnZhJWkpV8i1i6Jw48//ogf477HvsPXUNuaRt1jPMs+PonEc13uU49gDtWSRQ0zvTwd
M3Rlnyx+1m/7zDaRhISkNBTbVBlHfrb3WuVe7cHhSHi3PVLj4+HXdwGmP9vQNpmmX7Pc9dRb63Cc
D5o98ghKN9PItmZOCkErP0+xrshOy5bo1Yxb/yo4CJ9AQCBQ9RDwVkTSMS1mlr3syAIMW1OO6AOH
MLEte+M2osP9w2jFhj7X6o1NyO9djAAaRXJ0PJpjXD33aWu+Ber2x9MPRcHUzxsvLdkE48A35FEZ
Pemd4tCQU3l+APqNn4cF07tgYmxPRNQzuByxYHy6jNuH1LCPMOyF99Gp0Wz8fcZOxI6JgER9wDen
LkLy4OFYGtcZSQvrYlbMQLw9bKec/XXXwUkp/QHV7zbAuG48hh5pTMN12ShvMR+H173hsgPBy0GL
p/ImcAi9gixDi/2RWDQNITxmZponmDVu2wlXvsnAT6VGdJ85BPkLZ+DbVefw4LPLKqUfE+mHL2Yj
WZ5eBPbQSEV7V9XN9y5FEzalrGtkR4mu/FXHrMRDnq7sk5Vf6fejMHQ/2QS5zKzWVE6r0NG+n6qI
ZvNXq9wtndEGLVgnax+a1AnRDYFWubOhYrfqreE8pGt3KaPRNjI7erXzq0z5OeZSce8Ks4qYwicQ
EAhURQTMO80bdMuWn/NfijsaQ+TOlu5kNhF95Ck7y2PUhkBeHs0+puu7XKxdeBAN+jdCqbEYwR06
y9OK+4pdp+TGyC+Gr38nfDGtLWIGROGfm8vR0NUD1Mww4vmJOGT6HTFvPY51Y7tgQsIZsBfrgKZP
Ydhgb0zoOwC7nn4FvR4NklMYDHk3RgeugtpEtu6m/sQUZGRmICPjKnIq2dliOfF5RmJtdh5+HNWC
YmbhnPkjAm0JGcWzcve7JxRXc9bgh8MGtItsi8dCj2Dp6pNoHGSdD+Rnq0mNxPfJu5GYmEi/zZhF
65N+d1Xd5PVrxbigc6TIPmsNzDzkybNPli8rvxYWmyC7kCTXnS1LOk1booXyEwatktX6+es+mH+0
YkRYDlT946Lc3ay33veqZmITyMnPQ6xtmKt6+XVFNYkIFAgIBKoQAvJAgqv231beP9JS6LYMpebA
siMxmJBzBTV8zYNltpE1/OXl2k8SHk2DHSApq51s6Vd+34Y1tBbqj/nPI6hmbUSN3kbkRKzf6Tit
aJvK1u8rr+EyqOjFHkJt3ppJ05TKOAzNLOp3PiF4Zc56TLnfG7FbTsjpyq7VRe+Br8r+7gN7opG5
N3pVjw4quluF4dGskVQ8nHS13dFVhbVaEI/nPUH10GfGN4R1Ggb0s/+aU42Xp+X+t/qN5DVi3s2f
QSP/EDR5UKkVj7QJtclG2yZsIjl5TcrsMIVfkjvYllEcp4jmAP//aUeyZGPutwe1olC4tixqmPF5
sg8UaK2ZtRrZT5Vr2adVOIP56w5rgI3HA1va+9FIrEE/HCrOxrhQb7wzbJHLUWQ95c6rtxW6H8Pi
8b/hwQFduCObvPwqg7UNcqpeXl1RTSACBQICgSqDgNxj0DlAIwvdoscLdP0SX8Wm4PjeeejQarQc
fjrLvCLdhWo5q0dSw+6Lf8w74hSTR3OKbBOQlf0fpNH+Vsm0toj9souA9LUraSn6KGSZ6KtA9mWg
dA6zonzw1Rc7rF8Y2rCw8Rpx8uRJ5Bw7Ka/vOk1fL+bRfb5jH7HGY5i4oLeSjj2veK7sGH5cuRd5
5r238g6vx7Kcq+j7xANyqksmE/y7f4LcrFx8P6QhTBcVhsc2reDooHT21HS3iMKjWeKoXXnpMg/t
s8Fa/3odtXwsYVye7FnuHYm5m0fBdGAU3l2RYUmmevW03A0BykcS9do1oiks2mqk4xMyf38f1gvR
aROqEnkQeE8vRI9rTuv62mBmUo7MoCwvldbM/alPFjXMODxr1WIjqolYvEzp4BUfXoa3D19Bn14P
ynlr2adJx5uau7YknV6LIR8cwIvffIjW/qEY88Wbcrl/vPGMLIvWH165l9nKqVpvi/Hz/sM4nLQO
43uGYxFC8eHLj2plJYfz8jN6gHXfXuHc/CxEbl2xRBJXgYBAoGoiENyqqxTU7DGpqKhI10+Szkqf
D5In0Vg/TRobGy/NesZHajFpL/VrXLuji/vI6WjxOXGydzyafUzL3Tk5byaH7W/yngyJpm6cZDr+
3QCK11PaT3szyM64W+oILyn6QLGFoSQV75Zoqwg7foz3pD1/SsUpEyVDvQ+kQkvs8l+kQagmtZ/q
QndzPrYytnxxjpRVXiRNIznHEG9bV5wylfJ/XBrdUluHA8YiVd2ZnNS55NBsc3L089IRLcrHAZdI
aXuRDQ81PC1kVZo2T+PhGZRXJynRyr9UihnM8u8vpVrKz8LbeiV+esrdGt/WkyW9xcpyRoocWLB3
opI/y4tjE1YOKvop5Wirg7p8Vh52nlNSzGsd7PCuz+oYRxbXmGnwlExS/JSn7fJ6eMQqqVTi2Wcn
SbZBsgn1uk+6Urtga/OWeiTbp4YtxQ73lbyCx0tZViwUPvZhVqLZo46rpb4nJE3SrrdUbj1s6rtv
q+ekJfvzHDNwuOfnp7Qv7mJtk4WKLfEws0kpvAIBgQAHAb39HF68zMxMua9UUlIinT9/XoqLi5M2
bNggbdy4Udq0aZP8i4+Pl9iP3V++fFkyGo1SQUGBZGAdritlpTh2IJ7aQ9cuIEBZDVtckAfU1P8J
uC3nuNer4/kjc1C033kBO49my+O285cbkZebj6LSUtQMCENoiNuroW87lYXAlUfASPUsO78INWuH
IDTYxUp0ndlp8WThpygv3+uYl06R/rLRBNZ/2aIVit2GCBQXV3YRN23pXFiIOnXqwMuLLYE3YNeu
XVY/u2fOcqW+H7p27YqrV6+ilJ79+hdeOYAbQHtTeeJO0JRi34UmzDs0xOnrIx7Nk7yqVBraeys4
lPawqlJCCWGqOgJ+VM+ae1jXtHTT4snCm17nvLRkuFPCBdZ3SkkLPQUCrhGQv1K0XeLgOknlYtRs
2B07finGiNbKtpC23Hg023jCLxAQCAgEBAICAYGAQOB2QsAbEvW5vG5elyu4bU/NUR4e7XYCVcgq
EBAICAQEAgIBgYBAwBYBLy95ztG8vYEtRfgFAgIBgYBAQCAgEBAICASuCwLKthDStUozy0vbgx0H
lH2lKs1MMBAICAQEAgIBgYBAQCDwF0LA6xquyvtUeaJTuVHZ+vvPXe8gpHUnrM+7eVOTnsh7y9MY
C3CU9gs7evw4Csx7ct1ymYQAVRoBY8FJspmjOJlX+a9rLIreCJ4W3rfzVQuXK6wM0tJwPPv6lcGt
wElLv8rIciN4VkYerbQ8OXk0LX43Mpztubfq88+x46T9CQtXCtIpfDamTZuFpfGHYdkasuzkHnw+
P87l2Z+eyVyO43Rubio7//fKMSyd9TkSjp72jJVIxbZK96yT9OdP0fCtWROt+z+Hdl1mI3pHHuY+
2+QmQ1qI2RG0SeXknzTzNf53ofyJ5qtLLBtmFmI6pWGfbTr/HkHCH3sQaajmRJucdA4lB6MpvAlW
nLQc1F2IBVG+3Pwtgp1YNQaGmkEID2+N8GbNEFTnfRSgGLN7+KJGN/sd1FPmdKN8euGA+SgbZx0Y
V57uPJpFIrUrLx3ROvo64PIIdpQUc/CMwGstvR3SWHBX0qrypOda2ZFPHdI1wVvzfrI2MmrS24ap
Y2Ybw9ZfiGmhPhibeJ7Oqtkul//k/bT57JX95Ne2ifeTMjm6P4L1uz4iHTpjj/U5zcPXVh7mz8fi
4VGoGRRGNhOOsJDaaMDsvCRR0z5dY6bOU7FrezmZXbecvJVrn8lliv061qOx28+R/DxdNWyJcMpZ
/Ypc7jMPlCiA0DE/gw3eJMsu5f6G/FXHhWV1emc0fFgZtG6NZo1qo/tHTA6Sn1Nvkwv3oKddG9IZ
H681j/5zyo/bvniaTsZLWz+ZzPmjXY/UefJsidfusnZEqy3giGcluSunklBdB7l81do6sk+tMmJ1
hauftQ2wiqziKcSqcd3hFxKJF0bMxm9FbAdjxV05vRFPBrWk8O9xKPU7vPLuVuvpC8d+HIcRI/vi
oK48LBz1Xi9gecfueOLzA3QgaSn2zX8LXcOD4df9Qxw1P5/0chLxwDpcbG9CN11ZKqLH78fM2G8R
fjAbk3+7holP1nOTyfWJzo7r4LnU9d/K5GUrtpt3mK+Dl9cdRTrtIH8s+Rv5OJdhi5KQTffpv6zB
Yw0ewZZTZ1Bw/AeZNnJlGvLzc/FOu3vM2WTi5eFfWXerP39RB35X0jHhhdnoNmMvaB9NSKZS5J96
GwHE8TKlv7RtHrZYO3HHsPyzBKJcxEVzfXPWQRGFpzuPZlZE9cJLx85yq/XKKuQW5SM3N5d+m9He
P4CD5zpMivtVE+v2dPa5Kk8CxiSfRxeJFel5yM89hvjPe2Dumx3wSbL5QawqfUWgFmYVMZx9W5Oy
cSn7CFLpgOmUvdm0wfw56hLXQs171W3i7XaNObqvQRv5wGrruT5yhjx8KyQy4ruXGmDYomqkf4E8
Al2a/xs2v0y7kfs/qmmffMw4POWM7eW02DXPPi+QfV4+LaHBiFXIt9pELiY+rtQVnq5a5X5//39h
Cp03OeaxD+lUTGDz2D74Dt2x8L0nKuC5rj5tXNiu91FPvo++c/fCRPU2O2Eqtk7qgrEJRS7rLUNz
xPJfUZSfjbiP62Biv4FKx5tTfopaGu2Lp+mopVKzpS3/0LezvXo9Uucp26eshLMtUcvBrSu8tkBP
cbsvJ18HLfvUKiOX+rHGnusKsbj/fXjhE2+sSM2jOp+BERHUQJpd6qL3sD/8fZyV/oM1q9NQnj4O
QWZaq1H7UVpYip4u87Bwc+d6F/xbAffXoBM3arTGl1lXYMzdjzfzoxFe8w0ctQyzucPyDo7rRSXr
/hhXjfp44tnGSJj+GY7WqYWvX+2JRan6HoSnN0+W32DHrv3dCXYezSmyroBsrPkyBT5NDPLB1bvM
pw8FhTZF86ZN0bRFM/m8xHoPt0Ao3TcPD6W9wfzkw7Xvra8c9eJ/XyME0t5EAT4VGV7a9n+YxkZD
9Lryc/Jwr6HkAh0aQ4725AoMCST/NVSX0c/EkjVpMreSg6vxGZ0BKZ9tJ4eo6yCTbsGfsFDaSywg
EMHBwfQLlPdS4+HZkIu1snZQjadFteCweggMbopnXu8nd4AvmSyji5YYald3MauDVn+vS4xMyEpP
khnu++0ETp88TEdmP4FmNbRtgqe7svEJnVFYyyKjckYhnTzFdeUZqzF4qQkjN6zEgOb3ynH9Apsh
PIw1wNqyWJiqYcbnaUnpfOXap/ldI6BuKAKtNqF/M2T1cg/B5OXzSZDZ6N2zJ3rMycXIHxagnd59
gq9kI+b92brfvnm4HIldKB+tNWvk43K9De0yDksH+2LupDjzKara9ZZ1OQJCwxAQGIpOHR+yAdZ1
+am3L56l09KvebOKh7mNcA5e9XqkxVOxTwcWNre8uuJHbSFz6jZhw0TV676cenTgyaJWRnz9VAW3
Bv769csYtqYcS377EQMi6lnD2bFieSeP49jpEtzX9iEY82h6m5akFLOOTtl+DG7dCJ06dUK/99dZ
R7xYYjaj0jisJ5ZaDn4vOYDhEa0x0nI0Gh03t2D4M/Kz2ECj+JNX/GqTZyHiZ7+JyCbV0KTJ3fIx
X3fbjCvUCG6H6SlpGISv0HbIMt2zDjYZ3LFeZdG8W+obqSdeH33fjkfkqBn44tOXUStpC06U6nkQ
AmdPJsu57fv1rFOuPJpTZB0B5RnbqPPSCqviEunw4yQs3+HYyTPJ5yVKGg9x1mjCy6YLT6MudCQR
Ysa3QHTnadSJsj/kV1OkGp0wZXpbbIl+Bnd3eBt72Hy42V2mEcbqkQY6N+9r+Y1+9+KFZoqcO1zr
YOF0c66ZqTuRROdVJtG8/p7UHIdMeXhq03g8LzC7Ks/FgqFP0cjTu3g9yjLS6JC1za0nmN0dUBvH
t6zF1u0mPDf8WRi37Md/j5+F90P2r41ONmHNV0u/RKxdEocff/wRP8Z9j32Hr3EPRWbsjGfZ9FMk
nutyn5W7mkdLFjXM9PJ0zMeVfbL4Wb/tM9tEEhKS9J+vqVXu1R4cjoR32yM1Ph5+fRdg+rMNHcXS
vi/NwLSp83G6YjZGOy5ReLiYLtMYW9268ki0wsQHzR6MRPnvf+ICBfDqLetjnznxM46nLEHvDtPQ
bepn6GhvSnLb40n74lTunHaJp5+ik/ZfrXpUGZ5Kblp1BdCyCW0pqXnQaOd5cvJolrxUZeFgbUnH
XtxYGWk9VyriWXyF2LokHneP2IyXmjnsRV5yEP8b9iAGL/wDfyx+npYW0PQ2LUn5nA1weDfES+/P
x7Aed2HrDxl2HZ8Hnh+NQQHb8FL4G0gtycPs/+2ImPxuGD+QLfuhpTD9WuCfi+piU/oxJC1uhegX
m2PRcfYML0fc6IfR8+15eHLcRny/5HvqWFXDBYNFVvPVOxz/jnsJpctXIl1MLTqAo33LFthoU1Uo
ZUcWyD3x6AOHMLEte0syosP9w6gI9blWb2xCfu9iBNAIj6Pj0Rzj6rlPW/MtNZj98fRDUTD188ZL
SzbBOND5OCE9vOQ4NKpanh+AfuPnYcH0LpgY2xMR9Qx2bxZavLqM24fUsI8w7IX30anRbPx9xk7E
jomARH3AN6cuQvLg4Vga1xlJC+tiVsxAvD1sp8zquuugJaCO8Op3G2BcNx5DjzSmpX/ZKG8xH4fX
veGyA8FjrcVTfhPAIfQKsgwt9kdi0TSE8JiZaZ5g1rhtJ1z5JgM/lRrRfeYQ5C+cgW9XncODzy6r
lH5MpB++mI1keXoR2ENv8u1t3hZV1fG9SwlmnQa9IztWRuqYlXjI05V9svIr/X4Uhu4nmyCXmdWa
ymmVU+fCKp7Zo1Xutc30Bi1YJ2sfmtQJcQ8CX3bYuIWLmRnv4gqXs5fsHmQw0Mi25AsvF/WWdbhi
XmqLGHPewxqzEVQXztP2hZfOTj+athrUB0tz/oY2L3+KGUMe5AqkVY9gx5PLwi2iK5vQYuaRnC50
0JLFi4e1loAuw0uQk0TtQn/bkS1zIv9OOCRdxd4PW2DghS/xx6eP23Dzx5N9Q3DlyD4MHk8TJzYU
UEv5we4dOBrQBZEB9BxET2zPV9rP8owN+Ofmcgz7Zhw6BwfB1Pv/8BqWYP6qNAwdkIq+NKo8ZsNp
fNKLvfAZsa8VHV9jx1u5qX1/KHmO4JxH7ZQKwzsgiJ5rtIjZDUXzc/5LsUdjiNzZciOhNaqPeTrN
GmDj4dFsouny5mLtwoNo0L8RSo3FCO7QWZ5W3FesK7F2pPxi+FIl+GIaNaYDomTDlY/y1k5hpUQ8
PxGHTL8j5q3HsW5sF0xIOAO2ziWg6VMYNtgbE/oOwK6nX0GvR5XZeYMh78boYJXIPQ9b11B/Ygoy
MjOQkXEVOZXsbLHc+TwjsTY7Dz+OakExs3BO15uUZ+Xud08oruaswQ+HDWgX2RaPhR7B0tUn0TjI
Oh/oHljW2JH4Pnk3EhMT6bcZdLg2fndV4egtGrR67ILN4KqVnUuPBmYe8uTZJxOFlV8Li02QXUiS
686WJZ2mLdFC+QmDVsma/vx1H8y3TIvIIep/Uqa3V6ZH/DqTpRzCU7WVjzN8wv/N/3qLg4vpkgHe
ze+yf5BJf6Mm04QyKkOtesskZCMck3aXEB6lSF46AjEvPoCZqRUj2+paUKin7YtWOlm/Q8guZqMX
dyNqyKsIohmJrZmuXpE59YiDmaZeOgj8tkCLgYdyutCBK4sW1loiugovK6LZDWpb6cMYT1yp1mgu
Pac+nN1GZvnwiBHoah7jMJ79Qw6LGfoQatapjdqBkVhEuxXUo/c8YxGjNUa3Dvaj62qSSVAWTbBX
HOH0IUAdLlev2/aM/khLoYAylJqDy47EYELOFdTwdRgKtU9md1derv0k4dHsmNje0Buno7vy+zas
obVQf8x/HkE1ayNq9DaKkoj1O+nVVJfzldd3GVT0Yg+hNm/NpGlKgo8584CEcuPir08IXpmzHlPu
90bslhNy5LJrddF74Kuyv/vAnmhkflW5qkcHFd2tEvBo1kgqHk662u7oqsJaLYjH856geugz4xvC
Og0D+tl/zanGy9Ny/1v9RvIaMe/mz6CRfwiaPKj0ih5pE2qTjbZN2ERy8prkOSAWfEnuYKs1XraJ
/P+nHcmSjbnfHrQNdvBry6KGGZ8n6+DRWjNrNbKfKteyT6tA1AHRdB7Y0t6PRmIN+uFQcTbGhXrj
nWGLXI4iPzB4EVJT03E0aS6J0hiL9qQhPTUVKSsHc8e7eLjUbdAYV47SBzWsryK7QuyMPQi/zqG4
i5pNHi6syA0sEo3PtRk0BB2prThDo6cVTrv8+O2Le+mYfo3plXrbbtbW+KDpk8+hfSsvl3jy6hEP
M2bjPFuq0F/dx2sL1FJ4KidfByUnniz8MlKTlBNWIxSRVCZb05SOECemWyTp9Ea8MVpZw/zz/Gfw
foKynYNvLaURX5tLH3Cxj7jMv61jHiX+5ga+upJV+fE4LKNlELZruCxCmC5WdvTCwunOucojXO50
uVr0eIHQ+RJfxabg+N556NBqtIzW6SzzinQX2OXQ4dW+1LL/Y94Rp5g8mlNkm4Cs7P8gjfa3Sqa1
ReyXXQSkr10pL3jNMlkM6hxmRfngqy920CApzxlx8uRJ5Bw7Kb+lnqavF/PoPt+xj1jjMUxc0Fth
xNoYnqMFij+u3Is8895beYfXY1nOVfR94gE51SWTCf7dP0FuVi6+H9IQposKw2ObVnB0UDp7arpb
ROHRLHHUrrx0mYf22WCtf72OWj6WMC5P9iz3jsTczaNgOjAK71oWfVoSO1w9LXdDgPKRRL12jegR
SVuNdHxC5uzvw3ohOm3CQRaPb+/phehxzWldXxvMTMqR2bC9efak/qlPFjXMODxr1QoivolYvEzp
4BUfXiYvlO3TS5ly0rJPk9In5arpri2xLwOHfHAAL37zIVr7h2LMF2/K5f7xxjPcfGoHhyMiojke
av8wdVYD0CyyFZpHRCAivJ79CJUjFw4uD/QZRrw2Y+h76+U248TqKXjv8BWMfr27/KqliQvlwcZF
WdtRkJeO7z6YKE8l31eLvZTqtCWn9sXDdKTfvHHhWE6jGR8lMFvS1+nn1iMOZlq21LdXOOXt2nHb
ApXknsoJjg6WbFzK4lRGlpTuXuugTbcHcSr6K6RaO/fu8jiDY/ScqtivLxvvtf87DrSbheITl+WP
PaZ2/V+sy6OPDVv2w1u0Lmtg/w+RXmCEkfaHTI6dj5W0LsxXnmrNxPple+X1h12b/UP+atvSD6uQ
yojvP/qERoD7o4XD2sSKOMLnhEBwxFNSULPHpKKiIl0/STorfT5InkRj/TRpbGy8NOsZH6nFpL3U
UXbtji7uI6ejxefEyd7xaPYxLXfn5LyZHLa/yXsyJJq6cZLp+HcDKF5PaT/tzSA7426J3jyl6APF
FoaSVLxbak1htvyYf9KeP6XilImSod4HUqEldvkvEi0olNpPdaG7OR9bni1fnCNllRdJ00jOMcTb
1hWnTKX8H5dGt9TW4YCxSFV3JqckqeOi0GxzcvTz0hEtyscBl0hpe5ENDzU8LWRVmjZP4+EZlFcn
KdHKv1SKGczy7y+lWsrPwtt6JX56yt0a39aTJVEjJLWfkSIHFuydqOTP8uLYhJWDin5KOdrqoC6f
lYed55QU81oHO7zrszrGkcU1Zho8JZMUP+Vpu7weHrFKKpV49tlJkm2QbEK97pOu1C7Y2rylHtpI
U6wAAEAASURBVMn2qWFLscN9Ja/g8VKWFQuFj32YlejsMe6jOu1gl86xHEK0cJGkk/GT7HToFr2T
0p7j1FvC5Vyi1MOuDYmUxnyTpuTJKT9u++JpOjnXU9Lnrz1sp4d6mVlgUbdT+/ZTCzMtW7LwpqtK
XeHZhE1KB29l5GSstHQgvhr2yS0ji3Sq+lmIGtfibfKziLZYodro7JI/CJfqv6P+nFHaGeUZ6N18
uvx8SvrgMSrvnhXtJz2r3gqtJrHn7iliX569QXquUTUbm2gsLUw3EqVUih3Vwhr+5lex0pQob3rG
Ke2iRbLj370sx/l0v82z00Kswle9/RxevMzMTLmvVFJSIp0/f16Ki4uTNmzYIG3cuFHatGmT/IuP
j5fYj91fvnxZMhqNUkFBgWQIjnhaulp2Ab/tj6f20LULCFC6s8UF1FWuqf8TcFvOca9Xx/NH5qBo
v/MCdh7Nlsdt5y+nz3tz81FUWoqaAWEIDXF7NfRtp7IQuPIIGKmeZecXoWbtEIQGX59XSS2eLPwU
5eV7HfOqPAI3j4MWLuU0tXk810i7uYSgadj1KYObp1VFTpbyhV8Q6ocpW7pUUD3zaWFmyauq2JKW
nExrHs0zVDxLdXrXZAR3iYbf3z/A5umv4bGmLkZnPcvGJlU5igsKUC75ISAowG4kWOv5XkQjthsX
jcHgD7eiffRO/DRRmQmwYVqlvcXFxZWWr7CwEHXq1IGXl5e8bnTXrl1WP9sEmjnLlfqe6Nq1K65e
vYpSevZTh+sp6nBddLvD5anUJ2hKsenz8zHvkBEjWiuL7iy8eDRLHHEVCAgEBAICAYHAXxGBgrR1
mDzqeSzccwUjtv2JeU+53gbnpuFQsh1NArrRMpeO+HTtArzz94duWtbXK6Nb3eFSVrqzwcGb5Go2
7I4dv0TjyXD7zhbLnke7SeKJbAQCAgGBgEBAIHBLEAiM+Du+TCzHrCIaialVxUZT/TvjP0WFsMxy
3RKAbvNMqcNlcPM7xcppHNy2J4I1WPBoGklEsEBAICAQEAgIBP5SCPjVrmKdLRldH9HZqqSVyZ+6
eXnp+NyokhmJ5AIBgYBAQCAgEBAICATuVAToLMVr9L/yc4p5aXuw44Cyr9SdCqbQWyAgEBAICAQE
AgIBgYAaAmyZvVq4rrByo7Kj1Z+73kFI605Yn+c5L10Z3u6RaL+To7RfGDt8tMC8J9ftrpKQvwIB
YwEdLHv0qM1eOArtCgtPS8Px7Mp/IVOR2833aennShJP0/H43gievPyqEo2nO49WlXTgyaKlw51e
jzzBjJfmVtC0ypbJwqPdCllvRJ7yxqdune1jluLPn6LhW7MmWvd/Du26zEb0jjzMfbbJjZCRw7MQ
syNok8rJP2nGMf53ofyJ5qtLMsxxCjGd0rDPNp1/jyDhjz2INFRzok1OOoeSg9EU3gQrTlp2p6ND
QKN8uflbBGOntxtqBiE8vLV8+GhQnfdRQMe3zO7hixrd7HdQT5nTjfLphQPmHVqddWBcebrzaBaJ
1K68dETr6OuAyyPYUVLMwTMCr7Vkx3WqY83SqvKkfknZkU8d0jXBW/N+sj/XTk0Fc5g6ZpwElSLl
Y/HwKNQMooNlw8PpgNnaaGC2ydM7o+HDwlu3RrNGtdH9o12UE2HJKffkwj3oaWeDnfHxWvPocUmi
Z/bpaToZF239+LBppOPI4rrc1XkqdbMz9lj7tErdbDl5Kx/rMqUOOtro2O3nlHLSbF806gPln7P6
Fdl2Zx4oUeCho4oGG7zRcjIre9dO23bVdVc4atG05dRqzxhmvDZyhxVj17q4F0NLB9pE9o6uR9QZ
cXqOWZBVx4xXH7hly2mTLTnyru7KqfBS10FuJ9WeOWR/ntouT/abQaMOF00nujujWJaK6PH7MTP2
W4QfzMbk365h4pP1boa8TnmwIxZ4LnX9tzJ52Yrt5h3m6+DldUeRTrtAH0v+Rj7OZdgiOr6D7tN/
WYPHGjyCLafOoOD4DzJt5Mo05Ofn4p12ls9zM/Hy8K/MvIDzF3WAdyUdE16YjW4z9oL20aRT5EuR
f+pt2g+bzqKj9Je2zcMWayfuGJZ/lkCUi7hoPjHFWQdFY57uPJqSWv0vLx07X6zWK6uQW5SP3Nxc
+m1Ge/8ADp7rMCnuV02s29PZ56o8CRiTfNZZJFak5yE/9xjiP++BuW92wCfJ5oeYuvjWUC3MrBGu
m8eI715qgGGLqpGsBfIxGaX5v2Hzy+Fgu6ZHPfk++s7dC9rMENkJU7F1UheMTShyWe7saJgRy39F
UX424j6ug4n9BiqdCf9HPbNPT9ORpavpt+UfrnYOV0/HcAFHFn65c3jK5Wk9Q0m+s9RNXh27QHXs
8mkJtOEk8q12nYuJjyv13e36QLZ7f/9/YQqdmTnmsQ/pjDxg89g++A7dsfC9J2S5XP1Rt12e7jya
dh1T5HBuz6iWc+r0GrRnDdd1d9o63Nn1SAHafZtg6Zzrg8uy5bTJeorcfTm1y53lp/V8UGRx33b1
6HAj4yjnw7g7E1ijPp54tjESpn+Go3Vq4etXe2IRHQugx53ePFl++xu79nen6DyaU2RdAdlY86Vy
ltSlbbHYZT59KCi0KZo3bYqmLZrJR3DUe7gFQum+eXgoHeviJx+ufW995agX//saITCQNnj1qcjw
0rb/w7TE8xUBrnzl5+QDdA0lF5TN5XyUPHxwDdXl4cVMLFmTJnMpObgan9EZkPJ5ZHKIug6usrxR
9LDQUAQHBCI4OJh+yuaJPDwbcrG+JoupxtMif3BYPQQGN8Uzr/eTO8CXTJbRRUsMtWslMLuSjZj3
Z+OoeXRRjbttWHnGagxeasLIDSsxoPm9MskvsBnCw/xxJHahfDTTrJGPy+Ue2mWcfMTG3Elx5lM4
tcudNZUBoWEICAxFp462+914ap+epdPSr3kzapk5Tisdw4WdLxgYEgheHVMrdz5PbWG4dcz8vhRQ
NxSBVrvWv6Gzuu2GYPLy+STQbPTu2RM95uRi5A8L0E7XXsfqtsvTnUezoKIup0JVa894dVqXGqIe
WaCXr1pl5KoeKUzctwm7zB1u+GXruk12YGdz676cWrgo7YTC+nraro2wt8Qrf5/IhtP1OyMW96+P
vm/HI3LUDHzx6cuoRafPnyjV8yAEzp5MlrPa9+tZpyx5NKfIOgLKM7ZR56UVVsUl0uHHSVi+w7GT
Z5LfASSNhzh76MHL5hBFGnWhoxEQM74FojtPo06U/SG/miLV6IQp09tiS/QzuLvD29iTXWaNepmG
F6tH0uGyY7+W34Z3L15opsm5w7UOVlY3xZOZuhNJdF5lUlICne2X45AnD09tGo/nBWZX5blYMPQp
OtPrXbweZRlpdMja5rZSmJVmYNrU+ThtHl20YavqNZ5lU32ReK7LfU5002Ua36hbVx7JVIg+aPZg
JMp//xMXKIBX7rWIfubEz/J5Zr07TEO3qZ+ho8PIgqf26U46nn5OCtsE6E3nJIuZh1q56+VpI4bs
dVXHWKSs3/aZ7ToJCUn6zwjVst1qDw5HwrvtkRofD7++CzD92YaOYqnea9kuT3cezZKJqpy62jPt
emvhrXoV9cju+aCnjFRxpEBPbEKLl324dtmq2ot9Yqc7T+TUg4uqLDfSdp00u34BygiXG/zKjizA
sDXliD5wCP8a3AVtuvRHh/v1s2n1xiaaTsvH7knsZHJ7x6PZx9R3l7bmW3rg9cfTD0Whfz9vrF2y
yToVqI+DQyw6x7g8PwD9xs+j0ZZPMDE2FdXrGVDkEE3ttsu4fUiNjUbznz5Dp0Z+ePbTXbQeiT4S
pT7gm28tor17F2FpXCwWLqyLWTFjiYXS4bruOqgJpzOs+t0GGNeNx9AX/x+GDn0ag6bG69Kdx57P
8xB6BdF6O9/6+OfSvkgsmoYQHjMzrVKY0cHqQG0duZijyIe9kl+rg3b2kv26MwONjEq+8HJR7qzD
FfNSWzRrO1Q++LhB47quZfLUPnnp7PQrxOJBUTTi1hNjl/yXL49dOn5UZ6pGuXvI01UdYzZY+v0o
xa6HDEXXjtPwc6mzVI4hfNsFGrRQOllN6oTQmJ4+p2m7PN15NMpWU05euesTVzuWqEf2zwe7MnKj
HhHCHtmEdsm4pGjai4uUHslph4tzBpqy3EjbdRbjuoUopzS7sS1Efg5raEdjSFv+lIK2hD7ydILN
DJ1NVB7NJpouby7WLjyIBv0bodRYjOAOnWmtVCz2FetKrB0pvxi+/p3wxbS2iBkQhX9uLod8lLd2
Cisl4vmJOGT6HTFvPY51Y7tgQsIZsDUiAU2fwrDB3pjQdwB2Pf0Kej0aJKcxGPJujA5WidzzsPn0
+hNTkJGZgYyMq8hZ94Y7XRPVzPg8I7E2Ow8/jmpBabNwTtc0n2flnjK9vbJI368z5XQIT9VWFvr7
hP9bng5WFZ4FymvNinHBZiDUEtd0yQDv5nfZnVEG6W+017AJZTSorFXuLD3rbk/aXUJrwkqRvHQE
Yl58ADNTK0ZGLXk4XT21T610sn6HkF3MRrDvRtSQVxFEI9pbMwudsrYL4OBiF0/1RqPcPeTJq2Ms
e2aDLSx2TbYtSaucRhPVxOTaLi2UnzBolZzs56/7YP5RHWVHY9yabRZPdx7NrJ9mvdUqdzWFdYSJ
eqTxfJDLyIN65KlN6CgrrShcu9ZK5KmcVch2NVW7jgQamqIHixsbn/6RlkLZl8HyAlh2JAYTcq6g
hq9ySpAe2crLVZ5O5oQ8miZvGjFwdFd+34Y1tBbqj/nPI6hmbUSN3kZRErF+Jw0t6HK+8voug4pe
rAFv89ZMmqYk+Ji7S7no+usTglfmrMeU+70Ru4VNRxGa1+qi98BXZX/3gT3RyNwbvapHBxXdZUbs
D49mjaTi4aSr7Y6uKqzVgng87wmqhz4zviGs0zCgn/3XnGq8PC33BwYvQmpqOo4mzSW2jbFoTxrS
U1ORsnIwt1Pp/z/taLQzG3O/PegkTt0GjXHlKH2QYZ1tL8TO2IPw6xyKu2jtkFa5M0asw2VgkWhs
pM2gITQC6oUzpbY9Tk/t0710TL/G1EZs281s1QdNn3wO7Vt5uRzZ5OFCjMxOWxa1cufzvEQ8a0Ee
WJG520/387CWo1MnWNN5UB/2fjQSa9APh+jg63Gh3nhn2CKXmPFsl6c7j2bRiVfHKtWeWTIwX0U9
og48YeH4fGBl5Ek98tQmAH59cCg2p1uevThFpgBP5axKtqum1/UOY+ddy19W6WXcoscLFPVLfBWb
guN756FDq9Fy0tNZ5hXpLhjl0OHVvtQq/mPeEaeYPJpTZJuArOz/II32t0qmtUXsl01zfOlrV8oL
lrNM9FUg+zJQOodZUT746osdLqYVjTh58iRyjp2UH3qn6evFPLrPd+wj1ngMExf0VqRgts1zZcfw
48q9yDPvvZV3eD2W5VxF3ycekFNdMpng3/0T5Gbl4vshDWG6qDA8tmkFRwels6emu0UUHs0SR+3K
S5d5aJ8N1vrXuqjlYwnj8mTPQe9IzN08CqYDo/DuigxLMtWrp+VeOzgcERHN8VD7h6kDFYBmka3Q
PCICEeH17EeoHHO9pxeixzWnNXhtMDNJWdNWlpdK69v+xAN9hhGvzRj63nrZ5k6snoL3Dl/B6Ne7
y111rXJnKrMpRWZ7BXnp+O6DifK04n212EuNp/bpYTrSb964cCwf+hA+SmD6XZIfKC4nXTm46NJB
rdw5PGvVYqPCiVi8TOn4Fh9ehrcJ6z69HqRwklqjjplopNGVc7c+sK/qhnxwAC9+8yFa+4dizBdv
yrb78cYz3Ky4tsvRHTyaOUduHWNx3GnPOFqIemQGxxFPKiNP6pGnNqFVH/r2oq+EdTiX9uLAw1M5
q5LtOqh0Y27rR3ST7nuwvVRUVKTrJ0lnpc8HyZNo7PVbGhsbL816xkdqMWkv9Wtcu6OL+8jpaPE5
cbJ3PJp9TMvdOTlvJoftb/KeDGlWK28nmY5/N4Di9ZT2094MsjPulmjkQIo+UGxhKEnFu6XWFGbL
j/kn7flTKk6ZKBnqfSAVWmKX/yINQjWp/VQXupvzseXZ8sU5UlZ5kTSN5BxDvG1dccpUyv9xaXRL
bR0OGItUdWdyUueSQ7PNydHPS0e0KB8HXCKl7UU2PNTwtJBVado8jYdnUF6dpEQr/1IpZjDLv7+U
aik/C2/rlfjpKXdrfBWPcR/ZhINeKtHsg05JMa91sMOmvrk+nIyfZBfeLXonJT3HKfdO0oFziVIP
OxuMlMZ8k6Zk6al9eppOzvWU9PlrD9vpoa++a+DCkcV1uWvwlExS/JSn7WR8eMQqqVTi1THCmtUj
smt1fTyrD7HDfSWv4PFSltVIFD72YVai2aPHdrV0Zyy0aMRXo97qas9U662j7Cr3oh5JktPzwd16
VBmb0KoPNmWlWrba9mKT0sFbGTkZq5tnu3r7Obx4mZmZcl+ppKREOn/+vBQXFydt2LBB2rhxo7Rp
0yb5Fx8fL7Efu798+bJkNBqlgoICyRAc8bR01XgBvx2Ip/6Aa2c5Kby4IA+oqf/zaVvOca9Xx/NH
5qBo/xtOi0l5NFset52/3Ii83HwUlZaiZkAYQkP0LqO97TS9YwU2Up3Izi9CzdohCA2u+KSwnKaV
juca4eMXgqZhFeG3G1BMv1OkH/yCUD9M2RJEjw5auOhJqxVHi6dFRl+HMtDiczuGa+nOdOHRbhdd
tXS40+sRr/y0MGPhrM5WlfqgJefNst3i4sou4qbtWAsLUadOHXix+UHa4WHXrl1Wv2XHB8uVepPo
2rUrrl69ilJ69lOH6ynqcF10u8PFK3we7QRNKTZ9fj7mHTJiROsadlF5NLuI4kYgIBAQCAgEBAIC
AYGAGwjc6g4X9dFoLZB57bcbcnsctWbD7tjxS7FTZ4sx5NE8zlAkFAgIBAQCAgGBgEBAIHCLEfA2
3MTOFtM1uG1PBGsozaNpJBHBAgGBgEBAICAQEAgIBKo8ArTzJn1+7tZO81VeJyGgQEAgIBAQCAgE
BAICgSqFgNdVWtTl9uHVVUoFIYxAQCAgEBAICAQEAgKBqo3ATZ5QrNpgCOkEAgIBgYBAQCAgEBAI
3AgEvKrRsnn26aJwAgGBgEBAICAQEAgIBAQCNwYBZQ2XG0f73BgxBFeBgEBAICAQEAgIBAQCf10E
lClFMcD11y1hoZlAQCAgEBAICAQEArccAS9JuiamFG95MQgBBAICAYGAQEAgIBD4KyNAk4n0T0wp
/pXLWOgmEBAICAQEAgIBgcAtRoAdBiS2hbjFhSCyFwgIBAQCAgGBgEDgr40AdbhIQfYTTiAgEBAI
CAQEAgIBgYBA4IYg4CVdEyvmbwiygqlAQCAgEBAICAQEAgIBMwJe8rE+khjiEhYhEBAICAQEAgIB
gYBA4EYhQF8p0giXQYxy3SiABV+BgEBAICAQEAgIBAQCXrQphFg0L+xAICAQEAgIBAQCAgGBwA1E
gA72oelEMaN4AyEWrAUCAgGBgEBAICAQuNMRkNdwGQziDOs73RCE/gIBgYBAQCAgEBAI3DgE5J3m
PWJfnoukhGQYPUosEgkEBAICAYGAQEAgIBC4cxDw8qpGo1tubw1hxOIXw9Cxazs8Ff3TnYOW0FQg
IBAQCAgEBAICAYGABwjIS7gkN79SNJ6IQ7L/v5F6dDse/20DDhR7kLNIIhAQCAgEBAICAYGAQOAO
QcCbbXzq7pp5vwcGYlGMglDdd4Dk//yK8q4PwecOAc1jNY0FOJp9CvCpiaDAMATWFoh5jOUtSmgs
OIns/FLUrB2C0OCAWyRF5bLV0uEK6XbsVBF8AsLQNOz21I0ho6WfK9Q8TcfjeyN48vKrSjSe7jxa
VdJByCIQuJ4I0Hwidbc83Pj0xOqRCGn9FNJMPreos1WI2RE+eHiy9rSm8b8L6bhIA15dkmHGrRDT
KQ0Lc/49goQ/9iDSUM2JNjnpHEoORlN4E6w4ecXKa0GULzd/S2GdWDUGhppBCA9vjfBmzRBU530U
oBize/iiRrfPUGSJSNeUOd0on144YF4g56wDi8zTnUezycjJy0tHtI6+Drg8gh0lxRw8I/BaS2+H
NBbclbSqPGnEtOzIpw7pmuCteT+h3Elm9QB1zNTj2oZqp8vH4uFRqBkURmUYjrCQ2mhAdqfYRGfs
sY7yFoLZRMvJWzm48HW3lef6+tV1YHmc3hkNH6Zb69Zo1qg2un+0i0KpzDn2mVy4Bz3t6kpnfLz2
hCJySaJn9cjTdHKu2vopQmn91UjHkcW1farz5NkLF+sypa1wbLPGbj9HSnlQb8lec1a/ItexmQdK
FGCuHMJggzfZLit7187duqJwVMdF1kGtfSE5tdpdl3XMWidd6yJiCARuBgJebBsuj1xZKr6Pq4aN
WeX4V48HPGJxPRJddsEkdf23coxlK7abF/jXwcvrjiL92DEcS/4GreGFYYuSkE336b+swWMNHsGW
U2dQcPwHmTZyZRry83PxTrt7zDll4uXhX1k/Fjh/UQeAV9Ix4YXZ6DZjL0ppo1nJVIr8U28jgDhe
pvSXts3DFmsn7hiWf5ZAlIu4aFKydNZBCefpzqMpqdX/8tJdviCh1iurkFuUj9zcXPptRnv/AA6e
6zAp7ldNrNv7k/5qPAkYk+kSCRiJFel5yM89hvjPe2Dumx3wSbL54aAuvjVUCzNrBA2Pejojvnup
AdlJNZKnAGyz4NL837D55XAzl4t23JhNEFIcXNYQbtq62zG7bjfaOkin1yLqyffRd+5emEi37ISp
2DqpC8YmFLm0T6b5iOW/oig/G3Ef18HEfgOVzqf/o57VI0/TUY1UK6Mt/7CUkRaQ6unksuXIwrdP
Dk9ZDGd7YcG8tuACtQWXT0toMGIV8q31LxcTH1faJbfrLdWx+/v/C1NaeWPMYx8il/LfPLYPvkN3
LHzvCVlKV3/cryt8XLTaAkUO53bXZR1jDaxwAoEqhAB1uKjD4OXupGIuVs35FgdpNOj959qidUQv
LErV9yA8vXmy/FY1du3vTjDwaE6RdQVkY82XKfBpYqBOTSx2FSiJgkKbonnTpmjaohk9FoF6D7dA
KN03Dw+FH/0LDAnEvfXvkWn+9zVCYGAwAnwqMry07f8wLfF8RYArX/k55FMcQ8kFZSTQR8nDB9dQ
XZ7QzcSSNWkyl5KDq/HZyavkrwVfOURdB5l0C/6EhYYiOCAQwcHB9AsktAAeng25WF+TNVDjaVEt
OKweAoOb4pnX+8kd4Esmy+iiJYba1VPM1NOVZ6zG4KUmjNywEgOa3ytn6BfYDOFh1GviOB4uflT2
zPF057AGrmQj5v3ZOKrzM2GeDkdiFyITozBr5OOyfYZ2GYelg30xd1IcvY4wp22frOsQEBqGgMBQ
dOr4kBxb+eNpPfIsnZZ+zZvxy0grnVK2rmVRs08+TxuIHLzctsD8XhdQNxSB1vpH7RKrgDqcup2F
YPLy+ZR6Nnr37Ikec3Ix8ocFaKeLp/t1RQ8u6nIqCqq1u/w6pgMYEUUgcBMR8DK43dmiLxT7h+GF
CZsQ+cqn+GLGm6h3eDNOlOp5EAJnTybL6u379ayTmjyaU2QdAeUZ26jz0gqr4hLxHJKwfIdjJ89E
40g0o6rxEGc0eNlMYtGoi0/4B4gZ3wLRnadRJ+ou6jDpcDU6Ycr0ttgS/Qzu7vA29mSXWRNdprGQ
6pEGbBv7tfyWuXvxQjNNzh2udbCyuimezNSdSEpORlJSAvak5jjkycNTm8bjeYHZFW1BsmDoU0jF
u3g9yjLS6JC1za2nmGmlM55l02SReK7LfTa5uOP1THduDqUZmDZ1Pk6bR0G5cYnI08F0mcY36taV
R1wVPj5o9mAkyn//ExcogGef7IXlzImfcTxlCXp3mIZuUz9DR4eRBU/rkTvpePopOqn/1ZvOSRYz
OzX71MvTUSJXbQGLn/XbPnP9S0JCUhqKbZonR36291p1rNqDw5HwbnukxsfDr+8CTH+2oW0yTb8n
dUUPLqpy6mp3teuYphKCIBC4yQhQh0tZxqU337IjCzBsTTmiDxzCvwZ3QZsu/dHhfuU9WA+PVm9s
oum0fOye9KhTdB7NKbKOgLQ139KDpD+efigK/ft5Y+2STdapQB3JnaPQkFN5fgD6jZ9Hoy2fYGJs
KqrXM9itv3JOpIR0GbcPqbHRaP7TZ+jUyA/PfrqL1iPRACP1Ad98axE6YhGWxsVi4cK6mBUzlhIp
Ha7rroOWgDrCq99tgHHdeAx98f9h6NCnMWhqvC7deaz5PA+hVxCtt/Otj38u7YvEomkI4TEz0zzF
TDOd710KZ52dGx0iylH4urvg4svGP2u7iGRDdqXD2Uv26+MMNIIr+cLLhX2yDlfMS23RrO1Q7KFR
uwaN69pkquH1tB7x0tnpV4jFg6JoxK0nxi75r4YQ5mC7dPyozlQN+/SQp6u2gNlL6fejlPo3ZCi6
dpyGn0udpXIMcWVnDVoonawmdULkEWvH9Gr3HtUVF7hoyskrdzXhRJhAoIoioGx8yqYVdbr8HNaA
jcaQtvyhem12PvKUnc0MnU1UHs0mmi5vLtYuPIgG/Ruh1FiM4A6d5WnFfcW6EmtHyi+Gr38nfDGt
LWIGROGfm8vRUCd8Ec9PxCHT74h563GsG9sFExLOgK29CGj6FIYN9saEvgOw6+lX0OvRIDl/gyHv
xuigrR2XwtZY1J+YgozMDGRkXEXOujfceeSr8ubzjMTa7Dz8OKoFpc3COV3TZ56WOyedvJ6sGBd0
jiaoKqoSyNddJQEFpUxvr3xM4NeZEDmEp2orHyH4hP9bnrZWT0WhHB1Mlwzwbn6X/Ycv0t9oDtyE
MoO2fbK82GvBpN0ltDKhFMlLRyDmxQcwM7ViBJfFUXWe1iOtdLJ+h5BdzEba70bUkFcRlLQFWzML
VbO3BnJwscbR9GjYp4c8eW0BE4HZSwtL/aM6KEmrnEYT1UTl2hktlJ8waJWc7Oev+2D+UR1lR2Px
mm0rT3cezayfZvuiVe5qCoswgUAVRUAZmnKjw/VHWgqpUgbLi1XZkRhMyLmCGr7eulUsL9d+cvFo
mhnQm7iju/L7NqyhtVB/zH8eQTVrI2r0NoqSiPU76ZVdl/OV13AZVPRiDWObt2bSNKUCH80s6nc+
IXhlznpMud8bsVtOyOnKrtVF74Gvyv7uA3uikbk3elWPDiq6W4Xh0ayRVDycdLXd0VWFtVoQj+c9
QfXQZ8Y3hHUaBvSz/5pTjZen5c5L5/8/7WhEMxtzvz2okiVb3E/r7awmqHOa2cyJp7tKZnhg8CKk
pqbjaNJcIjfGoj1pSE9NRcrKwdzOL0+Hug0a48pR+nDEuiqgEDtjD8KvcyjuopcJLftk8rEOl4FF
orGRNoOG0EitF86U2vaMPa1H7qVj+jUGTc3vZnXKB02ffA7tW3m5HIHl4UKMzE5bFjX75PPk2wsP
a1kY6gRrOg/q7d6PRmIN+uFQcTbGhXrjnWGLXGLmaV3h46JoxasPlWp3NUETBIHAzUPA3GPQn2GL
Hi9Q5C/xVWwKju+dhw6tRsuJT2eZV6S7YJVDW0n40tPpH/OOOMXk0Zwi2wRkZf8HaUfTkExri9gv
uwhIX7tSXgicZaIvxqhDKUnnMCvKB199scPFtKIRJ0+eRM6xk/LD5DR9vZhH9/mOfcQaj2Higt6K
FKwN5bmyY/hx5V7kFSlM8g6vx7Kcq+j7xANyqksmE/y7f4LcrFx8P6QhTBcVhsc2reDooBSdmu4W
UXg0Sxy1Ky9d5qF9NljrX0Oilo8ljMuTPV+8IzF38yiYDozCuysyLMlUr56WOzfdPb0QPa45rbNr
g5lJyrq1srxUWsP2J2rVYqORiVi8TOmMFR9ehrcPX0HfXq6+jlPE5+quomHt4HBERDTHQ+0fpk5g
AJpFtkLziAhEhNezH6FyTMvR4YE+w4jXZgx9b71cN06snoL3SIfRr3eXXym07JMVDZtSZHWkIC8d
330wUZ5WvK8We/nytB55mI70mzcuHMuHPoSPElgZXZJHj11OunJw0aWDmn1yeGrZS59eD5LMJLVG
W2CikUZXzt16y75OHfLBAbz4zYdo7R+KMV+8Kdexjzee4WblaV0BBxdLhi7rgzvtroWpuAoEqgoC
DR/pLtUL7yAVFRXp+knSWenzQfIkGnutlcbGxkuznvGRWkzaS/0a1+7o4j5yOlp8TpzsHY9mH9Ny
d07Om8lh+5u8J0Oa1crbSabj3w2geD2l/bQ3g+yMuyV6I5eiDxRbGEpS8W6Jtoqw48d4T9rzp1Sc
MlEy1PtAKrTELv9FGoRqUvupLnQ352MrY8sX50hZ5UXSNJJzDPG2dcUpUyn/x6XRLbV1OGAsUtWd
yUmdSw7NNidHPy8d0aJ8HHCJlLYX2fBQw9NCVqVp8zQenkF5dZISrfxLpZjBLP/+Uqql/Cy8rVfi
p6fcrfEtHj3pTkkxr3Ww07++bPMmKX7K03bhD49YJdmJ6KbuFqm4V+M+sl0H/LkJGFFLB0k6GT/J
Todu0Tsp/jmOfXaSDpxLlHrY1ZVIacw3aYoUntYjT9PJuZ6SPn/tYTs99LVLGrhwZHFtnxo8JS17
4bUFhDWr71T/1PUh+6U22LZ9sbRZclugUW9jh/tKXsHjpSylxOTyZnzsw6xEs6cydYWx0MKF+GrI
qavdVa1jjrKL+zsdAb39HF68zMxMua9UUlIinT9/XoqLi5M2bNggbdy4Udq0aZP8i4+Pl9iP3V++
fFkyGo1SQUGBZGgY2V0qv3QBv+7dSHXUtQsIUD5BKi7IA2rq/yzZlnPc69Xx/JE5KNr/htMiTR7N
lsdt5y83Ii83H0WltEs57eQdGqLr2+vbTs2/usBGsvvs/CKnneZZ+CkK970NdqDX0qGcppWO5xrh
4xdym+80r5QF/IJQP0zZukSPXWrhoietVhwtnreTvWjp5ipcS3eWjkdzxVfQBQKeIlBcXNlF3LRF
b2Eh6tSpAy/64JBtRLxr1y6rn90zZ7lSBxddu3bF1atXUUrPfsP9jz4jmcqow5W0QZcOlg6Xrsgq
kdju9E2fn495h4wY0bqGXQwezS6iuBEICAQEAgIBgYBAQCDgBgK3usNFXymykeib52o27I4dvxQ7
dbaYBDzazZNQ5CQQEAgIBAQCAgGBgEDg+iLgbRn6ur5stbkFt+2JYA0yj6aRRAQLBAQCAgGBgEBA
ICAQqPIIKCNcnoxy0e7fSQnJLr74q/L6CwEFAgIBgYBAQCAgEBAI3HAE3N4WQpGIjvd5MQwdu7bD
U9E/3XAhRQYCAYGAQEAgIBAQCAgEbmcEvDyZUjSeiEOy/7+RenQ7Hv9tAw5UfuH/7YyhkF0gIBAQ
CAgEBAICAYEAFwF5e3h3O11+DwzEohiFb913gOT//Iryrg/xN17kinGHEI0FOJp9ijbCromgwDAE
1jZvKX+HqP9XV9NYcJK2jKBtPxy2hrhC4cdOFcGHtgNpGqZsq3I7YqGlX2V0uRE8KyOPVlqenDya
Fr+qFq6lw51uu1q4VKb8bgTPyshzM9PydOfRbqaMNzIveUrR0y8V2TYOIa2fQprJ5xZ1tgoxO8IH
D0/WntY0/nehvCfGq0ssO5QXYjqlYZ1M598jSPhjDyIN1Zxok5POoeRgNIU3wYqTljNQCrEgypeb
v6XwTqwaA0PNIISHt0Z4s2YIqvM+ClCM2T18UaOb/ZE1KXO6UT69cMB8QoqzDowrT3cezSKR2pWX
jmgdfR1weQQ7Soo5eEbgtZbeDmksuCtpVXnSiGnZkU8d0jXBW/N+sj9gWU0Fc5g6ZpwElSLlY/Hw
KNQMCqPyDUdYSG00MNvk6Z3R8GHhrVujWaPa6P7RLsqJsOSUe3LhHvS0s8HO+HitcgwUShI9s09P
08m4aOvnCjbtclDnqdSxzthjHTVX6ljLyVs5dsa3JVcyMrq7cio81XWQy1etrpBOWm2IS/2seOjR
xp04WjrQCQJ3tO1q4MKpR67bLHWePJvnthNlyvPD8Tk2dvs5MgAP2nKysZzVr8jt7swDJYoR0Vmb
gw3eaDmZtVuuXVWvR641uLExaNG8hxmUpeL7uGrYmFWOf/V4wEMmlU/GztfiudT138rkZSu2mxf4
18HL644inY4jOZb8DR1p4oVhi+gcObpP/2UNHmvwCLacOoOC4z/ItJEr05Cfn4t32t1jziYTLw//
yvqxwPmLOgC8ko4JL8xGtxl7QTuQQzKVIv/U23QwCx1IS+kvbZuHLdZO3DEs/yyBKBdxkR0bQs5Z
ByWcpzuPpqRW/8tLxw7BrfXKKuQW5SM3N5d+m9HeP4CD5zpMivtVE+v2dP65Kk8CxiQfdBuJFel5
yM89hvjPe2Dumx3wSbK5IVAX3xqqhZk1wnXzGPHdSw3IhqqRrAXyMVKl+b9h88vhYEenRD35PvrO
3QsTlXt2wlRsndQFYxOKXJY7O6NwxPJfUZSfjbiP62Biv4FKJ8T/Uc/s09N0ZOlq+m35h76ji9TL
QZ0nw0xxTPsKx+oYWR7HztaQHWrbUgUnbZ/7cvJ10LJrRQLnNsSlfqyxuO5OW4c723a1cQGnHvHb
LA5PuVydbZ4F854PF+j5cPm0hAYjViHf2ibnYuLjyrPK7bacbOz+/v/ClFbeGPPYh3REObB5bB98
h+5Y+N4TspSu/lT1euRK/htNN6/h0nFQl50kuVg151scpNGg959ri9YRvbAoVd+D8PTmyXIPeuza
3+04shsezSmyroBsrPkyBT5NDNSpicUu83GPQaFN0bxpUzRt0Uw+C67ewy0QSvfNw0Np53s/BIYE
4t7698g0//saITCQdtT3qcjw0rb/w7TE8xUBrnzl55BPcQwlF5SRQB8lDx9cQ3U6cBd0YuKSNWky
l5KDq/EZHbotH4gsh6jrIJNuwZ+w0FAEBwQiODiYfsou3jw8G3KxviZroMbTolpwWD0EBjfFM6/3
kzvAl0yW0UVLDLVrJTC7ko2Y92fjqO35y2pZmMPKM1Zj8FITRm5YiQHN75VD/QKbITzMH0diF8pn
Yc4a+bhc7qFdxmHpYF/MnRRnPvZcu9xZ8xsQGoaAwFB06viQjQSe2qdn6bT0a96MejgunXo5aPFk
mPEcz878qC4xx7Mlbd7uy6lHB54sam0IXz9t6a0UYbtWKJhHq4xc2a5WOsU+XdcjtTaLz9NObLsb
7vPB/K4fUDcUgdY2Wf/pL+r2GYLJy+eTDLPRu2dP9JiTi5E/LEA7XQejVP16ZAfuLbhRvlJ0q79F
Xyj2D8MLEzYh8pVP8cWMN1Hv8GacKNXzIATOnkyW1dz361kndXk0p8g6AsoztlHnpRVWxSXiOSRh
+Q7HTp5JPqBa0niIs4cevGxOraZRFzoDEjHjWyC68zTqRN1FHSYdrkYnTJneFluin8HdHd7Gnuwy
a6LL9O5ePdJAByN/Lb9R7F680EyTc6dGw5UOVlY3xZOZuhNJdEB4UlICHd6c45AnD09tGo/nBWZX
tAXJgqFPIRXv4vUoy0ijQ9Y2t5XCrDQD06bOx2nz6KINW1Wv8Syb6ovEc13uc6KbLtM7Yt268kim
QvRBswcjUf77n7hAAbxyr0X0Myd+xvGUJejdYRq6Tf0MHR1GOTy1T3fS8fRzUtghQKscKsNTycIz
W3IQz3rriZx6dFC1a11tiLZ+VqHVPMJ27dpkPWWkBqPedE71yMxMrc3Sy9NRHlfPBxY/67d95jY5
CQlJaSi2eWQ58rO9V7VPilDtweFIeLc9UuPj4dd3AaY/29A2mab/L1OPNDWsPEHeh4tW1ejmVHZk
AYatKUf0gUP41+AuaNOlPzrcr/Tb9DBp9cYmmk7Lx+5JjzpF59GcIusISFvzLT3w+uPph6LQv583
1i7ZZJ0K1JHcOYovPfvzA9Bv/DwabfkEE2NTUb2eAUXOMZ1Cuozbh9TYaDT/6TN0auSHZz/dReuR
vCBRH/DNtxahIxZhaVwsFi6si1kxYym90uG67jo4SaY/oPrdBhjXjcfQF/8fhg59GoOmxuvSnZcD
n+ch9Aqi9Xa+9fHPpX2RWDQNITxmZlqlMPOlQkZtHbmYo/jepXi0OmhnL9mvOzPQyKjkCy8X5c46
XDEvtUWztkOxh0ZvGjSu61omT+2Tl85Ov0IsHhRFI249MXbJf13Ko1kOdjxdstEdgW9L2mw8ktOF
Dpqy8LDWFlEfRdiufZtsV0Zu2K5dOn3QV8TSaLM85Onq+cDsrPT7UUqbPGQounachp9LK6TR8mna
pzlBgxZKJ6tJnRCn8461eP5l6pGWgtch3Mvgpb+zxfLLz2EN7WgMacsf/teWzUeesrOZobOJyqPZ
RNPlzcXahQfRoH8jlBqLEdyhszytuK9YV2LtSPnF8PXvhC+mtUXMgCj8c3M5GupYxsUYRjw/EYdM
vyPmrcexbmwXTEg4AzbPHtD0KQwb7I0JfQdg19OvoNejQXL+BkPejdFB5u7+H7Yupf7EFGRkZiAj
4ypy1r3hTtdENUM+z0iszc7Dj6NaUNosnNM1zedZuadMb68s0vfrTDkdwlO1lcX9PuH/lqeDVYVn
gfJas2JcUHmrNF0ywLv5XfYflEh/o7llE8qo2mmVO2PLutuTdpfQmrBSJC8dgZgXH8DM1IqRURZH
1Xlqn1rpZP0OIbuYjWDfjaghryIoaQu2ZhaqZl8RyCkHDmYV6d338W1Ji5+HcrrQgSuLFtZaIroI
F7ar0SZ7arsuypZfHBptloc8ec8HJgezsxaWNpnaZUla5TQSriYv1z5pofyEQavkZD9/3Qfzj+po
d2h+RvN5y9OdRzPrp/nMuc71SA2n6x2mf2jKnPMfaSnkK4OlE112JAYTcq6ghq+8w4Qu+crLVZ5O
5pQ8miZzGjFwdFd+34Y1tBbqj/nPI6hmbUSN3kZRErF+Jw0t6HK+8houg4perBK0eWsmTVOa4TMP
cuhi6xOCV+asx5T7vRG75YScpOxaXfQe+Krs7z6wJxqZe6NX9eigortVDh7NGknFw0lX2x1dVVir
BfF43hNUD31mfENYp2FAP/uvOdV4eVruDwxehNTUdBxNmktsG2PRnjSkp6YiZeVgbqfS/3/a0Whn
NuZ+e9BJnLoNGuPKUfogwzrbXoidsQfh1zkUd1EnXavcGSPW4TKwSPR+2WbQEBoB9cKZUtsep6f2
6V46pl9jGgHftpvZqg+aPvkc2rfycjmyySsHHmbAJcqnFuTBGvJB77S9HJfGJt20T0/l5OugCMOT
pVJtiFlXy0XYLnU8CAzHNtlT29VTtoB2PVJrs/g8+TbPaydkG6AXOE3nQVu+96ORWIN+OFScjXGh
3nhn2KIbVt/5uCha3ax6pInhdSTQnJbkxoQi0KLHC5T9l/gqNgXH985Dh1ajZXFOZ5lXpLsQLoe2
kvCl1vQf8444xeTRnCLbBGRl/wdpR9OQTGuL2C+b5vjS166UFyxnmegLJ/ZloHQOs6J88NUXO1xM
Kxpx8uRJ5Bw7KT/0TtPXi3l0n+/YR6zxGCYu6K1IweoLz5Udw48r9yKvSGGSd3g9luVcRd8nHpBT
XTKZ4N/9E+Rm5eL7IQ1huqgwPLZpBUcHpbOnprtFFB7NEkftykuXeWifDdb61wuo5WMJ4/JkbYl3
JOZuHgXTgVF4d0WGJZnq1dNyrx0cjoiI5nio/cPUgQpAs8hWaB4RgYjwevYjVI653tML0eOa0xq8
NpiZlCNTy/JSaX3bn3igzzDitRlD31sv29yJ1VPw3uErGP16d7mrrlXuTGU2pchsryAvHd99MFGe
VryvFnup8dQ+PUxH+s0bF47lQx/CRwlMv0vyw83VpCu3HDiY1arFRncTsXiZ0oEtPrwMbxNmfXtZ
vmAkMsdxbUklnadygqODJRuXsrjThliYqlyF7ZpBccTTQ9vll62OeqTWZnHsRcvm+/R6UFZMs52g
UXJXzt22nH2dOuSDA3jxmw/R2j8UY754U253P954hpvVX6EecRW8XsSwNj2l4PAOUlFRka6fJJ2V
Ph8kT6Kx129pbGy8NOsZH6nFpL3Ur3Htji7uI6ejxefEyd7xaPYxLXfn5LyZHLa/yXsypFmtvJ1k
Ov7dAIrXU9pPezPIzrhbopEDKfpAsYWhJBXvlmirCDt+jPekPX9KxSkTJUO9D6RCS+zyX6RBqCa1
n+pCd3M+tjK2fHGOlFVeJE0jOccQb1tXnDKV8n9cGt1SW4cDxiJV3Zmc1Lnk0GxzcvTz0hEtyscB
l0hpe5ENDzU8LWRVmjZP4+EZlFcnKdHKv1SKGczy7y+lWsrPwtt6JX56yt0aX8Vj3Ec24aCXSjT7
oFNSzGsd7LCpb64PJ+Mn2YV3i95JSc9xyr2TdOBcotTDzgYjpTHfpClZemqfnqaTcz0lff7aw3Z6
8Ou7nnLQwswkxU952i6vh0eskuyK3E1bsi8r27vKyMn4aOmgbde62hBV/Wzl1vAL25UkpzbZXdu1
YKtRtpx65LrN0uApadk87/lA7QR7BlCbrF4XyQbpuWz7zLE8x+Tng0ZbHjvcV/IKHi9lWWAwP0vs
w6xEs+f2qUd6+zm8eJmZmXJfqaSkRDp//rwUFxcnbdiwQdq4caO0adMm+RcfHy+xH7u/fPmyZDQa
pYKCAskQ2qaHVG68gPSk9VQerl1AgPKpVHFBHlBT/yeotpzjXq+O54/MQdH+N5wW5PFotjxuO3+5
EXm5+SgqpZ3Iacfx0BBd39nedmreyQIbqU5k5xc57TRfTkPzx3ON8PELuc13ms/DKdIPfkGoH6Zs
CVLZ8tbCjIWzvHwddu2vbH6epteSk/Hj0TzN72an09LhTrddLVwqUz5aPFl4VbL5yuiolVZLdxaf
R9Pi5254cXFlF3HTlrKFhahTpw68vLzkdb+7du2y+i2n9liu1CNF165dcfXqVZTSs9/jDpe7ilri
s93pmz4/H/MOGTGidQ1LsHzl0ewiihuBgEBAICAQEAgIBAQCbiBwqztc9I0iTQTTMTc3y9Vs2B07
fil26myx/Hm0myWfyEcgIBAQCAgEBAICAYHA9UbAmx2acTNdcNueCNbIkEfTSCKCBQICAYGAQEAg
IBAQCFR5BJRP3WieUTiBgEBAICAQEAgIBAQCAoEbg4B5I6kbw1xwFQgIBAQCAgGBgEBAICAQoJMC
2Rouy4p6AYhAQCAgEBAICAQEAgIBgcD1R8DrGq3hYp8uCicQEAgIBAQCAgGBgEBAIHBjEPCqxr5Q
vIlfKd4YNQRXgYBAQCAgEBAICAQEAlUXAa9rbHRLjHBV3RISkgkEBAICAYGAQEAgcNsjINZw3fZF
KBQQCAgEBAICAYGAQKCqI+AlZhOrehEJ+QQCAgGBgEBAICAQuN0RENtC3O4lKOQXCAgEBAL/v70r
AayiSNrfS14CBJQAAhIEATEol1wKyyGICCKsFx7ICiqK4qoLqAgKKK4o/qiAgCIYVkDkvuUSucIl
hya4HC5nuAKYQA4gCTnnr+p5847kzeTlhSCBaniZme7q6qqvq3tqunt6BAFBQBC46hHQHS4Z5rrq
K0oEFAQEAUFAEBAEBIHii4CMcBXfuhPJBQFBQBAQBAQBQaCYIBCgtoSQtxSLSXWJmIKAICAICAKC
gCBQHBEIUFtCyJRicaw7kVkQEAQEAUFAEBAEigkC+ghXMRFWxBQEBAFBQBAQBAQBQaA4IiAOV3Gs
NZFZEBAEBAFBQBAQBIoVAvqUYrESWYQVBAQBQUAQEAQEAUGgeCEgi+aLV32JtIKAICAICAKCgCBQ
DBGQbSGKYaWJyIKAICAICAKCgCBQvBAIsOVoCLAVzO9K+30cHuzxA5LStqFX6+ewMemvVzo1/ij2
7t2Lo6euAmHM4EiNJxmjsffAAcQnZppRSbwg4BMCZjafxW0hOhoHYq7ituCDhmb65ZfVLN+1gEtx
0uFarge2QTP98rNPq/Si4GlVnr9pVnJapflb3rWSL0BjTWwFUye4NLB6wyFEz/o/zCvVFs1CC5b/
8lLHYcorbVC6Uk3Ur18fNauWQ7VhW5D2++e0xZjN7Vcb/cZvge7mJGDMvcFuaUzXDGvU/ckiLS0S
TZ10pEXaL+hls6P6S/McfM01Ozj3bdhKVyIZm6B+nTqoVP59xCMJYx4KRqlOXyLRLeuOsZ1Inq7Y
lqpHpv4xScnaZ+ohNyqSs3EQGpKueYNVWl5qV4xVPhNckpPwKcnhibWBe2O8fJfdJI3wprxm9WBd
fy6Jzc4KjBnVbRdboIesPYfNRRwVkLxzBMW3c3uwyIuT9/LMpCtsvHebZ66n141AELeFJk1Qp1Y5
PPjxeooleS3sbHvCxly6t8MnCw/qQiazzXviwnU9bNM5By61Metolk5L5XzdJli3SX/zKU7m+jkK
MjmY5ys4Lp3wZucgP9umiXhu0V7tJY8NutUD5TXVgfqyMj08+6Cz69/SbTbNvI25iXOZTy9nPXTF
tWOf5KR57csZfu+Yeet7uI3dNewni37Xum/1pbILKqfO07sOqv8xud/q+uXtQ/LVr5g+SwbQ8BaU
0+VLLThocjLKYsSY+3Hi9+qYP7M3QgqQ9/KSpuL756rhpcmBmLUnnrYU05AS9z+serY+MjIuUVFN
Kf4U4mL3Y8VXD2Hcv1pj1PZkJUL6BQ1lXpyL2MQ4xMbG0m8lWjocR6s0l/yxGN7yXvwQNhCREU8i
yJWQ9yxrD957egw6fbYZKSSjlpGCuJNvgotLv6jh0urxWOW8ae3HzC/XUspFXMzQWUUtnaZOZsz6
GQ4fTF2n68le/1qlec3giLTK5xWXsqHovWgv9uzfj/3bv0MTBFB9bEIMXe/ZvQhDl+wzSZuPlmVJ
f5N6yK/+rHTgNH8wu0j5Xp+5D4lxMdi+Yjz2jXgGHUbsdBTFqa6QGyez8lw5LteZd5tf2bs+tNML
0eb+9/HouM3IIDuLWfsRfhraHgPXJuZrZ+66L/mkPIZ0e0Z3MMvejVUnzyD+wAJVt2/MjkZcXCze
alHBodBh9H7lW6ddnid7VsHffMTJrE1bI+g9n/+4pODiefjdNq1lNbdPs3owrdufNdz3TDukzJqG
35ydQyZWTp2Akh16oVkp8zaWn4z+pV/uetD7QTNc4K+d+ZvPb/vU0fTeT5hjpufy7Hu4jdHdy6Lf
te5bfanXgstprYNZP6/LkrcPyVc/x73aF12uJpqAgk4ngsZyorfuwU/vPYfhkUk49esc9H98AKKd
jd1avdMrh6lRhIELj+chtErLQ0wRmYfmodf0DLzx42x0r3eTIgmpWAf16tCd3BHCalZBxbBwdO7b
Td0wLmUYT+NAzRo1EBZaEWFhYfSr6OE4WqWVKUMd2oDm+HBXJ6zfOxI1jcLMjpnn1EiJLfmC7pgF
haBi1Yp0noMSanjxMKbOj1a5k3fOw5dHs+m8DIJVTAzmf7MDQbVt1PnPwfp4s0KuTLw3XCrVCEe9
8HCEN6hDUgNVGjZADbquV78GqlukhZD+HLzxVAn0x6r+DJq8R/8w424tNKwqQivWwD2dX8f7r9ix
f/lWJNu4BKoPVk6FklRvcBuV9K88xSorBhHvj8FeH9uPmc3Xr1kWv8+ZhMPoj9FvtFJ2VqP9IEzv
FYxxQ5eQG8zB3M6U7jVqKt3b3ltXUet/dFu96ZYKqm7L3lwLFSuGIdTtCePS6n9iZCR5Jx7Bv3xm
+rm3aY9iHBdm+fzHpTTIV6Fgjhngb72b5zOrB9O6fX8uanV9huRcjgXrziiJkfYrIqZn4dneHahP
y7+N6ZlM/op9egBjZmf52afOxHu9m/Fk27UKVv1u4eq94HL6ooNVP++tD7HWzwqZqzctgB6ECxT2
TXkOzft8jrsGf4vZI8Px8kPd8eWiaJxzjMbkx+zPo9sVydZ9f+YhtUrLQ0wRqX/ytEdTPNH+Zm/J
Ku5CCjlYmbH4+oUHEIV30LeN8WROXWnUOmzavh2bNq3Fxqitj3/tAAA9EElEQVRjHjzM0vieu+jj
3nhobElM2zMP9/riadO06wefNseqEZ1xQ+s3sTEmzVlWOj2rlGhqw+qB/0EsxW6YMsmRxl0vO5Wr
yQFrhLlLIvEENmHmmryOqiPDFTmY4aIXnkHjcqARPJdT6xLKPM2Kp1X9uXh7nhUGs5LBupuLtCjM
mJSFOh2aoaxqI5FYOHUJFi9ejMVLfsDWXTko5yi2MOUh5RBGfjQBp31sP1Y2n5FOFlS5sho51UUL
Qp07myLz+FlcoAgrO2O7PnPwvziwYyoebj0SnT76Mo9tK4sM0CflFX8aRQ6qPxwRgxtgRLuR9FCh
O6J62a6/BclnpZ+LY94zq3z+4ZICrhIrzPytd6t8ZvVgqsOxOKRX64hBNeyYOGuNAubstvnYiMZ4
ukN1J1BWbcxJ5O1E7NPDrq3szBt87nFm9V4Ynjp///pWd9ncz/2R0xcdvNqgT32IuX7ucheH8wCb
lqPGWHwVdsPU+bjhtXUY16c9jQIMwdG5vVVWx20qXzaNXl1O02lx2DD07jy0Vml5iDkiuKQerW5W
CZjSsw3a3tsFA6f+4SD/DV0r0fqi4Fvw2vRHEZk4ElUdKSVusCF10WC80OMfeOGFjuj50QrniIVV
GhCNUcNnEJfWaFBTfwZ2sLQ8tB+0FVFzRqDeli/RtlYIHv98PY0V0jZo5D/9q99k3IvJmL5kDiZN
qozREQOJl+5wRc+fRjfRJ9Gxbhs82c1ON/3lzukbywKLINEaF/8KtOZpXn9WpfmLGd/sNi+eiClj
3kHTkLsxH90w+a1WzqIWTByDMWPoN3oGpeXgBsfDir/lKcbKwTNcN2dR5iceNu+F7M9LnusJbTTy
pAUjIB87Y90jnmuOOs1foJt1DqrdVtkL81xR1Ogz40LRbfB4Gj0ehSFzolCiis3ZjnJRuy6t8nno
561Nu9h4nHnk80jRLwqMSwq0k1qRtE0re7GsBy86aDklYade7fF+7ZEyczY9VAJbvpuA4BYvomVF
XXXrNuYFK/cosU9Pu/awswLYJ2FqWu8ePN3BL9y5v/Xul5z56GAqi1VfUDj1r8rcAQWVKu6Ehuce
u9OZrXJ4DTrXnQNnpOVJkGM6zRuRVZoXerVO6zfEJPGIyg1o83wfVNq0Cj8dTnAQN8XCmFNY3L8B
XR/BObdpG55TvmXIDhw6fAiHDmXj2KJXnSMWVmkX0AbL9y4jB+l7tHzsSzVV6EUyr1GNnxqC3zKO
I6JfKywa2B7vrT0DXgsUGv4AXuplx3uPdsf6ji+i692VVH6b7RQWTtqJak/WQkpqEsJat1PTiluT
vLIv8kgrXPwt3Jqnef2ZlxdbKMwObFuLyOhkdJu8DEdS5qKFcwSzKX7YvgGRkZH0W4nRjew4rqYa
/Stvx6ct1dS6LaQdWeZveKCc/qJBUP3/s7YpZfNJuOA20GRgkXHJBnu9kp7rCbUb6aWYDKSRrGZ2
xvm5BQ/dkEzrIFOwffrriOhxO76Ico3EGmXkOcYlIbhsW0wc2RwR3dvgtZWZqO7LqLlZvnzbdB4J
9IgiwIUhNsPM/7ZpbS9m9WBWt7YA3cFu3LUHSbscS+bOwYLvs/HEKw84l0hYtzHveIp9mti1v/ZJ
8xemfbmF7XqvHd9i/al3+CtnPjpYymLWF/imZrGiCuA3jgoSStLDeOQvJ5xZLiYU/O6fmenlbuHg
aJXmLNRxUvaOFriNxudWbzhIMUEIv/8JtGwU4PGEXaFSFTzy2Xc0HReN7t083wYs5xggy82Xr83S
bHRrKhPeBUs3f0jOT388Pmy9t+zmcUFV8eLYpfjgVjvmrGK56WXHnMp4+Jk+6vzBZ7qglmN9TPbx
1ZhP67lOTHgKlUqXQ5sBq4kmEkvX0XCFEWj0wjRYpZlmogSLfGa4WLHLL82Kp1X9eeObVQjM+GbX
+9P5mD59Et7r0xk1c70NkuF8rrikHGUel/KpPC+C3t5rMqKi9mDvpnGUehsmb4zGnqgo7Jjdy+n4
e8kGtvkmtHZo3DRjMb+LqnK125C1l15YcM7oJmDdnJ0IaVcDJckJMrMz5sCq2ZiIbtP39HyeHigC
cCbF7QmFVhTy6Ist2E5/PQM/NNzT7wtqY47nN492VbB8vrRpz9L1q6LCxQwzn9qmF0HzsxezejCt
2/tuU/YSVLsDBjW2499Pd6dHwUbo0aW2R+lWbcyD0HEh9kkvGxAWue3aX/u0qncr26XXNkgKWj/q
7Oa9T9t7q0OOK2i9+yuntQ66dFayeMPaTKfiHE89ZMEcrtaP3oHdwwZiWvRZpJ3+Ga+2H6v0P6dG
mfKH4ti8N8h4gvHs+N/zEFul5SHmiApdMX5Qfcx8oS4+XnuMIlw3Qic9Tzfam2Lcyv7I2NYf78w6
5Ew6/NtWRNO+WNtpHdf27dFIcvMDrdL4xlu21VBsH9MRW0bQW2Ar3BwgJ3e3k7T9WDx7M0459t46
tWspZhzLxqP33a6ILmVkoOyDoxB7JBY/PF8dGRe5kYEWbM+iJbv9cSSD3kqhxXaadg6j2wTh24lr
aFpRv7kdifnVTYftiElUWdUfqzQXVd4zq3xWuOTl5FuMJU+L+vPGfc/C2YXC7FJWije2pnHW5Zlm
Q7mw+mjcuB7qtmxIDlQo6jRthHqNG6Nx/SqeI1S5WZDNjxhUj9b83YMvNrHNkyN1KorWIJ7F7Y+8
RLxW4oV3l6pp54PzPsC7u7IwoO+DylrM7IwhZmfqNL1ZGn9qD74fPkRNK95chp2rVBw9ehTH9h9V
ThnTnKLrOLe2QkRAqb9hyNcPq1N1j/A3ny9tWi/F828R4JJDXaMZZtZt01M09ysre+HxRLN6MK3b
lx922AtNKz7VXhUV3KKnczrRKNuyjRlEbkexTwcYue3aT/u0qvdUC9stU4ZnOyIxZYb+gJW0awbe
pDb9aNf6brVlflrQevdXTr4Xm/VLhnT5ypIbayPjtXS8veWjWvVG92mJiYk+/bTMI9qYnmrSgB+H
tccHvaPR07B2y1vryCfIP+yd8ojKR4tttT9zkVul5SJ1uzypffVyQ8WT5eFfg6GbtdRdn9F5Wy0y
0SBN0SJ6BVHck1pUaqJGjotHHlp8r/2saM+Zp6Vu0Jo46ZjvOS2iZzXi01RbGJtpFJT3SPkYI0M+
Pt7VY6x2JDNRG9nIrr298axHnqQdHxFtK23AXXali3vige+7U1oXbRvr0Dm3DtCGKl6kg2maO7fc
51b5LHAx2Dj0HLEtyYhxHb2mmfO0rD/aW8N7IH6EJ9e/e/AJM4d8NK3mnlWd6/Xhbkt6OQ2HrrIs
7xdTOd2KSN1KtmHYnlu85elJLeLl1h72dItD56MrhnrEdxrB7fKchZ211badi9Qe8rDPptrb30Xr
EiSxzXvaLtsv21nSjiGarcpwLcGQNXO31hOBWsuPCH9/8yle3tu0UYz58XLi0kp7jdqfP23TvN7z
sU+reiClvdetC42Mg9+ouu/x3UFXJNW9eV/nRmZ2Kvapae52rXAqqH1a17tuL2a2m6Gt+KCjR5tu
+PpczaNrKWDfalbV3E9Y9Z/WcjJXMx3MbdCyDzEE9aqfkViwo69+jhXd4cOHla+UnJysnT9/Xluy
ZIn2448/asuWLdOWL1+ufitWrND4x9fp6elaamqqFh8fr9nubPOElnoxAbvWLaB+NP8QGqovaklN
TEJGidIIDaH5r8xUep4NAZ/6Epb0LYGnfh+LxF9eda4zMPJZpRk03o6p8adwMo6Gd0Iq4Zaanls8
eKO/4nGE0anYOCSmpKB0aE3UqJprvuqKCyQFFncE2OZjyOZLl6uKGmHOxWbITIrBgdhUBIVURXhN
V3xx09ffNn0t41Kc6vZargduS/7ap1U7NMPMKCs4V1u34lWUaWZycplWaUUpky+8k5KSfCGzpElI
SED58uUREMCforZh/fr1znNjiZZxJHcQHTp0QHZ2NlLo3m+7u3NPLTH+T+z8eY5lIUai4XAZ1wU9
HqQpxfCnJmA87dL3ehPPt/ys0gpajtALAoKAICAICAKCgCBgIPBXO1wBIaXoteKgQEOeIj+Wrv4g
1uxOyuNsccFWaUUumBQgCAgCgoAgIAgIAoJAESFgz6EhL5vxdlERFeLONqx5F4S5R7idW6W5kcmp
ICAICAKCgCAgCAgCxQqBgPMXLyLDYpsGU20cH6flj9hKEAQEAUFAEBAEBAFBQBAwRyAgLe0SsrJy
v+NtnsGZUrY2/k57XiXpOxg4o+VEEBAEBAFBQBAQBAQBQcATAfq2DEC7n3rG+nKVlYgju6qjWfWy
vlALjSAgCAgCgoAgIAgIAtctAnZawuVfsIfh05O7EVY1787T/jGUXIKAICAICAKCgCAgCFybCOjb
lfup27pR/TF9b7KfuS9vttT4o9i7dy+Onir8PhuXVzI3bqnxJGM09h44gHjHrvNuqXIqCBQIATOb
z+K2EB2NAzFXcVvwQVMz/XzIakpSFDxNCytEgpWcVmmFKPKKZjXT4Xq33WsZl2ulbgvTUAL8fUEx
+48Z6DnuFG2s+FdPKcZhyittULpSTdSvXx81q5ZDtWFbkPb75/rHgWm6lDchs9lqo9/4LdBXqyVg
zL3BudKbYY26P1mkpUWiqc2gI9jTfkEvmx3VX5rn4GteFQfnvg1b6UokYxPUr1MHlcq/j3gkYcxD
wSjVyfMbjzvGdiLZumKb41N2qX9MUrL2mer6LBFAcjYOQkPSNW+wSstL7YqxymeCS3ISPiU5dIwN
rI1jY7x8l90kjXCkvGb1YF1/LonNzgqMGdVtF1ugh6w9h81VH5JO3jmC4ttho9N/yYuT9/LMpCts
vHebZ66n141AELeFJk1Qp1Y5PPjxeooleS3sbHvCxly6t8MnCw/qQjpejsldv/yyjI5Lbcw6any8
MQFftwnWbdLffKpUc/10ocz/mteDd57e6pZ1uGvYTxZ2bW275tK5Ugoqp57Tuw6qfk36M7M6ylc/
p627ZL48Z2Y6XO+2ezlx6YQ3Owf5eV/Jv5a92m6e/tOtDyGWpv0S2W2ZHp73z7Pr39L72zTz+0P+
Ul6dFH6PcO3/aT3eWBCBFn/phump+P65anhpciBm7YlX3xtMifsfVj1bHxnq6+VNKf4U4mL3Y8VX
D2Hcv1pj1HZ9RI6/Xl7mxbmITYxDbGws/VaiZaheSVZprmqMxfCW9+KHsIGIjHjS+vt3WXvw3tNj
0OmzzaBPMkDLSEHcyTfpC3r0gdSLGn0EezxWOW9a+zHzy7WUchEX+SN3FKKWTlPHGbN+Vt/IUxf0
hz/4aRas0szycLxVPq+4lA1F70V7sYe+sbd/+3f0Lb8Aqg/6gDJd79m9CEOX7DNJm4+W5Kt75UnA
5Fd/Vjpwmj+Y8YeDX5+5D4lxMdi+Yjz2jXgGHUYYH4nmVFfIjZNZea4cl+vMu82v7F0f2umFaHP/
+3h03GZkkJ3FrP0IPw2lb32uTczXztx1X/JJeQzp9ozuYJa9G6tOnkH8gQWqbt+YHY24uFi81aKC
Q6HD6P3Kt067PE/2rIK/+YiTWZv2BUHv9eCdJ2OmB8+6ZR2od7Cwa2vbLRo5rXUwa0e6LHnrKF/9
HH2hL7r4TmOuw/Vtu5cblxRcPE/fAfXzvpJffXpvY3zHcvWf7n2Iad3+rOG+Z9ohZdY00D7ojpCJ
lVMnoGSHXmhG+6Jb27WRp/gcAwJ4vXyB1sxnYnPEv9Bz/G4sG/AGvloyHf0eG4xoJ2DWyp9eOUyN
IgxceDwPoVVaHmKKyDw0D72mZ+CNH2eje72bFElIxTqoV8c16hZWswoqhoWjc99u6oZxKcN4Ggdq
1qiBsNCKCAsLo5/n54Cs0sqUIaMY0Bwf7uqE9XtHoqY34dzjMs+pkRJb8gXdMQsKQcWqFek8ByUU
+IcxdX60ypG8cx6+PJpN5/SFeBUTg/nf7EBQbRs1oDlYH+/O+Mqfe8OlUo1w1AsPR3iDOurju1Ua
NkANuq5XvwaqW6SFkP4cvPE0NLOqP4Mm79E/zLjDCA2ritCKNXBP59fx/it2+oD4ViTbuASqjzJG
SSWp3oBE4xL+laeyZ8Ug4v0x2Otj+zGz+fo00vz7nEnqw92j32il7KxG+0GY3isY44YucQxkm9uZ
0r1GTaV723vrOjWjb2UpW73plgqqbsveXAsVK4Yh1O0zXpdW/xMjI6mH9wj+5TPTz71NexTjceG9
Hsx4MmZWwcqufbFdc94Fl9MXHazakbc6stbPXHpnitiuEwo+Mauj/GzXLJ//bbo09G+4mLd3+N1n
ebdd1t+sDzHtl96fi1pdn6Gcy7Fg3RlmQbNGvyJiehae7d2Bep787w96puLzl95SpEEuTd1RfJJ6
35Tn0KbPeLQaPBmzv2mE1x99DuMWb8M5x2hMfkz+PLpdkWzd92ceUqu0PMQUkfonT3s0xRPtb/aW
rOIupJCDlRmLr194AFF4B33bGE/mwOGoddi0fTs2bVqLjVHHPHiYpfE9d9HHvfHQ2JKYtmce7vXl
SbBUW3zwaXOsGtEZN7R+Extj0pxlpdOzdImmNqwe+B/EUuyGKZMcaWy+3IhXkwPWCHOXROIJbMLM
NXkdVUeGK3Iww0UvPEM1Os3NqXUJZZ5mxdOq/ly8Pc8Kg1nJYN3NRVoUZkzKQp0OzVBWDdpEYuHU
JVi8eDEWL/kBW3floJyj2MKUh5RDGPnRBJz2sf1Y2XxGOllQ5cpq5FQXLQh17myKzONncYEirOyM
7frMwf/iwI6peLj1SHT66Ms8tq0sMkCflFf8aRSZPkKPiMENMKLdSHqo0B1RvWzX34Lks9LPxdH7
mVk9FIanXpJ/tutdSvM2bSWnVZpRjtd25FMdmetn8PZ6FNv1sHlf6sgbjlb5/GvTKeDuxKq9m7UV
b/K5x1nlM+tDTHU4Fof0ah0xqIYdE2etUcWc3TYfG9EYT3eo7izWq107U4vXSYBmK9hrihumzscN
r63DuD7taRRgCI7O7a00dtym8tW+0avLaTotDhuG3p2H1iotDzFHBJfUo9XNKgFTerZB23u7YODU
Pxzkv6FrJVpfFHwLXpv+KCITR6KqI6XEDTakLhqMF3r8Ay+80BE9P1rhHLGwSgOiMWr4DOLSGg1q
6s8RDpaWh/aDtiJqzgjU2/Il2tYKweOfr6d1X+Tvkv/0r36TcS8mY/qSOZg0qTJGRwwkXrrDFT1/
Gt1En0THum3wZDc73fSXO6dvLAssgkRrXPwr0Jqnef1ZleYvZtxhbF48EVPGvIOmIXdjPrph8lut
nEUtmDgGY8bQb/QMSsvBDY6m4295irFy8AzXzVmU+YmHzXsh+/OS53pCG408acEIyMfOWPeI55qj
TvMXqMPLQbXbKnthniuKGn1mXCi6DR5Po8ejMGROFEpUsTnbUS5q16VVPg/9vLVpF5vcZ6b14MEz
dy7/r61t15yvX3Lmo4OpLFZYm4voW4rYrqfNe9RRAWzXI58X6AvcplOgndSK5L5iarsktmUf4kUH
LYc+K0h35Mf7tUfKzNk0IAJs+W4Cglu8iJYVdRxM7doLTMUhir93XaApxbgTGp577E6nbpXDa9C5
7hw4Iy1PghzTad6IrNK80Kt1Wr8hJomnCW9Am+f7oNKmVfjpcIKDuCkWxpzC4v4N6PoIzrlN2/Dc
8C1DduDQ4UM4dCgbxxa96hyxsEq7gDZYvncZOUjfo+VjX6qpQi+SeY1q/NQQ/JZxHBH9WmHRwPZ4
b+0ZtWYqNPwBvNTLjvce7Y71HV9E17srqfw22yksnLQT1Z6shZTUJIS1bqemFbcmeWVf5JFWuPhb
uDVP8/ozLy+2UJgd2LYWkdHJ6DZ5GY6kzEUL5whmU/ywfQMiIyPptxKjG9lxXA0M+1fejk9bqql1
W0g7sszf8EA5/UWDoPr/Z21TyuaTcMFtoMnAIuOSDfZ6JT3XE2o3UvvOQBrJamZnnJ9b8NANybQO
MgXbp7+OiB6344so10isUUaeY1wSgsu2xcSRzRHRvQ1eW5mJ6r48w5nly7dN55HAEWFRDxaYmXHz
Jd7ads04+ClnPjpYymKGtZmI+cSL7ZrYvL+2a1G3/rZp7h7M2rv/9xUL26XyzPoQMx1sAfrDYeOu
PSj3ciyZOwcLvs/GE688QNOJerC0awdNcTqQv0W9o7px+CZ2SXoYj/zlhJP4YkLB7/6ZFp8Sskpz
Fuo4KXtHC9xGwq/ecJBighB+/xNoSbvfu9bWABUqVcEjn31H03HR6N7N823Aco4Bstx8+doszUZm
VSa8C5Zu/pCcn/54fNh6b9nN44Kq4sWxS/HBrXbMWcVy07R1TmU8/Ewfdf7gM11Qy7E+Jvv4asyn
9VwnJjyFSqXLoc2A1UQTiaXr3KYVafTCNFilmWaiBIt8ZrhYscsvzYqnVf1545tVCMy4w+j96XxM
nz4J7/XpjJpGq3cUlOF8rrikHGUel/KpPC+C3t5rMqKi9mDvpnGUehsmb4zGnqgo7Jjdy+n4e8kG
tvkmtP5i3DRjMb+LqnK125C1l15YcC5TTMC6OTsR0q4GSlIzN7Mz5sCq2ZiIurp7ej5PDxQBOJPi
9oRCKwr5CdYWnHffPX6B4J5+X1AbC6AzCh7tqmD5fGnTeiGef63qwQozWlpMjGh9nrMZeZ8W9SzN
dWVluy4q15m/clrroPO3ksW6jlzy+XImtqu/XJTb5v21Xau6LUybNmvvPt1XvBiCle0yuVkfYqrD
fbepvi6odgcMamzHv5/uTsMYjdCjS22P0q3s2oOwGFzQnBZ5Wzm+e1ytH70Du4cNxLTos0g7/TNe
bT9WqXlOjTLlr/GxeW9Q5xaMZ8f/nofYKi0PMUdU6Irxg+pj5gt18fHaYxThuhE66Xm60d4U41b2
R8a2/nhn1iFn0uHftiKa9sXaTuu4tm+PRpLbqIFVGt94y7Yaiu1jOmLLCHoLbIWbA+Tk7naSth+L
Z2/GKcfeW6d2LcWMY9l49L7bFdGljAyUfXAUYo/E4ofnqyPjov69pP3LZ6lF0Ecy6K0pfrtRO4fR
bYLw7cQ1NK2o39yOxPzqpsN2xLh5m1ZpbtLlObXKZ4VLHkY+RljytKg/b+z3LJxdKMwuZaV4Y2sa
Z12eaTaUC6uPxo3roW7LhuRAhaJO00ao17gxGtev4jlClZsF2fyIQfVozd89+GIT2zw5UqeiaA3i
Wdz+yEvEayVeeHepmnY+OO8DvLsrCwP6PqisxczOGGJ2pk7Tm6Xxp/bg++FD1LTizWXYuUrF0aNH
cWz/UdWhMs0puo5zaytEBJT6G4Z8/bA6VT6Mv/l8adN6KR5/LevBArMyZXg0ORJTZugObNKuGXiT
MHu0a30P/mYXlrbrJZO/cnJfZ1bvRjH5ypKnjoycBTuK7Trwyo2nn7ZrVbf+tmm+pZu1d+v7irkt
WNkuj4Wb9SGmOrz8sKOvo2nFp9qrgoNb9HROJxqS5GvXBmFxON7R5nGtZpMOWmJiok8/LfOINqan
mjTgx2Ht8UHvaPQ0rN3y1jryCfIPe6c8ovLRYlvtz1zkVmm5SN0uT2pfvdxQ8WR5+Ndg6GYtdddn
dN5Wi0w0SFO0iF5BFPekFpWaqJHj4pGHFt9rPyvac+ZpqRu0Jk465ntOi+hZjfg01RbGZhoF5T1S
PsbIkI+Pd/UYqx3JTNRGNrJrb28865EnacdHRNtKG3CXXeninnjg++6U1kXbxjp0zq0DtKGKF+lg
mubOLfe5VT4LXAw2Dj1HbEsyYlxHr2nmPC3rj/bW8B6IH+HJ9e8efMLMIR9Nq7lnVed6fbjbkl5O
w6GrLMv7xVROtyJSt5JtGLbnFm95elKLeLm1hz3d4tD56IqhHvGdRnC7PGdhZ221becitYc87LOp
9vZ30boESWzznrbL9st2lrRjiGarMlxLMGTN3K31RKDW8iPC3998ipf3Nm0Uk/doXe96PZhhlqGt
+KCjB2YNX5+reVRdAW03r3xGTGHkZB5mOhBfk/7Mso4MsbzqZyRaHMV2Nc3d5hVUBbVdA1+zutW0
grfpVtprdO/w575i3mdZ265lH0IqetfB0F3TMg5+o9pgj+8OuiKp3zKzazeiAp366udY0R0+fFj5
SsnJydr58+e1JUuWaD/++KO2bNkybfny5eq3YsUKjX98nZ6erqWmpmrx8fGa7c42T2gZtD7o1zXz
qB/NP4SG6otaUhOTkFGiNEJDaP4rM5WeZ0PAp76EJX1L4KnfxyLxl1edc7VGPqs0g8bbMTX+FE7G
0fBOSCXcUtNziwdv9Fc8jjA6FRuHxJQUlA6tiRpVc81XXXGBpMDijgDbfAzZfOlyVVEjzLnYDJlJ
MTgQm4qgkKq0MbErvrjpWxRt2gwzo6zgXFj+VZiZycnyWKX9VfIWtFwzHa53272Wcbka6jYpKamg
ppqHPiEhAeXLl0cAr4CnTdXXr1/vPOdrDsaRvEF06NAB2dnZSKF7Pzlc3bRLKcmIWlswhyuPFD5G
HKQpxfCnJmA87XT2ehPPt/ys0nxkL2SCgCAgCAgCgoAgIAjkQeCvdrhoIZANAQ6vLI90RRBRuvqD
WLM7KY+zxUVZpRWBKMJSEBAEBAFBQBAQBASBK4KA45Ujnj69MiGseReEmRRllWaSRaIFAUFAEBAE
BAFBQBC46hHQX3UryL4QV71KIqAgIAgIAoKAICAICAJXFwL6vqfqg4pXl2AijSAgCAgCgoAgIAgI
AtcKAuRw5dD+TjnXij6ihyAgCAgCgoAgIAgIAlcdArRenl9tvOrkEoEEAUFAEBAEBAFBQBC4ZhAg
h4u9LfG4rpkaFUUEAUFAEBAEBAFB4KpDIIA35pIgCAgCgoAgIAgIAoKAIFB0CNByef1f0RUhnAUB
QUAQEAQEAUFAELi+EQiQFxSvbwMQ7QUBQUAQEAQEAUGg6BFw7MNV9AVJCYKAICAICAKCgCAgCFyv
CNAaLkCjfxIEAUFAEBAEBAFBQBAQBIoGgQCbYxVX0bAXroKAICAICAKCgCAgCAgCakpR9uESQxAE
BAFBQBAQBAQBQaDoEFC7nsrOEEUHsHAWBAQBQUAQEAQEAUEggL7rAwTI2nkxBUFAEBAEBAFBQBAQ
BIoKAeVpBcqi+aLCV/gKAoKAICAICAKCgCBAY1syuiVmIAgIAoKAICAICAKCQJEiECBbQhQpvsJc
EBAEBAFBQBAQBAQBqG8p5siUopiCICAICAKCgCAgCAgCRYYAfdonEPSqYpEVIIwFAUFAEBAEBAFB
QBC43hGgRfPyluL1bgSivyAgCAgCgoAgIAgUHIGSJUuaZipRooRHWoCNdj3VZCMuD1DkQhAQBAQB
QUAQEAQEgfwQuOmmm0xJcqeRw2VKKwmCgCAgCAgCgoAgIAgIAiYI3HzzzbjhhhvypHJcWFiYR7xd
Rrc88JALQUAQEAQEAUFAEBAEfEKgXLlyCA8Px5kzZ5CQkKDyVKxYUTlboaGhyMnJcfKx85Qi/yQI
AoKAICAICAKCgCAgCBQMAXa6KlSowBubqoyGT5V7QEul6iQFK0CoBQFBQBAQBAQBQUAQEAR8Q0At
mpfN5n0DS6gEAUFAEBAEBAFBQBDwBwG7YwAMZcqUwZ9//onMzExLPklJSZbpkigICAKCgCAgCAgC
gsC1iABPGxbUDwoKCgKv57JrtgDaicumnK3ffvvtWsRHdBIEBAFBQBAQBAQBQeAvQ2Dbtm2wc+m0
9Wm+I1t/mZSXseC9e/di0aJFGDBgAEqXLn0ZOQMZGRn473//i8qVK6NatWqKN7+dEB0d7fGWAsfV
rVtXvUZ6/Phx/P777zh9+jTYA7733ntx2223ITs7G+z8GgvvDEFDQkJQr149/Prrr9i3bx/S09PB
r6Tef//94DQJggAjkJF4BDu3HcANze5Hw4pBVxaUnFhELtuNco3vQcNq5a9s2VKaICAICAJXKQKn
Tp2C3UabnvryjmLawfno/vbvGDlrBOqGkItmS8VP7z2LVfU+wZged1ylKnqKxQqzo5KcnHxZHa4T
J07ghx9+wI4dO9CqVSu89dZbquC4uDiMHj1aOUaBgYFOYf7xj3+gZcuWGDp0KG688UYlC0/nbtq0
Ce+//z7S0tLw8ccfO+mNk1tuuQXvvfcexowZoxwt5rlmzRrlnA0aNAilSpUySL0eL168iE8//VTJ
2LlzZ6803iL9zeeNV35xtsy9+OiJodgJ41Xahuj13j/RrXmV/LKSTWbgjw1rkVm3g++OBtnxsgHP
Ym0zczs+uWUmRoyai7Cen+P9J2orOWwZ+zHqycHY7JRTF+/pkTPQo27ePVnyF/4yUJAuW6Z/gVHz
fyVmYeg79m4c/rQPph7K9sI8HB/N+hwNuS37E0ywtmWl44/lk7ByykQEN+2B0YOfRrVgfwqQPIKA
ICAIXFsI6NtC+Pzx6kse2qd6XnqkXe0XvFbt0qVLamTI3RkqqNyJiYnKSeL5WR5tMl4LdefTq1cv
NGnSxBnFo2Ac2DG7/fbbwZ8G2Lp1q3LO9uzZgy5dumD8+PFOeh7x4msuo0qVKvjkk0/UkcuaMGEC
tm/fjnPnzoEdMqvAI2Ls2Bl7hVjRuqf5m8+dR0HOL5E9/v2dr9CjQQnsWfMdPv5kNO4k50A5+paM
svDf0d/i/Mh2vjtcxC/T7Ikj5wi+fOwtRFahUUeSqVxGlqt0WxaSKe6+Nz7GU3XKIj1LT7ux6l/n
bK0d1RPjNjfBO2OnolXNckrW5MET0IxEs188gC/eHovbXh+JJ+qVxaXsIFQuTc6Wn/4W4B1rLbgW
+k5ahN6J+zF3xLt4/ckkTFj4Cqq5njdcGMqZICAICALXEQJ2aDyS4Hev6wFVWsxqDOj/NRq+NgH/
7Gh98/fIeIUvzp8/j++++w7x8fGoVasWXn31VTXyNWfOHLz77rtqui81NRVffPEF/va3v6FDhw5q
1GnFihVqNImdNR5Naty4sXKOevbsqaYJR/3fKK+asGNnjGS5O3d33XWXk55Hkex2u5qO5KnE6tWr
O9PmzZunnKTXXntNOXS33nqrSuNpTN7ng7/XxFOSVuHChQvgKUye0uTzY8eOKXJ24Fgvnl9mHJg3
O5E8isZOIk9zmuULDi6aoQv240MqVkbIjUFocGdVuop3qpZxOgr/+YpGUHafobiGeHHEP/FwgypI
P5+A8+nxSLmZHKj4k1S3pWmaHChTIQw3en7Oyskr35PAm/H4hMnoV70sjeZ2x3wvGcpXroqwarpz
4yX5ikWd/HkcOVtZGDDxXbQKc230UrZiGMqSFLaMC+AvfpW9tQYqhjlGQrnZZ8Ri1X/+g4kreVQs
HN0H9sMzrW/B6S3T8OG0k+g+7B20qxYEW9p+TBw6GfbH3kbPhiXyxTq4XB08+9lYnHusH94eVxcz
B7SB+FwEsQRBQBC4bhGgES7SnRbOX45wKekYTpPzVursxcvBrkh4sIPy+eef48YbbkT58uWxYcMG
1KlTRzk7MTExYGeMt+RnJ4kdjRo1aign5auvvlLOFjtJvMEZj0jxiBY7He3btwc7aGaBHZqNGzeq
Eahu3bqpUS13Wl77NWvWLLRu3Rp33nmne5Iqc+nSpejevbta38WJTP/jjz8qJ+zs2bPg6cFKlSp5
5Mt9wSNkvIaNpyvXr1+vpi8ZC+bL06Acxw4mT1lOmjRJvYXB8d98841pvocffjh3MZflmh2DpNNH
cdoWi68Gz0PTniPV6JYt7Xe81/ffOH/fSxgb0QTxm2bg46F9kfHZbDTaMwpvTftDL3/02/jJIUmh
pvi0EHKAeW1cKng0t4yDpzrQiBY7hguGPo8FdKzd7BE89fwzaF7NelrXncVlO6epxF3rd6BU1w/R
zs3Z8uBPI3IsLxwjcSqNlwWM+hcm7myLDyZMRMn9i/HuZ6/hplqL8EDrrrhvYR+MeX0iqs9+Fvto
tGpVUjf8p00VnFgw2DesA6qj15AOWPfxRhx7rQ1qFY1/7qGmXAgCgoAgcLUiYLddxk24yjXpjekR
3RBEjowz2LJxeu9/cTxdQ7BjtViGVhoNmoYjhCZq/EorxIAcO0b33HMPXn75ZbXQfeDAgdi1axea
NWvmFDn3yeHDh7Fz507lWHE+Ho1ipye/wA4dOyU8JccL43n92IgRI9TaLZ5K5PDHH39g3LhxqFq1
Kvr27ascOIMvO1M8EtegQQM88MADRrQ6srPEC+V5xIr58muqvNutWejfvz+Y37///W81atWxY0dF
yh/X5JG1l156STmivHaMeb399tvgzxNY5TMrq7DxJclOfnJzmjpVCVUsY9YsxkG0xoQBXVGNbKBm
t/7os3kbpi/8FY8N/hRLuqVizsvPIr3fNPQq4nVUWsideHPsGKQjE/H7f8PSiXPwya87MTDiK7Su
eHkeYHzH8SLi9mio20rHydd8Oae24+udWeg04HHUqxCK7HsexEP4GSu2HsEDtFat+4iPcLz7UAzo
vpZY3oMR3z+L8mR35R/3HevS6kHgKC5m0ZNdcCEarq9KCZ0gIAgIAlcpAuotRZ9WzfuigBaIshXd
nC2VJxv7fv4e804EOEcILmTfjkH1w1GrhJ9phXhSZielR48eaqE6T93x24r57T3GbxJy4LVVud8c
VAkmf3j06+mnn3amrl69GlOmTMHatWvVKBdP67GzxY5Nv379PJwtdqR4ipOdteeff94jrWHDhuAf
0/Do2ffff49ly5aBpzbNAuvNurL8PK3Jo3PugZ26Tp06qTJ5CpX5c8gvnzuPy3XOa7ieHjkbPeoF
4uCG6Xh7VF9UHTsf9bISEVijGSoYBWnBuKN1ODKWn8ZFup/z1NkVCTQyBBr9CqtZUxVXs2Y4mret
iyHdP8CCnw+g9RV+icSWfhHnSJKbKniMweULRXoS5wJ+GvOac0SQr5sG6Y6RVqoennmpDjZH/IFa
XbugwY3+OEx6Y9U7GuYuQRAQBASB6xMBWsNFnSjduPMNtnQiKUmjIUana4ejX7bOSjfF+/uNxv3e
qPxN88bLxzh2OHgROgdePM7rldjZ4AXo7MAYgdd3paSkqEseFeM1UsY6KU4r6MZnzIhH1tiJ4mk9
nrrk6bqyZcuqUSRjIb1RPr/hyG89tmvXznS6kGXmNVZLlixRi+aNvGZH1p1HxnjtV+7Ab1ry9Cp/
3fyXX37B3XffjRYtWigyq3y5+VyOazX1xXdoso/b72uPBqOXITmNYrWSyD56EjxhrTbBoNHTY/sO
Iqh6exgTeTyIkq7vdlIgUTTN2iXwtPW8i8K0kCqoRU8uuwtU6uUh1krcjNq1bVhx+CzQ/CafmQaW
0tf9vfvdUrQob7RrV3ZbYhS+ifgfAsNsOLLsA8xsMZVeZHCNovqCdXba1bu8wKWpnAkCgoAgUPQI
BGg53NHS8EA+oURJ7mj/izWRBxVl2pEN+PZwNu5udqszZwYtmu/7yKP4esNJZ9zVeMIjWidPngSv
y2Jnom3btmqnfV63xVOFPALF2zmwY8YOCk/38UJzjt+8eTM+++wzWgqTpdJYP+PNvxx6AYFHpHj7
CXbI2DHjrR54Ko+vZ8+erY68lxaXv3//frU9BJfLo138M5w8noLkPMZIk4EjO0a8Dxc7bOwIrly5
UjmNvA7NCLz315sD3sTy5cuNKHXkqUMe5Tpw4IDizU7d//73PzVFGhERod6WHD58uFprNm3aNCUj
ZzTL58H8Ml7oa7hO4nziCUTOnEFOjIbQUnbUurcTlbICU5fsQSrVzemoRRhHU2L3PdjEOVuVQaa8
7MeNiCOnMvn0fkQdSPRJstNxhxFzIkZhw/jE8ZI8cugSqA4T4k4gjnzv00lxiE+IR3wSOewZxxH5
8y6cOp9KDmwCdsz6Bktoi4j73NqDTwVfDiIabbu9UXXEzVmNI/qzhE9cg2v+DY8gAJ/TGrjj59NJ
j/M4uGUlthxJI93j8P3gEfjfnX0w+5sFeKu9HXOGfoJtCa6+Il+saeuIjQsW0qhkK9TgNyIlCAKC
gCBwHSPg8xqugGqdMPyZXzF8Ai1InqAjVqvrIDxRh8YWHH1pSrxj0fypq/Oplp0kdmiGDBminCl+
c/C5555T03s82sUblk6dOlWNdtWvX1+NBHEeHpmqXbs2FixYoKb2eONSdtR4hImdlnfeeUc5YOw4
saO0e/duNVLE20HwYnV2cngaj502HpHijUq3bNmiZOApRvfAC+d5XRnTcuA3EN3D0aNHFU9euM88
eTuIpk2beqzxYifv8JHDsEfa1TSokZ8/38S68PQjr9Fi55DLYx0PHTqkyuWRNl7PxVtPsOzDhg1T
zqi3fHfccYfB+rIePddwhaPbgC/xcE0ew7oP3ww/h77Dh2CLA7aWPT/GK8aoDjkeHfs/h/WDJ6LP
1q+VTE17f44m4a5RGW+CBlHypQ1fo/8GVyovtv/H7ccx+qUhyuFTKWe+wEu0Gr/S458gogfw84Th
GD3B5Uj8/fXP8XC4Mdbm4nUlzho88QIazP8AI//TDN/0aen1jUB2ZIPJ6XYGrRKejxiGc8M+whs9
Zzqiw/D6hA74Y9YYzDvTFCPHdCVnVsO9b4zBoX398dm/5+DbL5+itVz5Y316w7dqjdiLn3WCv9t9
OWWVE0FAEBAEijkCthYP9dRSkhOwdMYEnxaC8+v355JTEFS6AiqWz7W7OY8IxCagZOWKCLkK3wHn
kS12iHh0iJ0Vdlp4/RQ7Txx4epHXa3EcL2pnJ4yn/Ngh4dEuHg1ip4XXZvHid17IzuumYmNjVbq7
LTAdL2JnR4ZHTHgajx0U3kme8zM/zpc7sEzsoBnp7AQa8jEtT3uyjOx4cQgPD1eyMk8j8MgXb8TK
a854ijB34LcVz5w5A14wz84jbwTLziMv8jcCY8Q/9729cuczpliNPFfsmJ2K8ym8uVRp3OjN0LIz
cD75EiWXRkiJIjREKich4SxSMoNQtkJF/7efuEzAJe6eieeHzkGJ1j3wwbMP4I4q5b06XnmKo3ab
SjaQRVO2pcuG+JbHYOIF69SEE9i5+juMnvUb6pFD/MkT9Q1qOQoCgoAgcF0isHDhQtiad35WSz2f
6LPDdT0i9e233+LgwYPqTUZ2THiLB3ZGPvzwQ7Vv1fWIieh8dSJwPmYbZk4ZRfuUZaPriBno0+DK
bsTKW3e8Qi8PnEYDvPjeK3i4+dW7H9/VWYMilSAgCFyLCCiH654H/6GlXkjEqjmT1Z5P16KihdWJ
12TxPlm87opHnniz0L///e/gaUcJgsDViEA6jXLaSoQguAgH+LzqzaNlKenybU+v4EikICAIXK8I
qI9X84iNLcCmPhvDEexcSMiLQE3aAoB/RuBpQv5JEAQEAUFAEBAEBAFBwAwBXtrDn/KjFbQ22AMC
1V5UvPg7v8Df85MgCAgCgoAgIAgIAoJAcULAn+2ccuvHa7t5vbMarKL13/wWv/ESHcdxMNZd8y4H
vO6aZ8b4hT2VqhmvGebmLNeCgCAgCAgCgoAgIAgIAoVGIECjz+to6gPWheYlDAQBQUAQEAQEAUFA
EBAEvCCgj3C5thLyQiJRgoAgIAgIAoKAICAICAKFQSAAGn3upTAcJK8gIAgIAoKAICAICAKCgCUC
Abznp+tjHZa0kigICAKCgCAgCAgCgoAg4AcCjkXzfuSULIKAICAICAKCgCAgCAgCPiGgHC4Z4fIJ
KyESBAQBQUAQEAQEAUHALwR0h4s2PpUgCAgCgoAgIAgIAoKAIFA0CAQEBAbQZlzicBUNvMJVEBAE
BAFBQBAQBAQBIIB3Qs2mnVAlCAKCgCAgCAgCgoAgIAgUDQL0liKNbskAV9GgK1wFAUFAEBAEBAFB
QBAgBGiES/e3Yo7FCiCCgCAgCAgCgoAgIAgIApcZgRN/xvP3FwMQaA/Gus3bLjN7YScICAKCgCAg
CAgCgoAgsHHH71BTivbgYGzeHoWd0bsFFUFAEBAEBAFBQBAQBASBy4TAr3v2Y2vUXgTeemeT4Typ
mJCQgH0HDiIxKRmhN96AcqFlvRZVsmRJr/ESKQgIAoKAICAICAKCwNWKwKVLlwotWlpaGkqVKgVe
/84/niU0ztWaeCrBOMYcP4W5q9Zj3rI1iI1Lgq3NYy9qOdnZyMrIQGZGGrIyM5CTRb+cTGg5GtRb
jNmZpkKqNfe0ECyHvshorAdzrsNngegf8+CF+UoIde5Ype84d1A5y1D0DqE5jfatgGLOcUzF+4Yx
S/3AJejJHEdpgYGBCCQQsnOykZOtJFP0zDeA0u2UxoHfzbRRnMaMHCHQuScZMdNLozyBqnzOy/yZ
D2PDQaM3PBXYxJNRAMWra+LJ6qmCiQ8XwRXDJzY+UIr+cijJxBFKB+JL/1hnLodO9fyUR5eYLl2i
Ksx5S49Aks8WyLmIZzaXr4pxFM18HHxVgs5DURu8qBw+1fMFkFyut1Y5zjMwviwN6cd0bjI6FCY+
rKDOgzEw+Goa1YXbNfNlydwD5+XvTSn5HHIz3roBE7U619Hgc10AnQdf6mXxkZFhOl13Rapq3K00
pmecFf5EqRORXmQ3VI9qyxRHGhEp22Fxs3OynEy4HNbLPag44sHCuHR36EARLJluI65cbE9KZl01
ZV9Z2VnIyspS9WEnm+bAmnJ5XM85LK9DabbbQLtd6cB6sOw6ZiobtelsxTPQHkj2b1e2Y2DJds1s
DL3stMQgkOyJhTfsPIcxYSIKbK9qKYIqg+2F8dJtgWn4l82yZ2YhKDhI0WdTH8PBRm1A9TekF3Nj
vez2IJJd14/rXdmE+sYr8eJ2Rvw4n2o/dJ5FvDKpv8ohHDg/50nPyFTtXTEl0YOCqFzKk0Ey5JAs
jE1wULBK5k6X5QmictlEWHa+VviTzqwP9yHOdk/nQUF2+gUTfSA04qdjr9cHl8/1zG97Z1N/4wq6
zfDGO7oVMqTUX4D7E9LTpvdHNuap1KQ0jQQiXhxYP64j7sFUP8ZEbD9UX8rGmCuDSBjxQb/Q07ju
uV9gesOEuS7JbByBC9EvuL2xPpqm15HKQJm4DKZRZfAf9V8/crthuRlj5sJ1quqKz1lu+kcUxEO3
oWzizedsO1lsL1k6DZETf+bA7Jnedc28VZ1THtaF68NO9RhI9cD1o9cXqI0wTtwmcsg2yA7I1t2D
kpHS9baUTel6m2Kb0m2dedtVFrYVkk7ZfTbZDrdBpYuqE8ZUl0nZOKVnZmYq+2GbMeqNMuiB87BC
fOT2TQeFFcnL2rOl64lMw3gyBeuvtzGWj0mYRYDq35mO64TpuG0QH/plKn2MPonzcCadTjVj4qPj
pdg5eOp62NhE2D7ZNpgf1xPZpl6HLA0FVZ8kA+tO/1guVWeq3hgdptGlUsLSpcpP/FQqEziIlE4K
E11Xpme1AwOpLXLgsrkOqUyuX65v1t3BndIVI5WmYKAyuM1lc39IdcB1zG2Z+3B1v2GW1CQVhmQ/
XL5+/+IE+lHQbZ/brR5h+A+6/QWSPXASpTnKVsxYtkCyReoDWUv+z/0Y8+cftynqdJTN8pIte8lS
1BeWgl1lJurAIG5gFFkiWHXOeidKlagMlYtkqZkRHYi50ZlrfGNl5iSMumkQL9WRc6FEzDJyMv3l
P1xd6sh/uCvhoDsc6lTx4RSd3tG5cKEUpVeefjNhajY2g5vCgv6w0QbadaUNmZhOCUIcGETuCJQi
zNORx05CMvBclJ7MBquf6x2ProdRnkMpPb8hLwPDgtB/5sHlqLL4khirfxzPP5JD0VGaKpOOHPSG
qJ8zPWOkKpEbBZ+r/LpsjAdrE6BuOnqhSh+i4aAcIjpXNw5HXADJ6JRJrxid2OMvGy/RUTrjxYKq
jpN1o8AGyUHdxOmo06go/Y8Sj2gJdm54ekerC6DLp58bNsRIGU6LQau00Yuj/HyiN3LdYrgYkonr
zqGXKljJp8uqeKtOR6clcl0Home8VTWxXTjycwksGwdlo0znsBXdcXfckB2VpWyW81IW1fGxLCq3
o25ZPvrHaawb0/NNX3WqhC07RHwTUTZNf9n2WGZ1kyQ+XGZGejo5Fnob5DSWL1uV4+gQiQ//M+yT
Gz93AtxJ8S+Y2jLffNLSUsnx0B+a2OlgJ0iX1SExg0h1xjcsllfd1Eg2JjIcLrY9Rkd1uM5shBSd
6zrqR+7w+CbEnV4Wlc0yqIcf5dAQIoQpO0tMx3ZbokQJlKTOiG2K1HHgSTdFomcM+McdJuPHDg9j
cOlSGtLTMxQxO1bMP4uINNXxcl5NOUhcFpejyqJzxpzLUPqT4IyVwplvmsQtmDALUnVEYBA946ns
iNLsgcEkKzlcFHSbZnuhC/q53/gZb8ZKdw50J4Hh4huZRjcTAkBhxuDaVFdOOFNZIEeLk1XFEE/G
lDHQj7qDp9oZya2TcSNjO2B9qd7ox9gwpgE2sjPyHwK4w6c7KjtSLKsSl06YA5fFmLIunKBukExD
P/3mrPffVIjiy/Esu86FeXMf4BKYcVR2wDbp4KkcMuqL2YY4TeUl+VlO7l/4Bs99lN7X6C2BiBSe
XJ568OJ6CwgimyRni5zeQHsJ5SgrJ5XLJELlKLCjpBwkxoP15b5c779YdN0e2fmmPISVqgQSX7UT
dqQpsCOYRY47y8/yKlt21CfXMeNi9HWqLLKbgKx0pz5cDpfLIYDsSO8jGCOKY/11qJUzoSrDUQfO
emXbIGodK+bClqRyI5B0UTITHqr+KD6TZc3KpAcJHV+uHi6ebZZtn/sSPvKDBd+L1UMNXSumzJ6C
TT3okB2xY8ntx4Gp7kDrOHC5jCXjTzkUhiqzuuLydDtSZTqEUO3WIOIjCcZyK2dH0ZMY7NwR30BH
n8VkypbVYA/xJZnZfpVNq06b81DbIjpdbiqX6ofrSfUXdAxiO+B65ActOqraoD+McRAtndIdd8rH
KSST3jb4SPgq8MgXUvIQdlTfXB/MQ9ks2w3TUb/A/BQvxo91o+vg4BLKnnR6vUy2U04LoH6Kcf9/
H5Fodyk6pp8AAAAASUVORK5CYII=

--Multipart_Mon_Sep__9_09:52:29_2013-1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 8 Sep 2013 14:59:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 10:59:31 2013
Received: from localhost ([127.0.0.1]:49067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIgSZ-0000nF-1C
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2013 10:59:31 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:51101)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIgSW-0000n0-9G
 for 15273 <at> debbugs.gnu.org; Sun, 08 Sep 2013 10:59:29 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MST00E00AWEKG00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sun, 08 Sep 2013 17:59:21 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MST00EUMAYXCC40@HIDDEN>;
 Sun, 08 Sep 2013 17:59:21 +0300 (IDT)
Date: Sun, 08 Sep 2013 17:59:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <87ob83xy3e.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Kenichi Handa <handa@HIDDEN>
Message-id: <834n9vl5q1.fsf@HIDDEN>
References: <87ob83xy3e.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, jan.h.d@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: jan.h.d@HIDDEN, xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
> Date: Sun, 08 Sep 2013 22:05:41 +0900
> 
> (aref composition-function-table #x20E4)
> => (["\\c.\\c^+" 1 compose-gstring-for-graphic]
>     [nil 0 compose-gstring-for-graphic])
> 
> This says that a base character (char-category ".") followed
> by a combing character (char-category "^") should be
> composed by the function compose-gstring-for-graphic if
> those character are displayed by the same font.
> 
> But, I found a bug in characters.el.  In it, U+20E4's
> char-actegory is not set as "^".  So, Emacs couldn't compose
> it with the preceding base character.  I've just installed a
> fix.
> 
> Now, Emacs composes U+20E4 with the preceding "!" if the
> same font is selected for those two characters.

Thanks.

> Next, I'm not sure whether Emacs composes them correctly if
> the underlying font driver doesn't support OTF's "mark" and
> "mkmk" features.  The function compose-gstring-for-graphic
> has a code for such a case, but I don't remember that I
> wrote a code for "enclosing combining marks".

Looks like Uniscribe should need this, at least on XP: I do get a
composition, but the left part of the triangle is off-screen.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 8 Sep 2013 13:06:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 09:06:26 2013
Received: from localhost ([127.0.0.1]:48864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIeh8-0006ZL-1u
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2013 09:06:26 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:33360 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <handa@HIDDEN>) id 1VIeh4-0006ZC-Ru
 for 15273 <at> debbugs.gnu.org; Sun, 08 Sep 2013 09:06:23 -0400
Received: from fl1-60-238-108-251.iba.mesh.ad.jp ([60.238.108.251]:64443
 helo=shatin)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <handa@HIDDEN>)
 id 1VIeh2-0004tU-PB; Sun, 08 Sep 2013 09:06:21 -0400
Received: from handa by shatin with local (Exim 4.80)
 (envelope-from <handa@HIDDEN>)
 id 1VIegP-0002wG-GH; Sun, 08 Sep 2013 22:05:41 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-Reply-To: <83r4d2mpi2.fsf@HIDDEN> (message from Eli Zaretskii on Fri,
 06 Sep 2013 09:29:57 +0300)
Date: Sun, 08 Sep 2013 22:05:41 +0900
Message-ID: <87ob83xy3e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, jan.h.d@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

In article <83r4d2mpi2.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> Character composition in Emacs can happen in 1 of 2 ways:

>  . The font driver tells Emacs to compose several characters into a
>    single grapheme cluster, by drawing all of them as a single unit,
>    and by drawing the 2nd, 3rd, etc. character glyphs at certain pixel
>    offsets relative to the base glyph.

>  . Emacs itself has composition rules for 2 or more characters; in
>    this case, the same pixel offsets come from those rules.

Right.  And U+20E4 has this entry.

(aref composition-function-table #x20E4)
=> (["\\c.\\c^+" 1 compose-gstring-for-graphic]
    [nil 0 compose-gstring-for-graphic])

This says that a base character (char-category ".") followed
by a combing character (char-category "^") should be
composed by the function compose-gstring-for-graphic if
those character are displayed by the same font.

But, I found a bug in characters.el.  In it, U+20E4's
char-actegory is not set as "^".  So, Emacs couldn't compose
it with the preceding base character.  I've just installed a
fix.

Now, Emacs composes U+20E4 with the preceding "!" if the
same font is selected for those two characters.

Next, I'm not sure whether Emacs composes them correctly if
the underlying font driver doesn't support OTF's "mark" and
"mkmk" features.  The function compose-gstring-for-graphic
has a code for such a case, but I don't remember that I
wrote a code for "enclosing combining marks".

---
Kenichi Handa
handa@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 8 Sep 2013 11:04:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 07:04:06 2013
Received: from localhost ([127.0.0.1]:48826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIcmi-0002ft-ML
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2013 07:04:05 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:56493)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIcmf-0002fL-Ak
 for 15273 <at> debbugs.gnu.org; Sun, 08 Sep 2013 07:04:02 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MST00C0000FJ400@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sun, 08 Sep 2013 14:03:54 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MST00C8Y02HGO30@HIDDEN>;
 Sun, 08 Sep 2013 14:03:54 +0300 (IDT)
Date: Sun, 08 Sep 2013 14:03:50 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <CAAF+z6G-M3+VVUQ17zuDKKO9ABP8SoLAMhwR5AXE_=iFFySMYg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Xue Fuqiao <xfq.free@HIDDEN>, Kenichi Handa <handa@HIDDEN>
Message-id: <8361ublgmh.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <85ob84olwg.fsf@HIDDEN> <838uz8lkx5.fsf@HIDDEN> <85zjrouxb5.fsf@HIDDEN>
 <CAAF+z6FaAm8-pYW8J5=cXwtAHmo8WZh5Ld=zTnXmeSu3LPMt2Q@HIDDEN>
 <CAAF+z6G-M3+VVUQ17zuDKKO9ABP8SoLAMhwR5AXE_=iFFySMYg@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 8 Sep 2013 06:48:55 +0800
> From: Xue Fuqiao <xfq.free@HIDDEN>
> 
> I've attached my "C-u C-x =" information.

Thanks.  This is quite different from what I get on MS-Windows with
the Uniscribe shaping engine.  I don't know the explanation of these
differences; in fact I cannot even identify the code in nsfont.m that
generates these data structures.  Perhaps Handa-san could help us out
here.

What shaping engine is used by the NS port, btw?

I summarize some of the differences in the computed composition data
below, the data format is defined in the doc string of
composition-get-gstring as follows:

    [ FROM-IDX TO-IDX C CODE WIDTH LBEARING RBEARING ASCENT DESCENT
      [ [X-OFF Y-OFF WADJUST] | nil] ]
where
    FROM-IDX and TO-IDX are used internally and should not be touched.
    C is the character of the glyph.
    CODE is the glyph-code of C in FONT-OBJECT.
    WIDTH thru DESCENT are the metrics (in pixels) of the glyph.
    X-OFF and Y-OFF are offsets to the base position for the glyph.
    WADJUST is the adjustment to the normal width of the glyph.

It looks like NS consistently produces more negative values of X-OFF,
which might explain why portions of the combining characters are drawn
off screen.

 Character seq.              W32                        NS
===============================================================================
  a + u+0303    [0 1 97 165 7 0 7 12 3 nil]    [0 1 97 68 7 0 8 6 0 nil]
                                               [0 1 771 692 2 -7 6 1 0 [-3 0 0]]

  a + u+0307    [0 1 97 489 7 0 7 12 3 nil]    [0 1 97 68 7 0 8 6 0 nil]
                                               [0 1 775 696 2 -6 3 2 0 [-2 0 0]]


u+00e3 + u+0323 [0 1 227 165 7 0 7 12 3 nil]   [0 1 227 165 7 0 8 9 0 nil]
                [0 1 227 724 0 -3 -2 12 3 nil] [0 1 803 724 2 -6 3 0 2 [-2 1 0]]

a + u+0303 + u+0323
                [0 2 97 68 7 0 7 12 3 nil]         [0 2 97 68 7 0 8 6 0 nil]
                [0 2 97 692 0 -4 -1 12 3 [-1 0 0]] [0 2 771 692 2 -7 6 1 0 [-3 0 0]]
                [0 2 97 724 0 -3 -2 12 3 [-1 0 0]] [0 2 803 724 2 -6 3 0 2 [-2 1 0]]

u+1ea1 + u+0303 [0 1 7841 2458 7 0 7 12 3 nil]  [0 1 7841 2458 7 0 8 6 2 nil]
                [0 1 7841 692 0 -4 -1 12 3 nil] [0 1 771 692 2 -7 6 1 0 [-3 0 0]]

a + u+0323 + u+0303
                [0 2 97 68 7 0 7 12 3 nil]         [0 2 97 68 7 0 8 6 0 nil]
                [0 2 97 724 0 -3 -2 12 3 [-1 0 0]] [0 2 803 724 2 -6 3 0 2 [-2 1 0]]
                [0 2 97 692 0 -4 -1 12 3 [-1 0 0]] [0 2 771 692 2 -7 6 1 0 [-3 0 0]]

u+1ea1 + u+0307 [0 1 7841 2458 7 0 7 12 3 nil]  [0 1 7841 2458 7 0 8 6 2 nil]
                [0 1 7841 696 0 -3 -2 12 3 nil] [0 1 775 696 2 -6 3 2 0 [-2 0 0]]

a + u+0323 + u+0307
                [0 2 97 68 7 0 7 12 3 nil]         [0 2 97 68 7 0 8 6 0 nil]
                [0 2 97 724 0 -3 -2 12 3 [-1 0 0]] [0 2 803 724 2 -6 3 0 2 [-2 1 0]]
                [0 2 97 696 0 -3 -2 12 3 [-1 0 0]] [0 2 775 696 2 -6 3 2 0 [-2 0 0]]

u+0227 + u+0323 [0 1 551 489 7 0 7 12 3 nil]    [0 1 551 489 7 0 8 9 0 nil]
                [0 1 551 724 0 -3 -2 12 3 nil]  [0 1 803 724 2 -6 3 0 2 [-2 1 0]]

a + u+0307 + u+0323
                [0 2 97 68 7 0 7 12 3 nil]         [0 2 97 68 7 0 8 6 0 nil]
                [0 2 97 696 0 -3 -2 12 3 [-1 0 0]] [0 2 775 696 2 -6 3 2 0 [-2 0 0]]
                [0 2 97 724 0 -3 -2 12 3 [-1 0 0]] [0 2 803 724 2 -6 3 0 2 [-2 1 0]]

u+00e1 + u+0302 [0 1 225 163 7 0 7 12 3 nil]   [0 1 225 163 7 0 8 9 0 nil]
                [0 1 225 691 0 -4 -1 12 3 nil] [0 1 770 691 2 -7 6 2 0 [-3 0 0]]





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 8 Sep 2013 08:27:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 04:27:02 2013
Received: from localhost ([127.0.0.1]:48620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIaKj-00079u-Kv
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2013 04:27:01 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:34694)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VIaKg-00079l-Gu
 for 15273 <at> debbugs.gnu.org; Sun, 08 Sep 2013 04:27:00 -0400
Received: (qmail 4762 invoked by uid 89); 8 Sep 2013 08:26:56 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 8 Sep 2013 08:26:56 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id 503A11A0235;
 Sun,  8 Sep 2013 08:26:56 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <837geslktz.fsf@HIDDEN>
Date: Sun, 8 Sep 2013 10:26:58 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <0892A51C-3AE8-4E97-B0E1-798ADEACF016@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <83ioydkosp.fsf@HIDDEN> <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
 <83eh91kl4r.fsf@HIDDEN> <36AC5933-7C41-4768-9CC5-DF71323BC780@HIDDEN>
 <837geslktz.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi.

7 sep 2013 kl. 17:20 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Sat, 7 Sep 2013 15:44:53 +0200
>> Cc: xfq.free@HIDDEN,
>> 15273 <at> debbugs.gnu.org
>>=20
>> Hello.
>>=20
>> 7 sep 2013 kl. 11:59 skrev Eli Zaretskii <eliz@HIDDEN>:
>>=20
>>>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>>>> Date: Sat, 7 Sep 2013 10:54:58 +0200
>>>> Cc: xfq.free@HIDDEN,
>>>> 15273 <at> debbugs.gnu.org
>>>>=20
>>>> Except the larger bug that Emacs does not handle combining =
characters correctly in the general case, i.e. not combining the ! and =
the triangle on X11 and W32 (and Mac port).
>>>=20
>>> Is there any application out there that does combine these 2
>>> characters, with any font?  If not, perhaps it's not an Emacs issue
>>> after all.
>>=20
>> Yes, the builtin TextEdit application does it.
>=20
> Does it use the same font?

It does.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 22:51:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 18:51:00 2013
Received: from localhost ([127.0.0.1]:47883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIRLI-00016o-5T
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 18:51:00 -0400
Received: from mail-ie0-f180.google.com ([209.85.223.180]:54186)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VIRLC-00016T-OP
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 18:50:58 -0400
Received: by mail-ie0-f180.google.com with SMTP id 10so6871576ied.11
 for <15273 <at> debbugs.gnu.org>; Sat, 07 Sep 2013 15:50:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type:content-transfer-encoding;
 bh=gGk2cSx+BMuZst60eaMvOr+gNcoFx4oTw/rHkaJLyxg=;
 b=BbcWCV83FT6DoFASEaurEE/7iQAbugtQAsz+Z0aJwEmujUBJgNqFpaYY2DdS68nhy1
 8m5wPnMP/nz+6p+ryUbBMVODIz8KVO44O3FVA6srmVP8VtTdB6aaPAKDdFzcES38M9pz
 9ezPwTUaeJgx5NQL1jZ/namfr6pEggbrJSOp5x+vTOTrkS9GgK5/MyM+VBssQXC490bO
 Nok8wef7d0jZvs5i/X+zAKtAx2I1lUbv/XJytzP1CGUy1jrnLwAaaP/mYxj29snClN6u
 6CM70YaxT/Polaamr11THwYUsY4NHkjpi9YXh5AzeWUtqlA0JXPYfzMWTinyzmoaqxad
 RBbw==
MIME-Version: 1.0
X-Received: by 10.50.17.97 with SMTP id n1mr3214748igd.51.1378594249139; Sat,
 07 Sep 2013 15:50:49 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Sat, 7 Sep 2013 15:50:49 -0700 (PDT)
In-Reply-To: <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN>
 <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN>
 <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN>
 <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <83ioydkosp.fsf@HIDDEN>
 <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
Date: Sun, 8 Sep 2013 06:50:49 +0800
Message-ID: <CAAF+z6FNEKO-WeJxCusFE2fxC00Zb34xcFWA+VUijnoXnMKc0w@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: =?UTF-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Sep 7, 2013 at 4:54 PM, Jan Dj=C3=A4rv <jan.h.d@HIDDEN> wrote:
>> But Xue now seems to say that there are other similar
>> situations with other combining characters, so we need to know if any
>> compositions are involved in those.
>
> The exact key sequences that produced them would help also.

Just using C-x 8 =E2=8F=8E and enter the Unicode name of the character (whi=
ch
is in the attachment) and press return.

--=20
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 22:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 18:49:07 2013
Received: from localhost ([127.0.0.1]:47872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIRJR-00013o-Hu
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 18:49:06 -0400
Received: from mail-ie0-f169.google.com ([209.85.223.169]:47348)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VIRJM-00013H-VP
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 18:49:02 -0400
Received: by mail-ie0-f169.google.com with SMTP id tp5so10041549ieb.0
 for <15273 <at> debbugs.gnu.org>; Sat, 07 Sep 2013 15:48:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=/6Gogh7rCgqgpCjKz6OBjuKr/bbGXm0zuDty04g2a/o=;
 b=OPOisv7DJjdwAD0A8rX0zVwmZM4HREp/RnkjpfOH+E2AoKX4rAt+XqZNLvzSi4ROEh
 BnDpSZGdv7vAdPRjx0yiYsCT62vLEKozsxFSJSxcsNIOvmSZkdzi1SXnWoEpEXQAlo8t
 3Qq2yviVdJwZXosk7oJAfXzCGnVgIEgty0VmGgDtSzUQEy7zdbIS3d5ivzNV9oFfkWV7
 VDbn6hqo3BIHwqrGZxhjH/FnICuRo72YyZujeXsdfrW6Zg1P87MSduvr9EfG9Q/CesZP
 y5WiXEDnW4F6lkf8sx7BO2vMiQbyEHfmMmslnnSoeZQ+RtSToUf4HRNrkvojtVrVJXOE
 LUIg==
MIME-Version: 1.0
X-Received: by 10.50.85.114 with SMTP id g18mr3313876igz.15.1378594135222;
 Sat, 07 Sep 2013 15:48:55 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Sat, 7 Sep 2013 15:48:55 -0700 (PDT)
In-Reply-To: <CAAF+z6FaAm8-pYW8J5=cXwtAHmo8WZh5Ld=zTnXmeSu3LPMt2Q@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <85ob84olwg.fsf@HIDDEN> <838uz8lkx5.fsf@HIDDEN>
 <85zjrouxb5.fsf@HIDDEN>
 <CAAF+z6FaAm8-pYW8J5=cXwtAHmo8WZh5Ld=zTnXmeSu3LPMt2Q@HIDDEN>
Date: Sun, 8 Sep 2013 06:48:55 +0800
Message-ID: <CAAF+z6G-M3+VVUQ17zuDKKO9ABP8SoLAMhwR5AXE_=iFFySMYg@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: 15273 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=089e0149cacab830bc04e5d2f514
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e0149cacab830bc04e5d2f514
Content-Type: text/plain; charset=UTF-8

I've attached my "C-u C-x =" information.

--089e0149cacab830bc04e5d2f514
Content-Type: text/plain; charset=UTF-8; name="what-cursor-position.txt"
Content-Disposition: attachment; filename="what-cursor-position.txt"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hlbfcfgf0
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--089e0149cacab830bc04e5d2f514--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 22:29:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 18:29:42 2013
Received: from localhost ([127.0.0.1]:47855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIR0f-0000Xb-AB
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 18:29:41 -0400
Received: from mail-ie0-f181.google.com ([209.85.223.181]:36728)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VIR0d-0000XL-DA
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 18:29:39 -0400
Received: by mail-ie0-f181.google.com with SMTP id y16so4499275ieg.40
 for <15273 <at> debbugs.gnu.org>; Sat, 07 Sep 2013 15:29:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type:content-transfer-encoding;
 bh=aldXOlw/KmVh/3ZlLej5XTZIDaXOcgLbMnyqRLSMCHE=;
 b=UJU4BKwtAcT2AomIxyF0+nr2tskiqckX1ts40XkXFBxC7qC+nA5j58eu66j6MnBKbO
 TyBpzKzoGC/qmQ5Ugy+6U33nRasgRFGSyy1s65Fx+SH+Gk0NZO/oCNc3NEOkiXLpW7zo
 TNi9qvqYd/oyULLs2pC8fwCXto4d46fhBRcYI8Q92GZU+JL/S/KMfUV0sJ9jc7yLUmpL
 PnKAGIXBoI1ClJ59Kpifwldm8eqFhcrfccBR9sB5mKko8xWY+teosxgP/ixNwSq39WYI
 3lUUndBV2tRHY8jURFkKJu3r8waofA+uUB7uLSR0M/Ac64xEa7XtiN1ZHbqOQuxP5PBG
 5Uiw==
MIME-Version: 1.0
X-Received: by 10.50.6.106 with SMTP id z10mr3276335igz.9.1378592973651; Sat,
 07 Sep 2013 15:29:33 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Sat, 7 Sep 2013 15:29:33 -0700 (PDT)
In-Reply-To: <85zjrouxb5.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <85ob84olwg.fsf@HIDDEN> <838uz8lkx5.fsf@HIDDEN>
 <85zjrouxb5.fsf@HIDDEN>
Date: Sun, 8 Sep 2013 06:29:33 +0800
Message-ID: <CAAF+z6FaAm8-pYW8J5=cXwtAHmo8WZh5Ld=zTnXmeSu3LPMt2Q@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: Wolfgang Jenkner <wjenkner@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Sep 8, 2013 at 5:38 AM, Wolfgang Jenkner <wjenkner@HIDDEN> wrote:
> On Sat, Sep 07 2013, Eli Zaretskii wrote:
>
>> You are showing information about a different character, the character
>> called out by LATIN SMALL LETTER A WITH CIRCUMFLEX + COMBINING ACUTE
>> ACCENT has the codepoint of u+1ea5.
>
> Indeed, and I pointed out that the character actually contained in the
> OP's attachement was not what he meant it to be.

Sorry, it's my fault.  It should be:

--8<---------------cut here---------------start------------->8---
             position: 757 of 1217 (62%), column: 0
            character: =C3=A2 (displayed as =C3=A2) (codepoint 226, #o342, =
#xe2)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0xE2
               script: latin
               syntax: w     which means: word
             category: .:Base, L:Left-to-right (strong), j:Japanese,
l:Latin, v:Viet
             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
          buffer code: #xC3 #xA2
            file code: #xC3 #xA2 (encoded by coding system utf-8-unix)
              display: composed to form "=C3=A2=CC=81" (see below)

Composed with the following character(s) "=CC=81" using this font:
  nil:-apple-Menlo-medium-normal-normal-*-12-*-*-*-m-0-iso10646-1
by these glyphs:
  [0 1 226 164 7 0 7 9 0 nil]
  [0 1 769 646 7 0 5 2 0 [-6 0 0]]

Character code properties: customize what to show
  name: LATIN SMALL LETTER A WITH CIRCUMFLEX
  old-name: LATIN SMALL LETTER A CIRCUMFLEX
  general-category: Ll (Letter, Lowercase)
  decomposition: (97 770) ('a' '=CC=82')
--8<---------------cut here---------------end--------------->8---

I'll also show "C-u C-x =3D" for other characters later.

--=20
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 21:38:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 17:38:49 2013
Received: from localhost ([127.0.0.1]:47809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIQDQ-0007lO-HB
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 17:38:49 -0400
Received: from mx07.lb01.inode.at ([62.99.145.7]:20883 helo=mx.inode.at)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <wjenkner@HIDDEN>) id 1VIQDO-0007lA-RF
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 17:38:47 -0400
Received: from [91.119.197.76] (port=3248 helo=localhost)
 by smartmx-07.inode.at with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.69) (envelope-from <wjenkner@HIDDEN>)
 id 1VIQDI-00028r-VO; Sat, 07 Sep 2013 23:38:41 +0200
Received: from wolfgang by localhost with local (Exim 4.80.1)
 (envelope-from <wolfgang@localhost>)
 id 1VIQDG-00009P-Pe; Sat, 07 Sep 2013 23:38:38 +0200
From: Wolfgang Jenkner <wjenkner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <85ob84olwg.fsf@HIDDEN> <838uz8lkx5.fsf@HIDDEN>
Date: Sat, 07 Sep 2013 23:38:38 +0200
In-Reply-To: <838uz8lkx5.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 07 Sep
 2013 18:18:46 +0300")
Message-ID: <85zjrouxb5.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Sat, Sep 07 2013, Eli Zaretskii wrote:

> You are showing information about a different character, the character
> called out by LATIN SMALL LETTER A WITH CIRCUMFLEX + COMBINING ACUTE
> ACCENT has the codepoint of u+1ea5.

Indeed, and I pointed out that the character actually contained in the
OP's attachement was not what he meant it to be.

Wolfgang




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 15:20:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 11:20:56 2013
Received: from localhost ([127.0.0.1]:47053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIKJk-0005mJ-1j
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 11:20:56 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:45391)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIKJg-0005m2-5m
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 11:20:54 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MSR00E00H9ZPB00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 18:20:45 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSR00EORHALOI20@HIDDEN>;
 Sat, 07 Sep 2013 18:20:45 +0300 (IDT)
Date: Sat, 07 Sep 2013 18:20:40 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <36AC5933-7C41-4768-9CC5-DF71323BC780@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <837geslktz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <83ioydkosp.fsf@HIDDEN> <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
 <83eh91kl4r.fsf@HIDDEN>
 <36AC5933-7C41-4768-9CC5-DF71323BC780@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 7 Sep 2013 15:44:53 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> Hello.
> 
> 7 sep 2013 kl. 11:59 skrev Eli Zaretskii <eliz@HIDDEN>:
> 
> >> From: Jan Djärv <jan.h.d@HIDDEN>
> >> Date: Sat, 7 Sep 2013 10:54:58 +0200
> >> Cc: xfq.free@HIDDEN,
> >> 15273 <at> debbugs.gnu.org
> >> 
> >> Except the larger bug that Emacs does not handle combining characters correctly in the general case, i.e. not combining the ! and the triangle on X11 and W32 (and Mac port).
> > 
> > Is there any application out there that does combine these 2
> > characters, with any font?  If not, perhaps it's not an Emacs issue
> > after all.
> 
> Yes, the builtin TextEdit application does it.

Does it use the same font?

> > If you mean the incorrect display of the lone u+20e4, then I just
> > installed the STIX fonts (from
> > http://sourceforge.net/projects/stixfonts/files/?source=navbar) on my
> > Windows box, and didn't see any problems as originally reported here.
> > Can you install the latest STIX fonts and try with that on NS?  If the
> > problem persists, then I agree that nsfont.m is probably the culprit.
> 
> The behaviour iis the same with that STIX version as it is with the OSX supplied STIX version.

Then I guess something is indeed wrong with nsfont.m.  Let me know if
you need any information from the w32 code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 15:19:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 11:19:02 2013
Received: from localhost ([127.0.0.1]:47049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIKHu-0005jU-BB
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 11:19:02 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:48072)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIKHq-0005iw-VS
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 11:19:00 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSR00300G5DN600@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 18:18:51 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSR003ZQH7FNM40@HIDDEN>;
 Sat, 07 Sep 2013 18:18:51 +0300 (IDT)
Date: Sat, 07 Sep 2013 18:18:46 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <85ob84olwg.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Wolfgang Jenkner <wjenkner@HIDDEN>
Message-id: <838uz8lkx5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <85ob84olwg.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Wolfgang Jenkner <wjenkner@HIDDEN>
> Date: Sat, 07 Sep 2013 14:25:36 +0200
> Cc: 15273 <at> debbugs.gnu.org
> 
> On Fri, Sep 06 2013, Xue Fuqiao wrote:
> 
> > Ć¢ ;; LATIN SMALL LETTER A WITH CIRCUMFLEX + COMBINING ACUTE ACCENT
> 
> The COMBINING ACUTE ACCENT seems to be missing here, by the way:
> 
>              position: 788 of 925 (85%), restriction: <502-926>, column: 2
>             character: Ć¢ (displayed as Ć¢) (codepoint 226, #o342, #xe2)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0xE2
>                script: latin
>                syntax: w 	which means: word
>              category: .:Base, L:Left-to-right (strong), j:Japanese, l:Latin, v:Viet
>              to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
>           buffer code: #xC3 #xA2
>             file code: #xC3 #xA2 (encoded by coding system utf-8-emacs)
>               display: by this font (glyph code)
>     xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-15-*-*-*-m-0-iso10646-1 (#xA4)
> 
> Character code properties: customize what to show
>   name: LATIN SMALL LETTER A WITH CIRCUMFLEX
>   old-name: LATIN SMALL LETTER A CIRCUMFLEX
>   general-category: Ll (Letter, Lowercase)
>   decomposition: (97 770) ('a' 'Ģ‚')

You are showing information about a different character, the character
called out by LATIN SMALL LETTER A WITH CIRCUMFLEX + COMBINING ACUTE
ACCENT has the codepoint of u+1ea5.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 13:45:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 09:45:05 2013
Received: from localhost ([127.0.0.1]:46601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIIoy-0003OG-NF
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 09:45:05 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:59538)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VIIop-0003NV-1O
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 09:44:59 -0400
Received: (qmail 15301 invoked by uid 89); 7 Sep 2013 13:44:52 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 7 Sep 2013 13:44:52 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id AF2761A009A;
 Sat,  7 Sep 2013 13:44:52 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83eh91kl4r.fsf@HIDDEN>
Date: Sat, 7 Sep 2013 15:44:53 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <36AC5933-7C41-4768-9CC5-DF71323BC780@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <83ioydkosp.fsf@HIDDEN> <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
 <83eh91kl4r.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

7 sep 2013 kl. 11:59 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Sat, 7 Sep 2013 10:54:58 +0200
>> Cc: xfq.free@HIDDEN,
>> 15273 <at> debbugs.gnu.org
>>=20
>> Except the larger bug that Emacs does not handle combining characters =
correctly in the general case, i.e. not combining the ! and the triangle =
on X11 and W32 (and Mac port).
>=20
> Is there any application out there that does combine these 2
> characters, with any font?  If not, perhaps it's not an Emacs issue
> after all.

Yes, the builtin TextEdit application does it.

>=20
> E.g., Code2000, which is really good, produces a composed character
> for a followed by u+20d0, but not for a followed by u+20e4.  You can
> experiment with other combining diacriticals from that Unicode block,
> and you will see that some of them combine, while others do not.
>=20
> If the fonts do not tell us to combine characters, the only way to do
> that is to provide an Emacs composition rule for those characters.
>=20
>> And if it is a bug in the NS font driver, that is also an Emacs =
issue.  There must be one, either metrics should be corrected or the NS =
font driver should be modified to behave in the same (incorrect) way as =
the other platforms.
>=20
> If you mean the incorrect display of the lone u+20e4, then I just
> installed the STIX fonts (from
> http://sourceforge.net/projects/stixfonts/files/?source=3Dnavbar) on =
my
> Windows box, and didn't see any problems as originally reported here.
> Can you install the latest STIX fonts and try with that on NS?  If the
> problem persists, then I agree that nsfont.m is probably the culprit.

The behaviour iis the same with that STIX version as it is with the OSX =
supplied STIX version.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 12:29:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 08:29:31 2013
Received: from localhost ([127.0.0.1]:46475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIHdq-0001P1-FP
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 08:29:31 -0400
Received: from mx12.lb01.inode.at ([62.99.145.14]:36598 helo=mx.inode.at)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <wjenkner@HIDDEN>) id 1VIHdn-0001Ol-By
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 08:29:28 -0400
Received: from [91.119.197.76] (port=10239 helo=localhost)
 by smartmx-12.inode.at with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.69) (envelope-from <wjenkner@HIDDEN>)
 id 1VIHdh-0006vZ-CM; Sat, 07 Sep 2013 14:29:21 +0200
Received: from wolfgang by localhost with local (Exim 4.80.1)
 (envelope-from <wolfgang@localhost>)
 id 1VIHdf-0000ZT-W0; Sat, 07 Sep 2013 14:29:20 +0200
From: Wolfgang Jenkner <wjenkner@HIDDEN>
To: Xue Fuqiao <xfq.free@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
Date: Sat, 07 Sep 2013 14:25:36 +0200
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
Message-ID: <85ob84olwg.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Fri, Sep 06 2013, Xue Fuqiao wrote:

> =C3=A2 ;; LATIN SMALL LETTER A WITH CIRCUMFLEX + COMBINING ACUTE ACCENT

The COMBINING ACUTE ACCENT seems to be missing here, by the way:

             position: 788 of 925 (85%), restriction: <502-926>, column: 2
            character: =C3=A2 (displayed as =C3=A2) (codepoint 226, #o342, =
#xe2)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0xE2
               script: latin
               syntax: w 	which means: word
             category: .:Base, L:Left-to-right (strong), j:Japanese, l:Lati=
n, v:Viet
             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
          buffer code: #xC3 #xA2
            file code: #xC3 #xA2 (encoded by coding system utf-8-emacs)
              display: by this font (glyph code)
    xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-15-*-*-*-m-0-iso10=
646-1 (#xA4)

Character code properties: customize what to show
  name: LATIN SMALL LETTER A WITH CIRCUMFLEX
  old-name: LATIN SMALL LETTER A CIRCUMFLEX
  general-category: Ll (Letter, Lowercase)
  decomposition: (97 770) ('a' '=CC=82')

There are text properties here:
  face                 (gnus-cite-1 message-cited-text)
  fontified            t

[back]






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 09:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 05:59:48 2013
Received: from localhost ([127.0.0.1]:46215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIFIy-000543-1K
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 05:59:48 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:35568)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIFIw-00053l-3B
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 05:59:47 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MSR00E002CV7Q00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 12:59:38 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSR00E1V2FE1Z60@HIDDEN>;
 Sat, 07 Sep 2013 12:59:38 +0300 (IDT)
Date: Sat, 07 Sep 2013 12:59:32 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83eh91kl4r.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <83ioydkosp.fsf@HIDDEN> <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 7 Sep 2013 10:54:58 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> Except the larger bug that Emacs does not handle combining characters correctly in the general case, i.e. not combining the ! and the triangle on X11 and W32 (and Mac port).

Is there any application out there that does combine these 2
characters, with any font?  If not, perhaps it's not an Emacs issue
after all.

E.g., Code2000, which is really good, produces a composed character
for a followed by u+20d0, but not for a followed by u+20e4.  You can
experiment with other combining diacriticals from that Unicode block,
and you will see that some of them combine, while others do not.

If the fonts do not tell us to combine characters, the only way to do
that is to provide an Emacs composition rule for those characters.

> And if it is a bug in the NS font driver, that is also an Emacs issue.  There must be one, either metrics should be corrected or the NS font driver should be modified to behave in the same (incorrect) way as the other platforms.

If you mean the incorrect display of the lone u+20e4, then I just
installed the STIX fonts (from
http://sourceforge.net/projects/stixfonts/files/?source=navbar) on my
Windows box, and didn't see any problems as originally reported here.
Can you install the latest STIX fonts and try with that on NS?  If the
problem persists, then I agree that nsfont.m is probably the culprit.

> > But Xue now seems to say that there are other similar
> > situations with other combining characters, so we need to know if any
> > compositions are involved in those.
> 
> The exact key sequences that produced them would help also.

You can always use "C-x 8 RET" to type the characters, so I don't see
why the key sequences would be an issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 09:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 05:22:53 2013
Received: from localhost ([127.0.0.1]:46192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIEjE-00049f-K7
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 05:22:53 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:61590)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIEjC-00049Q-7B
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 05:22:51 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MSR00D000G9SM00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 12:22:44 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSR00DK40PVHOB0@HIDDEN>;
 Sat, 07 Sep 2013 12:22:44 +0300 (IDT)
Date: Sat, 07 Sep 2013 12:22:37 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <6DFB6F00-33E0-4AF6-B8DB-442CAD5EF8CD@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83fvthkmua.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <6DFB6F00-33E0-4AF6-B8DB-442CAD5EF8CD@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 7 Sep 2013 10:47:05 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> FWIW, I tested the mac port that has another font driver, and it doesn't work correctly either.  It does not find a good font for the triangle and only displays an empty square.  No composition happens.

The support for this character seems to be very scarce.  This page:

  http://www.fileformat.info/info/unicode/char/20e4/fontsupport.htm

lists some fonts, but at least some of them seem to not have a glyph
for this character, at least on Windows.  Code2000 does display the
characters, but that font is not free.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 08:55:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 04:55:07 2013
Received: from localhost ([127.0.0.1]:46098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIEIL-0003RA-K3
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:55:06 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:56409)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VIEIG-0003Qf-82
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:55:03 -0400
Received: (qmail 30753 invoked by uid 89); 7 Sep 2013 08:54:58 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 7 Sep 2013 08:54:58 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id C101A1A009A;
 Sat,  7 Sep 2013 08:54:58 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83ioydkosp.fsf@HIDDEN>
Date: Sat, 7 Sep 2013 10:54:58 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <D609609C-E7AE-4662-AA33-220B8565FACE@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
 <83ioydkosp.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

7 sep 2013 kl. 10:40 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Sat, 7 Sep 2013 10:27:45 +0200
>> Cc: xfq.free@HIDDEN,
>> 15273 <at> debbugs.gnu.org
>>=20
>> But from what I see on X11 and what you reported from W32, no other =
platform does produce the correct result (i.e. the ! and the triangle in =
the same place), so comparing to those backends doesn't help.
>=20
> In that case, yes, I think we can conclude that there's no Emacs
> issue. =20

Except the larger bug that Emacs does not handle combining characters =
correctly in the general case, i.e. not combining the ! and the triangle =
on X11 and W32 (and Mac port). And if it is a bug in the NS font driver, =
that is also an Emacs issue.  There must be one, either metrics should =
be corrected or the NS font driver should be modified to behave in the =
same (incorrect) way as the other platforms.

So it is too early to dismiss this as not an Emacs issue.

> But Xue now seems to say that there are other similar
> situations with other combining characters, so we need to know if any
> compositions are involved in those.

The exact key sequences that produced them would help also.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 08:47:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 04:47:10 2013
Received: from localhost ([127.0.0.1]:46056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIEAg-0003Ds-4r
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:47:10 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:56381)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VIEAd-0003Di-M7
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:47:08 -0400
Received: (qmail 30414 invoked by uid 89); 7 Sep 2013 08:47:05 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 7 Sep 2013 08:47:05 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id 53D6D1A0075;
 Sat,  7 Sep 2013 08:47:05 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
Date: Sat, 7 Sep 2013 10:47:05 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <6DFB6F00-33E0-4AF6-B8DB-442CAD5EF8CD@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


7 sep 2013 kl. 10:27 skrev Jan Dj=E4rv <jan.h.d@HIDDEN>:

> Hello.
>=20
> 7 sep 2013 kl. 10:10 skrev Eli Zaretskii <eliz@HIDDEN>:
>=20
>> To test this
>> hypothesis Someone(TM) should show the character metrics using some
>> external tool, and compare that with what nsfont.m calculates.  Or,
>> alternatively, show that exactly the same font does produce a correct
>> display on another platform; then we could compare the two font
>> back-ends we have for these platforms.
>=20
> nsfont.m has problems with composition, there is even comments about =
this in the code.
> But from what I see on X11 and what you reported from W32, no other =
platform does produce the correct result (i.e. the ! and the triangle in =
the same place), so comparing to those backends doesn't help.

FWIW, I tested the mac port that has another font driver, and it doesn't =
work correctly either.  It does not find a good font for the triangle =
and only displays an empty square.  No composition happens.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 08:40:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 04:40:46 2013
Received: from localhost ([127.0.0.1]:46039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIE4T-00033s-UW
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:40:46 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:42522)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIE4J-00033Q-BR
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:40:38 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSQ00000YN4WZ00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 11:40:29 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSQ000E4YRGO9A0@HIDDEN>;
 Sat, 07 Sep 2013 11:40:29 +0300 (IDT)
Date: Sat, 07 Sep 2013 11:40:22 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83ioydkosp.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN> <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 7 Sep 2013 10:27:45 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> But from what I see on X11 and what you reported from W32, no other platform does produce the correct result (i.e. the ! and the triangle in the same place), so comparing to those backends doesn't help.

In that case, yes, I think we can conclude that there's no Emacs
issue.  But Xue now seems to say that there are other similar
situations with other combining characters, so we need to know if any
compositions are involved in those.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 08:27:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 04:27:50 2013
Received: from localhost ([127.0.0.1]:46007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIDrx-0002hT-Jw
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:27:49 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:56137)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VIDrv-0002hK-12
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:27:47 -0400
Received: (qmail 29189 invoked by uid 89); 7 Sep 2013 08:27:45 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 7 Sep 2013 08:27:45 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id 7AFDC1A0075;
 Sat,  7 Sep 2013 08:27:45 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83k3itkq6c.fsf@HIDDEN>
Date: Sat, 7 Sep 2013 10:27:45 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <DAB87FDB-72B0-453C-939E-CE7DA9676FE0@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
 <83k3itkq6c.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

7 sep 2013 kl. 10:10 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Sat, 7 Sep 2013 10:02:44 +0200
>> Cc: xfq.free@HIDDEN,
>> 15273 <at> debbugs.gnu.org
>>=20
>>>>> So I'm not sure what are we still discussing here, since the =
quality
>>>>> of fonts on any given platform is hardly on-topic in the bug =
tracker,
>>>>> and the NS font driver is not part of Emacs.
>>>>=20
>>>> nsfont.m:
>>>>=20
>>>> Copyright (C) 2006-2013 Free Software Foundation, Inc.
>>>>=20
>>>> This file is part of GNU Emacs.
>>>=20
>>> The OP said that he tried many fonts, and none worked correctly.
>>=20
>> So what?  The NS font driver is still part of Emacs even if it has =
bugs.
>=20
> What kind of bugs do you have in mind?  If the characters aren't
> composed, then the only bug I can think of is that nsfont.m somehow
> processes the character metrics in the font incorrectly.

Which is what I said was happening in comment #11.

>  To test this
> hypothesis Someone(TM) should show the character metrics using some
> external tool, and compare that with what nsfont.m calculates.  Or,
> alternatively, show that exactly the same font does produce a correct
> display on another platform; then we could compare the two font
> back-ends we have for these platforms.

nsfont.m has problems with composition, there is even comments about =
this in the code.
But from what I see on X11 and what you reported from W32, no other =
platform does produce the correct result (i.e. the ! and the triangle in =
the same place), so comparing to those backends doesn't help.

>=20
> As long as none of this is done, adding more pictures to this
> discussion doesn't help us make any progress.  And I cannot understand
> why requests for showing "C-u C-x =3D" are consistently ignored by the =
OP.

Adding more pictures does indeed not help much.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 08:10:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 04:10:59 2013
Received: from localhost ([127.0.0.1]:45983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIDbd-0002Hm-Oe
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:10:58 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:37063)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIDbY-0002HS-Ll
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:10:54 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSQ00000XA1Q600@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 11:10:42 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSQ000EVXDTJT80@HIDDEN>;
 Sat, 07 Sep 2013 11:10:42 +0300 (IDT)
Date: Sat, 07 Sep 2013 11:10:35 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83k3itkq6c.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN> <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 7 Sep 2013 10:02:44 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> >>> So I'm not sure what are we still discussing here, since the quality
> >>> of fonts on any given platform is hardly on-topic in the bug tracker,
> >>> and the NS font driver is not part of Emacs.
> >> 
> >> nsfont.m:
> >> 
> >> Copyright (C) 2006-2013 Free Software Foundation, Inc.
> >> 
> >> This file is part of GNU Emacs.
> > 
> > The OP said that he tried many fonts, and none worked correctly.
> 
> So what?  The NS font driver is still part of Emacs even if it has bugs.

What kind of bugs do you have in mind?  If the characters aren't
composed, then the only bug I can think of is that nsfont.m somehow
processes the character metrics in the font incorrectly.  To test this
hypothesis Someone(TM) should show the character metrics using some
external tool, and compare that with what nsfont.m calculates.  Or,
alternatively, show that exactly the same font does produce a correct
display on another platform; then we could compare the two font
back-ends we have for these platforms.

As long as none of this is done, adding more pictures to this
discussion doesn't help us make any progress.  And I cannot understand
why requests for showing "C-u C-x =" are consistently ignored by the OP.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 08:02:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 04:02:50 2013
Received: from localhost ([127.0.0.1]:45975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIDTk-000259-Lh
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:02:49 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:55988)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VIDTi-00024y-3I
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 04:02:47 -0400
Received: (qmail 27768 invoked by uid 89); 7 Sep 2013 08:02:44 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 7 Sep 2013 08:02:44 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id 517F71A0075;
 Sat,  7 Sep 2013 08:02:44 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83li39kqru.fsf@HIDDEN>
Date: Sat, 7 Sep 2013 10:02:44 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <1737AA30-1186-40EF-A225-1AFA1A73622B@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
 <83li39kqru.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi.

7 sep 2013 kl. 09:57 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Sat, 7 Sep 2013 09:36:16 +0200
>> Cc: Xue Fuqiao <xfq.free@HIDDEN>,
>> 15273 <at> debbugs.gnu.org
>>=20
>>=20
>> 7 sep 2013 kl. 09:26 skrev Eli Zaretskii <eliz@HIDDEN>:
>>=20
>>> So I'm not sure what are we still discussing here, since the quality
>>> of fonts on any given platform is hardly on-topic in the bug =
tracker,
>>> and the NS font driver is not part of Emacs.
>>=20
>> nsfont.m:
>>=20
>> Copyright (C) 2006-2013 Free Software Foundation, Inc.
>>=20
>> This file is part of GNU Emacs.
>=20
> The OP said that he tried many fonts, and none worked correctly.

So what?  The NS font driver is still part of Emacs even if it has bugs.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 07:58:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 03:58:02 2013
Received: from localhost ([127.0.0.1]:45969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIDP5-0001wc-5D
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:58:01 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:34792)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VIDP0-0001wI-LT
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:57:56 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSQ00000WNQNP00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 10:57:48 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSQ000Z7WSCJT40@HIDDEN>;
 Sat, 07 Sep 2013 10:57:48 +0300 (IDT)
Date: Sat, 07 Sep 2013 10:57:41 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83li39kqru.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN> <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 7 Sep 2013 09:36:16 +0200
> Cc: Xue Fuqiao <xfq.free@HIDDEN>,
>  15273 <at> debbugs.gnu.org
> 
> 
> 7 sep 2013 kl. 09:26 skrev Eli Zaretskii <eliz@HIDDEN>:
> 
> > So I'm not sure what are we still discussing here, since the quality
> > of fonts on any given platform is hardly on-topic in the bug tracker,
> > and the NS font driver is not part of Emacs.
> 
> nsfont.m:
> 
>  Copyright (C) 2006-2013 Free Software Foundation, Inc.
> 
> This file is part of GNU Emacs.

The OP said that he tried many fonts, and none worked correctly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 07:36:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 03:36:23 2013
Received: from localhost ([127.0.0.1]:45924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VID4A-0001Qj-18
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:36:22 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:55928)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VID46-0001QX-Qi
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:36:20 -0400
Received: (qmail 26477 invoked by uid 89); 7 Sep 2013 07:36:16 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 7 Sep 2013 07:36:16 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id 50C551A0075;
 Sat,  7 Sep 2013 07:36:16 +0000 (UTC)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83ppslks82.fsf@HIDDEN>
Date: Sat, 7 Sep 2013 09:36:16 +0200
Content-Transfer-Encoding: 7bit
Message-Id: <80DE2CE4-1702-4555-B336-D11A281C44E9@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <83ppslks82.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: Xue Fuqiao <xfq.free@HIDDEN>, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


7 sep 2013 kl. 09:26 skrev Eli Zaretskii <eliz@HIDDEN>:

> So I'm not sure what are we still discussing here, since the quality
> of fonts on any given platform is hardly on-topic in the bug tracker,
> and the NS font driver is not part of Emacs.

nsfont.m:

 Copyright (C) 2006-2013 Free Software Foundation, Inc.

This file is part of GNU Emacs.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 07:28:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 03:28:06 2013
Received: from localhost ([127.0.0.1]:45907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VICw8-0001Cr-Uy
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:28:05 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:40706)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VICw5-0001CL-Cr
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:28:02 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MSQ00C00V4JUE00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 10:27:55 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSQ00C58VEJFU90@HIDDEN>;
 Sat, 07 Sep 2013 10:27:55 +0300 (IDT)
Date: Sat, 07 Sep 2013 10:27:49 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <CAAF+z6FK+tNX9icQRuKhqZcP9hH30M-n_NS7dgM4x1XH2aorLQ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Xue Fuqiao <xfq.free@HIDDEN>
Message-id: <83ob85ks5m.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
 <CAAF+z6FK+tNX9icQRuKhqZcP9hH30M-n_NS7dgM4x1XH2aorLQ@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 7 Sep 2013 06:37:03 +0800
> From: Xue Fuqiao <xfq.free@HIDDEN>
> Cc: 15273 <at> debbugs.gnu.org
> 
> > I expect the same result for characters in one group.
> 
> Except for the last group, because the correct order of codes is base
> character code + breathing mark code + accent mark code (which is the
> first one).

I see the same results in the last group as well (on Windows XP),
FWIW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 7 Sep 2013 07:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 03:26:40 2013
Received: from localhost ([127.0.0.1]:45903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VICul-0001AV-R6
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:26:40 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:40408)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VICuh-0001AF-OO
 for 15273 <at> debbugs.gnu.org; Sat, 07 Sep 2013 03:26:37 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MSQ00C00V4JUE00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Sat, 07 Sep 2013 10:26:29 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSQ00CAJVC4K980@HIDDEN>;
 Sat, 07 Sep 2013 10:26:28 +0300 (IDT)
Date: Sat, 07 Sep 2013 10:26:21 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Xue Fuqiao <xfq.free@HIDDEN>
Message-id: <83ppslks82.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 7 Sep 2013 06:17:02 +0800
> From: Xue Fuqiao <xfq.free@HIDDEN>
> Cc: 15273 <at> debbugs.gnu.org
> 
> On Fri, Sep 6, 2013 at 11:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
> >> Date: Fri, 6 Sep 2013 22:37:44 +0800
> >> From: Xue Fuqiao <xfq.free@HIDDEN>
> >>
> >> I did some further experiments.  See the attachments for details.
> >
> > What did you do this for?  What did you expect to see?
> 
> Sorry for not being clear.  I expect the same result for characters in
> one group, but there are all kinds of results.  Some characters are
> partial displayed, like the OP.

Again, please tell (using "C-u C-x =") which ones are actually
composed, and which ones are displayed as several separate
characters.  If any of these characters are composed and the results
are displayed incorrectly, please show the last portion of "C-u C-x ="
display, where Emacs describes the composition.

Can you try some font that is known to be good at displaying Unicode,
such as Code2000 or DejaVu Sans?

FWIW, I see no problems with Emacs display of these characters on
MS-Windows: characters in each group are indeed displayed the same.
So I'm not sure what are we still discussing here, since the quality
of fonts on any given platform is hardly on-topic in the bug tracker,
and the NS font driver is not part of Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 22:37:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 18:37:12 2013
Received: from localhost ([127.0.0.1]:45179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VI4eN-0002OS-CC
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 18:37:11 -0400
Received: from mail-ie0-f181.google.com ([209.85.223.181]:59602)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VI4eL-0002Nl-Jm
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 18:37:10 -0400
Received: by mail-ie0-f181.google.com with SMTP id y16so3103660ieg.12
 for <15273 <at> debbugs.gnu.org>; Fri, 06 Sep 2013 15:37:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=QcWrv1LlpAcHjAUy9hRtUWlz/kbGgEuQfd9bEzNQYpo=;
 b=Z7MU2KytPl07fdIOazkzg/FsrvEsLEXY6Q72KKJHVoXZp8kXOO2GmAQB53HdyfKpxh
 xHogf2rnmhM8svfl0ZniAM3I8Ti9X11lZ3E2SCRi1iFlze9QS3gx7LxBRy8wIM62jBYU
 K+wlZ8ihixBrdlbABDZ5mjZ36Le3zKv3gs867AQYlxzQgScGtfpybIbVTEQD9ND0+Q2g
 62t4K9fy/FGAzq9LdSO9YpI46KF3keYwcrknSgeemFiVdMHNEK8rmupg0ATNfs4DMspR
 6RCX68Ftgicj96u9Bj2hy0L8s7C56XM2LTh/qi7ljU+moMPLC/CfS3fCYRVW0j5yjqeu
 Z8XQ==
MIME-Version: 1.0
X-Received: by 10.42.227.72 with SMTP id iz8mr2956602icb.27.1378507023953;
 Fri, 06 Sep 2013 15:37:03 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Fri, 6 Sep 2013 15:37:03 -0700 (PDT)
In-Reply-To: <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
 <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
Date: Sat, 7 Sep 2013 06:37:03 +0800
Message-ID: <CAAF+z6FK+tNX9icQRuKhqZcP9hH30M-n_NS7dgM4x1XH2aorLQ@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Sep 7, 2013 at 6:17 AM, Xue Fuqiao <xfq.free@HIDDEN> wrote:
> On Fri, Sep 6, 2013 at 11:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>>> Date: Fri, 6 Sep 2013 22:37:44 +0800
>>> From: Xue Fuqiao <xfq.free@HIDDEN>
>>>
>>> I did some further experiments.  See the attachments for details.
>>
>> What did you do this for?  What did you expect to see?
>
> I expect the same result for characters in one group.

Except for the last group, because the correct order of codes is base
character code + breathing mark code + accent mark code (which is the
first one).

-- 
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 22:17:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 18:17:11 2013
Received: from localhost ([127.0.0.1]:45144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VI4L1-0001rr-AO
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 18:17:11 -0400
Received: from mail-ie0-f169.google.com ([209.85.223.169]:47489)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VI4Ky-0001rc-Rb
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 18:17:09 -0400
Received: by mail-ie0-f169.google.com with SMTP id tp5so8392785ieb.0
 for <15273 <at> debbugs.gnu.org>; Fri, 06 Sep 2013 15:17:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=/obMK3SUt6ooCX+5bH2YXZJIdRTLjV8I5dI4QvB+vkI=;
 b=OrCD1RcVJmS7gZCyHXK2Shms4q4pfYEfni6ytnVQFkf9qywO7+qHtbnwvE5HwsUKXy
 JWMrf+cEhJ5kfAdXao8EUoLiLNkvfrZ+QGpFIsrzQ9Weimw1J3Tv5VJQRqqq+CiqAzPz
 PyG+0SxR50GFJY2EaHmLxwMdxKlRAtJxBGvLmWmCZh8I6UBOKU7BCJdf3Rsm2/6VXfAN
 U1GIhT8L5PV6+N4N+LjBpFwMk8l6MiRMHpqMcUNMAgBMejkp+5T3QWdpB9+QfqOlwTZC
 ZYK75ItVIamt/4XbNn4DvwJzUS38oenCRbMg/L54pjLWkEZEjUIcZX4iA7XJQ7aB9TRh
 UvPg==
MIME-Version: 1.0
X-Received: by 10.50.115.103 with SMTP id jn7mr817134igb.1.1378505822985; Fri,
 06 Sep 2013 15:17:02 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Fri, 6 Sep 2013 15:17:02 -0700 (PDT)
In-Reply-To: <83zjrqkkun.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
 <83zjrqkkun.fsf@HIDDEN>
Date: Sat, 7 Sep 2013 06:17:02 +0800
Message-ID: <CAAF+z6Ead75Umsq2_8Ou9cNa_Q2n+DH3kdewR+eYbtpjdh66Gw@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Sep 6, 2013 at 11:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> Date: Fri, 6 Sep 2013 22:37:44 +0800
>> From: Xue Fuqiao <xfq.free@HIDDEN>
>>
>> I did some further experiments.  See the attachments for details.
>
> What did you do this for?  What did you expect to see?

Sorry for not being clear.  I expect the same result for characters in
one group, but there are all kinds of results.  Some characters are
partial displayed, like the OP.

-- 
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 15:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 11:53:38 2013
Received: from localhost ([127.0.0.1]:44422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHyLp-0000qj-RD
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 11:53:38 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:56421)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHyLm-0000qS-Ny
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 11:53:36 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MSP00100O39NW00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Fri, 06 Sep 2013 18:53:28 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSP001HHO53BI70@HIDDEN>;
 Fri, 06 Sep 2013 18:53:28 +0300 (IDT)
Date: Fri, 06 Sep 2013 18:53:20 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Xue Fuqiao <xfq.free@HIDDEN>
Message-id: <83zjrqkkun.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN> <83ppsmmml5.fsf@HIDDEN>
 <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 6 Sep 2013 22:37:44 +0800
> From: Xue Fuqiao <xfq.free@HIDDEN>
> 
> I did some further experiments.  See the attachments for details.

What did you do this for?  What did you expect to see?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 14:37:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 10:37:58 2013
Received: from localhost ([127.0.0.1]:44248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHxAb-0007Pe-87
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 10:37:57 -0400
Received: from mail-ie0-f181.google.com ([209.85.223.181]:51318)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VHxAU-0007PK-L3
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 10:37:51 -0400
Received: by mail-ie0-f181.google.com with SMTP id y16so1732155ieg.40
 for <15273 <at> debbugs.gnu.org>; Fri, 06 Sep 2013 07:37:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=GvB+Q8HvS17VqEyJpwtUu82HRfXUjDQ+wRPaz0sQc1E=;
 b=MFm4aq8aYJZ/Ae4gcdFM23CqeRH1dKVnqT+qD07ZX5SQz4Eu/m+580/+3DBaBziQuG
 oMjSYLTJaRlH3qOHeurMPJqzybgcIBokZXu9jQD9BDujGyGCLn5R1RSsfBGmF6ubXGBe
 BI3vxJ64bm61O7vxAsn3zbycuaS3hNd7aVHTmEoXPBjtrQ1A5iLpi0uNui1iTQPm7tGP
 BCx/111mugtxIZgwsYV+mxDPCjxf8y9pziH3NbPGwp1B3fnNDsT1ZBvVa5wIThgCrgwg
 tDLchccGxM+FI1CxNPptCCEzO5vyD3qf8LHRkzWGiYGLYvNnAueNasg5ggR94b8mmJU2
 3Yaw==
MIME-Version: 1.0
X-Received: by 10.50.39.51 with SMTP id m19mr10115076igk.51.1378478264614;
 Fri, 06 Sep 2013 07:37:44 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Fri, 6 Sep 2013 07:37:44 -0700 (PDT)
In-Reply-To: <83ppsmmml5.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
 <83ppsmmml5.fsf@HIDDEN>
Date: Fri, 6 Sep 2013 22:37:44 +0800
Message-ID: <CAAF+z6GBjFaffzd1omD1M1_pySvLzxo1g2z8M+9EZdkGUPXZ7w@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: 15273 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=047d7bdc13124b0a3104e5b7fbf5
X-Debbugs-Envelope-To: 15273
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--047d7bdc13124b0a3104e5b7fbf5
Content-Type: text/plain; charset=UTF-8

I did some further experiments.  See the attachments for details.

--047d7bdc13124b0a3104e5b7fbf5
Content-Type: text/plain; charset=UTF-8; name="bug15273.txt"
Content-Disposition: attachment; filename="bug15273.txt"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hl9i8ah40

w6MgOzsgTEFUSU4gU01BTEwgTEVUVEVSIEEgV0lUSCBUSUxERQphzIMgOzsgTEFUSU4gU01BTEwg
TEVUVEVSIEEgKyBDT01CSU5JTkcgVElMREUKCsinIDs7IExBVElOIFNNQUxMIExFVFRFUiBBIFdJ
VEggRE9UIEFCT1ZFCmHMhyA7OyBMQVRJTiBTTUFMTCBMRVRURVIgQSArIENPTUJJTklORyBET1Qg
QUJPVkUKCsOjzKMgOzsgTEFUSU4gU01BTEwgTEVUVEVSIEEgV0lUSCBUSUxERSArIENPTUJJTklO
RyBET1QgQkVMT1cKYcyDzKMgOzsgTEFUSU4gU01BTEwgTEVUVEVSIEEgKyBDT01CSU5JTkcgVElM
REUgKyBDT01CSU5JTkcgRE9UIEJFTE9XCuG6ocyDIDs7IExBVElOIFNNQUxMIExFVFRFUiBBIFdJ
VEggRE9UIEJFTE9XICsgQ09NQklOSU5HIFRJTERFCmHMo8yDIDs7IExBVElOIFNNQUxMIExFVFRF
UiBBICsgQ09NQklOSU5HIERPVCBCRUxPVyArIENPTUJJTklORyBUSUxERQoK4bqhzIcgOzsgTEFU
SU4gU01BTEwgTEVUVEVSIEEgV0lUSCBET1QgQkVMT1cgKyBDT01CSU5JTkcgRE9UIEFCT1ZFCmHM
o8yHIDs7IExBVElOIFNNQUxMIExFVFRFUiBBICsgQ09NQklOSU5HIERPVCBCRUxPVyArIENPTUJJ
TklORyBET1QgQUJPVkUKyKfMoyA7OyBMQVRJTiBTTUFMTCBMRVRURVIgQSBXSVRIIERPVCBBQk9W
RSArIENPTUJJTklORyBET1QgQkVMT1cKYcyHzKMgOzsgTEFUSU4gU01BTEwgTEVUVEVSIEEgKyBD
T01CSU5JTkcgRE9UIEFCT1ZFICsgQ09NQklOSU5HIERPVCBCRUxPVwoK4bqlIDs7IExBVElOIFNN
QUxMIExFVFRFUiBBIFdJVEggQ0lSQ1VNRkxFWCBBTkQgQUNVVEUKw6IgOzsgTEFUSU4gU01BTEwg
TEVUVEVSIEEgV0lUSCBDSVJDVU1GTEVYICsgQ09NQklOSU5HIEFDVVRFIEFDQ0VOVAphzILMgSA7
OyBMQVRJTiBTTUFMTCBMRVRURVIgQSArIENPTUJJTklORyBDSVJDVU1GTEVYIEFDQ0VOVCArIENP
TUJJTklORyBBQ1VURSBBQ0NFTlQKCsOhzIIgOzsgTEFUSU4gU01BTEwgTEVUVEVSIEEgQUNVVEUg
KyBDT01CSU5JTkcgQ0lSQ1VNRkxFWCBBQ0NFTlQKYcyBzIIgOzsgTEFUSU4gU01BTEwgTEVUVEVS
IEEgKyBDT01CSU5JTkcgQUNVVEUgQUNDRU5UICsgQ09NQklOSU5HIENJUkNVTUZMRVggQUNDRU5U
CgrOscyTzIEgOzsgR1JFRUsgU01BTEwgTEVUVEVSIEFMUEhBICsgQ09NQklOSU5HIENPTU1BIEFC
T1ZFICsgQ09NQklOSU5HIEFDVVRFIEFDQ0VOVArOscyBzJMgOzsgR1JFRUsgU01BTEwgTEVUVEVS
IEFMUEhBICsgQ09NQklOSU5HIEFDVVRFIEFDQ0VOVCArIENPTUJJTklORyBDT01NQSBBQk9WRQo=
--047d7bdc13124b0a3104e5b7fbf5
Content-Type: image/png; name="bug15273.png"
Content-Disposition: attachment; filename="bug15273.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hl9i9ji41
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--047d7bdc13124b0a3104e5b7fbf5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 07:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 03:33:15 2013
Received: from localhost ([127.0.0.1]:42861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHqXa-0002zJ-Qw
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 03:33:15 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:38364)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHqXW-0002z3-Ls
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 03:33:12 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MSP002000U37W00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Fri, 06 Sep 2013 10:33:04 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSP002BU0Z31L90@HIDDEN>;
 Fri, 06 Sep 2013 10:33:03 +0300 (IDT)
Date: Fri, 06 Sep 2013 10:32:54 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <87vc2ee9io.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Andreas Schwab <schwab@HIDDEN>, Kenichi Handa <handa@HIDDEN>
Message-id: <83ppsmmml5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN> <87vc2ee9io.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org, jan.h.d@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: Jan Djärv <jan.h.d@HIDDEN>,  xfq.free@HIDDEN,
>   15273 <at> debbugs.gnu.org
> Date: Fri, 06 Sep 2013 08:42:23 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Character composition in Emacs can happen in 1 of 2 ways:
> >
> >  . The font driver tells Emacs to compose several characters into a
> >    single grapheme cluster, by drawing all of them as a single unit,
> >    and by drawing the 2nd, 3rd, etc. character glyphs at certain pixel
> >    offsets relative to the base glyph.
> >
> >  . Emacs itself has composition rules for 2 or more characters; in
> >    this case, the same pixel offsets come from those rules.
> 
> The first way can only work if both characters are coming from the same
> font.

Yes.

> Not sure if that is also true for the second way, but I'd guess yes.

I'm not sure, either.  The second way happens when we generate the
glyph matrices -- do we select font before or after that?  If after,
we probably look for a font that supports all of the characters in the
composition.  Perhaps Handa-san could comment on this.

But, at least in my testing, I used a font that definitely supports
both characters, and the composition still didn't happen.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 06:42:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 02:42:33 2013
Received: from localhost ([127.0.0.1]:42791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHpkV-0001jA-Rs
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 02:42:32 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:37971)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <whitebox@HIDDEN>) id 1VHpkQ-0001iz-Js
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 02:42:27 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
 by mail-out.m-online.net (Postfix) with ESMTP id 3cWThx0ls5z4KKF7;
 Fri,  6 Sep 2013 08:42:25 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3cWThw70Dqzbbrj;
 Fri,  6 Sep 2013 08:42:24 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id XRcEfnYwlx2p; Fri,  6 Sep 2013 08:42:23 +0200 (CEST)
X-Auth-Info: p5eYzHa83yO1Ldf3t88GhlgOUwOBVVzkJXu2h9BoIn4=
Received: from igel.home (ppp-93-104-146-30.dynamic.mnet-online.de
 [93.104.146.30]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Fri,  6 Sep 2013 08:42:23 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 79F7F2C028F; Fri,  6 Sep 2013 08:42:23 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
 <8338pjnqfm.fsf@HIDDEN> <831u53npuy.fsf@HIDDEN>
 <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
 <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
 <83r4d2mpi2.fsf@HIDDEN>
X-Yow: This is PLEASANT!
Date: Fri, 06 Sep 2013 08:42:23 +0200
In-Reply-To: <83r4d2mpi2.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 06 Sep
 2013 09:29:57 +0300")
Message-ID: <87vc2ee9io.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org,
 Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Character composition in Emacs can happen in 1 of 2 ways:
>
>  . The font driver tells Emacs to compose several characters into a
>    single grapheme cluster, by drawing all of them as a single unit,
>    and by drawing the 2nd, 3rd, etc. character glyphs at certain pixel
>    offsets relative to the base glyph.
>
>  . Emacs itself has composition rules for 2 or more characters; in
>    this case, the same pixel offsets come from those rules.

The first way can only work if both characters are coming from the same
font.  Not sure if that is also true for the second way, but I'd guess
yes.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 06:30:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 02:30:20 2013
Received: from localhost ([127.0.0.1]:42772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHpYh-0001ON-CH
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 02:30:20 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:35434)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHpYc-0001Nz-2Q
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 02:30:15 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MSO00100XQ1X100@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Fri, 06 Sep 2013 09:30:06 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSO001SXY26QU90@HIDDEN>;
 Fri, 06 Sep 2013 09:30:06 +0300 (IDT)
Date: Fri, 06 Sep 2013 09:29:57 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <83r4d2mpi2.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN> <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan DjƤrv <jan.h.d@HIDDEN>
> Date: Fri, 6 Sep 2013 07:08:56 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> > Thanks.  So this is not a composition at all, and the wicked way the
> > triangle is displayed is not Emacs's fault at all.  I guess the font
> > used by NS or the font driver are at fault here.  FWIW, on MS-Windows,
> > I see the ! and the triangle after it correctly, as 2 separate
> > characters (using Code2000 font).
> 
> What do you mean by composition?  Is it that the two characters are replaced by another character that is equivalent?  That may not be possible since we can combine any character with the triangle, such a glyph may not be available.

Character composition in Emacs can happen in 1 of 2 ways:

 . The font driver tells Emacs to compose several characters into a
   single grapheme cluster, by drawing all of them as a single unit,
   and by drawing the 2nd, 3rd, etc. character glyphs at certain pixel
   offsets relative to the base glyph.

 . Emacs itself has composition rules for 2 or more characters; in
   this case, the same pixel offsets come from those rules.

The first possibility includes possible substitution of a single glyph
for several characters, but that's not the only possibility, because
the font driver tells Emacs both the glyphs to draw and their relative
pixel positions.

In both cases, Emacs shows the composition details in "C-u C-x =",
here's an example:

  Composed with the following character(s) "Ö“" using this font:
    uniscribe:-outline-Courier New-bold-normal-normal-mono-15-*-*-*-c-*-iso10646-1
  by these glyphs:
    [0 1 1506 690 9 0 8 12 5 nil]
    [0 1 1460 657 9 0 5 12 5 [-7 0 0]]

In the case in point, there was no such display of composition
details.  So I concluded that no composition was done.

> Or is it simply that Emacs treats the two characters as one?

Emacs will treat them as one, more or less, if they are composed by
one of the above two methods.  ("More or less" because we still allow
certain operations, such as delete-char, to act on individual
characters that were composed.)

> Why is displaying the ! and the triangle after it as separate characters correct?  The triangle is a composing character and should be displayed above the !.

I meant "correct" in the sense that there's no apparent redisplay bug:
the display engine behaves according to the information it has.

The OP's bug report was about the partial display of the triangle, not
about the lack of composition.

If the font driver doesn't tell us that the characters need to be
combined, and we don't have in Emacs a rule to do that ourselves, then
the problem, if there is one, is not in the display engine.  If we
want to combine this character, we should write a composition rule for
it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 6 Sep 2013 05:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 01:09:03 2013
Received: from localhost ([127.0.0.1]:42744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHoI2-0007lj-MB
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 01:09:03 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:49510)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VHoHx-0007lH-Is
 for 15273 <at> debbugs.gnu.org; Fri, 06 Sep 2013 01:09:01 -0400
Received: (qmail 11732 invoked by uid 89); 6 Sep 2013 05:08:56 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 6 Sep 2013 05:08:56 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id 48BCF1A01C4;
 Fri,  6 Sep 2013 05:08:56 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83zjrrm9tc.fsf@HIDDEN>
Date: Fri, 6 Sep 2013 07:08:56 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <5B85556B-72FB-49DB-96F8-A38939746260@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
 <83zjrrm9tc.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

5 sep 2013 kl. 19:56 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Thu, 5 Sep 2013 19:33:04 +0200
>> Cc: xfq.free@HIDDEN,
>> 15273 <at> debbugs.gnu.org
>>=20
>> Hello.
>>=20
>> 5 sep 2013 kl. 19:24 skrev Eli Zaretskii <eliz@HIDDEN>:
>>=20
>>> On one OSX system, the result of "! C-x 8 RET 2 0 E 4 RET" _looks_
>>> like a single character, but actually isn't: I can move cursor twice
>>> across the result, and "C-u C-x =3D" doesn't show the composition
>>> results.  Is that what you see?
>>=20
>> Yes.
>=20
> Thanks.  So this is not a composition at all, and the wicked way the
> triangle is displayed is not Emacs's fault at all.  I guess the font
> used by NS or the font driver are at fault here.  FWIW, on MS-Windows,
> I see the ! and the triangle after it correctly, as 2 separate
> characters (using Code2000 font).

What do you mean by composition?  Is it that the two characters are =
replaced by another character that is equivalent?  That may not be =
possible since we can combine any character with the triangle, such a =
glyph may not be available.  Or is it simply that Emacs treats the two =
characters as one?
Why is displaying the ! and the triangle after it as separate characters =
correct?  The triangle is a composing character and should be displayed =
above the !.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 23:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 19:27:58 2013
Received: from localhost ([127.0.0.1]:42447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHixx-0007Zt-W3
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 19:27:58 -0400
Received: from mail-ie0-f175.google.com ([209.85.223.175]:57422)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VHixv-0007Zg-H2
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 19:27:56 -0400
Received: by mail-ie0-f175.google.com with SMTP id u16so5191128iet.20
 for <15273 <at> debbugs.gnu.org>; Thu, 05 Sep 2013 16:27:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=cJ31bFY7TTr0Nlk4u6fbrVn0RlmKDvJRlUFb3Bt9hhM=;
 b=OVUrbAnaGpV5PRZ2DnUWR9vEqVdb3ZaGpTXHChrg4Wh2nLw6FuDNitD9XJQFLzHLwz
 mFdJnpf6GkdJ0DgEvfFQjeQd34NjC4lNn4kaV384iguVc4+2gq0bH6640AK6gMudYUD7
 pak9oggqjIVX9EM7pfRailv6CUMHmtDYANdnwt5p3M+GgIkqNKQ3rzWlGfhWuLo7s21C
 RKX38n0El6ZVS/27grxFXZCferlz+zucL97nYJsolKHxUGL43u+/ArWLhSuHdZLNu+6t
 R5OoqWLCSPH5ztqKQReE6Z5QcminGIUZoFxIWN/w0dC4el+p5dTDCUoK7qE7lkkgUsgW
 vnxA==
MIME-Version: 1.0
X-Received: by 10.42.250.148 with SMTP id mo20mr6802109icb.34.1378423669925;
 Thu, 05 Sep 2013 16:27:49 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Thu, 5 Sep 2013 16:27:49 -0700 (PDT)
In-Reply-To: <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
Date: Fri, 6 Sep 2013 07:27:49 +0800
Message-ID: <CAAF+z6HTu5cU+C7JrXPxX_KXYhgYUyEzsqDM9Y3M1+rFi1dw=Q@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: =?UTF-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Content-Type: multipart/alternative; boundary=20cf300e4e5132339804e5ab456a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--20cf300e4e5132339804e5ab456a
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Fri, Sep 6, 2013 at 12:48 AM, Jan Dj=C3=A4rv <jan.h.d@HIDDEN> wrote:

    Hello.
    5 sep 2013 kl. 16:08 skrev Xue Fuqiao <xfq.free@HIDDEN>:
>     To reproduce:
>
>      emacs -Q
>      !                      ;; input an exclamation mark (#x21)
>      C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING
TRIANGLE
>      RET                    ;; Newline
>      C-x 8 2 6 A 0 RET      ;; WARNING SIGN
>
    I assume you mean C-x 8 RET 2 6 A 0 RET.

Yes, sorry.

--=20
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/

--20cf300e4e5132339804e5ab456a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64

PGRpdiBkaXI9Imx0ciI+T24gRnJpLCBTZXAgNiwgMjAxMyBhdCAxMjo0OCBBTSwgSmFuIERqw6Ry
diAmbHQ7PGEgaHJlZj0ibWFpbHRvOmphbi5oLmRAc3dpcG5ldC5zZSI+amFuLmguZEBzd2lwbmV0
LnNlPC9hPiZndDsgd3JvdGU6PGJyPjxicj7CoMKgwqAgSGVsbG8uPGJyPsKgwqDCoCA1IHNlcCAy
MDEzIGtsLiAxNjowOCBza3JldiBYdWUgRnVxaWFvICZsdDs8YSBocmVmPSJtYWlsdG86eGZxLmZy
ZWVAZ21haWwuY29tIj54ZnEuZnJlZUBnbWFpbC5jb208L2E+Jmd0Ozo8YnI+DQomZ3Q7wqDCoMKg
wqAgVG8gcmVwcm9kdWNlOjxicj4mZ3Q7PGJyPiZndDvCoMKgwqDCoMKgIGVtYWNzIC1RPGJyPiZn
dDvCoMKgwqDCoMKgICHCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAg
OzsgaW5wdXQgYW4gZXhjbGFtYXRpb24gbWFyayAoI3gyMSk8YnI+Jmd0O8KgwqDCoMKgwqAgQy14
IDggUkVUIDIgMCBFIDQgUkVUwqAgOzsgQ09NQklOSU5HIEVOQ0xPU0lORyBVUFdBUkQgUE9JTlRJ
TkcgVFJJQU5HTEU8YnI+Jmd0O8KgwqDCoMKgwqAgUkVUwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqAgOzsgTmV3bGluZTxicj4NCiZndDvCoMKgwqDCoMKgIEMteCA4IDIgNiBB
IDAgUkVUwqDCoMKgwqDCoCA7OyBXQVJOSU5HIFNJR048YnI+Jmd0Ozxicj7CoMKgwqAgSSBhc3N1
bWUgeW91IG1lYW4gQy14IDggUkVUIDIgNiBBIDAgUkVULjxicj48YnI+WWVzLCBzb3JyeS48YnI+
PGJyPi0tIDxicj5CZXN0IHJlZ2FyZHMsIFh1ZSBGdXFpYW8uPGJyPjxhIGhyZWY9Imh0dHA6Ly93
d3cuZ251Lm9yZy9zb2Z0d2FyZS9lbWFjcy8iPmh0dHA6Ly93d3cuZ251Lm9yZy9zb2Z0d2FyZS9l
bWFjcy88L2E+PGJyPg0KPGJyPjwvZGl2Pg0K
--20cf300e4e5132339804e5ab456a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 23:26:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 19:26:52 2013
Received: from localhost ([127.0.0.1]:42443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHiwt-0007Xz-CN
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 19:26:52 -0400
Received: from mail-ie0-f171.google.com ([209.85.223.171]:51821)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VHiwq-0007Xj-JJ
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 19:26:49 -0400
Received: by mail-ie0-f171.google.com with SMTP id 9so5275296iec.16
 for <15273 <at> debbugs.gnu.org>; Thu, 05 Sep 2013 16:26:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=XaQ9lyCwxvQnFKknqCUgmgICmQLgdKdWGXNwDk5qrok=;
 b=l6pie0pq3flipL7yK3nPD2bbGjfjt2pV9wO4WybrkMVCvRxGaOWqAXhvaUOpy5ykvC
 XHS0Epq/uQGSU2YMB/saUFSjL0hPD2nUAG+X5uFBSCbrMz4fHIHsfwL/QBkVyNKaF3FH
 KbtyM8cAdFIxz4+py7asMwh5kGIkz3TZNkNLVJmewXQ7xK3Hbqz0olrDrPe1KVQNNQm5
 4D5L78eQXZGZ7qZmsThGBpv+3p2UGf+/E6i30LRr11kCJ0Qf75gBn5snfJfiDyUtve3N
 fSMJ9uipjJ3PJErJweciucmTmhW7UhdgDY7N5uhbsoMKjw7aa71yeoeipkPSO1Ax13oT
 uk4w==
MIME-Version: 1.0
X-Received: by 10.42.84.130 with SMTP id m2mr6735448icl.16.1378423602720; Thu,
 05 Sep 2013 16:26:42 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Thu, 5 Sep 2013 16:26:42 -0700 (PDT)
In-Reply-To: <83ppsnbaoc.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <83ppsnbaoc.fsf@HIDDEN>
Date: Fri, 6 Sep 2013 07:26:42 +0800
Message-ID: <CAAF+z6HZwccFQw2MtaQVJppmXYL7TUbfY_c6=TYgrK4vDCf_UQ@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Sep 5, 2013 at 10:33 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> Date: Thu, 5 Sep 2013 22:08:21 +0800
>> From: Xue Fuqiao <xfq.free@HIDDEN>
>>
>>   emacs -Q
>>   !                      ;; input an exclamation mark (#x21)
>>   C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING TRIANGLE
>>   RET                    ;; Newline
>>   C-x 8 RET 2 6 A 0 RET      ;; WARNING SIGN
>>
>> I tried many fonts, but all results look weird (the first line is
>> incomplete and too large).
>
> What font(s) were used to display this character?

Menlo, Times New Roman, Courier New, FreeMono, FreeSans, and FreeSerif.

> If you go to the first line, which shows the character only partially,
> and type C-a, does that fix the problem?

No.

> What about "M-x redraw-display RET"?

Nothing changes.

> Finally, if you go to the first partially displayed character and type
> "C-u C-x =", what does Emacs show?

Similar to Jan's.  The general-category for this character is "Me (Mark,
Enclosing)", so it is a nonspacing mark, which is a kind of combining
character.

See:
http://www.unicode.org/glossary/#enclosing_mark
http://www.unicode.org/glossary/#nonspacing_mark
http://www.unicode.org/glossary/#combining_character

-- 
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 17:57:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 13:57:16 2013
Received: from localhost ([127.0.0.1]:42224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHdnv-0007w1-PQ
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:57:16 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:64134)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHdnt-0007vl-Gs
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:57:14 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MSN00D00Z05UM00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Thu, 05 Sep 2013 20:57:07 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSN00D6QZ76OO60@HIDDEN>;
 Thu, 05 Sep 2013 20:57:07 +0300 (IDT)
Date: Thu, 05 Sep 2013 20:56:56 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <6B9634D1-6DE2-496D-9815-8750CD356C7B@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <83y57bm9sn.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <6B9634D1-6DE2-496D-9815-8750CD356C7B@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan DjƤrv <jan.h.d@HIDDEN>
> Date: Thu, 5 Sep 2013 19:29:24 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
>              position: 4 of 4 (75%), column: 3
>             character: āƒ¤ (displayed as āƒ¤) (codepoint 8420, #o20344, #x20e4)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x20E4
>                script: symbol
>                syntax: w 	which means: word
>              to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
>           buffer code: #xE2 #x83 #xA4
>             file code: #xE2 #x83 #xA4 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     nil:-apple-STIXGeneral-medium-normal-normal-*-12-*-*-*-p-0-iso10646-1 (#x359)
> 
> Character code properties: customize what to show
>   name: COMBINING ENCLOSING UPWARD POINTING TRIANGLE
>   general-category: Me (Mark, Enclosing)
>   decomposition: (8420) ('āƒ¤')
> 
> There are text properties here:
>   fontified            t

This is not a composition.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 17:56:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 13:56:51 2013
Received: from localhost ([127.0.0.1]:42217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHdnX-0007ut-1C
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:56:51 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:56806)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHdnU-0007ue-PV
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:56:49 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSN00400YY3O200@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Thu, 05 Sep 2013 20:56:42 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSN0045PZ6HGGB0@HIDDEN>;
 Thu, 05 Sep 2013 20:56:42 +0300 (IDT)
Date: Thu, 05 Sep 2013 20:56:31 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83zjrrm9tc.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN> <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Thu, 5 Sep 2013 19:33:04 +0200
> Cc: xfq.free@HIDDEN,
>  15273 <at> debbugs.gnu.org
> 
> Hello.
> 
> 5 sep 2013 kl. 19:24 skrev Eli Zaretskii <eliz@HIDDEN>:
> 
> > On one OSX system, the result of "! C-x 8 RET 2 0 E 4 RET" _looks_
> > like a single character, but actually isn't: I can move cursor twice
> > across the result, and "C-u C-x =" doesn't show the composition
> > results.  Is that what you see?
> 
> Yes.

Thanks.  So this is not a composition at all, and the wicked way the
triangle is displayed is not Emacs's fault at all.  I guess the font
used by NS or the font driver are at fault here.  FWIW, on MS-Windows,
I see the ! and the triangle after it correctly, as 2 separate
characters (using Code2000 font).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 17:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 13:33:09 2013
Received: from localhost ([127.0.0.1]:42197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHdQa-0006Jy-Fe
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:33:08 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:47482)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VHdQY-0006Jq-9W
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:33:06 -0400
Received: (qmail 15389 invoked by uid 89); 5 Sep 2013 17:33:05 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 5 Sep 2013 17:33:05 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id CA2191A026F;
 Thu,  5 Sep 2013 17:33:04 +0000 (UTC)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <831u53npuy.fsf@HIDDEN>
Date: Thu, 5 Sep 2013 19:33:04 +0200
Content-Transfer-Encoding: 7bit
Message-Id: <7977F745-C1B8-44AD-9710-3CE9567C5338@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
 <831u53npuy.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello.

5 sep 2013 kl. 19:24 skrev Eli Zaretskii <eliz@HIDDEN>:

> On one OSX system, the result of "! C-x 8 RET 2 0 E 4 RET" _looks_
> like a single character, but actually isn't: I can move cursor twice
> across the result, and "C-u C-x =" doesn't show the composition
> results.  Is that what you see?

Yes.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 17:29:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 13:29:31 2013
Received: from localhost ([127.0.0.1]:42187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHdN4-0006D3-KR
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:29:31 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:47413)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VHdMx-0006Cq-Ua
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:29:29 -0400
Received: (qmail 15140 invoked by uid 89); 5 Sep 2013 17:29:23 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 5 Sep 2013 17:29:23 -0000
Received: from [172.20.199.13] (unknown [172.20.199.13])
 by coolsville.localdomain (Postfix) with ESMTPSA id CA22B1A036C;
 Thu,  5 Sep 2013 17:29:22 +0000 (UTC)
Content-Type: text/plain; charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <8338pjnqfm.fsf@HIDDEN>
Date: Thu, 5 Sep 2013 19:29:24 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <6B9634D1-6DE2-496D-9815-8750CD356C7B@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi.

5 sep 2013 kl. 19:12 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=C3=A4rv <jan.h.d@HIDDEN>
>> Date: Thu, 5 Sep 2013 18:48:43 +0200
>> Cc: 15273 <at> debbugs.gnu.org
>>=20
>>=20
>>> emacs -Q
>>> !                      ;; input an exclamation mark (#x21)
>>> C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING =
TRIANGLE
>>> RET                    ;; Newline
>>> C-x 8 2 6 A 0 RET      ;; WARNING SIGN
>>>=20
>>=20
>> I assume you mean C-x 8 RET 2 6 A 0 RET.
>>=20
>>> I tried many fonts, but all results look weird (the first line is
>>> incomplete and too large).
>>>=20
>>> (I haven't tried it on other platforms yet, so I'm not sure whether =
it's
>>> NS-port specific.)
>>=20
>> On Fedora 19, the first does not combine, I just get ! followed by an =
upward pointing triangle.
>> The second is very small, see screen shot.
>>=20
>> The NS one looks better, but when moving the cursor over the first =
row, it redraws funny.  And metrics are off, the distance between the =
first triangle and the aaa to the right is actually only one space.  The =
aaa to the left is also followed by a space, but there the distance is =
too short, and the source of the redraw error.
>>=20
>> W32 anyone?
>=20
> On w32, the Uniscribe font driver does not compose these two
> characters.  So I guess this composition is done by the driver used by
> NS, and perhaps the composition information Emacs gets is incorrect.
>=20
> Once again, please show the full output of "C-u C-x =3D" on the =
composed
> character, the pixel-level data of the composition shown there will
> probably tell us what is wrong.


I don't know if it says anything.  In Emacs the square is actually a =
triangle, displayed too far to the left, i.e. covering half the letter =
to the left.  The mailer I use can't display it.

             position: 4 of 4 (75%), column: 3
            character: =E2=83=A4 (displayed as =E2=83=A4) (codepoint =
8420, #o20344, #x20e4)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x20E4
               script: symbol
               syntax: w 	which means: word
             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET =
NAME"
          buffer code: #xE2 #x83 #xA4
            file code: #xE2 #x83 #xA4 (encoded by coding system =
utf-8-unix)
              display: by this font (glyph code)
    =
nil:-apple-STIXGeneral-medium-normal-normal-*-12-*-*-*-p-0-iso10646-1 =
(#x359)

Character code properties: customize what to show
  name: COMBINING ENCLOSING UPWARD POINTING TRIANGLE
  general-category: Me (Mark, Enclosing)
  decomposition: (8420) ('=E2=83=A4')

There are text properties here:
  fontified            t

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 17:24:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 13:24:58 2013
Received: from localhost ([127.0.0.1]:42172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHdIf-00065a-Qs
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:24:58 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:51205)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHdIc-00065K-36
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:24:55 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSN00400XGYGO00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Thu, 05 Sep 2013 20:24:47 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSN004V2XPBGG20@HIDDEN>;
 Thu, 05 Sep 2013 20:24:47 +0300 (IDT)
Date: Thu, 05 Sep 2013 20:24:37 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <8338pjnqfm.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: jan.h.d@HIDDEN
Message-id: <831u53npuy.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN> <8338pjnqfm.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 05 Sep 2013 20:12:13 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
> 
> > The NS one looks better, but when moving the cursor over the first row, it redraws funny.  And metrics are off, the distance between the first triangle and the aaa to the right is actually only one space.  The aaa to the left is also followed by a space, but there the distance is too short, and the source of the redraw error.
> > 
> > W32 anyone?
> 
> On w32, the Uniscribe font driver does not compose these two
> characters.  So I guess this composition is done by the driver used by
> NS, and perhaps the composition information Emacs gets is incorrect.
> 
> Once again, please show the full output of "C-u C-x =" on the composed
> character, the pixel-level data of the composition shown there will
> probably tell us what is wrong.

On one OSX system, the result of "! C-x 8 RET 2 0 E 4 RET" _looks_
like a single character, but actually isn't: I can move cursor twice
across the result, and "C-u C-x =" doesn't show the composition
results.  Is that what you see?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 17:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 13:12:33 2013
Received: from localhost ([127.0.0.1]:42167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHd6e-0005mP-RH
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:12:33 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:49015)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHd6c-0005m8-Ou
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 13:12:31 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MSN00400WXCEL00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Thu, 05 Sep 2013 20:12:24 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSN004HOX4N66A0@HIDDEN>;
 Thu, 05 Sep 2013 20:12:24 +0300 (IDT)
Date: Thu, 05 Sep 2013 20:12:13 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <8338pjnqfm.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
 <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: xfq.free@HIDDEN, 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan DjƤrv <jan.h.d@HIDDEN>
> Date: Thu, 5 Sep 2013 18:48:43 +0200
> Cc: 15273 <at> debbugs.gnu.org
> 
> 
> >  emacs -Q
> >  !                      ;; input an exclamation mark (#x21)
> >  C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING TRIANGLE
> >  RET                    ;; Newline
> >  C-x 8 2 6 A 0 RET      ;; WARNING SIGN
> > 
> 
> I assume you mean C-x 8 RET 2 6 A 0 RET.
> 
> > I tried many fonts, but all results look weird (the first line is
> > incomplete and too large).
> > 
> > (I haven't tried it on other platforms yet, so I'm not sure whether it's
> > NS-port specific.)
> 
> On Fedora 19, the first does not combine, I just get ! followed by an upward pointing triangle.
> The second is very small, see screen shot.
> 
> The NS one looks better, but when moving the cursor over the first row, it redraws funny.  And metrics are off, the distance between the first triangle and the aaa to the right is actually only one space.  The aaa to the left is also followed by a space, but there the distance is too short, and the source of the redraw error.
> 
> W32 anyone?

On w32, the Uniscribe font driver does not compose these two
characters.  So I guess this composition is done by the driver used by
NS, and perhaps the composition information Emacs gets is incorrect.

Once again, please show the full output of "C-u C-x =" on the composed
character, the pixel-level data of the composition shown there will
probably tell us what is wrong.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 16:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 12:48:49 2013
Received: from localhost ([127.0.0.1]:42127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHcjg-0005B4-Ru
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 12:48:49 -0400
Received: from mail01.bdtv.se ([176.10.222.34]:46795)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VHcjd-0005Au-GO
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 12:48:46 -0400
Received: (qmail 12022 invoked by uid 89); 5 Sep 2013 16:48:43 -0000
Received: from h-46-59-42-57.na.cust.bahnhof.se (HELO coolsville.localdomain)
 (boel.djarv@HIDDEN@46.59.42.57)
 by mail01.bdtv.se with ESMTPA; 5 Sep 2013 16:48:43 -0000
Received: from anon-51-195.vpn.ipredator.se (unknown [46.246.51.195])
 by coolsville.localdomain (Postfix) with ESMTPSA id F19291A036C;
 Thu,  5 Sep 2013 16:48:42 +0000 (UTC)
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_516D1151-6C38-4D3F-92C9-77E27E72C3AB"
Mime-Version: 1.0 (Mac OS X Mail 6.5 \(1508\))
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
Date: Thu, 5 Sep 2013 18:48:43 +0200
Message-Id: <9243D0C8-83F9-40B4-8F2C-37517A1F6BCC@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
To: Xue Fuqiao <xfq.free@HIDDEN>
X-Mailer: Apple Mail (2.1508)
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello. 5 sep 2013 kl. 16:08 skrev Xue Fuqiao
 <xfq.free@HIDDEN>:
 > To reproduce: > > emacs -Q > ! ;; input an exclamation mark (#x21) > C-x
 8 RET 2 0 E 4 RET ;; COMBINING ENCLOSING UPWARD POINTING TRIANGLE > RET ;;
 Newline > C-x 8 2 6 A 0 RET ;; WARNING SIGN > [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.7 HTML_IMAGE_ONLY_28     BODY: HTML: images with 2400-2800 bytes of words
 0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello. 5 sep 2013 kl. 16:08 skrev Xue Fuqiao <xfq.free@HIDDEN>:
    > To reproduce: > > emacs -Q > ! ;; input an exclamation mark (#x21) > C-x
    8 RET 2 0 E 4 RET ;; COMBINING ENCLOSING UPWARD POINTING TRIANGLE > RET ;;
    Newline > C-x 8 2 6 A 0 RET ;; WARNING SIGN > [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.7 HTML_IMAGE_ONLY_28     BODY: HTML: images with 2400-2800 bytes of words
  0.0 HTML_MESSAGE           BODY: HTML included in message


--Apple-Mail=_516D1151-6C38-4D3F-92C9-77E27E72C3AB
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Hello.

5 sep 2013 kl. 16:08 skrev Xue Fuqiao <xfq.free@HIDDEN>:

> To reproduce:
>=20
>  emacs -Q
>  !                      ;; input an exclamation mark (#x21)
>  C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING =
TRIANGLE
>  RET                    ;; Newline
>  C-x 8 2 6 A 0 RET      ;; WARNING SIGN
>=20

I assume you mean C-x 8 RET 2 6 A 0 RET.

> I tried many fonts, but all results look weird (the first line is
> incomplete and too large).
>=20
> (I haven't tried it on other platforms yet, so I'm not sure whether =
it's
> NS-port specific.)

On Fedora 19, the first does not combine, I just get ! followed by an =
upward pointing triangle.
The second is very small, see screen shot.

The NS one looks better, but when moving the cursor over the first row, =
it redraws funny.  And metrics are off, the distance between the first =
triangle and the aaa to the right is actually only one space.  The aaa =
to the left is also followed by a space, but there the distance is too =
short, and the source of the redraw error.

W32 anyone?

	Jan D.







	Jan D.



--Apple-Mail=_516D1151-6C38-4D3F-92C9-77E27E72C3AB
Content-Type: multipart/related;
	type="text/html";
	boundary="Apple-Mail=_5734F727-00F8-4C8F-B655-180417BDF998"


--Apple-Mail=_5734F727-00F8-4C8F-B655-180417BDF998
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space; =
">Hello.<div><br><div><div>5 sep 2013 kl. 16:08 skrev Xue Fuqiao &lt;<a =
href=3D"mailto:xfq.free@HIDDEN">xfq.free@HIDDEN</a>&gt;:</div><br =
class=3D"Apple-interchange-newline"><blockquote type=3D"cite">To =
reproduce:<br><br> &nbsp;emacs -Q<br> &nbsp;! =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;; input an =
exclamation mark (#x21)<br> &nbsp;C-x 8 RET 2 0 E 4 RET &nbsp;;; =
COMBINING ENCLOSING UPWARD POINTING TRIANGLE<br> &nbsp;RET =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;; Newline<br> &nbsp;C-x 8 2 6 A =
0 RET &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;; WARNING =
SIGN<br><br></blockquote><div><br></div>I assume you mean C-x 8 RET 2 6 =
A 0 RET.</div><div><br><blockquote type=3D"cite">I tried many fonts, but =
all results look weird (the first line is<br>incomplete and too =
large).<br><br>(I haven't tried it on other platforms yet, so I'm not =
sure whether it's<br>NS-port =
specific.)<br></blockquote><br></div></div><div>On Fedora 19, the first =
does not combine, I just get ! followed by an upward pointing =
triangle.</div><div>The second is very small, see screen =
shot.</div><div><br></div><div>The NS one looks better, but when moving =
the cursor over the first row, it redraws funny. &nbsp;And metrics are =
off, the distance between the first triangle and the aaa to the right is =
actually only one space. &nbsp;The aaa to the left is also followed by a =
space, but there the distance is too short, and the source of the redraw =
error.</div><div><br></div><div>W32 =
anyone?</div><div><br></div><div><span class=3D"Apple-tab-span" =
style=3D"white-space:pre">	</span>Jan =
D.</div><div><br></div><div><img height=3D"40" width=3D"115" =
apple-width=3D"yes" apple-height=3D"yes" =
id=3D"577f96b5-0710-4b94-a547-a06801181600" =
src=3D"cid:AA8EF735-E950-439E-B912-C6E0AF4C9233"></div><div><br></div><div=
><img height=3D"46" width=3D"113" apple-width=3D"yes" apple-height=3D"yes"=
 id=3D"adbfc7f9-9dcc-4a3c-9e9e-dd2ef045b070" =
src=3D"cid:474A6604-1C0D-49FB-AE79-B70ACF12AE0F"></div><div><br></div><div=
><img height=3D"51" width=3D"122" apple-width=3D"yes" apple-height=3D"yes"=
 id=3D"323092b7-277c-40a2-acea-930fa01f31cc" =
src=3D"cid:BC3C342F-0AC4-4B03-AA2F-683EFD3894E8"></div><div><br></div><div=
><span class=3D"Apple-tab-span" style=3D"white-space:pre">	=
</span>Jan D.</div><div><br></div><div><br></div></body></html>=

--Apple-Mail=_5734F727-00F8-4C8F-B655-180417BDF998
Content-Transfer-Encoding: base64
Content-Disposition: inline;
	filename=fedora19.png
Content-Type: image/png;
	x-unix-mode=0644;
	name="fedora19.png"
Content-Id: <AA8EF735-E950-439E-B912-C6E0AF4C9233>
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--Apple-Mail=_5734F727-00F8-4C8F-B655-180417BDF998
Content-Transfer-Encoding: base64
Content-Disposition: inline;
	filename=ns.png
Content-Type: image/png;
	x-unix-mode=0644;
	name="ns.png"
Content-Id: <474A6604-1C0D-49FB-AE79-B70ACF12AE0F>
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--Apple-Mail=_5734F727-00F8-4C8F-B655-180417BDF998
Content-Transfer-Encoding: base64
Content-Disposition: inline;
	filename=ns-redrawerror.png
Content-Type: image/png;
	x-unix-mode=0644;
	name="ns-redrawerror.png"
Content-Id: <BC3C342F-0AC4-4B03-AA2F-683EFD3894E8>
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--Apple-Mail=_5734F727-00F8-4C8F-B655-180417BDF998--

--Apple-Mail=_516D1151-6C38-4D3F-92C9-77E27E72C3AB--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at 15273 <at> debbugs.gnu.org:


Received: (at 15273) by debbugs.gnu.org; 5 Sep 2013 14:33:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 10:33:44 2013
Received: from localhost ([127.0.0.1]:41983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHacx-0001cw-Lp
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 10:33:44 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:36654)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VHacu-0001cd-Ig
 for 15273 <at> debbugs.gnu.org; Thu, 05 Sep 2013 10:33:41 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MSN00G00PKXUP00@HIDDEN> for 15273 <at> debbugs.gnu.org;
 Thu, 05 Sep 2013 17:33:34 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MSN00GBEPRXQMB0@HIDDEN>;
 Thu, 05 Sep 2013 17:33:34 +0300 (IDT)
Date: Thu, 05 Sep 2013 17:33:23 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15273: 24.3.50;
 Combining character sequences are displayed weirdly
In-reply-to: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Xue Fuqiao <xfq.free@HIDDEN>
Message-id: <83ppsnbaoc.fsf@HIDDEN>
References: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15273
Cc: 15273 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 5 Sep 2013 22:08:21 +0800
> From: Xue Fuqiao <xfq.free@HIDDEN>
> 
>   emacs -Q
>   !                      ;; input an exclamation mark (#x21)
>   C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING TRIANGLE
>   RET                    ;; Newline
>   C-x 8 2 6 A 0 RET      ;; WARNING SIGN
> 
> I tried many fonts, but all results look weird (the first line is
> incomplete and too large).

What font(s) were used to display this character?

If you go to the first line, which shows the character only partially,
and type C-a, does that fix the problem?

What about "M-x redraw-display RET"?

Finally, if you go to the first partially displayed character and type
"C-u C-x =", what does Emacs show?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2013 14:08:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 10:08:39 2013
Received: from localhost ([127.0.0.1]:41947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHaEe-0000yu-Hn
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 10:08:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58039)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VHaEa-0000yf-F2
 for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 10:08:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xfq.free@HIDDEN>) id 1VHaET-0007tJ-Ar
 for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 10:08:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,DC_IMAGE_SPAM_HTML,
 DC_IMAGE_SPAM_TEXT,DC_PNG_UNO_LARGO,FREEMAIL_FROM,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37173)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xfq.free@HIDDEN>) id 1VHaET-0007tF-6g
 for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 10:08:25 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59748)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xfq.free@HIDDEN>) id 1VHaER-0002GZ-Ss
 for bug-gnu-emacs@HIDDEN; Thu, 05 Sep 2013 10:08:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xfq.free@HIDDEN>) id 1VHaEQ-0007sp-Gk
 for bug-gnu-emacs@HIDDEN; Thu, 05 Sep 2013 10:08:23 -0400
Received: from mail-ie0-x22f.google.com ([2607:f8b0:4001:c03::22f]:34156)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xfq.free@HIDDEN>) id 1VHaEQ-0007sj-4z
 for bug-gnu-emacs@HIDDEN; Thu, 05 Sep 2013 10:08:22 -0400
Received: by mail-ie0-f175.google.com with SMTP id u16so3612158iet.6
 for <bug-gnu-emacs@HIDDEN>; Thu, 05 Sep 2013 07:08:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=Rmh4CG3KJYGhwgouF9ZoTcpMOP0pwFvdFwzpvK6HSUc=;
 b=Em6h0WCICCqnzUJ/F9D8qO1udLArO1CTlHiePsIDUJiSroQvg7WDD8OnsvtQIIQuMf
 BK4zzXSsJjROipNfZxVbJnuQ/F1o1JROAWeX2IMyRpN41VYAF+UPgLnSvgqRJk2qDC0F
 E8t+Izo3lFOIkvq/Dn13h12J4x3Zoly8sO4N0w9rEgdJ2PYxlfkEsvUqMghdHHx4pB+U
 dQJnl1eHu6teypFD7PHWlS3PVty4WT+kit7IhNGiVBBlWMrp96dnIpupeSR2VwCvE1mn
 4JDOPy98pka4/gDh9Hr5V0BgDTbdKrG1IApQnXl7lXZpfv7KVDfa3GA/fwqchIiNFN3a
 bhsw==
MIME-Version: 1.0
X-Received: by 10.50.85.114 with SMTP id g18mr6185338igz.15.1378390101591;
 Thu, 05 Sep 2013 07:08:21 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Thu, 5 Sep 2013 07:08:21 -0700 (PDT)
Date: Thu, 5 Sep 2013 22:08:21 +0800
Message-ID: <CAAF+z6GD7oJznG3kz5TicjKaRZUSEwQzJBWTNJg_CrM9qWTHbw@HIDDEN>
Subject: 24.3.50; Combining character sequences are displayed weirdly
From: Xue Fuqiao <xfq.free@HIDDEN>
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Content-Type: multipart/mixed; boundary=089e0149caca5e0cea04e5a374b4
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--089e0149caca5e0cea04e5a374b4
Content-Type: text/plain; charset=UTF-8

To reproduce:

  emacs -Q
  !                      ;; input an exclamation mark (#x21)
  C-x 8 RET 2 0 E 4 RET  ;; COMBINING ENCLOSING UPWARD POINTING TRIANGLE
  RET                    ;; Newline
  C-x 8 2 6 A 0 RET      ;; WARNING SIGN

I tried many fonts, but all results look weird (the first line is
incomplete and too large).

(I haven't tried it on other platforms yet, so I'm not sure whether it's
NS-port specific.)

In GNU Emacs 24.3.50.1 (x86_64-apple-darwin12.4.0, NS apple-appkit-1187.39)
 of 2013-08-31 on xfq.local
Bzr revision: 114077 rgm@HIDDEN
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure --with-ns --enable-checking --disable-silent-rules'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
! C-x 8 <return> 2 0 e 4 <return> <return> C-x 8 <return>
2 6 a 0 <return> <escape> x r e - e m - m <backspace>
b <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
read-number: Command attempted to use minibuffer while in minibuffer

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr misearch multi-isearch emacsbug message
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils iso-transl time-date
tooltip ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process ns
multi-tty emacs)


-- 
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/

--089e0149caca5e0cea04e5a374b4
Content-Type: image/png; name="combining-character-sequences.png"
Content-Disposition: attachment; 
	filename="combining-character-sequences.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hl81v87x0
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--089e0149caca5e0cea04e5a374b4--




Acknowledgement sent to Xue Fuqiao <xfq.free@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15273; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.